import { ElementRef, Renderer2, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class InputTagsComponent implements OnChanges {
    private eRef;
    private render;
    /**
     * Variable whit all objects to list on dropdown.
     */
    objects: any[];
    /**
     * Variable with all selected objects, from all objects array.
     */
    selectedObjects: any[];
    /**
     * Variable to set the object key.
     */
    key: string;
    /**
     * Variable to set the object value.
     */
    value: string;
    /**
     * Variable to set the placeholder when don't have any tag selected.
     */
    inputPlaceholder: string;
    /**
     * Variable to enable/disable the input tags.
     */
    isDisable: boolean;
    newTags: boolean;
    /**
     * Variable that emit the selectedObjects.
     */
    objectsSelected: EventEmitter<any[]>;
    /**
     * Variable with element reference of the input.
     */
    search: ElementRef;
    /**
     * Variable to set the possible objects to show on dropdown.
     */
    filteredObjects: any[];
    /**
     * Variable that control the open/close of the dropdown.
     */
    openDrop: boolean;
    /**
     * Variable to set the search term, for every time user remove/add a object the filter object update with search term.
     */
    searchTerm: string;
    /**
     * This method listens for the event "window:click".
     *
     * @param evt - The DOM element that trigger the listener.
     */
    clickOut(evt: any): void;
    constructor(eRef: ElementRef, render: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * This method open the dropdown and focus the input with cursor.
     */
    onDivClick(): void;
    /**
     * This method remove a objct to the selectedObjects.
     *
     * @param obj - The object to be removed from array of the selectedObjects.
     */
    removeObject(obj: any): void;
    /**
     * This method add a objct to the selectedObjects.
     *
     * @param obj - The object to be added to array of the selectedObjects.
     */
    addObject(obj: any): void;
    /**
     * This method its called every time user remove/add a term for search.
     *
     * @param evt - The input element.
     */
    onSearchChange(evt: any): void;
    /**
     * This method remove/add elements to dropdown every time user select a object from list.
     */
    filterArray(): void;
    /**
     * This method filter the dropdown objects where term match on objects value.
     *
     * @param search - The term for search on all objects value.
     */
    searchObject(search: string): void;
    /**
     * This method remove the object when user press the backspace key.
     */
    onBackspacePressed(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputTagsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputTagsComponent, "uno-input-tags", never, { "objects": "objects"; "selectedObjects": "selectedObjects"; "key": "key"; "value": "value"; "inputPlaceholder": "inputPlaceholder"; "isDisable": "isDisable"; "newTags": "newTags"; }, { "objectsSelected": "objectsSelected"; }, never, never>;
}
