import { OnChanges, EventEmitter } from '@angular/core';
import { Grid } from '../../lib/grid';
import { ActionCustom } from '../../table.interfaces';
import { Column } from '../../lib/data-set/column';
import { SearchComponent } from '../../../search/search.component';
import * as i0 from "@angular/core";
export declare class HeaderComponent implements OnChanges {
    grid: Grid;
    headerSettings: any;
    create: EventEmitter<any>;
    searchTerm: EventEmitter<string>;
    customAction: EventEmitter<ActionCustom>;
    clickIconOptions: EventEmitter<boolean>;
    saveOptions: EventEmitter<any>;
    /**
     * The main actions there are the icons I can see on the header.
     */
    mainActions: ActionCustom[];
    /**
     * The other actions there are the icons go to popover.
     */
    otherActions: ActionCustom[];
    /**
     * Variable to control the popover with sort and filter.
     */
    openPopover: boolean;
    /**
     * Variable to control the popover with options of the table.
     */
    openPopoverOptions: boolean;
    /**
     * Variable to control the show/hide button save on popover options.
     */
    showButtonSave: boolean;
    search: SearchComponent;
    /**
     * Variable with all actions of the header.
     */
    private headerActions;
    private columnsFirstState;
    ngOnChanges(): void;
    onAdd(): boolean;
    hoverIn(): void;
    onCheckColumn(column: Column): void;
    onClickOptions(): void;
    onSave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "header", never, { "grid": "grid"; "headerSettings": "headerSettings"; }, { "create": "create"; "searchTerm": "searchTerm"; "customAction": "customAction"; "clickIconOptions": "clickIconOptions"; "saveOptions": "saveOptions"; }, never, never>;
}
