import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule, CUSTOM_ELEMENTS_SCHEMA, Directive, EventEmitter, HostBinding, Output, HostListener, ViewChild, Host, Optional, ContentChildren, ContentChild, Inject, TemplateRef, ViewEncapsulation, ViewChildren, ViewContainerRef } from '@angular/core';
import * as i3 from '@angular/common';
import { CommonModule, DOCUMENT } from '@angular/common';
import * as i3$1 from '@ngx-translate/core';
import { TranslateModule } from '@ngx-translate/core';
import * as i2$1 from '@angular/cdk/a11y';
import { A11yModule } from '@angular/cdk/a11y';
import * as i3$3 from '@angular/cdk/overlay';
import { OverlayModule } from '@angular/cdk/overlay';
import * as i1 from '@angular/forms';
import { FormControl, Validators, FormsModule, ReactiveFormsModule, FormGroup } from '@angular/forms';
import { __decorate } from 'tslib';
import { BehaviorSubject, Subscription, Observable, of, Subject } from 'rxjs';
import { coerceBooleanProperty } from '@angular/cdk/coercion';
import { filter, take, skip, tap, switchMap, map } from 'rxjs/operators';
import { MAT_DATE_LOCALE, DateAdapter, MAT_DATE_FORMATS, MatNativeDateModule } from '@angular/material/core';
import { MomentDateAdapter } from '@angular/material-moment-adapter';
import * as i2 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i3$2 from '@angular/material/datepicker';
import { MatDatepickerModule } from '@angular/material/datepicker';
import * as i6 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import * as i9 from '@angular/cdk/scrolling';
import * as i1$1 from '@angular/platform-browser';
import Tether from 'tether';
import { cloneDeep } from 'lodash';
import * as i1$2 from '@angular/common/http';

class BadgeComponent {
    constructor(badgeComponent) {
        this.badgeComponent = badgeComponent;
        // Set the max character size of the content:
        this.maxContentSize = 0;
        // ... into our component's "customStyle" object, to be HTML applied:
        this.customStyle = {};
    }
    // About color/backgorund-color CSS independent costumization: before DOM ready (being injected through HTML's NG "customStyle" var)
    ngOnChanges() {
        if (this.bgColor) {
            this.customStyle['background-color'] = `var(--${this.bgColor})`;
        }
        if (this.txtColor) {
            this.customStyle['color'] = `var(--${this.txtColor})`;
        }
    }
    // About max length of badge: DOM needs to be settled so it can be measured
    ngAfterViewInit() {
        const badge = this.badgeComponent.nativeElement;
        if (this.maxContentSize > 0) {
            const badgeSpan = badge.children[0];
            const badgeText = badge.textContent;
            if (badgeText.length > this.maxContentSize) {
                // Ellipsis the content:
                badgeSpan.textContent = `${badgeText.slice(0, this.maxContentSize)}...`;
                // Show full content on "title" attribute
                badge.setAttribute('title', badgeText);
            }
        }
    }
}
BadgeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: BadgeComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
BadgeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: BadgeComponent, selector: "uno-badge", inputs: { type: "type", pointer: "pointer", maxContentSize: "maxContentSize", bgColor: "bgColor", txtColor: "txtColor" }, usesOnChanges: true, ngImport: i0, template: "<span\r\n    class=\"slds-badge slds-truncate\"\r\n    [class.badge-pointer]=\"pointer\"\r\n    [ngClass]=\" type ? 'slds-theme--' + type : '' \"\r\n    [ngStyle]=\"customStyle\">\r\n        <ng-content></ng-content>\r\n</span>", styles: [".badge-pointer{cursor:pointer}.slds-badge{min-width:50px;display:inline-block;text-align:center}\n"], directives: [{ type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i3.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: BadgeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-badge', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span\r\n    class=\"slds-badge slds-truncate\"\r\n    [class.badge-pointer]=\"pointer\"\r\n    [ngClass]=\" type ? 'slds-theme--' + type : '' \"\r\n    [ngStyle]=\"customStyle\">\r\n        <ng-content></ng-content>\r\n</span>", styles: [".badge-pointer{cursor:pointer}.slds-badge{min-width:50px;display:inline-block;text-align:center}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { type: [{
                type: Input
            }], pointer: [{
                type: Input
            }], maxContentSize: [{
                type: Input
            }], bgColor: [{
                type: Input
            }], txtColor: [{
                type: Input
            }] } });

class UnoBadgeModule {
}
UnoBadgeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoBadgeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoBadgeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoBadgeModule, declarations: [BadgeComponent], imports: [CommonModule], exports: [BadgeComponent] });
UnoBadgeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoBadgeModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoBadgeModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [BadgeComponent],
                    declarations: [BadgeComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class IconComponent {
    constructor() {
        /**
         * Variable to choose the sprite of the icons.
         */
        this.svgType = 'sprite';
        /**
         * Variable to define if icon have opacity or not.
         */
        this.withOpacity = true;
        /**
         * Pre-defined - see THIS components CSS for the allow types.
         */
        this.color = 'default';
        /**
         * Pre-defined - see Lightning System CSS for the allow measurements.
         */
        this.size = 'small';
    }
    /**
     * Variable to set the icon name.
     */
    set setIcon(icon) {
        this._icon = icon;
    }
    iconPath() {
        return `assets/icons/uno-sprite/svg/${this.svgType}.svg#${this._icon}`;
    }
}
IconComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: IconComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
IconComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: IconComponent, selector: "uno-icon", inputs: { svgType: "svgType", setIcon: ["icon", "setIcon"], withOpacity: "withOpacity", color: "color", size: "size", customColor: "customColor" }, ngImport: i0, template: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewbox=\"0 0 100 100\" version=\"1.1\"\r\n    [ngClass]=\"['slds-icon-text-' + color, 'slds-icon_' + size]\"\r\n    [style.fill]=\"customColor\"\r\n    [class.slds-icon-with-opacity] = \"withOpacity\"\r\n    aria-hidden=\"true\">\r\n\r\n    <use [attr.xlink:href]=\"iconPath()\"></use>\r\n</svg>", styles: [".slds-icon-with-opacity{opacity:.6}.slds-icon-with-opacity:hover{opacity:1;cursor:pointer}.slds-icon_medium,.slds-icon--medium{width:2rem;height:2rem}.slds-icon_xx_large .slds-icon--xx-large{width:7rem;height:7rem}.slds-icon-text-default{fill:var(--sapphire)}.slds-icon-text-white{fill:var(--white)}.slds-icon-text-black{fill:var(--dark)}.slds-icon-text-grey{fill:var(--grey)}.slds-icon-text-green-menu{fill:var(--dark-lime-green)}.slds-icon-text-tomato-red{fill:var(--tomato-red)}.slds-icon-text-sapphire{fill:var(--sapphire)}.slds-icon-text-light-grey-blue{fill:var(--light-grey-blue)}\n"], directives: [{ type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: IconComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-icon', changeDetection: ChangeDetectionStrategy.OnPush, template: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewbox=\"0 0 100 100\" version=\"1.1\"\r\n    [ngClass]=\"['slds-icon-text-' + color, 'slds-icon_' + size]\"\r\n    [style.fill]=\"customColor\"\r\n    [class.slds-icon-with-opacity] = \"withOpacity\"\r\n    aria-hidden=\"true\">\r\n\r\n    <use [attr.xlink:href]=\"iconPath()\"></use>\r\n</svg>", styles: [".slds-icon-with-opacity{opacity:.6}.slds-icon-with-opacity:hover{opacity:1;cursor:pointer}.slds-icon_medium,.slds-icon--medium{width:2rem;height:2rem}.slds-icon_xx_large .slds-icon--xx-large{width:7rem;height:7rem}.slds-icon-text-default{fill:var(--sapphire)}.slds-icon-text-white{fill:var(--white)}.slds-icon-text-black{fill:var(--dark)}.slds-icon-text-grey{fill:var(--grey)}.slds-icon-text-green-menu{fill:var(--dark-lime-green)}.slds-icon-text-tomato-red{fill:var(--tomato-red)}.slds-icon-text-sapphire{fill:var(--sapphire)}.slds-icon-text-light-grey-blue{fill:var(--light-grey-blue)}\n"] }]
        }], propDecorators: { svgType: [{
                type: Input
            }], setIcon: [{
                type: Input,
                args: ['icon']
            }], withOpacity: [{
                type: Input
            }], color: [{
                type: Input
            }], size: [{
                type: Input
            }], customColor: [{
                type: Input
            }] } });

class UnoIconModule {
}
UnoIconModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoIconModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoIconModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoIconModule, declarations: [IconComponent], imports: [CommonModule], exports: [IconComponent] });
UnoIconModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoIconModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoIconModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [IconComponent],
                    declarations: [IconComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

const EMAIL_REGEX = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
const PHONE_REGEX = /[0-9]{9}$/;
const PHONE_REGEX_V2 = /^\+(?:[0-9] ?){6,14}[0-9]$/;
function propDecoratorFactory(name, fallback) {
    function propDecorator(target, propName) {
        const privatePropName = `$$__${propName}`;
        if (Object.prototype.hasOwnProperty.call(target, privatePropName)) {
            console.warn(`The prop "${privatePropName}" is already exists, it will be overrided by ${name} decorator.`);
        }
        Object.defineProperty(target, privatePropName, {
            configurable: true,
            writable: true
        });
        Object.defineProperty(target, propName, {
            get() {
                return this[privatePropName];
            },
            set(value) {
                this[privatePropName] = fallback(value);
            }
        });
    }
    return propDecorator;
}
function toBoolean(value) {
    return coerceBooleanProperty(value);
}
function InputBoolean() {
    return propDecoratorFactory('InputBoolean', toBoolean);
}
// Check if given value is integer. Cast strings as potential integers as well.
// See: http://stackoverflow.com/questions/14636536/how-to-check-if-a-variable-is-an-integer-in-javascript
function isInt(value) {
    if (isNaN(value)) {
        return false;
    }
    const x = parseFloat(value);
    return (x | 0) === x;
}
// Similar to `lodash.isobject`
function isObject(value) {
    const type = typeof value;
    return !!value && (type === 'object' || type === 'function');
}
// Generate a unique id (unique within the entire client session).
// Useful for temporary DOM ids.
let idCounter = 0;
function uniqueId(prefix = 'uid') {
    return `uno_${prefix}_${++idCounter}`;
}
function replaceClass(instance, oldClass, newClass) {
    if (oldClass && oldClass !== newClass) {
        setClass(instance, oldClass, false);
    }
    if (newClass) {
        setClass(instance, newClass, true);
    }
}
function setClass(instance, klasses, isAdd) {
    if (klasses) {
        (Array.isArray(klasses) ? klasses : [klasses]).forEach(k => {
            instance.renderer[isAdd ? 'addClass' : 'removeClass'](instance.element.nativeElement, k);
        });
    }
}
const noWhitespaceValidator = (control) => {
    // CHECK IF FIRST AND LAST CHARACTER IS A EMPTY SPACE
    return control.value
        && control.value.length > 0
        && (control.value.indexOf(' ') === 0 || control.value.lastIndexOf(' ') === control.value.length - 1) ? { 'whitespace': true } : null;
};

class ModalHeaderDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
ModalHeaderDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ModalHeaderDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
ModalHeaderDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ModalHeaderDirective, selector: "[unoModalHeader]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ModalHeaderDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoModalHeader]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });

class ModalFooterDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
ModalFooterDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ModalFooterDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
ModalFooterDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ModalFooterDirective, selector: "[unoModalFooter]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ModalFooterDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoModalFooter]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });

class DragAndDropFileDirective {
    constructor() {
        this.multiple = false;
        this.disabled = false;
        this.fileDropped = new EventEmitter();
    }
    onDragEvent(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = this.disabled ? false : true;
    }
    onDragLeave(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = false;
    }
    onDrop(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = false;
        const files = evt.dataTransfer.files;
        if (files.length > 0 && !this.disabled) {
            if (this.multiple) {
                this.fileDropped.emit(files);
            }
            else {
                this.fileDropped.emit(files[0]);
            }
        }
    }
}
DragAndDropFileDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragAndDropFileDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
DragAndDropFileDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: DragAndDropFileDirective, selector: "[unoDragDropFile]", inputs: { multiple: "multiple", disabled: "disabled" }, outputs: { fileDropped: "fileDropped" }, host: { listeners: { "dragover": "onDragEvent($event)", "dragleave": "onDragLeave($event)", "drop": "onDrop($event)" }, properties: { "class.fileover": "this.fileOver" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragAndDropFileDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoDragDropFile]'
                }]
        }], propDecorators: { fileOver: [{
                type: HostBinding,
                args: ['class.fileover']
            }], multiple: [{
                type: Input
            }], disabled: [{
                type: Input
            }], fileDropped: [{
                type: Output
            }], onDragEvent: [{
                type: HostListener,
                args: ['dragover', ['$event']]
            }], onDragLeave: [{
                type: HostListener,
                args: ['dragleave', ['$event']]
            }], onDrop: [{
                type: HostListener,
                args: ['drop', ['$event']]
            }] } });

class DragDropFileComponent {
    constructor(render) {
        this.render = render;
        this.multipleFiles = false;
        /**
         * Disable to make changes.
         */
        this.disabled = false;
        /**
         * Remove from templete the "trash" icon.
         */
        this.disabledTrash = false;
        /**
         * Remove from template the "download" icon.
         */
        this.disabledDownload = false;
        this.filesDropped = new EventEmitter();
        this.deleteFile = new EventEmitter();
        this.downloadFile = new EventEmitter();
        this.fileUploadIsToBig = false;
    }
    ngOnChanges(changes) {
        if (changes.disabled && changes.disabled.currentValue) {
            this.disabledTrash = true;
        }
    }
    onClickUpload() {
        if (!this.disabled) {
            this.fileInput.nativeElement.click();
        }
    }
    fileToUploadChange(evt) {
        this.fileUploadIsToBig = false;
        Array.from(evt.target.files).forEach((file) => {
            if (this.maxFileSize && file.size >= this.maxFileSize) {
                this.fileUploadIsToBig = true;
                return;
            }
        });
        if (this.multipleFiles) {
            this.filesDropped.emit(evt.target.files);
        }
        else {
            this.filesDropped.emit(evt.target.files[0]);
            this.file = evt.target.files[0];
        }
        this.render.setProperty(this.fileInput.nativeElement, 'value', '');
    }
    onFileDropped(file) {
        if (this.multipleFiles) {
            this.filesDropped.emit(file);
        }
        else {
            this.filesDropped.emit(file);
            this.file = file;
        }
    }
    onDeleteFile(evt) {
        evt.stopPropagation();
        this.deleteFile.emit(this.file);
    }
    onDownloadFile(evt) {
        evt.stopPropagation();
        this.downloadFile.emit(this.file);
    }
}
DragDropFileComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragDropFileComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
DragDropFileComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: DragDropFileComponent, selector: "uno-drag-drop-file", inputs: { maxFileSize: "maxFileSize", multipleFiles: "multipleFiles", file: "file", disabled: "disabled", disabledTrash: "disabledTrash", disabledDownload: "disabledDownload" }, outputs: { filesDropped: "filesDropped", deleteFile: "deleteFile", downloadFile: "downloadFile" }, viewQueries: [{ propertyName: "fileInput", first: true, predicate: ["fileInput"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div\r\n     class=\"slds-grid slds-grid--align-center slds-grid--vertical-align-center border\"\r\n     [class.border--cursor]=\"disabled ? false : true\"\r\n     unoDragDropFile\r\n     [multiple]=\"multipleFiles\"\r\n     [disabled]=\"disabled\"\r\n     (fileDropped)=\"onFileDropped($event)\"\r\n     (click)=\"onClickUpload()\">\r\n    <ng-container *ngIf=\"!file; else showFile\">\r\n        <uno-icon icon=\"upload\" size=\"x-small\" class=\"slds-button__icon--left\"></uno-icon>\r\n        <span class=\"slds-m-right--small\" style=\"font-size: 14px; color: var(--light-grey-blue);\" translate>chooseFileLabel</span>\r\n    </ng-container>\r\n    <ng-template #showFile>\r\n        <span class=\"slds-m-right--small\" class=\"open-sans-semibold-14\">{{ file?.name }}</span>\r\n        <uno-icon *ngIf=\"!disabledTrash\" icon=\"trash\" size=\"xx-small\" class=\"slds-button__icon--right\" (click)=\"onDeleteFile($event)\"></uno-icon>\r\n        <uno-icon *ngIf=\"!disabledDownload\" icon=\"download_l\" size=\"xx-small\" class=\"slds-button__icon--right\" (click)=\"onDownloadFile($event)\"></uno-icon>\r\n    </ng-template>\r\n    <input #fileInput id=\"file-input\" type=\"file\" [multiple]=\"multipleFiles\" (change)=\"fileToUploadChange($event)\">\r\n</div>\r\n<div *ngIf=\"fileUploadIsToBig\" class=\"slds-col\" style=\"color: var(--vermillion)\">\r\n    <span translate>fileSizeExceed</span> {{ file?.size / 1000000 }}mb\r\n</div>", styles: [".fileover{background-color:var(--light-periwinkle-two)}.border,.border--cursor{position:relative;border-radius:2px;background-image:url(\"data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='2' ry='2' stroke='%23AABAC3FF' stroke-width='2' stroke-dasharray='5%2c 6' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e\");height:36px}.border--cursor{cursor:pointer}#file-input{display:none}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: DragAndDropFileDirective, selector: "[unoDragDropFile]", inputs: ["multiple", "disabled"], outputs: ["fileDropped"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragDropFileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-drag-drop-file', template: "<div\r\n     class=\"slds-grid slds-grid--align-center slds-grid--vertical-align-center border\"\r\n     [class.border--cursor]=\"disabled ? false : true\"\r\n     unoDragDropFile\r\n     [multiple]=\"multipleFiles\"\r\n     [disabled]=\"disabled\"\r\n     (fileDropped)=\"onFileDropped($event)\"\r\n     (click)=\"onClickUpload()\">\r\n    <ng-container *ngIf=\"!file; else showFile\">\r\n        <uno-icon icon=\"upload\" size=\"x-small\" class=\"slds-button__icon--left\"></uno-icon>\r\n        <span class=\"slds-m-right--small\" style=\"font-size: 14px; color: var(--light-grey-blue);\" translate>chooseFileLabel</span>\r\n    </ng-container>\r\n    <ng-template #showFile>\r\n        <span class=\"slds-m-right--small\" class=\"open-sans-semibold-14\">{{ file?.name }}</span>\r\n        <uno-icon *ngIf=\"!disabledTrash\" icon=\"trash\" size=\"xx-small\" class=\"slds-button__icon--right\" (click)=\"onDeleteFile($event)\"></uno-icon>\r\n        <uno-icon *ngIf=\"!disabledDownload\" icon=\"download_l\" size=\"xx-small\" class=\"slds-button__icon--right\" (click)=\"onDownloadFile($event)\"></uno-icon>\r\n    </ng-template>\r\n    <input #fileInput id=\"file-input\" type=\"file\" [multiple]=\"multipleFiles\" (change)=\"fileToUploadChange($event)\">\r\n</div>\r\n<div *ngIf=\"fileUploadIsToBig\" class=\"slds-col\" style=\"color: var(--vermillion)\">\r\n    <span translate>fileSizeExceed</span> {{ file?.size / 1000000 }}mb\r\n</div>", styles: [".fileover{background-color:var(--light-periwinkle-two)}.border,.border--cursor{position:relative;border-radius:2px;background-image:url(\"data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='2' ry='2' stroke='%23AABAC3FF' stroke-width='2' stroke-dasharray='5%2c 6' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e\");height:36px}.border--cursor{cursor:pointer}#file-input{display:none}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { maxFileSize: [{
                type: Input
            }], multipleFiles: [{
                type: Input
            }], file: [{
                type: Input
            }], disabled: [{
                type: Input
            }], disabledTrash: [{
                type: Input
            }], disabledDownload: [{
                type: Input
            }], filesDropped: [{
                type: Output
            }], deleteFile: [{
                type: Output
            }], downloadFile: [{
                type: Output
            }], fileInput: [{
                type: ViewChild,
                args: ['fileInput']
            }] } });

class PickItemDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
PickItemDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PickItemDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
PickItemDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PickItemDirective, selector: "[uno-picklist-item]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PickItemDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[uno-picklist-item]' }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });

class PickDirective {
    constructor() {
        this.values = new BehaviorSubject(null);
        this.isMultiple = false;
        this.unoPickChange = new EventEmitter();
        this.unoOptionDestroyed = new EventEmitter();
    }
    set setSelected(selected) {
        this.selected = selected;
        this.ngAfterContentInit();
    }
    set setIsMultiple(isMultiple) {
        this.isMultiple = toBoolean(isMultiple);
    }
    ngAfterContentInit() {
        this.values.next(this.selected);
    }
    selectOption(value) {
        let next;
        if (this.isMultiple) {
            if (Array.isArray(this.selected)) {
                // Remove if already there or add to selection
                const index = this.selected.findIndex(i => i.id === value.id);
                next = index > -1
                    ? [...this.selected.slice(0, index), ...this.selected.slice(index + 1)]
                    : [...this.selected, value];
            }
            else {
                next = Object.assign({}, this.selected, { [value]: !this.selected[value] });
            }
        }
        else {
            next = value;
        }
        this.unoPickChange.emit(next);
    }
    optionRemoved(value) {
        if (this.isMultiple && !this.selected) {
            return;
        }
        let emit;
        if (this.isMultiple) {
            emit = Array.isArray(this.selected) ? this.selected.indexOf(value) > -1 : !!this.selected[value];
        }
        else {
            emit = this.selected === value;
        }
        if (emit) {
            setTimeout(() => this.unoOptionDestroyed.emit(value));
        }
    }
}
PickDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PickDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
PickDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PickDirective, selector: "[unoPick]", inputs: { setSelected: ["unoPick", "setSelected"], unoPickActiveClass: "unoPickActiveClass", setIsMultiple: ["unoPickMultiple", "setIsMultiple"] }, outputs: { unoPickChange: "unoPickChange", unoOptionDestroyed: "unoOptionDestroyed" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PickDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[unoPick]' }]
        }], propDecorators: { setSelected: [{
                type: Input,
                args: ['unoPick']
            }], unoPickActiveClass: [{
                type: Input
            }], setIsMultiple: [{
                type: Input,
                args: ['unoPickMultiple']
            }], unoPickChange: [{
                type: Output
            }], unoOptionDestroyed: [{
                type: Output
            }] } });

class PickOptionDirective {
    constructor(element, renderer, unoPick) {
        this.element = element;
        this.renderer = renderer;
        this.unoPick = unoPick;
        this.role = 'button';
        this._active = false;
    }
    // Use a getter to prevent direct altering
    get active() {
        return this._active;
    }
    set setValue(value) {
        this._value = value;
    }
    pick(evt) {
        if (evt) {
            evt.preventDefault();
        }
        this.unoPick.selectOption(this._value);
    }
    ngOnInit() {
        this._subscription = this.unoPick.values.subscribe(value => {
            this._active = this._isActive(value);
            const activeClass = this.unoPickActiveClass || this.unoPick.unoPickActiveClass;
            if (activeClass) {
                if (this.active) {
                    this.renderer.addClass(this.element.nativeElement, activeClass);
                }
                else {
                    this.renderer.removeClass(this.element.nativeElement, activeClass);
                }
            }
        });
    }
    ngOnDestroy() {
        this._subscription.unsubscribe();
        this.unoPick.optionRemoved(this._value);
    }
    _isActive(value) {
        if (this.unoPick.isMultiple) {
            if (!value) {
                return false;
            }
            return Array.isArray(value) ? value.indexOf(this._value) > -1 : !!value[this._value];
        }
        else {
            return this._value === value;
        }
    }
}
PickOptionDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PickOptionDirective, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: PickDirective }], target: i0.ɵɵFactoryTarget.Directive });
PickOptionDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PickOptionDirective, selector: "[uno-pick-option]", inputs: { setValue: ["unoPickOption", "setValue"], unoPickActiveClass: "unoPickActiveClass" }, host: { listeners: { "click": "pick()", "keydown.Space": "pick($event)", "keydown.Enter": "pick($event)" }, properties: { "attr.role": "this.role" } }, exportAs: ["unoPickOption"], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PickOptionDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[uno-pick-option]',
                    exportAs: 'unoPickOption',
                    // host: {
                    //     'role': 'button'
                    // }
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: PickDirective }]; }, propDecorators: { role: [{
                type: HostBinding,
                args: ['attr.role']
            }], setValue: [{
                type: Input,
                args: ['unoPickOption']
            }], unoPickActiveClass: [{
                type: Input
            }], pick: [{
                type: HostListener,
                args: ['click']
            }, {
                type: HostListener,
                args: ['keydown.Space', ['$event']]
            }, {
                type: HostListener,
                args: ['keydown.Enter', ['$event']]
            }] } });

class DropdownItemDirective {
    constructor(element, parentPickOption) {
        this.element = element;
        this.parentPickOption = parentPickOption;
        this.tabindex = 0;
        this.isFocused = false;
        // https://medium.com/frontend-coach/self-or-optional-host-the-visual-guide-to-angular-di-decorators-73fbbb5c8658
        // @Host() decorator makes Angular to look for the injector on the component itself.
        // if the injector is NOT FOUND there, it looks for the injector UP to its host component
        // console.warn('Do we have uno-picklist as parent?', parentPickOption);
        this.selectedClosesDropdown = false;
    }
    onFocus() {
        this.isFocused = true;
    }
    onBlur() {
        this.isFocused = false;
    }
    // Check the click selection:
    onclick() {
        this.selectedClosesDropdown = true;
    }
    hasFocus() {
        return this.isFocused;
    }
    focus() {
        this.element.nativeElement.focus();
    }
}
DropdownItemDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DropdownItemDirective, deps: [{ token: i0.ElementRef }, { token: PickOptionDirective, host: true, optional: true }], target: i0.ɵɵFactoryTarget.Directive });
DropdownItemDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: DropdownItemDirective, selector: "[unoDropdownItem]", host: { listeners: { "focus": "onFocus()", "blur": "onBlur()", "click": "onclick()" }, properties: { "attr.tabindex": "this.tabindex" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DropdownItemDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoDropdownItem]',
                    // host: {
                    //     'tabindex': '0',
                    // },
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: PickOptionDirective, decorators: [{
                    type: Host
                }, {
                    type: Optional
                }] }]; }, propDecorators: { tabindex: [{
                type: HostBinding,
                args: ['attr.tabindex']
            }], onFocus: [{
                type: HostListener,
                args: ['focus']
            }], onBlur: [{
                type: HostListener,
                args: ['blur']
            }], onclick: [{
                type: HostListener,
                args: ['click']
            }] } });

const openEventEmitter = new EventEmitter();
class DropdownDirective {
    constructor(element, renderer) {
        this.element = element;
        this.renderer = renderer;
        this.hasTrigger = true;
        this.hasTriggerClick = true;
        this.unoDropdownHandlePageEvents = true;
        this.openChange = new EventEmitter();
        this.selectedElem = new EventEmitter();
        this.triggerFocusEventEmitter = new EventEmitter();
        this._isOpen = false;
        this.globalClickEventUnsubscriber = null;
        this.clickEventUnsubscriber = null;
    }
    set isOpen(isOpen) {
        this._isOpen = toBoolean(isOpen);
        if (this.isOpen) {
            this.clearGlobalClickTimeout();
            this.globalClickTimeout = setTimeout(() => {
                if (this.unoDropdownHandlePageEvents) {
                    this._subscribeToClickEvents();
                }
            });
            this.renderer.addClass(this.element.nativeElement, 'slds-is-open');
        }
        else {
            this._unsubscribeFromClickEvents();
            this.renderer.removeClass(this.element.nativeElement, 'slds-is-open');
        }
        this.renderer.setAttribute(this.element.nativeElement, 'aria-expanded', `${this.isOpen}`);
    }
    get isOpen() {
        return this._isOpen;
    }
    onKeydownClose(eventName) {
        this.toggle(false);
        if (eventName === 'esc') {
            this.triggerFocusEventEmitter.emit(null);
        }
    }
    onKeydownFocusNext($event, direction) {
        $event.preventDefault();
        this.focusItem(direction);
    }
    // Check which, if any, of the items was clicked to be the selected one:
    dropdownItemWasSelected() {
        const itemsArray = this.items.toArray();
        const clickedIdx = itemsArray.findIndex(item => item['selectedClosesDropdown'] === true);
        if (clickedIdx >= 0) {
            const selectedItem = itemsArray[clickedIdx];
            const isMultiplePickListDropdown = selectedItem.parentPickOption ?
                selectedItem.parentPickOption.unoPick.isMultiple : false;
            // Clean it, for a new click-selection:
            selectedItem['selectedClosesDropdown'] = false;
            // Emit the status change, except on Multiple options choice @ <uno-picklist /> - if it exists wrapping THIS Dropdown:
            if (!isMultiplePickListDropdown) {
                this.openChange.emit(false);
            }
            // Finally emit the clicked/selected HTMLElement, in case properties are needed where Dropdown is installed:
            this.selectedElem.emit({
                HTMLElement: selectedItem.element.nativeElement,
                idx: clickedIdx
            });
        }
    }
    ngOnInit() {
        this.openEventSubscription = openEventEmitter.subscribe(this.handleDropdownOpenEvent.bind(this));
    }
    ngOnDestroy() {
        this.clearGlobalClickTimeout();
        if (this.openEventSubscription) {
            this.openEventSubscription.unsubscribe();
        }
        this._unsubscribeFromClickEvents();
    }
    toggle(toggle = !this.isOpen, focus = false) {
        if (toggle === this.isOpen) {
            return;
        }
        // Emit the status change
        this.openChange.emit(toggle);
        if (toggle) {
            openEventEmitter.emit(this);
            if (focus) {
                this.focusItem('next');
            }
        }
    }
    handleGlobalClickEvent($event) {
        if (!this.unoDropdownHandlePageEvents || $event.$nglStop) {
            return;
        }
        this.toggle(false);
    }
    _subscribeToClickEvents() {
        this._unsubscribeFromClickEvents();
        // Prevent document listener to close it, since click happened inside
        this.clickEventUnsubscriber = this.renderer.listen(this.element.nativeElement, 'click', ($event) => $event.$nglStop = true);
        this.globalClickEventUnsubscriber = this.renderer.listen('document', 'click', this.handleGlobalClickEvent.bind(this));
    }
    _unsubscribeFromClickEvents() {
        if (this.clickEventUnsubscriber) {
            this.clickEventUnsubscriber();
            this.clickEventUnsubscriber = null;
        }
        if (this.globalClickEventUnsubscriber) {
            this.globalClickEventUnsubscriber();
            this.globalClickEventUnsubscriber = null;
        }
    }
    clearGlobalClickTimeout() {
        clearTimeout(this.globalClickTimeout);
    }
    focusItem(direction) {
        if (!this.items.length) {
            return;
        }
        const items = this.items.toArray();
        const activeElementIndex = items.findIndex(item => item.hasFocus()) + (direction === 'next' ? 1 : -1);
        if (activeElementIndex === items.length || activeElementIndex < 0) {
            return;
        }
        items[activeElementIndex].focus();
    }
    handleDropdownOpenEvent(dropdown) {
        if (dropdown !== this) {
            this.toggle(false);
        }
    }
}
DropdownDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DropdownDirective, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Directive });
DropdownDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: DropdownDirective, selector: "[unoDropdown]", inputs: { isOpen: ["open", "isOpen"], unoDropdownHandlePageEvents: "unoDropdownHandlePageEvents" }, outputs: { openChange: "openChange", selectedElem: "selectedElem" }, host: { listeners: { "keydown.esc": "onKeydownClose(\"esc\")", "keydown.tab": "onKeydownClose(\"tab\")", "keydown.arrowdown": "onKeydownFocusNext($event,\"next\")", "keydown.arrowup": "onKeydownFocusNext($event,\"previous\")", "click": "dropdownItemWasSelected()" }, properties: { "class.slds-dropdown-trigger": "this.hasTrigger", "class.slds-dropdown-trigger--click": "this.hasTriggerClick" } }, queries: [{ propertyName: "items", predicate: DropdownItemDirective, descendants: true }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DropdownDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoDropdown]',
                    // host: {
                    //     '[class.slds-dropdown-trigger]': 'true',
                    //     '[class.slds-dropdown-trigger--click]': 'true',
                    // },
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; }, propDecorators: { hasTrigger: [{
                type: HostBinding,
                args: ['class.slds-dropdown-trigger']
            }], hasTriggerClick: [{
                type: HostBinding,
                args: ['class.slds-dropdown-trigger--click']
            }], isOpen: [{
                type: Input,
                args: ['open']
            }], unoDropdownHandlePageEvents: [{
                type: Input
            }], items: [{
                type: ContentChildren,
                args: [DropdownItemDirective, { descendants: true }]
            }], openChange: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }], onKeydownClose: [{
                type: HostListener,
                args: ['keydown.esc', ['"esc"']]
            }, {
                type: HostListener,
                args: ['keydown.tab', ['"tab"']]
            }], onKeydownFocusNext: [{
                type: HostListener,
                args: ['keydown.arrowdown', ['$event', '"next"']]
            }, {
                type: HostListener,
                args: ['keydown.arrowup', ['$event', '"previous"']]
            }], dropdownItemWasSelected: [{
                type: HostListener,
                args: ['click']
            }] } });

class DropdownTriggerDirective {
    constructor(element, dropdown) {
        this.element = element;
        this.dropdown = dropdown;
        this.haspopup = true;
        this.parentFocusEventSubscription = this.dropdown.triggerFocusEventEmitter.subscribe(this.focus.bind(this));
    }
    ngOnDestroy() {
        this.parentFocusEventSubscription.unsubscribe();
    }
    toggleOpen() {
        this.dropdown.toggle();
    }
    onKeyDownOpen($event) {
        $event.preventDefault();
        this.dropdown.toggle(true);
    }
    focus() {
        this.element.nativeElement.focus();
    }
}
DropdownTriggerDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DropdownTriggerDirective, deps: [{ token: i0.ElementRef }, { token: DropdownDirective }], target: i0.ɵɵFactoryTarget.Directive });
DropdownTriggerDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: DropdownTriggerDirective, selector: "[unoDropdownTrigger]", host: { listeners: { "click": "toggleOpen()", "keydown.arrowdown": "onKeyDownOpen($event)" }, properties: { "attr.aria-haspopup": "this.haspopup" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DropdownTriggerDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoDropdownTrigger]',
                    // host: {
                    //     'aria-haspopup': 'true',
                    // },
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: DropdownDirective }]; }, propDecorators: { haspopup: [{
                type: HostBinding,
                args: ['attr.aria-haspopup']
            }], toggleOpen: [{
                type: HostListener,
                args: ['click']
            }], onKeyDownOpen: [{
                type: HostListener,
                args: ['keydown.arrowdown', ['$event']]
            }] } });

class ScrollTrackerDirective {
    constructor() {
        this.scrollEndReached = new EventEmitter();
    }
    onScroll(event) {
        // Listen to scroll events in the component
        const tracker = event.target;
        const bottomLimit = tracker.scrollHeight - tracker.clientHeight;
        let endReached = false;
        if (tracker.scrollTop >= bottomLimit) {
            endReached = true;
        }
        this.scrollEndReached.emit({
            pos: event.target.scrollTop,
            endReached: endReached
        });
    }
}
ScrollTrackerDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ScrollTrackerDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
ScrollTrackerDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ScrollTrackerDirective, selector: "[unoScrollTracker]", outputs: { scrollEndReached: "scrollEndReached" }, host: { listeners: { "scroll": "onScroll($event)" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ScrollTrackerDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoScrollTracker]',
                }]
        }], propDecorators: { scrollEndReached: [{
                type: Output
            }], onScroll: [{
                type: HostListener,
                args: ['scroll', ['$event']]
            }] } });

class PicklistComponent {
    // userFilter = '';
    // private filterActiveIndex = 0;
    // private hasFilterFocus = false;
    constructor(pick) {
        this.pick = pick;
        this.isForInlineTableCSS = false;
        this.filterPlaceholder = '';
        this.listSizeForFilter = 11;
        this.filterActiveIndex = 0;
        this.hasFilterFocus = false;
        this.userFilter = '';
        this.isToOpenUp = false;
        this.addButton = 'Create Item';
        this.showCheckBox = false;
        // ==============================================
        this.openChange = new EventEmitter();
        this.userChangedFilter = new EventEmitter();
        this.selectedElem = new EventEmitter();
        this.scrollEndReached = new EventEmitter();
        this._open = false;
        this._disabled = false;
        this._fluid = false;
        this._position = false;
    }
    set data(data) {
        this._data = data;
        this.filterData();
    }
    get data() {
        return this._data;
    }
    set fluid(fluid) {
        this._fluid = toBoolean(fluid);
    }
    get fluid() {
        return this._fluid;
    }
    set isDisabled(disabled) {
        this._disabled = toBoolean(disabled);
    }
    get isDisabled() {
        return this._disabled;
    }
    set open(value) {
        this._open = value;
        if (this.open && this.hasFilter) {
            setTimeout(() => this.focusFilter());
        }
    }
    get open() {
        return this._open;
    }
    set position(position) {
        this._position = toBoolean(position);
    }
    get position() {
        return this._position;
    }
    get hasFilter() {
        // If the @Input()'s "filterDataField" and "listSizeForFilter" are declared @ instalation
        // - last one, defines a minimum number of the passed array elements so filter appears.
        return (typeof (this.filterDataField) !== 'undefined'
            &&
                this.data.length >= this.listSizeForFilter);
    }
    ngAfterContentInit() {
        this._changeSubscription = this.pick.unoPickChange
            // Check it out: https://github.com/ngrx/platform/issues/564#issuecomment-344372463
            .pipe(filter(() => !this.pick.isMultiple))
            .subscribe(() => this.openChange.emit(false));
        // By default, allow picklist Dropdown to close, once user clicks outside:
        if (this.closeClickOutside === undefined) {
            this.closeClickOutside = true;
        }
    }
    ngOnDestroy() {
        if (this._changeSubscription) {
            this._changeSubscription.unsubscribe();
            this._changeSubscription = null;
        }
    }
    filterData() {
        this.filteredData = this._filterData();
        this.setFilterActive(); // Keep active index in bounds
    }
    _filterData() {
        if (!this.data || !this.hasFilter || !this.userFilter) {
            return this.data;
        }
        const inputedFilter = this.filterDataField;
        switch (typeof (inputedFilter)) {
            case 'string':
                return this.data.filter(d => (filter ? d[inputedFilter] : d.toString())
                    .toLowerCase()
                    .indexOf(this.userFilter.toLowerCase()) !== -1);
            case 'function':
                return this.data.filter(inputedFilter);
            default:
                throw new Error(`Invalid <uno-picklist /> filter type (${typeof (inputedFilter)}). The filter must be empty, a field name or a filter function.`);
        }
    }
    isOptionActive(item) {
        if (this.pick.selected) {
            if (this.pick.isMultiple) {
                const sel = this.pick.selected.filter((elem) => elem.id === item.id)[0];
                if (sel) {
                    return sel.id === item.id;
                }
            }
            else {
                return this.pick.selected.id === item.id;
            }
        }
        return false;
    }
    onOptionHover(index) {
        if (!this.hasFilterFocus) {
            return;
        }
        this.filterActiveIndex = index;
    }
    filterChange(filterStr) {
        this.userFilter = filterStr;
        this.userChangedFilter.emit(filterStr); // Warn the installation - might be needed, for custom multi-properties filtering.
        this.filterData();
    }
    setFilterActive(moves = 0, evt) {
        // We might don't have data, yet => no fields to filter (case of an Observable bringing our "filteredData" items to filter from)
        if (!this.filteredData) {
            return;
        }
        if (evt) {
            evt.preventDefault();
            evt.stopPropagation();
        }
        this.filterActiveIndex = Math.max(Math.min(this.filterActiveIndex + moves, this.filteredData.length - 1), 0);
    }
    onFilterPick() {
        if (!this.filteredData.length || this.filterActiveIndex < 0) {
            return;
        }
        this.pick.selectOption(this.filteredData[this.filterActiveIndex]);
    }
    focusFilter() {
        this.filterInput.nativeElement.focus();
    }
    onFilterFocus() {
        this.filterActiveIndex = 0;
        this.hasFilterFocus = true;
    }
    onFilterBlur() {
        this.filterActiveIndex = -1;
        this.hasFilterFocus = false;
    }
    onSelectedElem(evt) {
        // This emitter is fired on Dropdown component, from which Picklist is done of.
        // Problem: on Dropdowns there's no filtering so idx param is, in fact, the index of the Dropdown list
        // With filtering (meaning a shorter Dropdown list), this idx is not real - is not related to the complete "items" list
        // Find it:
        const selectedElem = this.filteredData[evt.idx];
        for (let realIndex = 0; realIndex < this.data.length; realIndex++) {
            if (this.data[realIndex] === selectedElem) {
                Object.assign(evt, { idx: realIndex });
            }
        }
        // Emit back, now with the (possible) corrected Obj @ 'idx' property:
        this.selectedElem.emit(evt);
    }
}
PicklistComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PicklistComponent, deps: [{ token: PickDirective }], target: i0.ɵɵFactoryTarget.Component });
PicklistComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: PicklistComponent, selector: "uno-picklist[unoPick]", inputs: { data: "data", fluid: "fluid", isDisabled: "isDisabled", isForInlineTableCSS: "isForInlineTableCSS", dropdownListClass: "dropdownListClass", insertBlankElement: "insertBlankElement", insertCreateButton: "insertCreateButton", filterDataField: "filterDataField", filterPlaceholder: "filterPlaceholder", listSizeForFilter: "listSizeForFilter", open: "open", closeClickOutside: "closeClickOutside", isToOpenUp: "isToOpenUp", addButton: "addButton", showCheckBox: "showCheckBox", position: "position" }, outputs: { openChange: "openChange", userChangedFilter: "userChangedFilter", selectedElem: "selectedElem", scrollEndReached: "scrollEndReached" }, queries: [{ propertyName: "itemTemplate", first: true, predicate: PickItemDirective, descendants: true }], viewQueries: [{ propertyName: "filterInput", first: true, predicate: ["filterInput"], descendants: true }], ngImport: i0, template: "<!-- picklist HTML is a <span unoDropdown /> markup, with specific TS behaviors - like multiple selection, items list online filtering, etc. -->\r\n<div\r\n     class=\"slds-combobox\"\r\n     unoDropdown\r\n     [open]=\"open\"\r\n     [unoDropdownHandlePageEvents]=\"closeClickOutside\"\r\n\r\n     (openChange)=\"openChange.emit($event)\"\r\n     (selectedElem)=\"onSelectedElem($event)\">\r\n\r\n    <div class=\"slds-combobox__form-element slds-input-has-icon slds-input-has-icon--right\">\r\n        <!-- the Dropdown trigger: -->\r\n        <button\r\n                type=\"button\"\r\n                class=\"slds-grid slds-grid--vertical-align-center\"\r\n                unoDropdownTrigger\r\n                [class.slds-input]=\"!isForInlineTableCSS\"\r\n                [class.slds-button]=\"isForInlineTableCSS\"\r\n                [disabled]=\"isDisabled\">\r\n            <ng-content></ng-content>\r\n        </button>\r\n        <span class=\"slds-icon__container slds-input__icon slds-input__icon--right\" unoDropdownTrigger>\r\n            <uno-icon icon=\"down_s\" size=\"xx-small\" class=\"slds-m-left_small slds-float--right\"></uno-icon>\r\n        </span>\r\n\r\n        <!-- the Dropdown list of items -->\r\n        <div\r\n             class=\"slds-dropdown slds-dropdown--left\"\r\n             [ngClass]=\"{ 'slds-dropdown_fluid': fluid, 'slds-p-top--none': hasFilter, 'slds-dropdown--open-up': isToOpenUp, 'positionInherit': position }\"\r\n             role=\"listbox\">\r\n\r\n            <!-- filtering user input box possibility-->\r\n            <input\r\n                   *ngIf=\"hasFilter\"\r\n                   class=\"slds-input\"\r\n                   #filterInput\r\n                   [attr.placeholder]=\"filterPlaceholder\"\r\n                   [ngModel]=\"userFilter\"\r\n                   (ngModelChange)=\"filterChange($event)\"\r\n\r\n                   (keydown.enter)=\"onFilterPick()\"\r\n                   (keydown.arrowdown)=\"setFilterActive(1, $event)\"\r\n                   (keydown.arrowup)=\"setFilterActive(-1, $event)\"\r\n                   (focus)=\"onFilterFocus()\"\r\n                   (blur)=\"onFilterBlur()\">\r\n\r\n            <!-- the Dropdown list of items -->\r\n            <ul style=\"max-height: 250px; overflow-y: auto;\"\r\n                class=\"slds-listbox slds-listbox_vertical\"\r\n                [ngClass]=\"dropdownListClass\"\r\n                role=\"presentation\"\r\n                unoScrollTracker\r\n                (scrollEndReached)=\"scrollEndReached.emit($event)\">\r\n\r\n                <!-- Insert blank element, to reset piked item ? -->\r\n                <li *ngIf=\"insertBlankElement && !pick.isMultiple\" class=\"slds-dropdown__item unselect-item\"\r\n                    uno-pick-option\r\n                    [unoPickOption]=\"''\"\r\n                    (mouseover)=\"onOptionHover(-1)\">\r\n\r\n                    <a unoDropdownItem role=\"menuitem\" translate>-- (select none) --</a>\r\n                </li>\r\n                <!-- Cycle of all [filteredData] elements: -->\r\n                <li *ngFor=\"let item of filteredData; let i = index;\" class=\"slds-dropdown__item\"\r\n                    uno-pick-option\r\n                    [unoPickOption]=\"item\"\r\n                    [class.slds-is-active]=\"isOptionActive(item)\"\r\n                    (mouseover)=\"onOptionHover(i)\">\r\n\r\n                    <span unoDropdownItem role=\"menuitem\" class=\"picklist-box picklist-border\">\r\n                        <p class=\"slds-truncate\" style=\"display: contents;\">\r\n                            <input *ngIf=\"showCheckBox\" type=\"checkbox\" [checked]=\"isOptionActive(item)\">\r\n                            <span class=\"picklist-text slds-truncate\">\r\n                                <ng-template [ngTemplateOutlet]=\"itemTemplate?.templateRef\" [ngTemplateOutletContext]=\"{$implicit: item}\"></ng-template>\r\n                            </span>\r\n                        </p>\r\n                    </span>\r\n                </li>\r\n                <li *ngIf=\"insertCreateButton\" class=\"slds-dropdown__item\"\r\n                    uno-pick-option\r\n                    [unoPickOption]=\"'addButton'\"\r\n                    (mouseover)=\"onOptionHover(0)\">\r\n\r\n                    <a unoDropdownItem role=\"menuitem\" class=\"slds-p-around--small\" style=\"cursor: pointer; display: block; border-top: solid 1px #9e9e9e45\">\r\n                        <uno-icon size=\"x-small\" icon=\"plus\" style=\"padding-right: 10px\"></uno-icon>\r\n                        {{ addButton }}\r\n                    </a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n</div>", styles: ["li.slds-is-active{background-color:#f4f6f9}ul.dropdown__list{max-height:200px;overflow-x:hidden}.positionInherit{position:inherit!important}.picklist-border{border-bottom:.5px solid #d6e0e8}.picklist-box{margin:0 10px;height:41px;align-items:center;display:flex;outline:0;cursor:pointer}.picklist-text{font-family:OpenSans;font-size:12px;color:var(--dark-blue-grey);padding-left:.5rem;vertical-align:text-bottom}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: DropdownDirective, selector: "[unoDropdown]", inputs: ["open", "unoDropdownHandlePageEvents"], outputs: ["openChange", "selectedElem"] }, { type: DropdownTriggerDirective, selector: "[unoDropdownTrigger]" }, { type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: ScrollTrackerDirective, selector: "[unoScrollTracker]", outputs: ["scrollEndReached"] }, { type: PickOptionDirective, selector: "[uno-pick-option]", inputs: ["unoPickOption", "unoPickActiveClass"], exportAs: ["unoPickOption"] }, { type: DropdownItemDirective, selector: "[unoDropdownItem]" }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PicklistComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-picklist[unoPick]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<!-- picklist HTML is a <span unoDropdown /> markup, with specific TS behaviors - like multiple selection, items list online filtering, etc. -->\r\n<div\r\n     class=\"slds-combobox\"\r\n     unoDropdown\r\n     [open]=\"open\"\r\n     [unoDropdownHandlePageEvents]=\"closeClickOutside\"\r\n\r\n     (openChange)=\"openChange.emit($event)\"\r\n     (selectedElem)=\"onSelectedElem($event)\">\r\n\r\n    <div class=\"slds-combobox__form-element slds-input-has-icon slds-input-has-icon--right\">\r\n        <!-- the Dropdown trigger: -->\r\n        <button\r\n                type=\"button\"\r\n                class=\"slds-grid slds-grid--vertical-align-center\"\r\n                unoDropdownTrigger\r\n                [class.slds-input]=\"!isForInlineTableCSS\"\r\n                [class.slds-button]=\"isForInlineTableCSS\"\r\n                [disabled]=\"isDisabled\">\r\n            <ng-content></ng-content>\r\n        </button>\r\n        <span class=\"slds-icon__container slds-input__icon slds-input__icon--right\" unoDropdownTrigger>\r\n            <uno-icon icon=\"down_s\" size=\"xx-small\" class=\"slds-m-left_small slds-float--right\"></uno-icon>\r\n        </span>\r\n\r\n        <!-- the Dropdown list of items -->\r\n        <div\r\n             class=\"slds-dropdown slds-dropdown--left\"\r\n             [ngClass]=\"{ 'slds-dropdown_fluid': fluid, 'slds-p-top--none': hasFilter, 'slds-dropdown--open-up': isToOpenUp, 'positionInherit': position }\"\r\n             role=\"listbox\">\r\n\r\n            <!-- filtering user input box possibility-->\r\n            <input\r\n                   *ngIf=\"hasFilter\"\r\n                   class=\"slds-input\"\r\n                   #filterInput\r\n                   [attr.placeholder]=\"filterPlaceholder\"\r\n                   [ngModel]=\"userFilter\"\r\n                   (ngModelChange)=\"filterChange($event)\"\r\n\r\n                   (keydown.enter)=\"onFilterPick()\"\r\n                   (keydown.arrowdown)=\"setFilterActive(1, $event)\"\r\n                   (keydown.arrowup)=\"setFilterActive(-1, $event)\"\r\n                   (focus)=\"onFilterFocus()\"\r\n                   (blur)=\"onFilterBlur()\">\r\n\r\n            <!-- the Dropdown list of items -->\r\n            <ul style=\"max-height: 250px; overflow-y: auto;\"\r\n                class=\"slds-listbox slds-listbox_vertical\"\r\n                [ngClass]=\"dropdownListClass\"\r\n                role=\"presentation\"\r\n                unoScrollTracker\r\n                (scrollEndReached)=\"scrollEndReached.emit($event)\">\r\n\r\n                <!-- Insert blank element, to reset piked item ? -->\r\n                <li *ngIf=\"insertBlankElement && !pick.isMultiple\" class=\"slds-dropdown__item unselect-item\"\r\n                    uno-pick-option\r\n                    [unoPickOption]=\"''\"\r\n                    (mouseover)=\"onOptionHover(-1)\">\r\n\r\n                    <a unoDropdownItem role=\"menuitem\" translate>-- (select none) --</a>\r\n                </li>\r\n                <!-- Cycle of all [filteredData] elements: -->\r\n                <li *ngFor=\"let item of filteredData; let i = index;\" class=\"slds-dropdown__item\"\r\n                    uno-pick-option\r\n                    [unoPickOption]=\"item\"\r\n                    [class.slds-is-active]=\"isOptionActive(item)\"\r\n                    (mouseover)=\"onOptionHover(i)\">\r\n\r\n                    <span unoDropdownItem role=\"menuitem\" class=\"picklist-box picklist-border\">\r\n                        <p class=\"slds-truncate\" style=\"display: contents;\">\r\n                            <input *ngIf=\"showCheckBox\" type=\"checkbox\" [checked]=\"isOptionActive(item)\">\r\n                            <span class=\"picklist-text slds-truncate\">\r\n                                <ng-template [ngTemplateOutlet]=\"itemTemplate?.templateRef\" [ngTemplateOutletContext]=\"{$implicit: item}\"></ng-template>\r\n                            </span>\r\n                        </p>\r\n                    </span>\r\n                </li>\r\n                <li *ngIf=\"insertCreateButton\" class=\"slds-dropdown__item\"\r\n                    uno-pick-option\r\n                    [unoPickOption]=\"'addButton'\"\r\n                    (mouseover)=\"onOptionHover(0)\">\r\n\r\n                    <a unoDropdownItem role=\"menuitem\" class=\"slds-p-around--small\" style=\"cursor: pointer; display: block; border-top: solid 1px #9e9e9e45\">\r\n                        <uno-icon size=\"x-small\" icon=\"plus\" style=\"padding-right: 10px\"></uno-icon>\r\n                        {{ addButton }}\r\n                    </a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n</div>", styles: ["li.slds-is-active{background-color:#f4f6f9}ul.dropdown__list{max-height:200px;overflow-x:hidden}.positionInherit{position:inherit!important}.picklist-border{border-bottom:.5px solid #d6e0e8}.picklist-box{margin:0 10px;height:41px;align-items:center;display:flex;outline:0;cursor:pointer}.picklist-text{font-family:OpenSans;font-size:12px;color:var(--dark-blue-grey);padding-left:.5rem;vertical-align:text-bottom}\n"] }]
        }], ctorParameters: function () { return [{ type: PickDirective }]; }, propDecorators: { data: [{
                type: Input
            }], fluid: [{
                type: Input
            }], isDisabled: [{
                type: Input
            }], isForInlineTableCSS: [{
                type: Input
            }], dropdownListClass: [{
                type: Input
            }], insertBlankElement: [{
                type: Input
            }], insertCreateButton: [{
                type: Input
            }], filterDataField: [{
                type: Input
            }], filterPlaceholder: [{
                type: Input
            }], listSizeForFilter: [{
                type: Input
            }], open: [{
                type: Input
            }], closeClickOutside: [{
                type: Input
            }], isToOpenUp: [{
                type: Input
            }], addButton: [{
                type: Input
            }], showCheckBox: [{
                type: Input
            }], position: [{
                type: Input
            }], openChange: [{
                type: Output
            }], userChangedFilter: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }], scrollEndReached: [{
                type: Output
            }], itemTemplate: [{
                type: ContentChild,
                args: [PickItemDirective]
            }], filterInput: [{
                type: ViewChild,
                args: ['filterInput']
            }] } });

class CustomDateAdapter extends MomentDateAdapter {
    getDayOfWeekNames(style) {
        return ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb'];
    }
}
const MY_FORMATS = {
    parse: {
        dateInput: 'DD/MM/YYYY',
    },
    display: {
        dateInput: 'DD/MM/YYYY',
        monthYearLabel: 'MMM YYYY',
        dateA11yLabel: 'LL',
        monthYearA11yLabel: 'MMMM YYYY',
    },
};
class Datepicker2Component {
    constructor(fb) {
        this.fb = fb;
        // Label for the placeholder
        this.chooseLabel = 'Choose a date';
        // Variable to disable the datepicker
        this.disable = false;
        // Variable to add the required validation to the form
        this.required = false;
        // Variable to disable the click on the calendar
        this.disableCalendar = false;
        // Variable to hide erro message on when table edit in line
        this.hideError = false;
        this.reset = false;
        this.dateRange = false;
        // Emitter to detect changes on the date
        this.dateChange = new EventEmitter();
        this.dateForm = new FormControl('');
    }
    clickout(event) {
        // const cells = Array.from(document.querySelectorAll<HTMLDivElement>('.mat-calendar .mat-calendar-table-header tr th'));
        // cells.forEach((c) => {
        //     c.innerText = c.innerText === '2ª' ? 'S' : c.innerText;
        //     c.innerText = c.innerText === '3ª' ? 'T' : c.innerText;
        //     c.innerText = c.innerText === '4ª' ? 'Q' : c.innerText;
        //     c.innerText = c.innerText === '5ª' ? 'Q' : c.innerText;
        //     c.innerText = c.innerText === '6ª' ? 'S' : c.innerText;
        //     c.innerText = c.innerText === 'Sá' ? 'S' : c.innerText;
        //     c.innerText = c.innerText === 'Do' ? 'D' : c.innerText;
        // });
    }
    ngOnChanges(changes) {
        if (changes.disable && this.disable) {
            this.dateForm.disable();
        }
        if (changes.disable && !this.disable) {
            this.dateForm.enable();
        }
        if (changes.required && this.required) {
            this.dateForm.setValidators(Validators.required);
        }
        if (changes.date && changes.date.currentValue) {
            this.dateForm.reset();
            this.dateForm.setValue(this.date);
            if (!this.disable && !this.disableCalendar) {
                if ((this.min && new Date(this.date)) < new Date(this.min) || (this.max && new Date(this.date)) > new Date(this.max)) {
                    this.dateChange.emit("invalid");
                }
            }
            this.dateForm.markAsDirty();
        }
        if (changes.reset && this.reset) {
            this.dateForm.setValue(null);
        }
        if (changes.dateRange && changes.dateRange.currentValue) {
            this.form = this.fb.group({
                start: [{ value: '', disabled: true }],
                end: [{ value: '', disabled: true }]
            });
        }
        if (changes.startDateRange && changes.startDateRange.currentValue) {
            if (this.form) {
                this.form.controls.start.setValue(this.startDateRange);
            }
        }
        if (changes.endDateRange && changes.endDateRange.currentValue) {
            if (this.form) {
                this.form.controls.end.setValue(this.endDateRange);
            }
        }
        if (changes.min && changes.min.currentValue) {
            // When change the min date value the datepicker dont remove the error message if date are valid.
            // It's need a click to update template. I try ChangeDetectionRef and didn't work.
            setTimeout(() => { document.getElementById('date').click(); });
        }
        if (changes.max && changes.max.currentValue) {
            // When change the min date value the datepicker dont remove the error message if date are valid.
            // It's need a click to update template. I try ChangeDetectionRef and didn't work.
            setTimeout(() => { document.getElementById('date').click(); });
        }
    }
    /**
     * Method to detect changes on the datepicker
     * @param type - Event type, input or calendar
     * @param event - new date
     */
    addEvent(type, event) {
        // When the form is valid emit a the date selected or written
        if (this.dateForm.valid && event.value) {
            const d = new Date(event.value);
            this.dateChange.emit(d);
        }
        else if (!event.value) {
            // when the date is delete emit a null
            this.dateChange.emit(null);
        }
        else {
            // When the form is invalid emit astring telling is invalid date
            this.dateChange.emit('invalid');
        }
    }
    dtpOpened() {
        setTimeout(() => {
            // const cells = Array.from(document.querySelectorAll<HTMLDivElement>('.mat-calendar .mat-calendar-table-header tr th'));
            // cells.forEach((c) => {
            //     c.innerText = c.innerText === '2ª' ? 'S' : c.innerText;
            //     c.innerText = c.innerText === '3ª' ? 'T' : c.innerText;
            //     c.innerText = c.innerText === '4ª' ? 'Q' : c.innerText;
            //     c.innerText = c.innerText === '5ª' ? 'Q' : c.innerText;
            //     c.innerText = c.innerText === '6ª' ? 'S' : c.innerText;
            //     c.innerText = c.innerText === 'Sá' ? 'S' : c.innerText;
            //     c.innerText = c.innerText === 'Do' ? 'D' : c.innerText;
            // });
        });
    }
    markAsDirty() {
        this.dateForm.markAsDirty();
    }
    onCloseDatePickerRange() {
        const obj = {
            start: new Date(this.form.value.start).toISOString(),
            end: new Date(this.form.value.end).toISOString()
        };
        this.dateChange.emit(obj);
    }
}
Datepicker2Component.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Datepicker2Component, deps: [{ token: i1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component });
Datepicker2Component.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: Datepicker2Component, selector: "uno-datepicker2", inputs: { chooseLabel: "chooseLabel", disable: "disable", required: "required", disableCalendar: "disableCalendar", hideError: "hideError", date: "date", startDateRange: "startDateRange", endDateRange: "endDateRange", min: "min", max: "max", reset: "reset", dateRange: "dateRange" }, outputs: { dateChange: "dateChange" }, host: { listeners: { "document:click": "clickout($event)" } }, providers: [
        // The locale would typically be provided on the root module of your application. We do it at
        // the component level here, due to limitations of our example generation script.
        { provide: MAT_DATE_LOCALE, useValue: 'pt-PT' },
        { provide: DateAdapter, useClass: CustomDateAdapter, deps: [MAT_DATE_LOCALE] },
        // `MomentDateAdapter` and `MAT_MOMENT_DATE_FORMATS` can be automatically provided by importing
        // `MatMomentDateModule` in your applications root module. We provide it at the component level
        // here, due to limitations of our example generation script.
        // {
        //     provide: DateAdapter,
        //     useClass: MomentDateAdapter,
        //     deps: [MAT_DATE_LOCALE, MAT_MOMENT_DATE_ADAPTER_OPTIONS]
        // },
        { provide: MAT_DATE_FORMATS, useValue: MY_FORMATS },
    ], usesOnChanges: true, ngImport: i0, template: "<mat-form-field [class.form-field]=\"!dateForm.disable && !dateForm.valid && dateForm.dirty\" appearance=\"outline\" style=\"width: 100%;\" id=\"date\">\r\n    <div class=\"slds-grid\">\r\n        <ng-container *ngIf=\"!dateRange\">\r\n            <div style=\"width: 100%;\">\r\n                <input\r\n                       [formControl]=\"dateForm\"\r\n                       (click)=\"markAsDirty()\"\r\n                       class=\"date-input\"\r\n                       matInput\r\n                       [matDatepicker]=\"picker\"\r\n                       [placeholder]=\"chooseLabel\"\r\n                       (dateChange)=\"addEvent('change', $event)\"\r\n                       [min]=\"min\"\r\n                       [max]=\"max\">\r\n                <mat-datepicker [disabled]=\"disableCalendar\" #picker></mat-datepicker>\r\n            </div>\r\n            <div style=\"padding-top: 8px;\">\r\n                <uno-icon icon=\"calendar\" (click)=\"picker.open()\" size=\"x-small\"></uno-icon>\r\n            </div>\r\n        </ng-container>\r\n        <!-- TODO: UPGRADE TO V10 TO BE ABLE TO USE DATE RANGE -->\r\n        <ng-container *ngIf=\"dateRange\">\r\n            <div style=\"width: 100%;\">\r\n                <mat-date-range-input [formGroup]=\"form\" [rangePicker]=\"pickerRange\" [min]=\"min\" [max]=\"max\" (click)=\"pickerRange.open()\">\r\n                    <input matStartDate formControlName=\"start\" [placeholder]=\"'startDate' | translate\">\r\n                    <input class=\"date-input\" matEndDate formControlName=\"end\" [placeholder]=\"'endDate' | translate\">\r\n                </mat-date-range-input>\r\n                <mat-date-range-picker #pickerRange [disabled]=\"disableCalendar\" (closed)=\"onCloseDatePickerRange()\"></mat-date-range-picker>\r\n            </div>\r\n            <div style=\"padding-top: 8px;\">\r\n                <uno-icon icon=\"calendar\" (click)=\"pickerRange.open()\" size=\"x-small\"></uno-icon>\r\n            </div>\r\n        </ng-container>\r\n    </div>\r\n</mat-form-field>\r\n<mat-error *ngIf=\"dateForm.hasError('required') && dateForm.dirty && !hideError\" class=\"slds-truncate\">\r\n    <uno-icon size=\"x-small\" icon=\"error_icon\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    <span class=\"slds-p-left_xx-small\" translate>requiredField</span>\r\n</mat-error>\r\n<mat-error *ngIf=\"(dateForm.hasError('matDatepickerMin') || dateForm.hasError('matDatepickerMax')) && dateForm.dirty && !hideError\" class=\"slds-truncate\">\r\n    <uno-icon size=\"x-small\" icon=\"error_icon\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    <span class=\"slds-p-left_xx-small\" translate>invalidDate</span>\r\n</mat-error>", styles: [".date-input{font-size:12px;color:var(--dark-blue-grey);font-family:OpenSans;min-height:36px;cursor:pointer}.form-field{box-shadow:0 0 0 1px var(--vermillion)!important;border-radius:5px}::ng-deep .mat-error{position:absolute;bottom:0;margin-bottom:-8px;color:var(--vermillion);white-space:nowrap}::ng-deep .cdk-overlay-container{z-index:9002!important}::ng-deep .mat-form-field-appearance-outline .mat-form-field-infix{padding:0!important}::ng-deep .mat-form-field-appearance-outline:not(.mat-form-field-disabled) .mat-form-field-flex:hover .mat-form-field-outline{transition:opacity 300s cubic-bezier(.25,.8,.25,1)!important}::ng-deep .mat-calendar-body-selected{background-color:var(--sapphire);color:#fff}::ng-deep .mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{color:transparent!important}::ng-deep .mat-button-wrapper{font-size:13px;font-weight:700;font-family:OpenSans;color:var(--dark-blue-grey)}::ng-deep .mat-form-field-appearance-outline.mat-form-field-disabled .mat-form-field-outline{color:#0000000f;background-color:var(--very-light-blue)}::ng-deep .mat-form-field-appearance-outline .mat-form-field-wrapper{margin:0!important;background-color:var(--white);border-radius:5px}::ng-deep .mat-form-field-wrapper{padding-bottom:0!important}::ng-deep .mat-form-field-infix{border-top:.45em solid transparent!important}\n"], components: [{ type: i2.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { type: i3$2.MatDatepicker, selector: "mat-datepicker", exportAs: ["matDatepicker"] }, { type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }, { type: i3$2.MatDateRangeInput, selector: "mat-date-range-input", inputs: ["rangePicker", "required", "dateFilter", "min", "max", "disabled", "separator", "comparisonStart", "comparisonEnd"], exportAs: ["matDateRangeInput"] }, { type: i3$2.MatDateRangePicker, selector: "mat-date-range-picker", exportAs: ["matDateRangePicker"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i6.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i3$2.MatDatepickerInput, selector: "input[matDatepicker]", inputs: ["matDatepicker", "min", "max", "matDatepickerFilter"], exportAs: ["matDatepickerInput"] }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i3$2.MatStartDate, selector: "input[matStartDate]", inputs: ["errorStateMatcher"], outputs: ["dateChange", "dateInput"] }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: i3$2.MatEndDate, selector: "input[matEndDate]", inputs: ["errorStateMatcher"], outputs: ["dateChange", "dateInput"] }, { type: i2.MatError, selector: "mat-error", inputs: ["id"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Datepicker2Component, decorators: [{
            type: Component,
            args: [{ selector: 'uno-datepicker2', providers: [
                        // The locale would typically be provided on the root module of your application. We do it at
                        // the component level here, due to limitations of our example generation script.
                        { provide: MAT_DATE_LOCALE, useValue: 'pt-PT' },
                        { provide: DateAdapter, useClass: CustomDateAdapter, deps: [MAT_DATE_LOCALE] },
                        // `MomentDateAdapter` and `MAT_MOMENT_DATE_FORMATS` can be automatically provided by importing
                        // `MatMomentDateModule` in your applications root module. We provide it at the component level
                        // here, due to limitations of our example generation script.
                        // {
                        //     provide: DateAdapter,
                        //     useClass: MomentDateAdapter,
                        //     deps: [MAT_DATE_LOCALE, MAT_MOMENT_DATE_ADAPTER_OPTIONS]
                        // },
                        { provide: MAT_DATE_FORMATS, useValue: MY_FORMATS },
                    ], changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-form-field [class.form-field]=\"!dateForm.disable && !dateForm.valid && dateForm.dirty\" appearance=\"outline\" style=\"width: 100%;\" id=\"date\">\r\n    <div class=\"slds-grid\">\r\n        <ng-container *ngIf=\"!dateRange\">\r\n            <div style=\"width: 100%;\">\r\n                <input\r\n                       [formControl]=\"dateForm\"\r\n                       (click)=\"markAsDirty()\"\r\n                       class=\"date-input\"\r\n                       matInput\r\n                       [matDatepicker]=\"picker\"\r\n                       [placeholder]=\"chooseLabel\"\r\n                       (dateChange)=\"addEvent('change', $event)\"\r\n                       [min]=\"min\"\r\n                       [max]=\"max\">\r\n                <mat-datepicker [disabled]=\"disableCalendar\" #picker></mat-datepicker>\r\n            </div>\r\n            <div style=\"padding-top: 8px;\">\r\n                <uno-icon icon=\"calendar\" (click)=\"picker.open()\" size=\"x-small\"></uno-icon>\r\n            </div>\r\n        </ng-container>\r\n        <!-- TODO: UPGRADE TO V10 TO BE ABLE TO USE DATE RANGE -->\r\n        <ng-container *ngIf=\"dateRange\">\r\n            <div style=\"width: 100%;\">\r\n                <mat-date-range-input [formGroup]=\"form\" [rangePicker]=\"pickerRange\" [min]=\"min\" [max]=\"max\" (click)=\"pickerRange.open()\">\r\n                    <input matStartDate formControlName=\"start\" [placeholder]=\"'startDate' | translate\">\r\n                    <input class=\"date-input\" matEndDate formControlName=\"end\" [placeholder]=\"'endDate' | translate\">\r\n                </mat-date-range-input>\r\n                <mat-date-range-picker #pickerRange [disabled]=\"disableCalendar\" (closed)=\"onCloseDatePickerRange()\"></mat-date-range-picker>\r\n            </div>\r\n            <div style=\"padding-top: 8px;\">\r\n                <uno-icon icon=\"calendar\" (click)=\"pickerRange.open()\" size=\"x-small\"></uno-icon>\r\n            </div>\r\n        </ng-container>\r\n    </div>\r\n</mat-form-field>\r\n<mat-error *ngIf=\"dateForm.hasError('required') && dateForm.dirty && !hideError\" class=\"slds-truncate\">\r\n    <uno-icon size=\"x-small\" icon=\"error_icon\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    <span class=\"slds-p-left_xx-small\" translate>requiredField</span>\r\n</mat-error>\r\n<mat-error *ngIf=\"(dateForm.hasError('matDatepickerMin') || dateForm.hasError('matDatepickerMax')) && dateForm.dirty && !hideError\" class=\"slds-truncate\">\r\n    <uno-icon size=\"x-small\" icon=\"error_icon\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    <span class=\"slds-p-left_xx-small\" translate>invalidDate</span>\r\n</mat-error>", styles: [".date-input{font-size:12px;color:var(--dark-blue-grey);font-family:OpenSans;min-height:36px;cursor:pointer}.form-field{box-shadow:0 0 0 1px var(--vermillion)!important;border-radius:5px}::ng-deep .mat-error{position:absolute;bottom:0;margin-bottom:-8px;color:var(--vermillion);white-space:nowrap}::ng-deep .cdk-overlay-container{z-index:9002!important}::ng-deep .mat-form-field-appearance-outline .mat-form-field-infix{padding:0!important}::ng-deep .mat-form-field-appearance-outline:not(.mat-form-field-disabled) .mat-form-field-flex:hover .mat-form-field-outline{transition:opacity 300s cubic-bezier(.25,.8,.25,1)!important}::ng-deep .mat-calendar-body-selected{background-color:var(--sapphire);color:#fff}::ng-deep .mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{color:transparent!important}::ng-deep .mat-button-wrapper{font-size:13px;font-weight:700;font-family:OpenSans;color:var(--dark-blue-grey)}::ng-deep .mat-form-field-appearance-outline.mat-form-field-disabled .mat-form-field-outline{color:#0000000f;background-color:var(--very-light-blue)}::ng-deep .mat-form-field-appearance-outline .mat-form-field-wrapper{margin:0!important;background-color:var(--white);border-radius:5px}::ng-deep .mat-form-field-wrapper{padding-bottom:0!important}::ng-deep .mat-form-field-infix{border-top:.45em solid transparent!important}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.FormBuilder }]; }, propDecorators: { chooseLabel: [{
                type: Input
            }], disable: [{
                type: Input
            }], required: [{
                type: Input
            }], disableCalendar: [{
                type: Input
            }], hideError: [{
                type: Input
            }], date: [{
                type: Input
            }], startDateRange: [{
                type: Input
            }], endDateRange: [{
                type: Input
            }], min: [{
                type: Input
            }], max: [{
                type: Input
            }], reset: [{
                type: Input
            }], dateRange: [{
                type: Input
            }], dateChange: [{
                type: Output
            }], clickout: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class ButtonDirective {
    constructor(element, renderer) {
        this.element = element;
        this.renderer = renderer;
        // Using BEM, define our prefix for all button's customized styles/classes:
        this.prefixType = `slds-uno-button--`;
        this.prefixSize = `slds-uno-button-size--`;
        // Define our common "button" class, for all un-button's type, size, whatever:
        this.renderer.addClass(this.element.nativeElement, 'slds-uno-button');
    }
    set setType(type) {
        replaceClass(this, `${this.prefixType}${type}`, type ? `${this.prefixType}${type}` : '');
    }
    set setSize(size) {
        replaceClass(this, `${this.prefixSize}${size}`, size ? `${this.prefixSize}${size}` : '');
    }
}
ButtonDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ButtonDirective, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Directive });
ButtonDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ButtonDirective, selector: "[unoButton]", inputs: { setType: ["unoType", "setType"], setSize: ["unoSize", "setSize"] }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ButtonDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoButton]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; }, propDecorators: { setType: [{
                type: Input,
                args: ['unoType']
            }], setSize: [{
                type: Input,
                args: ['unoSize']
            }] } });

class ControlErrorComponent {
    constructor(cdr) {
        this.cdr = cdr;
        this._hide = true;
    }
    set text(value) {
        if (value !== this._text) {
            this._text = value;
            this._hide = !value;
            this.cdr.detectChanges();
        }
    }
    set useOurValidation(value) {
        if (value !== this._useOurValidation) {
            this._useOurValidation = value;
            this.cdr.detectChanges();
        }
    }
}
ControlErrorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ControlErrorComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
ControlErrorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ControlErrorComponent, selector: "ng-component", inputs: { text: "text", useOurValidation: "useOurValidation" }, ngImport: i0, template: "<div *ngIf=\"_useOurValidation\" class=\"validator-error-message slds-truncate\" [class.hide]=\"_hide\">\r\n    <uno-icon size=\"x-small\" icon=\"error_icon\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    <span class=\"slds-p-left_xx-small\">{{ _text }}</span>\r\n</div>", styles: [".hide{display:none}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ControlErrorComponent, decorators: [{
            type: Component,
            args: [{ changeDetection: ChangeDetectionStrategy.OnPush, styles: [
                        `.hide {
            display: none
        }`
                    ], template: "<div *ngIf=\"_useOurValidation\" class=\"validator-error-message slds-truncate\" [class.hide]=\"_hide\">\r\n    <uno-icon size=\"x-small\" icon=\"error_icon\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    <span class=\"slds-p-left_xx-small\">{{ _text }}</span>\r\n</div>" }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { text: [{
                type: Input
            }], useOurValidation: [{
                type: Input
            }] } });

class ControlErrorContainerDirective {
    constructor(vcr) {
        this.vcr = vcr;
    }
}
ControlErrorContainerDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ControlErrorContainerDirective, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive });
ControlErrorContainerDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ControlErrorContainerDirective, selector: "[controlErrorContainer]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ControlErrorContainerDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[controlErrorContainer]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ViewContainerRef }]; } });

// https://netbasal.com/make-your-angular-forms-error-messages-magically-appear-1e32350b7fa5
class ControlErrorDirective {
    constructor(vcr, controlErrorContainer, controlDir, translate) {
        this.vcr = vcr;
        this.controlDir = controlDir;
        this.translate = translate;
        this.customErrors = {};
        this.useOurValidation = true;
        this.subscription$ = new Subscription();
        this.container = controlErrorContainer ? controlErrorContainer.vcr : vcr;
    }
    ngOnInit() {
        this.subscription$.add(this.control.valueChanges
            .subscribe((v) => {
            const controlErrors = this.control.errors;
            if (controlErrors) {
                const firstKey = Object.keys(controlErrors)[0];
                const text = this.customErrors[firstKey] || this.getError(firstKey, controlErrors);
                this.setError(text);
            }
            else if (this.ref) {
                this.setError(null);
            }
        }));
    }
    ngOnDestroy() {
        this.subscription$.unsubscribe();
    }
    get control() {
        return this.controlDir.control;
    }
    setError(text) {
        if (!this.ref) {
            this.ref = this.container.createComponent(ControlErrorComponent);
        }
        this.ref.instance.text = text;
        this.ref.instance.useOurValidation = this.useOurValidation;
    }
    getError(firstKey, controlErrors) {
        switch (firstKey) {
            case 'required':
                return this.translate.instant('requiredField');
            case 'min':
                return `Min. ${controlErrors[firstKey].min}`;
            case 'minlength':
                return `${this.translate.instant('expect')} ${controlErrors[firstKey].requiredLength} ${this.translate.instant('butGot')} ${controlErrors[firstKey].actualLength}`;
            case 'max':
                return `Max. ${controlErrors[firstKey].max}`;
            case 'maxlength':
                return this.translate.instant('maxLengthField');
            case 'pattern':
                const regex = controlErrors[firstKey].requiredPattern.slice(1, controlErrors[firstKey].requiredPattern.length - 1);
                switch (regex) {
                    case PHONE_REGEX.source.toString():
                        return this.translate.instant('phoneField');
                    case PHONE_REGEX_V2.source.toString():
                        return 'Ex: +351 912345678'; // 'Use +(ind) number'
                    case EMAIL_REGEX.source.toString():
                        return this.translate.instant('emailField');
                    default: return this.translate.instant(`invalidField`);
                }
            default:
                return this.translate.instant('invalidField');
        }
    }
}
ControlErrorDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ControlErrorDirective, deps: [{ token: i0.ViewContainerRef }, { token: ControlErrorContainerDirective, optional: true }, { token: i1.NgControl }, { token: i3$1.TranslateService }], target: i0.ɵɵFactoryTarget.Directive });
ControlErrorDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ControlErrorDirective, selector: "[formControl], [formControlName]", inputs: { customErrors: "customErrors", useOurValidation: "useOurValidation" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ControlErrorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[formControl], [formControlName]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ViewContainerRef }, { type: ControlErrorContainerDirective, decorators: [{
                    type: Optional
                }] }, { type: i1.NgControl }, { type: i3$1.TranslateService }]; }, propDecorators: { customErrors: [{
                type: Input
            }], useOurValidation: [{
                type: Input
            }] } });

class ModalComponent {
    constructor(fb, cdRef, focusTrapFactory, document, overlay, element) {
        this.fb = fb;
        this.cdRef = cdRef;
        this.focusTrapFactory = focusTrapFactory;
        this.document = document;
        this.overlay = overlay;
        this.element = element;
        // Let the instalation state the path for each modal template's image/icon/svg, providing a default one
        this.templateIconPath = 'assets/images/default-modal-template-icon.svg';
        // Passed input can ONLY be 'large', triggering a Lightning System (only) size class.
        // Certain Nano Templated modals (basically the warning/success ones), are shorter, by design demands (see ngOnInit()):
        this.smallerModal = false;
        this.headerStr = '';
        this.subHeaderStr = '';
        this.headerAlign = 'left';
        this.modalIsDeaf = false;
        this.showDate = true;
        this.showExpiredDate = false;
        this.showTag = true;
        this.showComment = true;
        this.showType = true;
        this.showSSCType = false;
        this.showName = true;
        this.disableSSCType = false;
        this.disableInputFile = false;
        this.disableInputName = false;
        this.disableSSCDate = false;
        this.disableSSCStatus = false;
        this.disableDescription = false;
        this.disableComments = false;
        this.acceptedTypes = '*/*';
        this.sscStatusLabel = 'sscStatusLabel';
        // ======================================
        this._separateButtons = true;
        // ======================================
        this.open = true;
        // ======================================
        this.openChange = new EventEmitter();
        this.clickedButton = new EventEmitter();
        // Exclusively for assets3DModal Template
        this.selected3DScene = new EventEmitter();
        // Exclusively for 'docsUploadModal' template:
        // @Output() imageUploaded = new EventEmitter();
        this.selectedTypeEmitter = new EventEmitter();
        this.formValidation = new EventEmitter();
        this.formSubmitionData = new EventEmitter();
        this.closeOutside = new EventEmitter();
        this.formIsDirty = new EventEmitter();
        this.deleteFile = new EventEmitter();
        this.downloadTemplate = new EventEmitter();
        this.headingId = uniqueId('modal-heading');
        this.contentId = uniqueId('modal-content');
        this.resetDatePicker = false;
        this.fileUploadIsToBig = false;
        this.dD = {};
        this.elementFocusedBeforeDialogWasOpened = null;
        this.subscriptions$ = new Subscription();
        this.scrollStrategy = this.overlay.scrollStrategies.block();
        this.initDropDowns();
    }
    set separateButtons(separateButtons) {
        this._separateButtons = toBoolean(separateButtons);
    }
    get separateButtons() {
        return this._separateButtons;
    }
    set resetForm(_resetForm) {
        _resetForm = toBoolean(_resetForm);
        if (_resetForm === this.resetForm) {
            return;
        }
        this._resetForm = _resetForm;
        if (_resetForm) {
            this.resetUploadForm();
        }
    }
    get resetForm() {
        return this._resetForm;
    }
    set submitForm(_submitForm) {
        _submitForm = toBoolean(_submitForm);
        if (_submitForm === this.submitForm) {
            return;
        }
        this._submitForm = _submitForm;
        if (_submitForm) {
            this.formSubmitionData.emit(this.uploadForm.getRawValue());
            this.resetUploadForm();
        }
    }
    get submitForm() {
        return this._submitForm;
    }
    ngOnInit() {
        // See if installation is demanding a sort of Template that uses a smaller (less wide) modal:
        this.smallerModal = (this.templateType === 'successModal'
            || this.templateType === 'warningModal'
            || this.templateType === 'confirmDelModal'
            || this.templateType === 'confirmActionModal'
            || this.templateType === '') ? true : false;
    }
    ngOnChanges(changes) {
        // this.resetUploadForm();
        if (changes.open) {
            this.handleOpen();
        }
        if (changes.templateType && (this.templateType === 'docsUploadModal' || this.templateType === 'sscUploadModal')) {
            this.uploadForm = this.fb.group({
                name: ['', [Validators.minLength(3), Validators.maxLength(100), Validators.required, noWhitespaceValidator]],
                tag: [''],
                sscStatus: [''],
                documentType: ['', Validators.required],
                documentStatus: [''],
                documentDate: [],
                expiredDate: [null],
                documentResult: [''],
                description: ['', [Validators.minLength(3), Validators.maxLength(255), noWhitespaceValidator]],
                comments: ['', [Validators.minLength(3), Validators.maxLength(255), noWhitespaceValidator]],
                uploadedFile: [null, Validators.required]
            });
            // ... and Subscribe (to emit back) to any form changes/validation, so we can take action @ component's installation:
            this.subscriptions$.add(this.uploadForm.statusChanges.subscribe((formStatus) => {
                if (formStatus === 'INVALID') {
                    this.formValidation.emit(false);
                }
                else {
                    this.formValidation.emit(true);
                }
            }));
            this.uploadForm.valueChanges.subscribe(() => {
                this.formIsDirty.emit(this.uploadForm.dirty);
            });
            this.cdRef.detectChanges();
        }
        if (changes.editData && this.editData && this.templateType) {
            if (this.editData.file || this.editData.documentFileName) {
                this.uploadForm.controls.uploadedFile.clearValidators();
                this.uploadForm.controls.uploadedFile.updateValueAndValidity();
            }
            this.uploadForm.controls.name.setValue(this.editData.name);
            this.uploadForm.controls.tag.setValue(this.editData.documentTag);
            if (this.editData.documentType) {
                this.uploadForm.controls.sscStatus.clearValidators();
                this.uploadForm.controls.sscStatus.updateValueAndValidity();
                this.dD['docType'] = { id: this.editData.documentType.id, name: this.editData.documentType.name, opened: false, color: null };
                this.uploadForm.controls.documentType.setValue(this.editData.documentType);
                this.selectedTypeEmitter.emit(this.editData.documentType);
                if (this.editData.documentType.expirationDateRequired) {
                    this.uploadForm.controls.expiredDate.addValidators(Validators.required);
                    this.uploadForm.controls.expiredDate.updateValueAndValidity();
                }
                else {
                    this.uploadForm.controls.expiredDate.clearValidators();
                    this.uploadForm.controls.expiredDate.updateValueAndValidity();
                }
            }
            if (this.editData.documentStatus) {
                if (this.editData.documentStatus.color) {
                    this.dD['sscStatus'] = { id: this.editData.documentStatus.id, name: this.editData.documentStatus.name, color: this.editData.documentStatus.color, opened: false };
                    this.uploadForm.controls.sscStatus.setValue(this.editData.documentStatus);
                }
                else {
                    this.dD['docStatus'] = { id: this.editData.documentStatus.id, name: this.editData.documentStatus.name, opened: false, color: null };
                    this.uploadForm.controls.documentStatus.setValue(this.editData.documentStatus);
                }
            }
            if (this.editData.documentResult) {
                this.dD['docResult'] = { id: this.editData.documentResult.id, name: this.editData.documentResult.name, opened: false, color: null };
                this.uploadForm.controls.documentResult.setValue(this.editData.documentResult);
            }
            this.uploadForm.controls.documentDate.setValue(this.editData.documentDate);
            this.uploadForm.controls.description.setValue(this.editData.description);
            this.uploadForm.controls.comments.setValue(this.editData.comments);
            if (this.editData.expiredDate) {
                const date = new Date(this.editData.expiredDate);
                if (this.expireMinDate && this.editData.expiredDate < new Date()) {
                    this.datePickerExpiredData = date;
                    this.uploadForm.controls.expiredDate.setErrors({ invalid: true });
                }
                else {
                    this.datePickerExpiredData = date;
                    this.uploadForm.controls.expiredDate.setValue(date);
                }
            }
            if (this.editData.documentFileName) {
                this.file = { name: this.editData.documentFileName };
            }
            if (this.disableInputName) {
                this.uploadForm.controls.name.disable();
            }
            if (this.disableDescription) {
                this.uploadForm.controls.description.disable();
            }
            if (this.disableComments) {
                this.uploadForm.controls.comments.disable();
            }
            if (this.disableSSCType) {
                this.uploadForm.controls.documentType.disable();
            }
            if (this.disableSSCStatus) {
                this.uploadForm.controls.sscStatus.disable();
            }
        }
        if (changes.docStatusSelector && this.docStatusSelector) {
            this.uploadForm.controls.documentStatus.setValidators(Validators.required);
            this.uploadForm.controls.documentStatus.updateValueAndValidity();
        }
        if (changes.docResultSelector && this.docResultSelector) {
            this.uploadForm.controls.documentResult.setValidators(Validators.required);
            this.uploadForm.controls.documentResult.updateValueAndValidity();
        }
    }
    ngOnDestroy() {
        this.handleOpen(false);
        this.scrollStrategy = null;
        this.subscriptions$.unsubscribe();
    }
    initDropDowns() {
        this.dD['docType'] = { id: null, name: null, opened: false, color: null };
        this.dD['docStatus'] = { id: null, name: null, opened: false, color: null };
        this.dD['docResult'] = { id: null, name: null, opened: false, color: null };
        this.dD['sscStatus'] = { id: null, name: null, opened: false, color: null };
    }
    /**
     * Listen for "esc" key pressed by user to close opened Modal
     *
     * @param evt
     */
    close(evt) {
        if (!this.modalIsDeaf) {
            evt.stopPropagation();
            this.openChange.emit(false);
        }
    }
    /**
     * Listen for "click" outside Modal to close opened Modal
     *
     * @param evt
     */
    stopPropagation(evt) {
        if (!this.modalIsDeaf) {
            evt.stopPropagation();
            const target = evt.target;
            if (target.closest('.slds-modal__content') === null) {
                this.openChange.emit(false);
                this.resetUploadForm();
                if (this.dragDropFile) {
                    this.dragDropFile.file = null;
                }
                this.closeOutside.emit();
            }
        }
    }
    modalClose(action) {
        this.open = !this.open;
        // Close it:
        this.openChange.emit(false);
        // Emit back:
        this.clickedButton.emit(action);
    }
    // ===========================================
    // Exclusively for assets3DModal Template;
    // ===========================================
    onSelectingScene(sceneIdx) {
        this.selected3DScene.emit(sceneIdx);
    }
    // ===========================================
    // Exclusively for 'docsUploadModal' template:
    // ===========================================
    // Updates Dropdowns selected value and corresponding form controller, with each user selection:
    updateWithSelectedOption(selectorName, selectedItem, formControlName) {
        // Update Name and Id of the selector Global var:
        this.dD[selectorName].id = selectedItem.id;
        this.dD[selectorName].name = selectedItem.name;
        // ... and the uploadForm Controller's value:
        this.uploadForm.controls[formControlName].setValue(selectedItem);
        if (selectorName === 'docType') {
            this.uploadForm.controls.documentStatus.clearValidators();
            this.uploadForm.controls.documentResult.clearValidators();
            this.uploadForm.controls.sscStatus.clearValidators();
            this.uploadForm.controls.documentResult.updateValueAndValidity();
            this.uploadForm.controls.documentStatus.updateValueAndValidity();
            this.uploadForm.controls.sscStatus.updateValueAndValidity();
            this.uploadForm.controls.documentStatus.markAsDirty();
            this.uploadForm.controls.documentStatus.setValue(null);
            this.uploadForm.controls.documentResult.setValue(null);
            this.dD['docStatus'] = { id: null, name: null, opened: false, color: null };
            this.dD['docResult'] = { id: null, name: null, opened: false, color: null };
            this.selectedTypeEmitter.emit(selectedItem);
        }
        if (selectorName === 'sscStatus') {
            this.dD[selectorName].color = selectedItem.color;
            this.uploadForm.controls.documentType.clearValidators();
            this.uploadForm.controls.documentType.updateValueAndValidity();
            this.uploadForm.controls.sscStatus.markAsDirty();
            this.uploadForm.controls.sscStatus.setValue(selectedItem);
        }
        this.uploadForm.controls[formControlName].markAsTouched();
    }
    // As an Input() parameter to <uno-modal />, you can reset the 'docsUploadModal' template from the (exterior) instalation side:
    resetUploadForm() {
        // The Inputs, Selects and Textareas:
        this.datePickerExpiredData = null;
        this.datePickerData = null;
        this.resetDatePicker = true;
        // Now the uno-dropdowns:
        this.initDropDowns();
        // ... not forgeting the file upload fancy boxing!
        // There's only ONE:
        this.file = null;
        if (this.uploadForm) {
            this.uploadForm.reset();
        }
    }
    /**
     * Method to set new date on the form
     *
     * @param event - New Date selected
     */
    templateEventEmited(event) {
        if (event && event !== 'invalid') {
            this.uploadForm.controls.documentDate.markAsDirty();
            this.uploadForm.controls.documentDate.setValue(event);
        }
        else if (event === 'invalid') {
            this.uploadForm.controls.documentDate.setErrors({ invalid: true });
        }
        else {
            this.uploadForm.controls.documentDate.markAsDirty();
            this.uploadForm.controls.documentDate.setValue(null);
        }
        this.resetDatePicker = false;
    }
    expireDateEmited(event) {
        if (event && event !== 'invalid') {
            this.uploadForm.controls.expiredDate.markAsDirty();
            this.uploadForm.controls.expiredDate.setValue(event);
        }
        else if (event === 'invalid') {
            this.uploadForm.controls.expiredDate.setErrors({ invalid: true });
        }
        else {
            this.uploadForm.controls.expiredDate.markAsDirty();
            this.uploadForm.controls.expiredDate.setValue(null);
        }
        this.resetDatePicker = false;
    }
    onFileDropped(evt) {
        this.uploadForm.controls.uploadedFile.markAsDirty();
        this.uploadForm.controls.uploadedFile.setValue(evt);
    }
    onDeleteFile(evt) {
        this.deleteFile.emit(evt);
    }
    onDownloadTemplate() {
        this.downloadTemplate.emit(this.editData.documentType);
    }
    handleOpen(open = this.open) {
        if (open) {
            if (this.document) {
                this.elementFocusedBeforeDialogWasOpened = this.document.activeElement;
            }
            this.container = this.overlay.create();
            this.container.overlayElement.appendChild(this.element.nativeElement);
            this.focusTrap = this.focusTrapFactory.create(this.element.nativeElement);
            this.focusTrap.focusInitialElementWhenReady();
            this.scrollStrategy.enable();
        }
        else {
            if (this.elementFocusedBeforeDialogWasOpened && typeof this.elementFocusedBeforeDialogWasOpened.focus === 'function') {
                this.elementFocusedBeforeDialogWasOpened.focus();
            }
            if (this.container) {
                this.container.dispose();
                this.container = null;
            }
            if (this.focusTrap) {
                this.focusTrap.destroy();
            }
            this.scrollStrategy.disable();
        }
    }
}
ModalComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ModalComponent, deps: [{ token: i1.FormBuilder }, { token: i0.ChangeDetectorRef }, { token: i2$1.ConfigurableFocusTrapFactory }, { token: DOCUMENT }, { token: i3$3.Overlay }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
ModalComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ModalComponent, selector: "uno-modal", inputs: { templateType: "templateType", templateCustomMsg: "templateCustomMsg", docTypeSelector: "docTypeSelector", docStatusSelector: "docStatusSelector", docResultSelector: "docResultSelector", sscStatusSelector: "sscStatusSelector", templateIconPath: "templateIconPath", size: "size", smallerModal: "smallerModal", headerStr: "headerStr", subHeaderStr: "subHeaderStr", headerAlign: "headerAlign", modalIsDeaf: "modalIsDeaf", editData: "editData", showDate: "showDate", showExpiredDate: "showExpiredDate", showTag: "showTag", showComment: "showComment", showType: "showType", showSSCType: "showSSCType", showName: "showName", disableSSCType: "disableSSCType", disableInputFile: "disableInputFile", disableInputName: "disableInputName", disableSSCDate: "disableSSCDate", disableSSCStatus: "disableSSCStatus", disableDescription: "disableDescription", disableComments: "disableComments", fileSize: "fileSize", acceptedTypes: "acceptedTypes", documentMinDate: "documentMinDate", documentMaxDate: "documentMaxDate", expireMinDate: "expireMinDate", expireMaxDate: "expireMaxDate", sscStatusLabel: "sscStatusLabel", separateButtons: "separateButtons", open: "open", resetForm: "resetForm", submitForm: "submitForm" }, outputs: { openChange: "openChange", clickedButton: "clickedButton", selected3DScene: "selected3DScene", selectedTypeEmitter: "selectedTypeEmitter", formValidation: "formValidation", formSubmitionData: "formSubmitionData", closeOutside: "closeOutside", formIsDirty: "formIsDirty", deleteFile: "deleteFile", downloadTemplate: "downloadTemplate" }, host: { listeners: { "keydown.esc": "close($event)", "click": "stopPropagation($event)" } }, queries: [{ propertyName: "headerDirective", first: true, predicate: ModalHeaderDirective, descendants: true }, { propertyName: "footerDirective", first: true, predicate: ModalFooterDirective, descendants: true }], viewQueries: [{ propertyName: "dragDropFile", first: true, predicate: DragDropFileComponent, descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"slds-modal\"\r\n     [class.slds-fade-in-open]=\"open\"\r\n     [ngClass]=\"[size ? 'slds-modal--' + size : '']\"\r\n     [attr.aria-hidden]=\"!open\"\r\n     [attr.aria-labelledby]=\"headingId\"\r\n     [attr.aria-describedby]=\"contentId\"\r\n     role=\"dialog\">\r\n\r\n    <div class=\"slds-modal__container\" [class.slds-modal-small-container--of-template]=\"smallerModal\">\r\n\r\n        <!-- Modal Header -->\r\n        <header class=\"slds-modal__header\" [class.slds-modal__header--empty]=\"!(headerStr || headerDirective)\" [style.text-align]=\"headerAlign\">\r\n\r\n            <!-- ... using Input Directives: -->\r\n            <ng-template #localHeader>\r\n                <h2 *ngIf=\"headerStr\" class=\"slds-text-heading_large\" [id]=\"headingId\">{{ headerStr }}</h2>\r\n                <h3 *ngIf=\"subHeaderStr\" class=\"slds-text-heading_small\" style=\"color: var(--slate-grey)\">{{ subHeaderStr }}</h3>\r\n            </ng-template>\r\n\r\n            <!-- ...using Angular Template: -->\r\n            <ng-template *ngIf=\"headerDirective; else localHeader\" [ngTemplateOutlet]=\"headerDirective.templateRef\"\r\n                         [ngTemplateOutletContext]=\"{ id: headingId }\"></ng-template>\r\n\r\n        </header>\r\n\r\n        <!-- Modal Body -->\r\n        <div class=\"slds-modal__content\" [id]=\"contentId\" cdkScrollable=\"cdkScrollable\">\r\n\r\n            <!-- ... using Angular Template (by Content Tag/Id) to be fully done @ instalation HTML -->\r\n            <ng-content></ng-content>\r\n\r\n            <!-- ... using pre-defined UNO ui lib Angular Templates, SPECIFIC to apply into Nano APP!-->\r\n            <div [ngSwitch]=\"templateType\">\r\n\r\n                <ng-template [ngSwitchCase]=\"'successModal'\">\r\n                    <div class=\"success-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>successTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'actionAccomplishedSuccess' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <button unoButton unoType=\"green\" class=\"slds-m-top--x-large\" (click)=\"modalClose('Ok');\" translate>okLabel</button>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'warningModal'\">\r\n                    <div class=\"warning-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>warningTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'actionNotMeetingCurrentSpecifications' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <button unoButton class=\"slds-button--warning slds-m-top--x-large\" (click)=\"modalClose('Ok');\" translate>okLabel</button>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'confirmDelModal'\">\r\n                    <div class=\"confirm-delete-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>warningTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 18px; margin-bottom: 5px;\" translate>deleteSubTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'proceedWithDeletion' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton class=\"slds-button--destructive slds-m-top--x-large\" (click)=\"modalClose('Delete');\" translate>delete</button>\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton unoType=\"secondary\" class=\"slds-m-top--x-small\" (click)=\"modalClose('Cancel');\" translate>cancel</button>\r\n                        </div>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'confirmActionModal'\">\r\n                    <div class=\"confirm-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>confirmTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'confirmAction' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton class=\"slds-button--warning slds-m-top--x-large\" (click)=\"modalClose('Proceed');\" translate>proceedLabel</button>\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton unoType=\"secondary\" class=\"slds-m-top--x-small\" (click)=\"modalClose('Cancel');\" translate>cancel</button>\r\n                        </div>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'docsUploadModal'\">\r\n                    <form [formGroup]=\"uploadForm\" class=\"uno-forms slds-grid slds-gutters_small slds-wrap slds-p-around--large\"\r\n                          style=\"background: var(--pale-grey);\">\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <uno-drag-drop-file [file]=\"file\"\r\n                                                [disabled]=\"disableInputFile\"\r\n                                                [maxFileSize]=\"fileSize\"\r\n                                                [disabledTrash]=\"true\"\r\n                                                [disabledDownload]=\"true\"\r\n                                                (filesDropped)=\"onFileDropped($event)\"\r\n                                                (deleteFile)=\"onDeleteFile($event)\">\r\n                            </uno-drag-drop-file>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\" *ngIf=\"showName\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>nameLabel</label>\r\n                                <input type=\"text\" class=\"slds-input\" [placeholder]=\"'insertName' | translate\" formControlName=\"name\">\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-2\" *ngIf=\"showTag\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>tagLabel</label>\r\n                                <input type=\"text\" class=\"slds-input\" [placeholder]=\"'insertTag' | translate\" formControlName=\"tag\">\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-2\" *ngIf=\"showType\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentTypeLabel</label>\r\n                                <uno-picklist [data]=\"docTypeSelector\"\r\n                                              [(open)]=\"dD?.docType.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocType\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docType', pickDocType, 'documentType')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docType.name || ('selectItemLabel' | translate)\">{{ dD?.docType.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"showDate\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentDateLabel</label>\r\n                                <div class=\"date-picker-demo-container\">\r\n                                    <uno-datepicker2 [min]=\"documentMinDate\"\r\n                                                     [max]=\"documentMaxDate\"\r\n                                                     (dateChange)=\"templateEventEmited($event)\"\r\n                                                     [date]=\"datePickerData\"\r\n                                                     [chooseLabel]=\"'chooseDateLabel' | translate\"\r\n                                                     [disableCalendar]=\"false\"\r\n                                                     [reset]=\"resetDatePicker\"\r\n                                                     [disable]=\"false\">\r\n                                    </uno-datepicker2>\r\n                                </div>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"showExpiredDate\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentDateLabel</label>\r\n                                <div class=\"date-picker-demo-container\">\r\n                                    <uno-datepicker2 [min]=\"expireMinDate\"\r\n                                                     [max]=\"expireMaxDate\"\r\n                                                     (dateChange)=\"expireDateEmited($event)\"\r\n                                                     [date]=\"datePickerExpiredData\"\r\n                                                     [chooseLabel]=\"'chooseDateLabel' | translate\"\r\n                                                     [disableCalendar]=\"false\"\r\n                                                     [reset]=\"resetDatePicker\"\r\n                                                     [disable]=\"false\">\r\n                                    </uno-datepicker2>\r\n                                </div>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"docStatusSelector\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentStatusLabel</label>\r\n                                <uno-picklist [data]=\"docStatusSelector\"\r\n                                              [(open)]=\"dD?.docStatus.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocStatus\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docStatus', pickDocStatus, 'documentStatus')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docStatus.name || ('selectItemLabel' | translate)\">{{ dD?.docStatus.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"docResultSelector\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentResultLabel</label>\r\n                                <uno-picklist [data]=\"docResultSelector\"\r\n                                              [(open)]=\"dD?.docResult.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocResult\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docResult', pickDocResult, 'documentResult')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docResult.name || ('selectItemLabel' | translate)\">{{ dD?.docResult.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\" *ngIf=\"showComment\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>commentsLabel<span style=\"font-style: italic\" translate>optionalLabel</span></label>\r\n                                <textarea rows=\"4\" class=\"slds-input\" [placeholder]=\"'insertComments' | translate\" formControlName=\"description\"></textarea>\r\n                            </fieldset>\r\n                        </div>\r\n                    </form>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'sscUploadModal'\">\r\n                    <form [formGroup]=\"uploadForm\" class=\"uno-forms slds-grid slds-gutters_small slds-wrap slds-p-around--large\"\r\n                          style=\"background: var(--pale-grey);\">\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <uno-drag-drop-file [file]=\"file\"\r\n                                                [disabled]=\"disableInputFile\"\r\n                                                [maxFileSize]=\"fileSize\"\r\n                                                [disabledTrash]=\"true\"\r\n                                                [disabledDownload]=\"true\"\r\n                                                (filesDropped)=\"onFileDropped($event)\"\r\n                                                (deleteFile)=\"onDeleteFile($event)\">\r\n                            </uno-drag-drop-file>\r\n                        </div>\r\n\r\n                        <div *ngIf=\"editData?.documentType?.templateName\" class=\"slds-col slds-size--1-of-1 slds-p-top--small\">\r\n                            <div class=\"reference-template slds-grid slds-grid--vertical-align-center\">\r\n                                <uno-icon icon=\"info\" size=\"xx-small\" [withOpacity]=\"false\" class=\"slds-p-left--small slds-p-right--xx-small\"></uno-icon>\r\n                                {{ 'referenceTemplate' | translate }}:\r\n                                <span (click)=\"onDownloadTemplate()\">{{ editData.documentType.templateName }}</span>\r\n                            </div>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>nameLabel</label>\r\n                                <input type=\"text\" class=\"slds-input\" [placeholder]=\"'insertName' | translate\" formControlName=\"name\">\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-2\" *ngIf=\"showSSCType\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentTypeLabel</label>\r\n                                <uno-picklist [data]=\"docTypeSelector\"\r\n                                              [(open)]=\"dD?.docType.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocType\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docType', pickDocType, 'documentType')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docType.name || ('selectItemLabel' | translate)\">{{ dD?.docType.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>expireDateLabel</label>\r\n                                <div class=\"date-picker-demo-container\">\r\n                                    <uno-datepicker2 [min]=\"expireMinDate\"\r\n                                                     [max]=\"expireMaxDate\"\r\n                                                     [date]=\"datePickerExpiredData\"\r\n                                                     [chooseLabel]=\"'chooseDateLabel' | translate\"\r\n                                                     [disableCalendar]=\"disableSSCDate\"\r\n                                                     [reset]=\"resetDatePicker\"\r\n                                                     [disable]=\"disableSSCDate\"\r\n                                                     (dateChange)=\"expireDateEmited($event)\">\r\n                                    </uno-datepicker2>\r\n                                </div>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>{{ sscStatusLabel }}</label>\r\n                                <uno-picklist [data]=\"sscStatusSelector\"\r\n                                              [(open)]=\"dD?.sscStatus.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickStatus\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('sscStatus', pickStatus, 'sscStatus')\"\r\n                                              [isDisabled]=\"disableSSCStatus\">\r\n                                    <span *ngIf=\"dD?.sscStatus.name\" style=\"height: 12px; width: 12px; border-radius: 50%; margin-right: 10px;\"\r\n                                          [style.background-color]=\"dD?.sscStatus.color\"></span>\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.sscStatus.name || ('selectItemLabel' | translate)\">{{ dD?.sscStatus.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>\r\n                                        <span style=\"height: 12px; width: 12px; border-radius: 50%; margin-right: 10px; padding-left: 16px;\"\r\n                                              [style.background-color]=\"item.color\"></span>\r\n                                        {{ item.name }}\r\n                                    </ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>descriptionLabel<span style=\"font-style: italic\" translate>optionalLabel</span></label>\r\n                                <textarea rows=\"4\" class=\"slds-input\" [placeholder]=\"'insertDescription' | translate\" formControlName=\"description\"></textarea>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>commentsLabel<span style=\"font-style: italic\" translate>optionalLabel</span></label>\r\n                                <textarea rows=\"4\" class=\"slds-input\" [placeholder]=\"'insertComments' | translate\" formControlName=\"comments\"></textarea>\r\n                            </fieldset>\r\n                        </div>\r\n                    </form>\r\n                </ng-template>\r\n            </div>\r\n        </div>\r\n\r\n        <!-- Modal Footer-->\r\n        <footer class=\"slds-modal__footer\" *ngIf=\"footerDirective\" [class.slds-modal__footer--directional]=\"separateButtons\">\r\n            <ng-template [ngTemplateOutlet]=\"footerDirective.templateRef\"></ng-template>\r\n        </footer>\r\n    </div>\r\n</div>\r\n\r\n<!-- Do the background Modal: -->\r\n<div class=\"slds-backdrop\" [class.slds-backdrop--open]=\"open\"></div>", styles: ["label{font-family:OpenSans;font-size:14px;color:var(--dark-blue-grey);display:block;padding-bottom:8px}fieldset{padding-top:1rem;min-width:unset}.form-control.ng-invalid.ng-touched{box-shadow:0 1px 3px var(--tomato-red)}.slds-radio__label{cursor:pointer}span.slds-radio{border-bottom:1px solid var(--grey)}.view-formated-text-area>pre{font-family:Nunito Bold!important;font-size:14px;white-space:pre-line}.slds-gutters_small{margin-right:-.75rem;margin-left:-.75rem}.slds-gutters_small .slds-col{padding-right:.75rem;padding-left:.75rem}.slds-dropdown-trigger{width:100%}.slds-dropdown-trigger>button.slds-input{text-align:left;display:flex}.slds-dropdown-trigger>button.slds-input>span.slds-truncate{flex:1}.slds-dropdown-trigger>button.slds-input>uno-icon{float:right}.slds-dropdown{min-width:unset;max-width:unset;width:100%}.slds-dropdown>ul{max-height:150px;overflow-x:hidden}.slds-popover{z-index:9999999!important}.reference-template{height:28px;background-color:#ffe22433;font-family:OpenSans;font-size:12px}.reference-template span{color:var(--sapphire);text-decoration:underline;cursor:pointer;padding-left:.3rem}\n"], components: [{ type: DragDropFileComponent, selector: "uno-drag-drop-file", inputs: ["maxFileSize", "multipleFiles", "file", "disabled", "disabledTrash", "disabledDownload"], outputs: ["filesDropped", "deleteFile", "downloadFile"] }, { type: PicklistComponent, selector: "uno-picklist[unoPick]", inputs: ["data", "fluid", "isDisabled", "isForInlineTableCSS", "dropdownListClass", "insertBlankElement", "insertCreateButton", "filterDataField", "filterPlaceholder", "listSizeForFilter", "open", "closeClickOutside", "isToOpenUp", "addButton", "showCheckBox", "position"], outputs: ["openChange", "userChangedFilter", "selectedElem", "scrollEndReached"] }, { type: Datepicker2Component, selector: "uno-datepicker2", inputs: ["chooseLabel", "disable", "required", "disableCalendar", "hideError", "date", "startDateRange", "endDateRange", "min", "max", "reset", "dateRange"], outputs: ["dateChange"] }, { type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }, { type: i9.CdkScrollable, selector: "[cdk-scrollable], [cdkScrollable]" }, { type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }, { type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: ControlErrorDirective, selector: "[formControl], [formControlName]", inputs: ["customErrors", "useOurValidation"] }, { type: PickDirective, selector: "[unoPick]", inputs: ["unoPick", "unoPickActiveClass", "unoPickMultiple"], outputs: ["unoPickChange", "unoOptionDestroyed"] }, { type: PickItemDirective, selector: "[uno-picklist-item]" }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
__decorate([
    InputBoolean()
], ModalComponent.prototype, "open", void 0);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-modal', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"slds-modal\"\r\n     [class.slds-fade-in-open]=\"open\"\r\n     [ngClass]=\"[size ? 'slds-modal--' + size : '']\"\r\n     [attr.aria-hidden]=\"!open\"\r\n     [attr.aria-labelledby]=\"headingId\"\r\n     [attr.aria-describedby]=\"contentId\"\r\n     role=\"dialog\">\r\n\r\n    <div class=\"slds-modal__container\" [class.slds-modal-small-container--of-template]=\"smallerModal\">\r\n\r\n        <!-- Modal Header -->\r\n        <header class=\"slds-modal__header\" [class.slds-modal__header--empty]=\"!(headerStr || headerDirective)\" [style.text-align]=\"headerAlign\">\r\n\r\n            <!-- ... using Input Directives: -->\r\n            <ng-template #localHeader>\r\n                <h2 *ngIf=\"headerStr\" class=\"slds-text-heading_large\" [id]=\"headingId\">{{ headerStr }}</h2>\r\n                <h3 *ngIf=\"subHeaderStr\" class=\"slds-text-heading_small\" style=\"color: var(--slate-grey)\">{{ subHeaderStr }}</h3>\r\n            </ng-template>\r\n\r\n            <!-- ...using Angular Template: -->\r\n            <ng-template *ngIf=\"headerDirective; else localHeader\" [ngTemplateOutlet]=\"headerDirective.templateRef\"\r\n                         [ngTemplateOutletContext]=\"{ id: headingId }\"></ng-template>\r\n\r\n        </header>\r\n\r\n        <!-- Modal Body -->\r\n        <div class=\"slds-modal__content\" [id]=\"contentId\" cdkScrollable=\"cdkScrollable\">\r\n\r\n            <!-- ... using Angular Template (by Content Tag/Id) to be fully done @ instalation HTML -->\r\n            <ng-content></ng-content>\r\n\r\n            <!-- ... using pre-defined UNO ui lib Angular Templates, SPECIFIC to apply into Nano APP!-->\r\n            <div [ngSwitch]=\"templateType\">\r\n\r\n                <ng-template [ngSwitchCase]=\"'successModal'\">\r\n                    <div class=\"success-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>successTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'actionAccomplishedSuccess' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <button unoButton unoType=\"green\" class=\"slds-m-top--x-large\" (click)=\"modalClose('Ok');\" translate>okLabel</button>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'warningModal'\">\r\n                    <div class=\"warning-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>warningTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'actionNotMeetingCurrentSpecifications' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <button unoButton class=\"slds-button--warning slds-m-top--x-large\" (click)=\"modalClose('Ok');\" translate>okLabel</button>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'confirmDelModal'\">\r\n                    <div class=\"confirm-delete-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>warningTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 18px; margin-bottom: 5px;\" translate>deleteSubTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'proceedWithDeletion' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton class=\"slds-button--destructive slds-m-top--x-large\" (click)=\"modalClose('Delete');\" translate>delete</button>\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton unoType=\"secondary\" class=\"slds-m-top--x-small\" (click)=\"modalClose('Cancel');\" translate>cancel</button>\r\n                        </div>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'confirmActionModal'\">\r\n                    <div class=\"confirm-modal-container slds-text-align--center slds-p-around--x-large\">\r\n                        <h2 style=\"font-family: 'Nunito'; font-size: 32px;\" translate>confirmTitle</h2>\r\n                        <h2 style=\"font-family: 'OpenSans'; font-size: 14px; color: var(--dark-blue-grey)\" [innerHTML]=\"templateCustomMsg\"></h2>\r\n                        <div class=\"success-modal-logo-container slds-m-vertical--xx-large\">\r\n                            <img [src]=\"templateIconPath\" [alt]=\"'confirmAction' | translate\" width=\"159\" heigth=\"159\" />\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton class=\"slds-button--warning slds-m-top--x-large\" (click)=\"modalClose('Proceed');\" translate>proceedLabel</button>\r\n                        </div>\r\n                        <div>\r\n                            <button unoButton unoType=\"secondary\" class=\"slds-m-top--x-small\" (click)=\"modalClose('Cancel');\" translate>cancel</button>\r\n                        </div>\r\n                    </div>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'docsUploadModal'\">\r\n                    <form [formGroup]=\"uploadForm\" class=\"uno-forms slds-grid slds-gutters_small slds-wrap slds-p-around--large\"\r\n                          style=\"background: var(--pale-grey);\">\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <uno-drag-drop-file [file]=\"file\"\r\n                                                [disabled]=\"disableInputFile\"\r\n                                                [maxFileSize]=\"fileSize\"\r\n                                                [disabledTrash]=\"true\"\r\n                                                [disabledDownload]=\"true\"\r\n                                                (filesDropped)=\"onFileDropped($event)\"\r\n                                                (deleteFile)=\"onDeleteFile($event)\">\r\n                            </uno-drag-drop-file>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\" *ngIf=\"showName\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>nameLabel</label>\r\n                                <input type=\"text\" class=\"slds-input\" [placeholder]=\"'insertName' | translate\" formControlName=\"name\">\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-2\" *ngIf=\"showTag\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>tagLabel</label>\r\n                                <input type=\"text\" class=\"slds-input\" [placeholder]=\"'insertTag' | translate\" formControlName=\"tag\">\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-2\" *ngIf=\"showType\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentTypeLabel</label>\r\n                                <uno-picklist [data]=\"docTypeSelector\"\r\n                                              [(open)]=\"dD?.docType.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocType\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docType', pickDocType, 'documentType')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docType.name || ('selectItemLabel' | translate)\">{{ dD?.docType.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"showDate\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentDateLabel</label>\r\n                                <div class=\"date-picker-demo-container\">\r\n                                    <uno-datepicker2 [min]=\"documentMinDate\"\r\n                                                     [max]=\"documentMaxDate\"\r\n                                                     (dateChange)=\"templateEventEmited($event)\"\r\n                                                     [date]=\"datePickerData\"\r\n                                                     [chooseLabel]=\"'chooseDateLabel' | translate\"\r\n                                                     [disableCalendar]=\"false\"\r\n                                                     [reset]=\"resetDatePicker\"\r\n                                                     [disable]=\"false\">\r\n                                    </uno-datepicker2>\r\n                                </div>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"showExpiredDate\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentDateLabel</label>\r\n                                <div class=\"date-picker-demo-container\">\r\n                                    <uno-datepicker2 [min]=\"expireMinDate\"\r\n                                                     [max]=\"expireMaxDate\"\r\n                                                     (dateChange)=\"expireDateEmited($event)\"\r\n                                                     [date]=\"datePickerExpiredData\"\r\n                                                     [chooseLabel]=\"'chooseDateLabel' | translate\"\r\n                                                     [disableCalendar]=\"false\"\r\n                                                     [reset]=\"resetDatePicker\"\r\n                                                     [disable]=\"false\">\r\n                                    </uno-datepicker2>\r\n                                </div>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"docStatusSelector\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentStatusLabel</label>\r\n                                <uno-picklist [data]=\"docStatusSelector\"\r\n                                              [(open)]=\"dD?.docStatus.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocStatus\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docStatus', pickDocStatus, 'documentStatus')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docStatus.name || ('selectItemLabel' | translate)\">{{ dD?.docStatus.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\" *ngIf=\"docResultSelector\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentResultLabel</label>\r\n                                <uno-picklist [data]=\"docResultSelector\"\r\n                                              [(open)]=\"dD?.docResult.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocResult\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docResult', pickDocResult, 'documentResult')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docResult.name || ('selectItemLabel' | translate)\">{{ dD?.docResult.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\" *ngIf=\"showComment\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>commentsLabel<span style=\"font-style: italic\" translate>optionalLabel</span></label>\r\n                                <textarea rows=\"4\" class=\"slds-input\" [placeholder]=\"'insertComments' | translate\" formControlName=\"description\"></textarea>\r\n                            </fieldset>\r\n                        </div>\r\n                    </form>\r\n                </ng-template>\r\n\r\n                <ng-template [ngSwitchCase]=\"'sscUploadModal'\">\r\n                    <form [formGroup]=\"uploadForm\" class=\"uno-forms slds-grid slds-gutters_small slds-wrap slds-p-around--large\"\r\n                          style=\"background: var(--pale-grey);\">\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <uno-drag-drop-file [file]=\"file\"\r\n                                                [disabled]=\"disableInputFile\"\r\n                                                [maxFileSize]=\"fileSize\"\r\n                                                [disabledTrash]=\"true\"\r\n                                                [disabledDownload]=\"true\"\r\n                                                (filesDropped)=\"onFileDropped($event)\"\r\n                                                (deleteFile)=\"onDeleteFile($event)\">\r\n                            </uno-drag-drop-file>\r\n                        </div>\r\n\r\n                        <div *ngIf=\"editData?.documentType?.templateName\" class=\"slds-col slds-size--1-of-1 slds-p-top--small\">\r\n                            <div class=\"reference-template slds-grid slds-grid--vertical-align-center\">\r\n                                <uno-icon icon=\"info\" size=\"xx-small\" [withOpacity]=\"false\" class=\"slds-p-left--small slds-p-right--xx-small\"></uno-icon>\r\n                                {{ 'referenceTemplate' | translate }}:\r\n                                <span (click)=\"onDownloadTemplate()\">{{ editData.documentType.templateName }}</span>\r\n                            </div>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>nameLabel</label>\r\n                                <input type=\"text\" class=\"slds-input\" [placeholder]=\"'insertName' | translate\" formControlName=\"name\">\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-2\" *ngIf=\"showSSCType\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>documentTypeLabel</label>\r\n                                <uno-picklist [data]=\"docTypeSelector\"\r\n                                              [(open)]=\"dD?.docType.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickDocType\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('docType', pickDocType, 'documentType')\">\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.docType.name || ('selectItemLabel' | translate)\">{{ dD?.docType.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>{{ item.name }}</ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>expireDateLabel</label>\r\n                                <div class=\"date-picker-demo-container\">\r\n                                    <uno-datepicker2 [min]=\"expireMinDate\"\r\n                                                     [max]=\"expireMaxDate\"\r\n                                                     [date]=\"datePickerExpiredData\"\r\n                                                     [chooseLabel]=\"'chooseDateLabel' | translate\"\r\n                                                     [disableCalendar]=\"disableSSCDate\"\r\n                                                     [reset]=\"resetDatePicker\"\r\n                                                     [disable]=\"disableSSCDate\"\r\n                                                     (dateChange)=\"expireDateEmited($event)\">\r\n                                    </uno-datepicker2>\r\n                                </div>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size_1-of-3\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>{{ sscStatusLabel }}</label>\r\n                                <uno-picklist [data]=\"sscStatusSelector\"\r\n                                              [(open)]=\"dD?.sscStatus.opened\"\r\n                                              fluid=\"true\"\r\n                                              unoPick\r\n                                              [(unoPick)]=\"pickStatus\"\r\n                                              (selectedElem)=\"updateWithSelectedOption('sscStatus', pickStatus, 'sscStatus')\"\r\n                                              [isDisabled]=\"disableSSCStatus\">\r\n                                    <span *ngIf=\"dD?.sscStatus.name\" style=\"height: 12px; width: 12px; border-radius: 50%; margin-right: 10px;\"\r\n                                          [style.background-color]=\"dD?.sscStatus.color\"></span>\r\n                                    <span class=\"slds-truncate\" [title]=\"dD?.sscStatus.name || ('selectItemLabel' | translate)\">{{ dD?.sscStatus.name ||\r\n                                        ('selectItemLabel' | translate) }}</span>\r\n                                    <ng-template uno-picklist-item let-item>\r\n                                        <span style=\"height: 12px; width: 12px; border-radius: 50%; margin-right: 10px; padding-left: 16px;\"\r\n                                              [style.background-color]=\"item.color\"></span>\r\n                                        {{ item.name }}\r\n                                    </ng-template>\r\n                                </uno-picklist>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>descriptionLabel<span style=\"font-style: italic\" translate>optionalLabel</span></label>\r\n                                <textarea rows=\"4\" class=\"slds-input\" [placeholder]=\"'insertDescription' | translate\" formControlName=\"description\"></textarea>\r\n                            </fieldset>\r\n                        </div>\r\n\r\n                        <div class=\"slds-col slds-size--1-of-1\">\r\n                            <fieldset class=\"slds-form-element\">\r\n                                <label translate>commentsLabel<span style=\"font-style: italic\" translate>optionalLabel</span></label>\r\n                                <textarea rows=\"4\" class=\"slds-input\" [placeholder]=\"'insertComments' | translate\" formControlName=\"comments\"></textarea>\r\n                            </fieldset>\r\n                        </div>\r\n                    </form>\r\n                </ng-template>\r\n            </div>\r\n        </div>\r\n\r\n        <!-- Modal Footer-->\r\n        <footer class=\"slds-modal__footer\" *ngIf=\"footerDirective\" [class.slds-modal__footer--directional]=\"separateButtons\">\r\n            <ng-template [ngTemplateOutlet]=\"footerDirective.templateRef\"></ng-template>\r\n        </footer>\r\n    </div>\r\n</div>\r\n\r\n<!-- Do the background Modal: -->\r\n<div class=\"slds-backdrop\" [class.slds-backdrop--open]=\"open\"></div>", styles: ["label{font-family:OpenSans;font-size:14px;color:var(--dark-blue-grey);display:block;padding-bottom:8px}fieldset{padding-top:1rem;min-width:unset}.form-control.ng-invalid.ng-touched{box-shadow:0 1px 3px var(--tomato-red)}.slds-radio__label{cursor:pointer}span.slds-radio{border-bottom:1px solid var(--grey)}.view-formated-text-area>pre{font-family:Nunito Bold!important;font-size:14px;white-space:pre-line}.slds-gutters_small{margin-right:-.75rem;margin-left:-.75rem}.slds-gutters_small .slds-col{padding-right:.75rem;padding-left:.75rem}.slds-dropdown-trigger{width:100%}.slds-dropdown-trigger>button.slds-input{text-align:left;display:flex}.slds-dropdown-trigger>button.slds-input>span.slds-truncate{flex:1}.slds-dropdown-trigger>button.slds-input>uno-icon{float:right}.slds-dropdown{min-width:unset;max-width:unset;width:100%}.slds-dropdown>ul{max-height:150px;overflow-x:hidden}.slds-popover{z-index:9999999!important}.reference-template{height:28px;background-color:#ffe22433;font-family:OpenSans;font-size:12px}.reference-template span{color:var(--sapphire);text-decoration:underline;cursor:pointer;padding-left:.3rem}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.FormBuilder }, { type: i0.ChangeDetectorRef }, { type: i2$1.ConfigurableFocusTrapFactory }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: i3$3.Overlay }, { type: i0.ElementRef }]; }, propDecorators: { templateType: [{
                type: Input
            }], templateCustomMsg: [{
                type: Input
            }], docTypeSelector: [{
                type: Input
            }], docStatusSelector: [{
                type: Input
            }], docResultSelector: [{
                type: Input
            }], sscStatusSelector: [{
                type: Input
            }], templateIconPath: [{
                type: Input
            }], size: [{
                type: Input
            }], smallerModal: [{
                type: Input
            }], headerStr: [{
                type: Input
            }], subHeaderStr: [{
                type: Input
            }], headerAlign: [{
                type: Input
            }], modalIsDeaf: [{
                type: Input
            }], editData: [{
                type: Input
            }], showDate: [{
                type: Input
            }], showExpiredDate: [{
                type: Input
            }], showTag: [{
                type: Input
            }], showComment: [{
                type: Input
            }], showType: [{
                type: Input
            }], showSSCType: [{
                type: Input
            }], showName: [{
                type: Input
            }], disableSSCType: [{
                type: Input
            }], disableInputFile: [{
                type: Input
            }], disableInputName: [{
                type: Input
            }], disableSSCDate: [{
                type: Input
            }], disableSSCStatus: [{
                type: Input
            }], disableDescription: [{
                type: Input
            }], disableComments: [{
                type: Input
            }], fileSize: [{
                type: Input
            }], acceptedTypes: [{
                type: Input
            }], documentMinDate: [{
                type: Input
            }], documentMaxDate: [{
                type: Input
            }], expireMinDate: [{
                type: Input
            }], expireMaxDate: [{
                type: Input
            }], sscStatusLabel: [{
                type: Input
            }], separateButtons: [{
                type: Input
            }], open: [{
                type: Input
            }], resetForm: [{
                type: Input
            }], submitForm: [{
                type: Input
            }], openChange: [{
                type: Output
            }], clickedButton: [{
                type: Output
            }], selected3DScene: [{
                type: Output
            }], selectedTypeEmitter: [{
                type: Output
            }], formValidation: [{
                type: Output
            }], formSubmitionData: [{
                type: Output
            }], closeOutside: [{
                type: Output
            }], formIsDirty: [{
                type: Output
            }], deleteFile: [{
                type: Output
            }], downloadTemplate: [{
                type: Output
            }], dragDropFile: [{
                type: ViewChild,
                args: [DragDropFileComponent]
            }], headerDirective: [{
                type: ContentChild,
                args: [ModalHeaderDirective]
            }], footerDirective: [{
                type: ContentChild,
                args: [ModalFooterDirective]
            }], close: [{
                type: HostListener,
                args: ['keydown.esc', ['$event']]
            }], stopPropagation: [{
                type: HostListener,
                args: ['click', ['$event']]
            }] } });

class UnoButtonModule {
}
UnoButtonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoButtonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoButtonModule, declarations: [ButtonDirective], imports: [CommonModule], exports: [ButtonDirective] });
UnoButtonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoButtonModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [ButtonDirective],
                    declarations: [ButtonDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoDatepicker2Module {
}
UnoDatepicker2Module.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepicker2Module, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDatepicker2Module.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepicker2Module, declarations: [Datepicker2Component], imports: [CommonModule,
        MatDatepickerModule,
        MatFormFieldModule,
        MatInputModule,
        MatNativeDateModule,
        TranslateModule,
        FormsModule,
        ReactiveFormsModule,
        UnoIconModule], exports: [Datepicker2Component] });
UnoDatepicker2Module.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepicker2Module, providers: [], imports: [[
            CommonModule,
            MatDatepickerModule,
            MatFormFieldModule,
            MatInputModule,
            MatNativeDateModule,
            TranslateModule,
            FormsModule,
            ReactiveFormsModule,
            UnoIconModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepicker2Module, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        MatDatepickerModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatNativeDateModule,
                        TranslateModule,
                        FormsModule,
                        ReactiveFormsModule,
                        UnoIconModule
                    ],
                    exports: [Datepicker2Component],
                    declarations: [Datepicker2Component],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoDropdownModule {
}
UnoDropdownModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDropdownModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDropdownModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDropdownModule, declarations: [DropdownDirective, DropdownItemDirective, DropdownTriggerDirective], imports: [CommonModule], exports: [DropdownDirective, DropdownItemDirective, DropdownTriggerDirective] });
UnoDropdownModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDropdownModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDropdownModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [DropdownDirective, DropdownItemDirective, DropdownTriggerDirective],
                    declarations: [DropdownDirective, DropdownItemDirective, DropdownTriggerDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoControlErrorModule {
}
UnoControlErrorModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoControlErrorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoControlErrorModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoControlErrorModule, declarations: [ControlErrorComponent, ControlErrorDirective, ControlErrorContainerDirective], imports: [CommonModule, UnoIconModule], exports: [ControlErrorComponent, ControlErrorDirective, ControlErrorContainerDirective] });
UnoControlErrorModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoControlErrorModule, providers: [], imports: [[CommonModule, UnoIconModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoControlErrorModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, UnoIconModule],
                    exports: [ControlErrorComponent, ControlErrorDirective, ControlErrorContainerDirective],
                    declarations: [ControlErrorComponent, ControlErrorDirective, ControlErrorContainerDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoScrollTrackerModule {
}
UnoScrollTrackerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoScrollTrackerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoScrollTrackerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoScrollTrackerModule, declarations: [ScrollTrackerDirective], imports: [CommonModule], exports: [ScrollTrackerDirective] });
UnoScrollTrackerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoScrollTrackerModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoScrollTrackerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [ScrollTrackerDirective],
                    declarations: [ScrollTrackerDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoPickModule {
}
UnoPickModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPickModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoPickModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPickModule, declarations: [PickDirective, PickOptionDirective], imports: [CommonModule], exports: [PickDirective, PickOptionDirective] });
UnoPickModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPickModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPickModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [PickDirective, PickOptionDirective],
                    declarations: [PickDirective, PickOptionDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoPicklistModule {
}
UnoPicklistModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPicklistModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoPicklistModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPicklistModule, declarations: [PicklistComponent, PickItemDirective], imports: [CommonModule,
        TranslateModule,
        FormsModule,
        ReactiveFormsModule,
        UnoDropdownModule,
        UnoScrollTrackerModule,
        UnoIconModule,
        UnoPickModule], exports: [PicklistComponent, PickItemDirective] });
UnoPicklistModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPicklistModule, providers: [], imports: [[
            CommonModule,
            TranslateModule,
            FormsModule,
            ReactiveFormsModule,
            UnoDropdownModule,
            UnoScrollTrackerModule,
            UnoIconModule,
            UnoPickModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPicklistModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        TranslateModule,
                        FormsModule,
                        ReactiveFormsModule,
                        UnoDropdownModule,
                        UnoScrollTrackerModule,
                        UnoIconModule,
                        UnoPickModule
                    ],
                    exports: [PicklistComponent, PickItemDirective],
                    declarations: [PicklistComponent, PickItemDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoDragDropFileModule {
}
UnoDragDropFileModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropFileModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDragDropFileModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropFileModule, declarations: [DragDropFileComponent, DragAndDropFileDirective], imports: [CommonModule,
        TranslateModule,
        UnoIconModule], exports: [DragDropFileComponent, DragAndDropFileDirective] });
UnoDragDropFileModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropFileModule, providers: [], imports: [[
            CommonModule,
            TranslateModule,
            UnoIconModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropFileModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        TranslateModule,
                        UnoIconModule
                    ],
                    exports: [DragDropFileComponent, DragAndDropFileDirective],
                    declarations: [DragDropFileComponent, DragAndDropFileDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoModalModule {
}
UnoModalModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoModalModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoModalModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoModalModule, declarations: [ModalComponent, ModalHeaderDirective, ModalFooterDirective], imports: [CommonModule,
        A11yModule,
        OverlayModule,
        TranslateModule,
        FormsModule,
        ReactiveFormsModule,
        UnoButtonModule,
        UnoIconModule,
        UnoDatepicker2Module,
        UnoDropdownModule,
        UnoControlErrorModule,
        UnoPicklistModule,
        UnoPickModule,
        UnoDragDropFileModule], exports: [ModalComponent, ModalHeaderDirective, ModalFooterDirective] });
UnoModalModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoModalModule, providers: [], imports: [[
            CommonModule,
            A11yModule,
            OverlayModule,
            TranslateModule,
            FormsModule,
            ReactiveFormsModule,
            UnoButtonModule,
            UnoIconModule,
            UnoDatepicker2Module,
            UnoDropdownModule,
            UnoControlErrorModule,
            UnoPicklistModule,
            UnoPickModule,
            UnoDragDropFileModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoModalModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        A11yModule,
                        OverlayModule,
                        TranslateModule,
                        FormsModule,
                        ReactiveFormsModule,
                        UnoButtonModule,
                        UnoIconModule,
                        UnoDatepicker2Module,
                        UnoDropdownModule,
                        UnoControlErrorModule,
                        UnoPicklistModule,
                        UnoPickModule,
                        UnoDragDropFileModule
                    ],
                    exports: [ModalComponent, ModalHeaderDirective, ModalFooterDirective],
                    declarations: [ModalComponent, ModalHeaderDirective, ModalFooterDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * "exif" utilitary functions
 */
function resetExifOrientation(srcBase64) {
    try {
        const exifRotation = getExifRotation(srcBase64);
        if (exifRotation > 1) {
            return transformBase64BasedOnExifRotation(srcBase64, exifRotation);
        }
        else {
            return Promise.resolve(srcBase64);
        }
    }
    catch (ex) {
        return Promise.reject(ex);
    }
}
function transformBase64BasedOnExifRotation(srcBase64, exifRotation) {
    return new Promise((resolve, reject) => {
        const img = new Image();
        img.onload = function () {
            const width = img.width;
            const height = img.height;
            const canvas = document.createElement('canvas');
            const ctx = canvas.getContext('2d');
            if (ctx) {
                if (4 < exifRotation && exifRotation < 9) {
                    canvas.width = height;
                    canvas.height = width;
                }
                else {
                    canvas.width = width;
                    canvas.height = height;
                }
                transformCanvas(ctx, exifRotation, width, height);
                ctx.drawImage(img, 0, 0);
                resolve(canvas.toDataURL());
            }
            else {
                reject(new Error('No context'));
            }
        };
        img.src = srcBase64;
    });
}
function getExifRotation(imageBase64) {
    const view = new DataView(base64ToArrayBuffer(imageBase64));
    if (view.getUint16(0, false) !== 0xFFD8) {
        return -2;
    }
    const length = view.byteLength;
    let offset = 2;
    while (offset < length) {
        if (view.getUint16(offset + 2, false) <= 8) {
            return -1;
        }
        const marker = view.getUint16(offset, false);
        offset += 2;
        if (marker === 0xFFE1) {
            if (view.getUint32(offset += 2, false) !== 0x45786966) {
                return -1;
            }
            const little = view.getUint16(offset += 6, false) === 0x4949;
            offset += view.getUint32(offset + 4, little);
            const tags = view.getUint16(offset, little);
            offset += 2;
            for (let i = 0; i < tags; i++) {
                if (view.getUint16(offset + (i * 12), little) === 0x0112) {
                    return view.getUint16(offset + (i * 12) + 8, little);
                }
            }
        }
        else if ((marker & 0xFF00) !== 0xFF00) {
            // it's reaaly a needed bitwise op and not a typo (like "bool1 & bool2" instead of "bool1 && bool2")
            break;
        }
        else {
            offset += view.getUint16(offset, false);
        }
    }
    return -1;
}
function base64ToArrayBuffer(imageBase64) {
    imageBase64 = imageBase64.replace(/^data\:([^\;]+)\;base64,/gmi, '');
    const binaryString = atob(imageBase64);
    const len = binaryString.length;
    const bytes = new Uint8Array(len);
    for (let i = 0; i < len; i++) {
        bytes[i] = binaryString.charCodeAt(i);
    }
    return bytes.buffer;
}
function transformCanvas(ctx, orientation, width, height) {
    switch (orientation) {
        case 2:
            ctx.transform(-1, 0, 0, 1, width, 0);
            break;
        case 3:
            ctx.transform(-1, 0, 0, -1, width, height);
            break;
        case 4:
            ctx.transform(1, 0, 0, -1, 0, height);
            break;
        case 5:
            ctx.transform(0, 1, 1, 0, 0, 0);
            break;
        case 6:
            ctx.transform(0, 1, -1, 0, height, 0);
            break;
        case 7:
            ctx.transform(0, -1, -1, 0, height, width);
            break;
        case 8:
            ctx.transform(0, -1, 1, 0, 0, width);
            break;
    }
}
/*
 * Hermite resize - fast image resize/resample using Hermite filter.
 * https://github.com/viliusle/Hermite-resize
 */
function resizeCanvas(canvas, width, height, resizeCanvasFlag = true) {
    const width_source = canvas.width;
    const height_source = canvas.height;
    width = Math.round(width);
    height = Math.round(height);
    const ratio_w = width_source / width;
    const ratio_h = height_source / height;
    const ratio_w_half = Math.ceil(ratio_w / 2);
    const ratio_h_half = Math.ceil(ratio_h / 2);
    const ctx = canvas.getContext('2d');
    if (ctx) {
        const img = ctx.getImageData(0, 0, width_source, height_source);
        const img2 = ctx.createImageData(width, height);
        const data = img.data;
        const data2 = img2.data;
        for (let j = 0; j < height; j++) {
            for (let i = 0; i < width; i++) {
                const x2 = (i + j * width) * 4;
                const center_y = j * ratio_h;
                let weight = 0;
                let weights = 0;
                let weights_alpha = 0;
                let gx_r = 0;
                let gx_g = 0;
                let gx_b = 0;
                let gx_a = 0;
                const xx_start = Math.floor(i * ratio_w);
                const yy_start = Math.floor(j * ratio_h);
                let xx_stop = Math.ceil((i + 1) * ratio_w);
                let yy_stop = Math.ceil((j + 1) * ratio_h);
                xx_stop = Math.min(xx_stop, width_source);
                yy_stop = Math.min(yy_stop, height_source);
                for (let yy = yy_start; yy < yy_stop; yy++) {
                    const dy = Math.abs(center_y - yy) / ratio_h_half;
                    const center_x = i * ratio_w;
                    const w0 = dy * dy; // pre-calc part of w
                    for (let xx = xx_start; xx < xx_stop; xx++) {
                        const dx = Math.abs(center_x - xx) / ratio_w_half;
                        const w = Math.sqrt(w0 + dx * dx);
                        if (w >= 1) {
                            // pixel too far
                            continue;
                        }
                        // hermite filter
                        weight = 2 * w * w * w - 3 * w * w + 1;
                        const pos_x = 4 * (xx + yy * width_source);
                        // alpha
                        gx_a += weight * data[pos_x + 3];
                        weights_alpha += weight;
                        // colors
                        if (data[pos_x + 3] < 255) {
                            weight = weight * data[pos_x + 3] / 250;
                        }
                        gx_r += weight * data[pos_x];
                        gx_g += weight * data[pos_x + 1];
                        gx_b += weight * data[pos_x + 2];
                        weights += weight;
                    }
                }
                data2[x2] = gx_r / weights;
                data2[x2 + 1] = gx_g / weights;
                data2[x2 + 2] = gx_b / weights;
                data2[x2 + 3] = gx_a / weights_alpha;
            }
        }
        // clear and resize canvas
        if (resizeCanvasFlag) {
            canvas.width = width;
            canvas.height = height;
        }
        else {
            ctx.clearRect(0, 0, width_source, height_source);
        }
        // draw
        ctx.putImageData(img2, 0, 0);
    }
}

/**
 * Nicely initialy forked - with no costumizaion - from
 * https://www.npmjs.com/package/ngx-image-cropper
 *
 * Tx Martijn!
 * GitHub @ @MartijnW49
 */
class ImageCropperComponent {
    constructor(sanitizer, cd, zone) {
        this.sanitizer = sanitizer;
        this.cd = cd;
        this.zone = zone;
        this.setImageMaxSizeRetries = 0;
        this.cropperScaledMinWidth = 20;
        this.cropperScaledMinHeight = 20;
        this.marginLeft = '0px';
        this.imageVisible = false;
        this.format = 'png';
        this.outputType = 'both';
        this.maintainAspectRatio = true;
        this.aspectRatio = 1;
        this.resizeToWidth = 0;
        this.cropperMinWidth = 0;
        this.roundCropper = false;
        this.onlyScaleDown = false;
        this.imageQuality = 92;
        this.autoCrop = true;
        this.cropper = {
            x1: -100,
            y1: -100,
            x2: 10000,
            y2: 10000
        };
        this.alignImage = 'center';
        this.startCropImage = new EventEmitter();
        this.imageCropped = new EventEmitter();
        this.imageCroppedBase64 = new EventEmitter();
        this.imageCroppedFile = new EventEmitter();
        this.imageLoaded = new EventEmitter();
        this.cropperReady = new EventEmitter();
        this.loadImageFailed = new EventEmitter();
        this.initCropper();
    }
    set imageFileChanged(file) {
        this.initCropper();
        if (file) {
            this.loadImageFile(file);
        }
    }
    set imageChangedEvent(event) {
        this.initCropper();
        if (event && event.target && event.target.files && event.target.files.length > 0) {
            this.loadImageFile(event.target.files[0]);
        }
    }
    set imageBase64(imageBase64) {
        this.initCropper();
        this.loadBase64Image(imageBase64);
    }
    ngOnChanges(changes) {
        if (changes.cropper) {
            this.setMaxSize();
            this.setCropperScaledMinSize();
            this.checkCropperPosition(false);
            this.doAutoCrop();
            this.cd.markForCheck();
        }
        if (changes.aspectRatio && this.imageVisible) {
            this.resetCropperPosition();
        }
    }
    initCropper() {
        this.imageVisible = false;
        this.originalImage = null;
        this.safeImgDataUrl = 'data:image/png;base64,iVBORw0KGg'
            + 'oAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAAC0lEQVQYV2NgAAIAAAU'
            + 'AAarVyFEAAAAASUVORK5CYII=';
        this.moveStart = {
            active: false,
            type: null,
            position: null,
            x1: 0,
            y1: 0,
            x2: 0,
            y2: 0,
            clientX: 0,
            clientY: 0
        };
        this.maxSize = {
            width: 0,
            height: 0
        };
        this.originalSize = {
            width: 0,
            height: 0
        };
        this.cropper.x1 = -100;
        this.cropper.y1 = -100;
        this.cropper.x2 = 10000;
        this.cropper.y2 = 10000;
    }
    loadImageFile(file) {
        const fileReader = new FileReader();
        fileReader.onload = (event) => {
            const imageType = file.type;
            if (this.isValidImageType(imageType)) {
                resetExifOrientation(event.target.result)
                    .then((resultBase64) => this.loadBase64Image(resultBase64))
                    .catch(() => this.loadImageFailed.emit());
            }
            else {
                this.loadImageFailed.emit();
            }
        };
        fileReader.readAsDataURL(file);
    }
    isValidImageType(type) {
        return /image\/(png|jpg|jpeg|bmp|gif|tiff)/.test(type);
    }
    loadBase64Image(imageBase64) {
        this.originalBase64 = imageBase64;
        this.safeImgDataUrl = this.sanitizer.bypassSecurityTrustResourceUrl(imageBase64);
        this.originalImage = new Image();
        this.originalImage.onload = () => {
            this.originalSize.width = this.originalImage.width;
            this.originalSize.height = this.originalImage.height;
            this.cd.markForCheck();
        };
        this.originalImage.src = imageBase64;
    }
    imageLoadedInView() {
        if (this.originalImage != null) {
            this.imageLoaded.emit();
            this.setImageMaxSizeRetries = 0;
            setTimeout(() => this.checkImageMaxSizeRecursively());
        }
    }
    checkImageMaxSizeRecursively() {
        if (this.setImageMaxSizeRetries > 40) {
            this.loadImageFailed.emit();
        }
        else if (this.sourceImage && this.sourceImage.nativeElement && this.sourceImage.nativeElement.offsetWidth > 0) {
            this.setMaxSize();
            this.setCropperScaledMinSize();
            this.resetCropperPosition();
            this.cropperReady.emit();
            this.cd.markForCheck();
        }
        else {
            this.setImageMaxSizeRetries++;
            setTimeout(() => {
                this.checkImageMaxSizeRecursively();
            }, 50);
        }
    }
    onResize() {
        this.resizeCropperPosition();
        this.setMaxSize();
        this.setCropperScaledMinSize();
    }
    rotateLeft() {
        this.transformBase64(8);
    }
    rotateRight() {
        this.transformBase64(6);
    }
    flipHorizontal() {
        this.transformBase64(2);
    }
    flipVertical() {
        this.transformBase64(4);
    }
    transformBase64(exifOrientation) {
        if (this.originalBase64) {
            transformBase64BasedOnExifRotation(this.originalBase64, exifOrientation)
                .then((rotatedBase64) => this.loadBase64Image(rotatedBase64));
        }
    }
    resizeCropperPosition() {
        const sourceImageElement = this.sourceImage.nativeElement;
        if (this.maxSize.width !== sourceImageElement.offsetWidth || this.maxSize.height !== sourceImageElement.offsetHeight) {
            this.cropper.x1 = this.cropper.x1 * sourceImageElement.offsetWidth / this.maxSize.width;
            this.cropper.x2 = this.cropper.x2 * sourceImageElement.offsetWidth / this.maxSize.width;
            this.cropper.y1 = this.cropper.y1 * sourceImageElement.offsetHeight / this.maxSize.height;
            this.cropper.y2 = this.cropper.y2 * sourceImageElement.offsetHeight / this.maxSize.height;
        }
    }
    resetCropperPosition() {
        const sourceImageElement = this.sourceImage.nativeElement;
        if (!this.maintainAspectRatio) {
            this.cropper.x1 = 0;
            this.cropper.x2 = sourceImageElement.offsetWidth;
            this.cropper.y1 = 0;
            this.cropper.y2 = sourceImageElement.offsetHeight;
        }
        else if (sourceImageElement.offsetWidth / this.aspectRatio < sourceImageElement.offsetHeight) {
            this.cropper.x1 = 0;
            this.cropper.x2 = sourceImageElement.offsetWidth;
            const cropperHeight = sourceImageElement.offsetWidth / this.aspectRatio;
            this.cropper.y1 = (sourceImageElement.offsetHeight - cropperHeight) / 2;
            this.cropper.y2 = this.cropper.y1 + cropperHeight;
        }
        else {
            this.cropper.y1 = 0;
            this.cropper.y2 = sourceImageElement.offsetHeight;
            const cropperWidth = sourceImageElement.offsetHeight * this.aspectRatio;
            this.cropper.x1 = (sourceImageElement.offsetWidth - cropperWidth) / 2;
            this.cropper.x2 = this.cropper.x1 + cropperWidth;
        }
        this.doAutoCrop();
        this.imageVisible = true;
    }
    startMove(event, moveType, position = null) {
        this.moveStart = {
            active: true,
            type: moveType,
            position: position,
            clientX: this.getClientX(event),
            clientY: this.getClientY(event),
            ...this.cropper
        };
    }
    moveImg(event) {
        if (this.moveStart.active) {
            if (this.moveStart.type === 'move') {
                this.move(event);
                this.checkCropperPosition(true);
            }
            else if (this.moveStart.type === 'resize') {
                this.resize(event);
                this.checkCropperPosition(false);
            }
            this.cd.detectChanges();
        }
    }
    setMaxSize() {
        const sourceImageElement = this.sourceImage.nativeElement;
        this.maxSize.width = sourceImageElement.offsetWidth;
        this.maxSize.height = sourceImageElement.offsetHeight;
        this.marginLeft = this.sanitizer.bypassSecurityTrustStyle('calc(50% - ' + this.maxSize.width / 2 + 'px)');
    }
    setCropperScaledMinSize() {
        if (this.originalImage && this.cropperMinWidth > 0) {
            this.cropperScaledMinWidth = Math.max(20, this.cropperMinWidth / this.originalImage.width * this.maxSize.width);
            this.cropperScaledMinHeight = this.maintainAspectRatio
                ? Math.max(20, this.cropperScaledMinWidth / this.aspectRatio)
                : 20;
        }
        else {
            this.cropperScaledMinWidth = 20;
            this.cropperScaledMinHeight = 20;
        }
    }
    checkCropperPosition(maintainSize = false) {
        if (this.cropper.x1 < 0) {
            this.cropper.x2 -= maintainSize ? this.cropper.x1 : 0;
            this.cropper.x1 = 0;
        }
        if (this.cropper.y1 < 0) {
            this.cropper.y2 -= maintainSize ? this.cropper.y1 : 0;
            this.cropper.y1 = 0;
        }
        if (this.cropper.x2 > this.maxSize.width) {
            this.cropper.x1 -= maintainSize ? (this.cropper.x2 - this.maxSize.width) : 0;
            this.cropper.x2 = this.maxSize.width;
        }
        if (this.cropper.y2 > this.maxSize.height) {
            this.cropper.y1 -= maintainSize ? (this.cropper.y2 - this.maxSize.height) : 0;
            this.cropper.y2 = this.maxSize.height;
        }
    }
    moveStop() {
        if (this.moveStart.active) {
            this.moveStart.active = false;
            this.doAutoCrop();
        }
    }
    move(event) {
        const diffX = this.getClientX(event) - this.moveStart.clientX;
        const diffY = this.getClientY(event) - this.moveStart.clientY;
        this.cropper.x1 = this.moveStart.x1 + diffX;
        this.cropper.y1 = this.moveStart.y1 + diffY;
        this.cropper.x2 = this.moveStart.x2 + diffX;
        this.cropper.y2 = this.moveStart.y2 + diffY;
    }
    resize(event) {
        const diffX = this.getClientX(event) - this.moveStart.clientX;
        const diffY = this.getClientY(event) - this.moveStart.clientY;
        switch (this.moveStart.position) {
            case 'left':
                this.cropper.x1 = Math.min(this.moveStart.x1 + diffX, this.cropper.x2 - this.cropperScaledMinWidth);
                break;
            case 'topleft':
                this.cropper.x1 = Math.min(this.moveStart.x1 + diffX, this.cropper.x2 - this.cropperScaledMinWidth);
                this.cropper.y1 = Math.min(this.moveStart.y1 + diffY, this.cropper.y2 - this.cropperScaledMinHeight);
                break;
            case 'top':
                this.cropper.y1 = Math.min(this.moveStart.y1 + diffY, this.cropper.y2 - this.cropperScaledMinHeight);
                break;
            case 'topright':
                this.cropper.x2 = Math.max(this.moveStart.x2 + diffX, this.cropper.x1 + this.cropperScaledMinWidth);
                this.cropper.y1 = Math.min(this.moveStart.y1 + diffY, this.cropper.y2 - this.cropperScaledMinHeight);
                break;
            case 'right':
                this.cropper.x2 = Math.max(this.moveStart.x2 + diffX, this.cropper.x1 + this.cropperScaledMinWidth);
                break;
            case 'bottomright':
                this.cropper.x2 = Math.max(this.moveStart.x2 + diffX, this.cropper.x1 + this.cropperScaledMinWidth);
                this.cropper.y2 = Math.max(this.moveStart.y2 + diffY, this.cropper.y1 + this.cropperScaledMinHeight);
                break;
            case 'bottom':
                this.cropper.y2 = Math.max(this.moveStart.y2 + diffY, this.cropper.y1 + this.cropperScaledMinHeight);
                break;
            case 'bottomleft':
                this.cropper.x1 = Math.min(this.moveStart.x1 + diffX, this.cropper.x2 - this.cropperScaledMinWidth);
                this.cropper.y2 = Math.max(this.moveStart.y2 + diffY, this.cropper.y1 + this.cropperScaledMinHeight);
                break;
        }
        if (this.maintainAspectRatio) {
            this.checkAspectRatio();
        }
    }
    checkAspectRatio() {
        let overflowX = 0;
        let overflowY = 0;
        switch (this.moveStart.position) {
            case 'top':
                this.cropper.x2 = this.cropper.x1 + (this.cropper.y2 - this.cropper.y1) * this.aspectRatio;
                overflowX = Math.max(this.cropper.x2 - this.maxSize.width, 0);
                overflowY = Math.max(0 - this.cropper.y1, 0);
                if (overflowX > 0 || overflowY > 0) {
                    this.cropper.x2 -= (overflowY * this.aspectRatio) > overflowX ? (overflowY * this.aspectRatio) : overflowX;
                    this.cropper.y1 += (overflowY * this.aspectRatio) > overflowX ? overflowY : overflowX / this.aspectRatio;
                }
                break;
            case 'bottom':
                this.cropper.x2 = this.cropper.x1 + (this.cropper.y2 - this.cropper.y1) * this.aspectRatio;
                overflowX = Math.max(this.cropper.x2 - this.maxSize.width, 0);
                overflowY = Math.max(this.cropper.y2 - this.maxSize.height, 0);
                if (overflowX > 0 || overflowY > 0) {
                    this.cropper.x2 -= (overflowY * this.aspectRatio) > overflowX ? (overflowY * this.aspectRatio) : overflowX;
                    this.cropper.y2 -= (overflowY * this.aspectRatio) > overflowX ? overflowY : (overflowX / this.aspectRatio);
                }
                break;
            case 'topleft':
                this.cropper.y1 = this.cropper.y2 - (this.cropper.x2 - this.cropper.x1) / this.aspectRatio;
                overflowX = Math.max(0 - this.cropper.x1, 0);
                overflowY = Math.max(0 - this.cropper.y1, 0);
                if (overflowX > 0 || overflowY > 0) {
                    this.cropper.x1 += (overflowY * this.aspectRatio) > overflowX ? (overflowY * this.aspectRatio) : overflowX;
                    this.cropper.y1 += (overflowY * this.aspectRatio) > overflowX ? overflowY : overflowX / this.aspectRatio;
                }
                break;
            case 'topright':
                this.cropper.y1 = this.cropper.y2 - (this.cropper.x2 - this.cropper.x1) / this.aspectRatio;
                overflowX = Math.max(this.cropper.x2 - this.maxSize.width, 0);
                overflowY = Math.max(0 - this.cropper.y1, 0);
                if (overflowX > 0 || overflowY > 0) {
                    this.cropper.x2 -= (overflowY * this.aspectRatio) > overflowX ? (overflowY * this.aspectRatio) : overflowX;
                    this.cropper.y1 += (overflowY * this.aspectRatio) > overflowX ? overflowY : overflowX / this.aspectRatio;
                }
                break;
            case 'right':
            case 'bottomright':
                this.cropper.y2 = this.cropper.y1 + (this.cropper.x2 - this.cropper.x1) / this.aspectRatio;
                overflowX = Math.max(this.cropper.x2 - this.maxSize.width, 0);
                overflowY = Math.max(this.cropper.y2 - this.maxSize.height, 0);
                if (overflowX > 0 || overflowY > 0) {
                    this.cropper.x2 -= (overflowY * this.aspectRatio) > overflowX ? (overflowY * this.aspectRatio) : overflowX;
                    this.cropper.y2 -= (overflowY * this.aspectRatio) > overflowX ? overflowY : overflowX / this.aspectRatio;
                }
                break;
            case 'left':
            case 'bottomleft':
                this.cropper.y2 = this.cropper.y1 + (this.cropper.x2 - this.cropper.x1) / this.aspectRatio;
                overflowX = Math.max(0 - this.cropper.x1, 0);
                overflowY = Math.max(this.cropper.y2 - this.maxSize.height, 0);
                if (overflowX > 0 || overflowY > 0) {
                    this.cropper.x1 += (overflowY * this.aspectRatio) > overflowX ? (overflowY * this.aspectRatio) : overflowX;
                    this.cropper.y2 -= (overflowY * this.aspectRatio) > overflowX ? overflowY : overflowX / this.aspectRatio;
                }
                break;
        }
    }
    doAutoCrop() {
        if (this.autoCrop) {
            this.crop();
        }
    }
    crop(outputType = this.outputType) {
        if (this.sourceImage.nativeElement && this.originalImage != null) {
            this.startCropImage.emit();
            const imagePosition = this.getImagePosition();
            const width = imagePosition.x2 - imagePosition.x1;
            const height = imagePosition.y2 - imagePosition.y1;
            const cropCanvas = document.createElement('canvas');
            cropCanvas.width = width;
            cropCanvas.height = height;
            const ctx = cropCanvas.getContext('2d');
            if (ctx) {
                ctx.drawImage(this.originalImage, imagePosition.x1, imagePosition.y1, width, height, 0, 0, width, height);
                const output = { width, height, imagePosition, cropperPosition: { ...this.cropper } };
                const resizeRatio = this.getResizeRatio(width);
                if (resizeRatio !== 1) {
                    output.width = Math.floor(width * resizeRatio);
                    output.height = Math.floor(height * resizeRatio);
                    resizeCanvas(cropCanvas, output.width, output.height);
                }
                return this.cropToOutputType(outputType, cropCanvas, output);
            }
        }
        return null;
    }
    getImagePosition() {
        const sourceImageElement = this.sourceImage.nativeElement;
        const ratio = this.originalSize.width / sourceImageElement.offsetWidth;
        return {
            x1: Math.round(this.cropper.x1 * ratio),
            y1: Math.round(this.cropper.y1 * ratio),
            x2: Math.min(Math.round(this.cropper.x2 * ratio), this.originalSize.width),
            y2: Math.min(Math.round(this.cropper.y2 * ratio), this.originalSize.height)
        };
    }
    cropToOutputType(outputType, cropCanvas, output) {
        switch (outputType) {
            case 'file':
                return this.cropToFile(cropCanvas)
                    .then((result) => {
                    output.file = result;
                    this.imageCropped.emit(output);
                    return output;
                });
            case 'both':
                output.base64 = this.cropToBase64(cropCanvas);
                return this.cropToFile(cropCanvas)
                    .then((result) => {
                    output.file = result;
                    this.imageCropped.emit(output);
                    return output;
                });
            default:
                output.base64 = this.cropToBase64(cropCanvas);
                this.imageCropped.emit(output);
                return output;
        }
    }
    cropToBase64(cropCanvas) {
        const imageBase64 = cropCanvas.toDataURL('image/' + this.format, this.getQuality());
        this.imageCroppedBase64.emit(imageBase64);
        return imageBase64;
    }
    cropToFile(cropCanvas) {
        return this.getCanvasBlob(cropCanvas)
            .then((result) => {
            if (result) {
                this.imageCroppedFile.emit(result);
            }
            return result;
        });
    }
    getCanvasBlob(cropCanvas) {
        return new Promise((resolve) => {
            cropCanvas.toBlob((result) => this.zone.run(() => resolve(result)), 'image/' + this.format, this.getQuality());
        });
    }
    getQuality() {
        return Math.min(1, Math.max(0, this.imageQuality / 100));
    }
    getResizeRatio(width) {
        return this.resizeToWidth > 0 && (!this.onlyScaleDown || width > this.resizeToWidth)
            ? this.resizeToWidth / width
            : 1;
    }
    getClientX(event) {
        return event.clientX || event.touches && event.touches[0] && event.touches[0].clientX;
    }
    getClientY(event) {
        return event.clientY || event.touches && event.touches[0] && event.touches[0].clientY;
    }
}
ImageCropperComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ImageCropperComponent, deps: [{ token: i1$1.DomSanitizer }, { token: i0.ChangeDetectorRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
ImageCropperComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ImageCropperComponent, selector: "uno-image-cropper", inputs: { imageFileChanged: "imageFileChanged", imageChangedEvent: "imageChangedEvent", imageBase64: "imageBase64", format: "format", outputType: "outputType", maintainAspectRatio: "maintainAspectRatio", aspectRatio: "aspectRatio", resizeToWidth: "resizeToWidth", cropperMinWidth: "cropperMinWidth", roundCropper: "roundCropper", onlyScaleDown: "onlyScaleDown", imageQuality: "imageQuality", autoCrop: "autoCrop", cropper: "cropper", alignImage: "alignImage" }, outputs: { startCropImage: "startCropImage", imageCropped: "imageCropped", imageCroppedBase64: "imageCroppedBase64", imageCroppedFile: "imageCroppedFile", imageLoaded: "imageLoaded", cropperReady: "cropperReady", loadImageFailed: "loadImageFailed" }, host: { listeners: { "window:resize": "onResize()", "document:mousemove": "moveImg($event)", "document:touchmove": "moveImg($event)", "document:mouseup": "moveStop()", "document:touchend": "moveStop()" }, properties: { "style.text-align": "this.alignImage" } }, viewQueries: [{ propertyName: "sourceImage", first: true, predicate: ["sourceImage"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: "<div>\r\n    <img\r\n        #sourceImage\r\n        class=\"source-image\"\r\n        [src]=\"safeImgDataUrl\"\r\n        [style.visibility]=\"imageVisible ? 'visible' : 'hidden'\"\r\n        (load)=\"imageLoadedInView()\"/>\r\n\r\n    <div class=\"cropper\"\r\n        *ngIf=\"imageVisible\"\r\n        [class.rounded]=\"roundCropper\"\r\n        [style.top.px]=\"cropper.y1\"\r\n        [style.left.px]=\"cropper.x1\"\r\n        [style.width.px]=\"cropper.x2 - cropper.x1\"\r\n        [style.height.px]=\"cropper.y2 - cropper.y1\"\r\n        [style.margin-left]=\"alignImage === 'center' ? marginLeft : null\"\r\n        [style.visibility]=\"imageVisible ? 'visible' : 'hidden'\">\r\n\r\n        <div\r\n            (mousedown)=\"startMove($event, 'move')\"\r\n            (touchstart)=\"startMove($event, 'move')\"\r\n            class=\"move\">&nbsp;\r\n        </div>\r\n    \r\n        <span\r\n            class=\"resize topleft\"\r\n            (mousedown)=\"startMove($event, 'resize', 'topleft')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'topleft')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize top\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize topright\"\r\n            (mousedown)=\"startMove($event, 'resize', 'topright')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'topright')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize right\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize bottomright\"\r\n            (mousedown)=\"startMove($event, 'resize', 'bottomright')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'bottomright')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize bottom\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize bottomleft\"\r\n            (mousedown)=\"startMove($event, 'resize', 'bottomleft')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'bottomleft')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize left\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize-bar top\"\r\n            (mousedown)=\"startMove($event, 'resize', 'top')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'top')\">\r\n        </span>\r\n        <span\r\n            class=\"resize-bar right\"\r\n            (mousedown)=\"startMove($event, 'resize', 'right')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'right')\">\r\n        </span>\r\n        <span\r\n            class=\"resize-bar bottom\"\r\n            (mousedown)=\"startMove($event, 'resize', 'bottom')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'bottom')\">\r\n        </span>\r\n        <span\r\n            class=\"resize-bar left\"\r\n            (mousedown)=\"startMove($event, 'resize', 'left')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'left')\">\r\n        </span>\r\n    </div>\r\n</div>\r\n", styles: [":host{display:flex;position:relative;width:100%;max-width:100%;max-height:100%;overflow:hidden;padding:5px;text-align:center;-webkit-user-select:none;user-select:none}:host>div{position:relative;width:100%}:host>div img.source-image{max-width:100%;max-height:100%}:host .cropper{position:absolute;display:flex;color:#53535c;background:transparent;outline-color:#ffffff4d;outline-width:100vw;outline-style:solid;touch-action:none}@media (orientation: portrait){:host .cropper{outline-width:100vh}}:host .cropper:after{position:absolute;content:\"\";top:0;bottom:0;left:0;right:0;pointer-events:none;border:dashed 1px;opacity:.75;color:inherit;z-index:1}:host .cropper .move{width:100%;cursor:move;border:1px solid rgba(255,255,255,.5)}:host .cropper .resize{position:absolute;display:inline-block;line-height:6px;padding:8px;opacity:.85;z-index:1}:host .cropper .resize .square{display:inline-block;background:#53535C;width:6px;height:6px;border:1px solid rgba(255,255,255,.5);box-sizing:content-box}:host .cropper .resize.topleft{top:-12px;left:-12px;cursor:nwse-resize}:host .cropper .resize.top{top:-12px;left:calc(50% - 12px);cursor:ns-resize}:host .cropper .resize.topright{top:-12px;right:-12px;cursor:nesw-resize}:host .cropper .resize.right{top:calc(50% - 12px);right:-12px;cursor:ew-resize}:host .cropper .resize.bottomright{bottom:-12px;right:-12px;cursor:nwse-resize}:host .cropper .resize.bottom{bottom:-12px;left:calc(50% - 12px);cursor:ns-resize}:host .cropper .resize.bottomleft{bottom:-12px;left:-12px;cursor:nesw-resize}:host .cropper .resize.left{top:calc(50% - 12px);left:-12px;cursor:ew-resize}:host .cropper .resize-bar{position:absolute;z-index:1}:host .cropper .resize-bar.top{top:-11px;left:11px;width:calc(100% - 22px);height:22px;cursor:ns-resize}:host .cropper .resize-bar.right{top:11px;right:-11px;height:calc(100% - 22px);width:22px;cursor:ew-resize}:host .cropper .resize-bar.bottom{bottom:-11px;left:11px;width:calc(100% - 22px);height:22px;cursor:ns-resize}:host .cropper .resize-bar.left{top:11px;left:-11px;height:calc(100% - 22px);width:22px;cursor:ew-resize}:host .cropper.rounded{outline-color:transparent}:host .cropper.rounded:after{border-radius:100%;box-shadow:0 0 0 100vw #ffffff4d}@media (orientation: portrait){:host .cropper.rounded:after{box-shadow:0 0 0 100vh #ffffff4d}}:host .cropper.rounded .move{border-radius:100%}\n"], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ImageCropperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-image-cropper', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div>\r\n    <img\r\n        #sourceImage\r\n        class=\"source-image\"\r\n        [src]=\"safeImgDataUrl\"\r\n        [style.visibility]=\"imageVisible ? 'visible' : 'hidden'\"\r\n        (load)=\"imageLoadedInView()\"/>\r\n\r\n    <div class=\"cropper\"\r\n        *ngIf=\"imageVisible\"\r\n        [class.rounded]=\"roundCropper\"\r\n        [style.top.px]=\"cropper.y1\"\r\n        [style.left.px]=\"cropper.x1\"\r\n        [style.width.px]=\"cropper.x2 - cropper.x1\"\r\n        [style.height.px]=\"cropper.y2 - cropper.y1\"\r\n        [style.margin-left]=\"alignImage === 'center' ? marginLeft : null\"\r\n        [style.visibility]=\"imageVisible ? 'visible' : 'hidden'\">\r\n\r\n        <div\r\n            (mousedown)=\"startMove($event, 'move')\"\r\n            (touchstart)=\"startMove($event, 'move')\"\r\n            class=\"move\">&nbsp;\r\n        </div>\r\n    \r\n        <span\r\n            class=\"resize topleft\"\r\n            (mousedown)=\"startMove($event, 'resize', 'topleft')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'topleft')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize top\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize topright\"\r\n            (mousedown)=\"startMove($event, 'resize', 'topright')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'topright')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize right\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize bottomright\"\r\n            (mousedown)=\"startMove($event, 'resize', 'bottomright')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'bottomright')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize bottom\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize bottomleft\"\r\n            (mousedown)=\"startMove($event, 'resize', 'bottomleft')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'bottomleft')\">\r\n                <span class=\"square\"></span>\r\n        </span>\r\n        <span class=\"resize left\">\r\n            <span class=\"square\"></span>\r\n        </span>\r\n        <span\r\n            class=\"resize-bar top\"\r\n            (mousedown)=\"startMove($event, 'resize', 'top')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'top')\">\r\n        </span>\r\n        <span\r\n            class=\"resize-bar right\"\r\n            (mousedown)=\"startMove($event, 'resize', 'right')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'right')\">\r\n        </span>\r\n        <span\r\n            class=\"resize-bar bottom\"\r\n            (mousedown)=\"startMove($event, 'resize', 'bottom')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'bottom')\">\r\n        </span>\r\n        <span\r\n            class=\"resize-bar left\"\r\n            (mousedown)=\"startMove($event, 'resize', 'left')\"\r\n            (touchstart)=\"startMove($event, 'resize', 'left')\">\r\n        </span>\r\n    </div>\r\n</div>\r\n", styles: [":host{display:flex;position:relative;width:100%;max-width:100%;max-height:100%;overflow:hidden;padding:5px;text-align:center;-webkit-user-select:none;user-select:none}:host>div{position:relative;width:100%}:host>div img.source-image{max-width:100%;max-height:100%}:host .cropper{position:absolute;display:flex;color:#53535c;background:transparent;outline-color:#ffffff4d;outline-width:100vw;outline-style:solid;touch-action:none}@media (orientation: portrait){:host .cropper{outline-width:100vh}}:host .cropper:after{position:absolute;content:\"\";top:0;bottom:0;left:0;right:0;pointer-events:none;border:dashed 1px;opacity:.75;color:inherit;z-index:1}:host .cropper .move{width:100%;cursor:move;border:1px solid rgba(255,255,255,.5)}:host .cropper .resize{position:absolute;display:inline-block;line-height:6px;padding:8px;opacity:.85;z-index:1}:host .cropper .resize .square{display:inline-block;background:#53535C;width:6px;height:6px;border:1px solid rgba(255,255,255,.5);box-sizing:content-box}:host .cropper .resize.topleft{top:-12px;left:-12px;cursor:nwse-resize}:host .cropper .resize.top{top:-12px;left:calc(50% - 12px);cursor:ns-resize}:host .cropper .resize.topright{top:-12px;right:-12px;cursor:nesw-resize}:host .cropper .resize.right{top:calc(50% - 12px);right:-12px;cursor:ew-resize}:host .cropper .resize.bottomright{bottom:-12px;right:-12px;cursor:nwse-resize}:host .cropper .resize.bottom{bottom:-12px;left:calc(50% - 12px);cursor:ns-resize}:host .cropper .resize.bottomleft{bottom:-12px;left:-12px;cursor:nesw-resize}:host .cropper .resize.left{top:calc(50% - 12px);left:-12px;cursor:ew-resize}:host .cropper .resize-bar{position:absolute;z-index:1}:host .cropper .resize-bar.top{top:-11px;left:11px;width:calc(100% - 22px);height:22px;cursor:ns-resize}:host .cropper .resize-bar.right{top:11px;right:-11px;height:calc(100% - 22px);width:22px;cursor:ew-resize}:host .cropper .resize-bar.bottom{bottom:-11px;left:11px;width:calc(100% - 22px);height:22px;cursor:ns-resize}:host .cropper .resize-bar.left{top:11px;left:-11px;height:calc(100% - 22px);width:22px;cursor:ew-resize}:host .cropper.rounded{outline-color:transparent}:host .cropper.rounded:after{border-radius:100%;box-shadow:0 0 0 100vw #ffffff4d}@media (orientation: portrait){:host .cropper.rounded:after{box-shadow:0 0 0 100vh #ffffff4d}}:host .cropper.rounded .move{border-radius:100%}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.DomSanitizer }, { type: i0.ChangeDetectorRef }, { type: i0.NgZone }]; }, propDecorators: { sourceImage: [{
                type: ViewChild,
                args: ['sourceImage', { static: true }]
            }], imageFileChanged: [{
                type: Input
            }], imageChangedEvent: [{
                type: Input
            }], imageBase64: [{
                type: Input
            }], format: [{
                type: Input
            }], outputType: [{
                type: Input
            }], maintainAspectRatio: [{
                type: Input
            }], aspectRatio: [{
                type: Input
            }], resizeToWidth: [{
                type: Input
            }], cropperMinWidth: [{
                type: Input
            }], roundCropper: [{
                type: Input
            }], onlyScaleDown: [{
                type: Input
            }], imageQuality: [{
                type: Input
            }], autoCrop: [{
                type: Input
            }], cropper: [{
                type: Input
            }], alignImage: [{
                type: HostBinding,
                args: ['style.text-align']
            }, {
                type: Input
            }], startCropImage: [{
                type: Output
            }], imageCropped: [{
                type: Output
            }], imageCroppedBase64: [{
                type: Output
            }], imageCroppedFile: [{
                type: Output
            }], imageLoaded: [{
                type: Output
            }], cropperReady: [{
                type: Output
            }], loadImageFailed: [{
                type: Output
            }], onResize: [{
                type: HostListener,
                args: ['window:resize']
            }], moveImg: [{
                type: HostListener,
                args: ['document:mousemove', ['$event']]
            }, {
                type: HostListener,
                args: ['document:touchmove', ['$event']]
            }], moveStop: [{
                type: HostListener,
                args: ['document:mouseup']
            }, {
                type: HostListener,
                args: ['document:touchend']
            }] } });

class UnoImageCropperModule {
}
UnoImageCropperModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoImageCropperModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoImageCropperModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoImageCropperModule, declarations: [ImageCropperComponent], imports: [CommonModule], exports: [ImageCropperComponent] });
UnoImageCropperModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoImageCropperModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoImageCropperModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [ImageCropperComponent],
                    declarations: [ImageCropperComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class PictureComponent {
    constructor(eRef) {
        this.eRef = eRef;
        /**
         * Define de width of the image.
         */
        this.width = '100%';
        /**
         * Define de height of the image.
         */
        this.height = '100%';
        /**
         * Define if want rounded image.
         */
        this.rounded = false;
        /**
         * Define if user only can see the image.
         */
        this.onlyViewImage = false;
        /**
         * Define if user can edit image.
         */
        this.showEditImage = true;
        /**
         * Define if user can upload image.
         */
        this.showUploadImage = true;
        /**
         * Define if user can remove image.
         */
        this.showRemoveImage = true;
        /**
         * Define if user can view image, to remove options on modals.
         */
        this.showViewImage = true;
        /**
         * Define if upload image icon shows
         */
        this.showUpIcon = false;
        /**
         * Define size of the uploado image icon
         */
        this.UpIconSize = 'large';
        /**
         * Emitte the image uploaded.
         */
        this.uploadedImage = new EventEmitter();
        /**
         * Emitte the signal to delete image.
         */
        this.deleteImage = new EventEmitter();
        /**
         * Variable to control the overlay hover image.
         */
        this.showOverlay = false;
        /**
         * Variable to control if show or not the options.
         */
        this.showDropdown = false;
        /**
         * Variable to control modal image cropper.
         */
        this.openImgCropper = false;
        /**
         * Variable to control modal image viewer.
         */
        this.openImgViewer = false;
        /**
         * Variable to set the initial position of the dropdown,
         * and used on template.
         */
        this.pictureDropdownPosition = { top: '50px', left: '50px' };
        /**
         * Define the icon to show on overlay.
         */
        this.iconOverlay = 'edit';
        /**
         * Define the text to show on overlay.
         */
        this.textOverlay = 'changeImage';
        /**
         * Define the text to show on view image.
         */
        this.viewImageText = 'viewImage';
        /**
         * Define the text to show on edit image.
         */
        this.editImageText = 'editImage';
        /**
         * Define the text to show on upload image.
         */
        this.uploadImageText = 'uploadImage';
        /**
         * Define the text to show on remove image.
         */
        this.removeImageText = 'removeImage';
    }
    /**
     * Host listner to know when user click outside component,
     * to close the dropdown and remove overlay.
     *
     * @param evt - The event dispatch for the host listner.
     */
    clickOut(evt) {
        // If click inside image, show dropdown.
        if (this.eRef.nativeElement.contains(evt.target) && this.image) {
            this.showDropdown = true;
        }
        else { // So, remove dropdown and overlay.
            this.showDropdown = false;
            this.showOverlay = false;
        }
    }
    ngOnChanges(changes) {
        if (changes.image && changes.image.currentValue) {
            const img = new Image();
            img.onload = () => {
                const canvas = document.createElement('canvas');
                canvas.width = img.naturalWidth;
                canvas.height = img.naturalHeight;
                canvas.getContext('2d').drawImage(img, 0, 0);
                canvas.toBlob((blob) => {
                    this.originalFileNameType = {
                        name: this.image.split('/')[this.image.split('/').lenght - 1]
                    };
                    this.savedImageCropped = {
                        target: {
                            files: [new File([blob], this.originalFileNameType.name, { type: blob.type })]
                        }
                    };
                });
            };
            img.crossOrigin = 'anonymous';
            img.src = this.image;
        }
        // If is the default image user can't edit.
        if (this.defaultImage && !this.image) {
            this.showEditImage = false;
        }
    }
    /**
     * This method detect the position of the mouse click,
     * and set top/left of the dropdown.
     *
     * @param evt - Detect mouse event.
     */
    onPictureClick(evt) {
        if (this.onlyViewImage) {
            this.onViewImage();
        }
        else if (this.image) {
            this.pictureDropdownPosition = {
                top: `${evt.offsetY}px`,
                left: `${evt.offsetX}px`
            };
            this.showDropdown = !this.showDropdown;
        }
        else {
            this.onUploadImage();
        }
    }
    /**
     * This method detect when mouse leave the image.
     */
    onMouseLeavePicture() {
        // Only remove the overlay when dropdown are close.
        if (!this.showDropdown) {
            this.showOverlay = !this.showOverlay;
        }
    }
    /**
     *
     */
    onViewImage() {
        this.showDropdown = false;
        this.openImgViewer = true;
    }
    onEditImage() {
        this.showDropdown = false;
        this.imageChangedEvent = this.savedImageCropped;
        this.openImgCropper = true;
    }
    /**
     * This method open the system file to choose a image.
     */
    onUploadImage() {
        this.showDropdown = false;
        // Create the input type file, because it's need dropdown when user click on upload image.
        const inputFile = document.createElement('input');
        inputFile.setAttribute('type', 'file');
        inputFile.setAttribute('accept', 'image/*');
        inputFile.click();
        // When user choose a image.
        inputFile.onchange = ((evt) => {
            this.originalFileNameType = {
                name: evt.target.files[0].name
            };
            this.imageChangedEvent = {
                target: {
                    files: evt.target.files
                }
            };
        });
    }
    onRemoveImage(evt) {
        evt.stopPropagation();
        this.showDropdown = false;
        this.image = null;
        this.deleteImage.emit();
    }
    /**
     * The resulted cropped image is coming on "event" on different properties:
     * @ event.base64 if <uno-image-cropper />'s @Input() outputType is "base64"
     * @ event.file if <uno-image-cropper />'s @Input() outputType is "file"
     *
     * @param event
     */
    imageCropped(event) {
        // Made a object like a <input type="file"> for when user click on edit show the cropped image.
        Object.assign(event.file, {
            lastModifiedDate: new Date(),
            name: `${this.originalFileNameType.name}`
        });
        this.savedImageCropped = {
            target: {
                // files: [new File([event.file], this.originalFileNameType.name, { type: 'png' })]
                files: [event.file]
            }
        };
    }
    /**
     * User is satisfied with the cropped result of the image he/she uploaded from local machine
     * and is saying he/she wants this final croppped result to be saved (@ installation) as the pretended image
     */
    saveImgCropper() {
        this.openImgCropper = false;
        if (this.savedImageCropped && this.savedImageCropped.target) {
            const reader = new FileReader;
            reader.onload = () => {
                this.image = reader.result;
            };
            reader.readAsDataURL(this.savedImageCropped.target.files[0]);
            this.uploadedImage.emit(this.savedImageCropped.target.files[0]);
        }
    }
}
PictureComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PictureComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
PictureComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: PictureComponent, selector: "uno-picture", inputs: { width: "width", height: "height", defaultImage: "defaultImage", image: "image", rounded: "rounded", onlyViewImage: "onlyViewImage", showEditImage: "showEditImage", showUploadImage: "showUploadImage", showRemoveImage: "showRemoveImage", showViewImage: "showViewImage", showUpIcon: "showUpIcon", UpIconSize: "UpIconSize" }, outputs: { uploadedImage: "uploadedImage", deleteImage: "deleteImage" }, host: { listeners: { "window:click": "clickOut($event)" } }, usesOnChanges: true, ngImport: i0, template: "<div\r\n    (click)=\"onPictureClick($event)\"\r\n    (mouseenter)=\"showOverlay = true\"\r\n    (mouseleave)=\"onMouseLeavePicture()\"\r\n    class=\"picture\"\r\n    [style.background-size]=\"rounded ? 'cover' : 'contain'\"\r\n    [style.width]=\"width\"\r\n    [style.height]=\"height\"\r\n    [style.background-image]=\"'url(' + (image || defaultImage) + ')'\"\r\n    [style.border-radius]=\"rounded ? '50%' : 'none'\">\r\n        <div *ngIf=\"showUpIcon\" class=\"slds-align--absolute-center\" style=\"position: absolute; width: 100%; height: 100%;\">\r\n            <uno-icon icon=\"up_image\" [size]=\"UpIconSize\" [withOpacity]=\"false\" color=\"white\"></uno-icon>\r\n        </div>\r\n        <div\r\n            *ngIf=\"!onlyViewImage && showOverlay && image\"\r\n            class=\"overlay\"\r\n            [style.border-radius]=\"rounded ? '50%' : 'none'\"\r\n            [style.width]=\"width\"\r\n            [style.height]=\"height\">\r\n                <uno-icon [icon]=\"iconOverlay\" size=\"small\" [withOpacity]=\"false\" color=\"white\"></uno-icon>\r\n                <span class=\"slds-p-top--small\" style=\"text-align: center;\" translate>{{ textOverlay }}</span>\r\n        </div>\r\n        <div\r\n            *ngIf=\"!onlyViewImage && showDropdown\"\r\n            class=\"slds-p-vertical--small picture-dropdown\"\r\n            [style.top]=\"pictureDropdownPosition.top\"\r\n            [style.left]=\"pictureDropdownPosition.left\">\r\n                <span *ngIf=\"showViewImage\" (click)=\"onViewImage(); $event.stopPropagation()\" translate>{{ viewImageText }}</span>\r\n                <span *ngIf=\"showEditImage\" (click)=\"onEditImage(); $event.stopPropagation()\" translate>{{ editImageText }}</span>\r\n                <span *ngIf=\"showUploadImage\" (click)=\"onUploadImage(); $event.stopPropagation()\" translate>{{ uploadImageText }}</span>\r\n                <span *ngIf=\"showRemoveImage && image\" (click)=\"onRemoveImage($event); $event.stopPropagation()\" translate>{{ removeImageText }}</span>\r\n        </div>\r\n</div>\r\n\r\n<uno-modal\r\n    headerStr='Crop image'\r\n    [(open)]=\"openImgCropper\"\r\n    modalIsDeaf=\"true\">\r\n\r\n    <div>\r\n        <p class=\"slds-m-vertical--medium\" [style.pointer-events]=\"openImgCropper ? 'all' : 'none'\">\r\n            <uno-image-cropper\r\n                [imageChangedEvent]=\"imageChangedEvent\"\r\n                [maintainAspectRatio]=\"false\"\r\n                [roundCropper]=\"rounded\"\r\n                (imageCropped)=\"imageCropped($event)\"\r\n                (imageLoaded)=\"openImgCropper = true\">\r\n            </uno-image-cropper>\r\n        </p>\r\n    </div>\r\n\r\n    <ng-template unoModalFooter>\r\n        <button unoButton (click)=\"openImgCropper = false\">Cancel</button>\r\n        <button unoButton unoType=\"green\" (click)=\"saveImgCropper();\">Save</button>\r\n    </ng-template>\r\n\r\n</uno-modal>\r\n\r\n<uno-modal [(open)]=\"openImgViewer\" *ngIf=\"image\">\r\n    <div style=\"text-align: center\">\r\n        <img [src]=\"image\">\r\n    </div>\r\n</uno-modal>", styles: [".picture{position:relative;display:inline-block;background-position:50% 50%;background-repeat:no-repeat;background-size:cover;cursor:pointer}.picture-dropdown{position:absolute;min-width:150px;background-color:#fff;box-shadow:0 2px 5px #00000042,0 2px 10px #00000029;z-index:2;border-radius:4px;font-family:OpenSans;font-size:14px;color:var(--dark-blue-grey);cursor:pointer}.picture-dropdown>span{display:block;padding:8px 16px}.picture-dropdown>span:hover{background-color:var(--very-light-blue)}.overlay{display:flex;flex-direction:column;justify-content:center;align-items:center;position:absolute;font-family:OpenSans;font-size:14px;font-weight:300;color:#fff;top:0;left:0;background-color:#00000080;z-index:1}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }, { type: ModalComponent, selector: "uno-modal", inputs: ["templateType", "templateCustomMsg", "docTypeSelector", "docStatusSelector", "docResultSelector", "sscStatusSelector", "templateIconPath", "size", "smallerModal", "headerStr", "subHeaderStr", "headerAlign", "modalIsDeaf", "editData", "showDate", "showExpiredDate", "showTag", "showComment", "showType", "showSSCType", "showName", "disableSSCType", "disableInputFile", "disableInputName", "disableSSCDate", "disableSSCStatus", "disableDescription", "disableComments", "fileSize", "acceptedTypes", "documentMinDate", "documentMaxDate", "expireMinDate", "expireMaxDate", "sscStatusLabel", "separateButtons", "open", "resetForm", "submitForm"], outputs: ["openChange", "clickedButton", "selected3DScene", "selectedTypeEmitter", "formValidation", "formSubmitionData", "closeOutside", "formIsDirty", "deleteFile", "downloadTemplate"] }, { type: ImageCropperComponent, selector: "uno-image-cropper", inputs: ["imageFileChanged", "imageChangedEvent", "imageBase64", "format", "outputType", "maintainAspectRatio", "aspectRatio", "resizeToWidth", "cropperMinWidth", "roundCropper", "onlyScaleDown", "imageQuality", "autoCrop", "cropper", "alignImage"], outputs: ["startCropImage", "imageCropped", "imageCroppedBase64", "imageCroppedFile", "imageLoaded", "cropperReady", "loadImageFailed"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: ModalFooterDirective, selector: "[unoModalFooter]" }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PictureComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-picture', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div\r\n    (click)=\"onPictureClick($event)\"\r\n    (mouseenter)=\"showOverlay = true\"\r\n    (mouseleave)=\"onMouseLeavePicture()\"\r\n    class=\"picture\"\r\n    [style.background-size]=\"rounded ? 'cover' : 'contain'\"\r\n    [style.width]=\"width\"\r\n    [style.height]=\"height\"\r\n    [style.background-image]=\"'url(' + (image || defaultImage) + ')'\"\r\n    [style.border-radius]=\"rounded ? '50%' : 'none'\">\r\n        <div *ngIf=\"showUpIcon\" class=\"slds-align--absolute-center\" style=\"position: absolute; width: 100%; height: 100%;\">\r\n            <uno-icon icon=\"up_image\" [size]=\"UpIconSize\" [withOpacity]=\"false\" color=\"white\"></uno-icon>\r\n        </div>\r\n        <div\r\n            *ngIf=\"!onlyViewImage && showOverlay && image\"\r\n            class=\"overlay\"\r\n            [style.border-radius]=\"rounded ? '50%' : 'none'\"\r\n            [style.width]=\"width\"\r\n            [style.height]=\"height\">\r\n                <uno-icon [icon]=\"iconOverlay\" size=\"small\" [withOpacity]=\"false\" color=\"white\"></uno-icon>\r\n                <span class=\"slds-p-top--small\" style=\"text-align: center;\" translate>{{ textOverlay }}</span>\r\n        </div>\r\n        <div\r\n            *ngIf=\"!onlyViewImage && showDropdown\"\r\n            class=\"slds-p-vertical--small picture-dropdown\"\r\n            [style.top]=\"pictureDropdownPosition.top\"\r\n            [style.left]=\"pictureDropdownPosition.left\">\r\n                <span *ngIf=\"showViewImage\" (click)=\"onViewImage(); $event.stopPropagation()\" translate>{{ viewImageText }}</span>\r\n                <span *ngIf=\"showEditImage\" (click)=\"onEditImage(); $event.stopPropagation()\" translate>{{ editImageText }}</span>\r\n                <span *ngIf=\"showUploadImage\" (click)=\"onUploadImage(); $event.stopPropagation()\" translate>{{ uploadImageText }}</span>\r\n                <span *ngIf=\"showRemoveImage && image\" (click)=\"onRemoveImage($event); $event.stopPropagation()\" translate>{{ removeImageText }}</span>\r\n        </div>\r\n</div>\r\n\r\n<uno-modal\r\n    headerStr='Crop image'\r\n    [(open)]=\"openImgCropper\"\r\n    modalIsDeaf=\"true\">\r\n\r\n    <div>\r\n        <p class=\"slds-m-vertical--medium\" [style.pointer-events]=\"openImgCropper ? 'all' : 'none'\">\r\n            <uno-image-cropper\r\n                [imageChangedEvent]=\"imageChangedEvent\"\r\n                [maintainAspectRatio]=\"false\"\r\n                [roundCropper]=\"rounded\"\r\n                (imageCropped)=\"imageCropped($event)\"\r\n                (imageLoaded)=\"openImgCropper = true\">\r\n            </uno-image-cropper>\r\n        </p>\r\n    </div>\r\n\r\n    <ng-template unoModalFooter>\r\n        <button unoButton (click)=\"openImgCropper = false\">Cancel</button>\r\n        <button unoButton unoType=\"green\" (click)=\"saveImgCropper();\">Save</button>\r\n    </ng-template>\r\n\r\n</uno-modal>\r\n\r\n<uno-modal [(open)]=\"openImgViewer\" *ngIf=\"image\">\r\n    <div style=\"text-align: center\">\r\n        <img [src]=\"image\">\r\n    </div>\r\n</uno-modal>", styles: [".picture{position:relative;display:inline-block;background-position:50% 50%;background-repeat:no-repeat;background-size:cover;cursor:pointer}.picture-dropdown{position:absolute;min-width:150px;background-color:#fff;box-shadow:0 2px 5px #00000042,0 2px 10px #00000029;z-index:2;border-radius:4px;font-family:OpenSans;font-size:14px;color:var(--dark-blue-grey);cursor:pointer}.picture-dropdown>span{display:block;padding:8px 16px}.picture-dropdown>span:hover{background-color:var(--very-light-blue)}.overlay{display:flex;flex-direction:column;justify-content:center;align-items:center;position:absolute;font-family:OpenSans;font-size:14px;font-weight:300;color:#fff;top:0;left:0;background-color:#00000080;z-index:1}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { width: [{
                type: Input
            }], height: [{
                type: Input
            }], defaultImage: [{
                type: Input
            }], image: [{
                type: Input
            }], rounded: [{
                type: Input
            }], onlyViewImage: [{
                type: Input
            }], showEditImage: [{
                type: Input
            }], showUploadImage: [{
                type: Input
            }], showRemoveImage: [{
                type: Input
            }], showViewImage: [{
                type: Input
            }], showUpIcon: [{
                type: Input
            }], UpIconSize: [{
                type: Input
            }], uploadedImage: [{
                type: Output
            }], deleteImage: [{
                type: Output
            }], clickOut: [{
                type: HostListener,
                args: ['window:click', ['$event']]
            }] } });

class UnoPictureModule {
}
UnoPictureModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPictureModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoPictureModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPictureModule, declarations: [PictureComponent], imports: [CommonModule, TranslateModule, UnoIconModule, UnoModalModule, UnoButtonModule, UnoImageCropperModule], exports: [PictureComponent] });
UnoPictureModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPictureModule, providers: [], imports: [[CommonModule, TranslateModule, UnoIconModule, UnoModalModule, UnoButtonModule, UnoImageCropperModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPictureModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule, UnoIconModule, UnoModalModule, UnoButtonModule, UnoImageCropperModule],
                    exports: [PictureComponent],
                    declarations: [PictureComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class AssetVisualizerComponent {
    constructor() {
        /**
         * Define if user can edit image.
         */
        this.showEditImage = true;
        /**
         * Define if user can upload image.
         */
        this.showUploadImage = true;
        /**
         * Define if user can remove image.
         */
        this.showRemoveImage = true;
        /**
         * Define if user only can see the image.
         */
        this.onlyViewImage = false;
        this.imageUploaded = new EventEmitter();
        this.imageDeleted = new EventEmitter();
        this.sendAssetInfo = new EventEmitter();
        this.goToMonitorLink = new EventEmitter();
    }
}
AssetVisualizerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: AssetVisualizerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AssetVisualizerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: AssetVisualizerComponent, selector: "uno-asset-visualizer", inputs: { defaultAssetImgURL: "defaultAssetImgURL", imgURL: "imgURL", showEditImage: "showEditImage", showUploadImage: "showUploadImage", showRemoveImage: "showRemoveImage", onlyViewImage: "onlyViewImage" }, outputs: { imageUploaded: "imageUploaded", imageDeleted: "imageDeleted", sendAssetInfo: "sendAssetInfo", goToMonitorLink: "goToMonitorLink" }, ngImport: i0, template: "<main>\r\n    <section class=\"asset-image\">\r\n        <uno-picture\r\n                     [defaultImage]=\"defaultAssetImgURL\"\r\n                     [image]=\"imgURL\"\r\n                     [onlyViewImage]=\"onlyViewImage\"\r\n                     (uploadedImage)=\"this.imageUploaded.emit($event)\"\r\n                     (deleteImage)=\"this.imageDeleted.emit()\">\r\n        </uno-picture>\r\n    </section>\r\n</main>", styles: ["main{box-shadow:1px 3px 5px 2px var(--grey)}section.asset-image{height:250px;border-bottom:1px solid var(--grey)}section.bottom-bar-container{display:flow-root;padding:.5rem}section.bottom-bar-container>.badges-container>uno-badge{margin-right:10px}section.bottom-bar-container>.right-actions-container{float:right}section.bottom-bar-container>.right-actions-container>.file-input-container>input{display:none}a,:visited{text-decoration:none;color:var(--white)}\n"], components: [{ type: PictureComponent, selector: "uno-picture", inputs: ["width", "height", "defaultImage", "image", "rounded", "onlyViewImage", "showEditImage", "showUploadImage", "showRemoveImage", "showViewImage", "showUpIcon", "UpIconSize"], outputs: ["uploadedImage", "deleteImage"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: AssetVisualizerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-asset-visualizer', changeDetection: ChangeDetectionStrategy.OnPush, template: "<main>\r\n    <section class=\"asset-image\">\r\n        <uno-picture\r\n                     [defaultImage]=\"defaultAssetImgURL\"\r\n                     [image]=\"imgURL\"\r\n                     [onlyViewImage]=\"onlyViewImage\"\r\n                     (uploadedImage)=\"this.imageUploaded.emit($event)\"\r\n                     (deleteImage)=\"this.imageDeleted.emit()\">\r\n        </uno-picture>\r\n    </section>\r\n</main>", styles: ["main{box-shadow:1px 3px 5px 2px var(--grey)}section.asset-image{height:250px;border-bottom:1px solid var(--grey)}section.bottom-bar-container{display:flow-root;padding:.5rem}section.bottom-bar-container>.badges-container>uno-badge{margin-right:10px}section.bottom-bar-container>.right-actions-container{float:right}section.bottom-bar-container>.right-actions-container>.file-input-container>input{display:none}a,:visited{text-decoration:none;color:var(--white)}\n"] }]
        }], propDecorators: { defaultAssetImgURL: [{
                type: Input
            }], imgURL: [{
                type: Input
            }], showEditImage: [{
                type: Input
            }], showUploadImage: [{
                type: Input
            }], showRemoveImage: [{
                type: Input
            }], onlyViewImage: [{
                type: Input
            }], imageUploaded: [{
                type: Output
            }], imageDeleted: [{
                type: Output
            }], sendAssetInfo: [{
                type: Output
            }], goToMonitorLink: [{
                type: Output
            }] } });

class UnoAssetVisualizerModule {
}
UnoAssetVisualizerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoAssetVisualizerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoAssetVisualizerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoAssetVisualizerModule, declarations: [AssetVisualizerComponent], imports: [CommonModule, UnoPictureModule, UnoBadgeModule, UnoIconModule], exports: [AssetVisualizerComponent] });
UnoAssetVisualizerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoAssetVisualizerModule, providers: [], imports: [[CommonModule, UnoPictureModule, UnoBadgeModule, UnoIconModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoAssetVisualizerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, UnoPictureModule, UnoBadgeModule, UnoIconModule],
                    exports: [AssetVisualizerComponent],
                    declarations: [AssetVisualizerComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class CircleGraphComponent {
    constructor(render) {
        this.render = render;
        this.evaluated = 100;
        this.projected = 1;
        this.posLegX1 = 0.8;
        this.posLegY1 = 0.81;
        this.posLegX2 = 0.8;
        this.posLegY2 = 1.28;
        this.width = 183;
        this.height = 183;
        this.evaluatedTitle = 'evaluated';
        this.projectedTitle = 'projected';
        this.levelTitle = 'level';
        this.color = '#f28b00';
        this.evaluatedEmitter = new EventEmitter();
        this.projectedEmitter = new EventEmitter();
    }
    ngOnInit() {
        this.canvas = this.myCanvas.nativeElement;
        this.render.setProperty(this.canvas, 'width', this.width);
        this.render.setProperty(this.canvas, 'height', this.height);
        this.recalculateCanvas();
    }
    ngOnChanges() {
        if (this.canvas) {
            this.recalculateCanvas();
        }
    }
    recalculateCanvas() {
        this.radius = 80;
        this.total = this.evaluated + this.projected;
        this.percentage = this.projected > 0 ? (this.projected / this.total) * 100 : 1;
        this.drawPercentageCircle(this.percentage, this.radius, this.canvas);
    }
    degreesToRadians(deg) {
        return (deg / 180) * Math.PI;
    }
    percentToRadians(percentage) {
        // convert the percentage into degrees
        const degrees = percentage * 360 / 100;
        // and so that arc begins at top of circle (not 90 degrees) we add 270 degrees
        return this.degreesToRadians(degrees + 270);
    }
    drawPercentageCircle(percentage, radius, canvas) {
        const context = canvas.getContext('2d');
        canvas.style.backgroundColor = 'transparent';
        const x = canvas.width / 2;
        const y = canvas.height / 2;
        const startAngle = this.percentToRadians(0);
        const endAngle = this.percentToRadians(percentage);
        // set to true so that we draw the missing percentage
        let counterClockwise = true;
        context.clearRect(0, 0, this.width, this.height);
        context.beginPath();
        context.arc(x, y, radius, startAngle, endAngle, counterClockwise);
        context.lineWidth = 15;
        // line color
        context.strokeStyle = this.hexToRgbA(this.color, '0.25');
        context.stroke();
        // set to false so that we draw the actual percentage
        counterClockwise = false;
        context.beginPath();
        context.arc(x, y, radius, startAngle, endAngle, counterClockwise);
        context.lineWidth = 15;
        context.lineCap = 'round';
        // line color
        context.strokeStyle = this.color;
        context.stroke();
        // Legend
        context.beginPath();
        context.moveTo(x * this.posLegX1, y * this.posLegY1);
        context.lineWidth = 8;
        context.lineCap = 'round';
        context.lineTo(x * this.posLegX1, y * this.posLegY1);
        context.strokeStyle = this.hexToRgbA(this.color, '0.25');
        context.stroke();
        context.beginPath();
        context.moveTo(x * this.posLegX2, y * this.posLegY2);
        context.lineWidth = 8;
        context.lineCap = 'round';
        context.lineTo(x * this.posLegX2, y * this.posLegY2);
        context.strokeStyle = this.color;
        context.stroke();
    }
    hexToRgbA(hex, op) {
        let c;
        if (/^#([A-Fa-f0-9]{3}){1,2}$/.test(hex)) {
            c = hex.substring(1).split('');
            if (c.length === 3) {
                c = [c[0], c[0], c[1], c[1], c[2], c[2]];
            }
            c = '0x' + c.join('');
            return 'rgba(' + [(c >> 16) & 255, (c >> 8) & 255, c & 255].join(',') + ',' + op + ')';
        }
        throw new Error('Bad Hex');
    }
}
CircleGraphComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CircleGraphComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
CircleGraphComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: CircleGraphComponent, selector: "uno-circle-graph", inputs: { evaluated: "evaluated", projected: "projected", posLegX1: "posLegX1", posLegY1: "posLegY1", posLegX2: "posLegX2", posLegY2: "posLegY2", width: "width", height: "height", evaluatedTitle: "evaluatedTitle", projectedTitle: "projectedTitle", levelTitle: "levelTitle", levelType: "levelType", color: "color" }, outputs: { evaluatedEmitter: "evaluatedEmitter", projectedEmitter: "projectedEmitter" }, viewQueries: [{ propertyName: "myCanvas", first: true, predicate: ["myCanvas"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"circle-graph\" [style.width]=\"width + 'px'\" [style.height]=\"height + 'px'\">\r\n    <canvas #myCanvas></canvas>\r\n    <div class=\"slds-truncate slds-text-align--center title\">{{ levelTitle }}</div>\r\n    <div class=\"slds-truncate values evaluated\" (click)=\"evaluatedEmitter.emit(levelType)\">{{ evaluated | number: '2.0-0' }}</div>\r\n    <div class=\"slds-truncate slds-text-align--center text-uppercase legends evaluated\" (click)=\"evaluatedEmitter.emit(levelType)\" translate>{{ evaluatedTitle }}</div>\r\n    <div class=\"slds-truncate values projected\" (click)=\"projectedEmitter.emit(levelType)\">{{ projected | number: '2.0-0'}}</div>\r\n    <div class=\"slds-truncate slds-text-align--center text-uppercase legends projected\" (click)=\"projectedEmitter.emit(levelType)\" translate>{{ projectedTitle }}</div>\r\n</div>", styles: [".circle-graph{position:relative}.circle-graph .title{position:absolute;width:100px;top:42px;left:40px;font-family:Nunito Bold;font-size:12px;color:var(--light-gray-3)}.circle-graph .values{position:absolute;left:80px;width:70px;font-family:Nunito Bold;font-size:16px;cursor:pointer;color:var(--light-gray-1)}.circle-graph .values.evaluated{top:63px}.circle-graph .values.projected{top:105px}.circle-graph .legends{position:absolute;width:82px;left:52px;font-family:Nunito Semibold;font-size:11px;cursor:pointer;color:var(--light-gray-1)}.circle-graph .legends.evaluated{top:85px}.circle-graph .legends.projected{top:127px}\n"], directives: [{ type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }], pipes: { "number": i3.DecimalPipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CircleGraphComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-circle-graph', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"circle-graph\" [style.width]=\"width + 'px'\" [style.height]=\"height + 'px'\">\r\n    <canvas #myCanvas></canvas>\r\n    <div class=\"slds-truncate slds-text-align--center title\">{{ levelTitle }}</div>\r\n    <div class=\"slds-truncate values evaluated\" (click)=\"evaluatedEmitter.emit(levelType)\">{{ evaluated | number: '2.0-0' }}</div>\r\n    <div class=\"slds-truncate slds-text-align--center text-uppercase legends evaluated\" (click)=\"evaluatedEmitter.emit(levelType)\" translate>{{ evaluatedTitle }}</div>\r\n    <div class=\"slds-truncate values projected\" (click)=\"projectedEmitter.emit(levelType)\">{{ projected | number: '2.0-0'}}</div>\r\n    <div class=\"slds-truncate slds-text-align--center text-uppercase legends projected\" (click)=\"projectedEmitter.emit(levelType)\" translate>{{ projectedTitle }}</div>\r\n</div>", styles: [".circle-graph{position:relative}.circle-graph .title{position:absolute;width:100px;top:42px;left:40px;font-family:Nunito Bold;font-size:12px;color:var(--light-gray-3)}.circle-graph .values{position:absolute;left:80px;width:70px;font-family:Nunito Bold;font-size:16px;cursor:pointer;color:var(--light-gray-1)}.circle-graph .values.evaluated{top:63px}.circle-graph .values.projected{top:105px}.circle-graph .legends{position:absolute;width:82px;left:52px;font-family:Nunito Semibold;font-size:11px;cursor:pointer;color:var(--light-gray-1)}.circle-graph .legends.evaluated{top:85px}.circle-graph .legends.projected{top:127px}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { evaluated: [{
                type: Input
            }], projected: [{
                type: Input
            }], posLegX1: [{
                type: Input
            }], posLegY1: [{
                type: Input
            }], posLegX2: [{
                type: Input
            }], posLegY2: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], evaluatedTitle: [{
                type: Input
            }], projectedTitle: [{
                type: Input
            }], levelTitle: [{
                type: Input
            }], levelType: [{
                type: Input
            }], color: [{
                type: Input
            }], evaluatedEmitter: [{
                type: Output
            }], projectedEmitter: [{
                type: Output
            }], myCanvas: [{
                type: ViewChild,
                args: ['myCanvas', { static: true }]
            }] } });

class UnoCircleGraphModule {
}
UnoCircleGraphModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoCircleGraphModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoCircleGraphModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoCircleGraphModule, declarations: [CircleGraphComponent], imports: [CommonModule, TranslateModule], exports: [CircleGraphComponent] });
UnoCircleGraphModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoCircleGraphModule, providers: [], imports: [[CommonModule, TranslateModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoCircleGraphModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule],
                    exports: [CircleGraphComponent],
                    declarations: [CircleGraphComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class ColorPickItemDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
ColorPickItemDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ColorPickItemDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
ColorPickItemDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ColorPickItemDirective, selector: "[uno-color-picklist-item]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ColorPickItemDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[uno-color-picklist-item]' }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });

const attachments = {
    top: { attachment: 'bottom center', offset: '12px 0', opposite: 'bottom' },
    topRight: { attachment: 'bottom left', offset: '12px 25px', opposite: 'bottom' },
    topLeft: { attachment: 'bottom right', offset: '12px -25px', opposite: 'bottom' },
    left: { attachment: 'middle right', offset: '0 15px', opposite: 'right' },
    leftBottom: { attachment: 'top right', offset: '22px 15px', opposite: 'right' },
    leftTop: { attachment: 'bottom right', offset: '12px 15px', opposite: 'right' },
    right: { attachment: 'middle left', offset: '0 -15px', opposite: 'left' },
    rightBottom: { attachment: 'top left', offset: '0 -15px', opposite: 'left' },
    rightTop: { attachment: 'bottom left', offset: '0 -15px', opposite: 'left' },
    bottom: { attachment: 'top center', offset: '-12px 0', opposite: 'top' },
    bottomRight: { attachment: 'top left', offset: '-20px 25px', opposite: 'top' },
    bottomLeft: { attachment: 'top right', offset: '-20px -25px', opposite: 'top' },
};
const PLACEMENTS = Object.keys(attachments).reduce((placements, direction) => {
    const { attachment, offset, opposite } = attachments[direction];
    const targetAttachment = attachments[opposite].attachment;
    placements[direction] = { opposite, attachment, targetAttachment, offset };
    return placements;
}, {});
function placement(direction) {
    return PLACEMENTS[direction];
}

class DateYearComponent {
    constructor() {
        this.openDropdown = false;
        this.currentYear = (new Date()).getFullYear();
        this.numYearsBefore = 100;
        this.numYearsAfter = 10;
        this.yearChange = new EventEmitter();
    }
    set setYear(year) {
        this.year = +Number(year);
    }
    get range() {
        const firstYear = Math.min(this.currentYear - this.numYearsBefore, this.year);
        const size = Math.max(this.currentYear + this.numYearsAfter, this.year) - firstYear;
        const range = Array.apply(null, { length: size + 1 }).map((value, index) => firstYear + index);
        range.reverse();
        return range;
    }
    ngOnInit() {
        // By default, if none is passed in, the selecor renders with current year:
        this.year = this.currentYear;
    }
    goToYear() {
        // Because the <ul> it's not rendered on the DOM it's need wait that <ul> is ready.
        setTimeout(() => {
            if (this.openDropdown) {
                const elem = this.ulList.nativeElement.children.namedItem(String(this.year));
                const topOfElem = elem['offsetTop'] - 80;
                if (elem) {
                    this.ulList.nativeElement.scroll({ top: topOfElem, behavior: 'auto' });
                }
            }
        }, 50);
    }
}
DateYearComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DateYearComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DateYearComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: DateYearComponent, selector: "uno-date-year", inputs: { numYearsBefore: "numYearsBefore", numYearsAfter: "numYearsAfter", setYear: ["year", "setYear"] }, outputs: { yearChange: "yearChange" }, viewQueries: [{ propertyName: "ulList", first: true, predicate: ["ulList"], descendants: true }], ngImport: i0, template: `
        <div class="uno-dropdown-container">

            <span unoDropdown [(open)]="openDropdown">

                <button unoDropdownTrigger (click)="goToYear()" class="slds-button slds-button--neutral">
                    <span class="slds-truncate">{{ year }}</span>
                    <uno-icon icon="down_s" size="xx-small" class="slds-m-left_small slds-float--right"></uno-icon>
                </button>

                <div class="slds-dropdown slds-dropdown--left">
                    <ul #ulList class="dropdown__list" role="menu">
                        <li *ngFor="let eachYear of range" [id]="eachYear" class="slds-dropdown__item">
                            <a unoDropdownItem role="menuitem" (click)="year = eachYear; yearChange.emit(year)">
                                <p class="slds-truncate">{{ eachYear }}</p>
                            </a>
                        </li>
                    </ul>
                </div>
            </span>
        </div>
    `, isInline: true, styles: ["div.uno-dropdown-container{width:96px}div.uno-dropdown-container>span:first-child{width:100%}div.uno-dropdown-container>span:first-child>button{width:100%;text-align:left}ul.dropdown__list{max-height:200px;overflow:auto}\n"], directives: [{ type: DropdownDirective, selector: "[unoDropdown]", inputs: ["open", "unoDropdownHandlePageEvents"], outputs: ["openChange", "selectedElem"] }, { type: DropdownTriggerDirective, selector: "[unoDropdownTrigger]" }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: DropdownItemDirective, selector: "[unoDropdownItem]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DateYearComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'uno-date-year',
                    template: `
        <div class="uno-dropdown-container">

            <span unoDropdown [(open)]="openDropdown">

                <button unoDropdownTrigger (click)="goToYear()" class="slds-button slds-button--neutral">
                    <span class="slds-truncate">{{ year }}</span>
                    <uno-icon icon="down_s" size="xx-small" class="slds-m-left_small slds-float--right"></uno-icon>
                </button>

                <div class="slds-dropdown slds-dropdown--left">
                    <ul #ulList class="dropdown__list" role="menu">
                        <li *ngFor="let eachYear of range" [id]="eachYear" class="slds-dropdown__item">
                            <a unoDropdownItem role="menuitem" (click)="year = eachYear; yearChange.emit(year)">
                                <p class="slds-truncate">{{ eachYear }}</p>
                            </a>
                        </li>
                    </ul>
                </div>
            </span>
        </div>
    `,
                    styles: [`
        div.uno-dropdown-container { width: 96px; }
        div.uno-dropdown-container > span:first-child { width: 100%; }
        div.uno-dropdown-container > span:first-child > button { width: 100%; text-align: left; }

        ul.dropdown__list { max-height: 200px; overflow: auto; }
    `],
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { numYearsBefore: [{
                type: Input
            }], numYearsAfter: [{
                type: Input
            }], setYear: [{
                type: Input,
                args: ['year']
            }], yearChange: [{
                type: Output
            }], ulList: [{
                type: ViewChild,
                args: ['ulList']
            }] } });

class DateWeekdaysComponent {
    constructor() {
        this.weekdays = [];
        this.firstDayOfWeek = 0; // i.e. '3' => 'Wed' will be the 1st week's day to be rendered.
        this.dayNamesShort = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
        this.dayNamesLong = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
    }
    ngOnInit() {
        this.renderCalendar();
    }
    ngOnChanges() {
        this.renderCalendar();
    }
    renderCalendar() {
        this.weekdays = [];
        for (let i = 0; i < 7; i++) {
            const offset = (this.firstDayOfWeek + i) % 7;
            this.weekdays.push({
                id: `weekday-${i}`,
                label: this.dayNamesShort[offset],
                title: this.dayNamesLong[offset]
            });
        }
    }
}
DateWeekdaysComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DateWeekdaysComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DateWeekdaysComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: DateWeekdaysComponent, selector: "tr[uno-date-weekdays]", inputs: { firstDayOfWeek: "firstDayOfWeek", dayNamesShort: "dayNamesShort", dayNamesLong: "dayNamesLong" }, usesOnChanges: true, ngImport: i0, template: `
        <th *ngFor="let day of weekdays" [id]="day.id" scope="col">
            <uno-badge [title]="'day.title' | translate" tranlate>{{ day.label }}</uno-badge>
        </th>
    `, isInline: true, components: [{ type: BadgeComponent, selector: "uno-badge", inputs: ["type", "pointer", "maxContentSize", "bgColor", "txtColor"] }], directives: [{ type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DateWeekdaysComponent, decorators: [{
            type: Component,
            args: [{
                    // tslint:disable-next-line:component-selector
                    selector: 'tr[uno-date-weekdays]',
                    template: `
        <th *ngFor="let day of weekdays" [id]="day.id" scope="col">
            <uno-badge [title]="'day.title' | translate" tranlate>{{ day.label }}</uno-badge>
        </th>
    `,
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { firstDayOfWeek: [{
                type: Input
            }], dayNamesShort: [{
                type: Input
            }], dayNamesLong: [{
                type: Input
            }] } });

class DateDayComponent {
    constructor() {
        this.role = 'gridcell';
    }
    get label() {
        return this.day < 10 ? `0${this.day}` : this.day;
    }
}
DateDayComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DateDayComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DateDayComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: DateDayComponent, selector: "td[uno-date-day]", inputs: { day: "day", dayDisabled: "dayDisabled", daySelected: "daySelected" }, host: { properties: { "attr.role": "this.role", "class.slds-disabled-text": "this.dayDisabled", "attr.aria-disabled": "this.dayDisabled", "class.slds-is-selected": "this.daySelected", "attr.aria-selected": "this.daySelected" } }, ngImport: i0, template: ` <span class="slds-day">{{ label }}</span>`, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DateDayComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td[uno-date-day]',
                    template: ` <span class="slds-day">{{ label }}</span>`,
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], propDecorators: { role: [{
                type: HostBinding,
                args: ['attr.role']
            }], day: [{
                type: Input
            }], dayDisabled: [{
                type: HostBinding,
                args: ['class.slds-disabled-text']
            }, {
                type: HostBinding,
                args: ['attr.aria-disabled']
            }, {
                type: Input
            }], daySelected: [{
                type: HostBinding,
                args: ['class.slds-is-selected']
            }, {
                type: HostBinding,
                args: ['attr.aria-selected']
            }, {
                type: Input
            }] } });

class DatepickerComponent {
    constructor() {
        this.areaHidden = 'false';
        this.datePicker = 'true';
        this.tabIndex = '0';
        this.uid = uniqueId('datepicker');
        this.monthNames = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August',
            'September', 'October', 'November', 'December'];
        this.dayNamesShort = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
        this.dayNamesLong = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursda', 'Friday', 'Saturday'];
        // How many years before and after the current one are selectable in dropdown <uno-date-year />?
        this.numYearsBefore = 100;
        this.numYearsAfter = 10;
        this.todayButton = true;
        this.firstDayOfWeek = 0;
        this.dateChange = new EventEmitter();
        // Split array into "size" elements arrays
        this.splitDays = (arr, size) => {
            const arrays = [];
            while (arr.length > 0) {
                arrays.push(arr.splice(0, size));
            }
            return arrays;
        };
    }
    set _date(date) {
        this.date = this.parseDate(date);
        if (this.date) {
            this.current = Object.assign({}, this.date);
        }
        this.render();
    }
    set _firstDayOfWeek(firstDayOfWeek) {
        this.firstDayOfWeek = +firstDayOfWeek;
        this.render();
    }
    // KEYBORD CONTROL (events):
    // ============================================================
    enterEvt(event) { this.keyboardHandler(event, 'Enter'); }
    // ============================================================
    arrowUpEvt(event) { this.keyboardHandler(event, 'MoveDay', -7); /* Decreases 7 days => goes UP 1 line!*/ }
    arrowLeftEvt(event) { this.keyboardHandler(event, 'MoveDay', -1); }
    arrowRightEvt(event) { this.keyboardHandler(event, 'MoveDay', 1); }
    arrowDownEvt(event) { this.keyboardHandler(event, 'MoveDay', 7); /* Increments 7 days => goes DOWN 1 line!*/ }
    // ============================================================
    pageUpEvt(event) { this.keyboardHandler(event, 'MoveMonth', -1); }
    pageDownEvt(event) { this.keyboardHandler(event, 'MoveMonth', 1); }
    homeEvt(event) { this.keyboardHandler(event, 'MoveDayTo', 1); }
    endEvt(event) { this.keyboardHandler(event, 'MoveDayTo', 31); }
    // ============================================================
    keyboardHandler($event, code, param) {
        if ($event) {
            // Stop bubbling, for other than @HostListener:
            $event.preventDefault();
            $event.stopPropagation();
        }
        // On any keybord event we, most probably, will change current date (aparte from "Enter")
        const { year, month, day } = this.current;
        const date = new Date(year, month, day, 12);
        switch (code) {
            case 'Enter':
                this.select();
                break;
            case 'MoveDay':
                date.setDate(day + (+param));
                this.current = { year: date.getFullYear(), month: date.getMonth(), day: date.getDate() };
                this.render();
                break;
            case 'MoveMonth':
                const aux = this.date || this.parseDate(new Date());
                // ONLY MOVE PREVIOUS IF CURRENT DATE IS MORE GREATER OR EQUAL TO NUMBER OF YEARS BEFORE
                if (param === -1 && new Date(this.current.year, this.current.month, this.current.day) <= new Date(aux.year - this.numYearsBefore, aux.month, aux.day)) {
                    return;
                }
                // ONLY MOVE NEXT IF CURRENT DATE IS LESS GREATER OR EQUAL TO NUMBER OF YEARS AFTER
                if (param === 1 && new Date(this.current.year, this.current.month, this.current.day) >= new Date(aux.year + this.numYearsAfter, aux.month, aux.day)) {
                    return;
                }
                date.setMonth(month + (+param), 1);
                this.current = { year: date.getFullYear(), month: date.getMonth(), day };
                this.render();
                break;
            case 'MoveDayTo':
                this.current.day = +param;
                this.render();
                break;
            default:
                break;
        }
    }
    // ========================
    // Methods:
    // ========================
    isSelected(date) {
        return this.isEqualDate(date, this.date);
    }
    isActive(date) {
        return this.isEqualDate(date, this.current);
    }
    select(date = this.current) {
        if (date.disabled) {
            return;
        }
        const { year, month, day } = date;
        this.dateChange.emit(new Date(year, month, day));
    }
    selectToday() {
        this.dateChange.emit(new Date());
    }
    moveYear(year) {
        this.current.year = +year;
        this.render();
    }
    // ========================
    // AUX functions:
    // ========================
    indexTrackBy(index) { return index; }
    parseDate(date) {
        if (!date) {
            return null;
        }
        return {
            year: date.getFullYear(),
            month: date.getMonth(),
            day: date.getDate()
        };
    }
    isEqualDate(d1, d2) {
        return d1 && d2 && d1.day === d2.day && d1.month === d2.month && d1.year === d2.year;
    }
    render() {
        if (!this.current) {
            this.current = this.today;
        }
        const { year, month, day } = this.current;
        const days = this.daysInMonth(year, month);
        const nextMonth = this.daysInNextMonth(year, month + 1, days.length);
        this.monthLabel = this.monthNames[month];
        // Keep current day inside limits of this month
        this.current.day = Math.min(day, days.length);
        // Switch between month's days, on navigation:
        Array.prototype.unshift.apply(days, this.daysInPreviousMonth(year, month));
        if (nextMonth) {
            Array.prototype.push.apply(days, nextMonth);
        }
        // ... and week's 7 days:
        this.weeks = this.splitDays(days, 7);
    }
    daysInMonth(year, month) {
        const last = new Date(year, month + 1, 0).getDate();
        return this.getDayObjects(year, month, 1, last);
    }
    daysInPreviousMonth(year, month) {
        const firstIndex = (new Date(year, month, 1)).getDay();
        const last = new Date(year, month, 0).getDate();
        const numDays = (7 + firstIndex - this.firstDayOfWeek) % 7;
        return this.getDayObjects(year, month - 1, last - numDays + 1, last, true);
    }
    daysInNextMonth(year, month, numOfDays) {
        if (numOfDays % 7 === 0) {
            return;
        }
        return this.getDayObjects(year, month, 1, 7 - (numOfDays % 7), true);
    }
    getDayObjects(year, month, from, to, disabled = false) {
        const days = [];
        for (let day = from; day <= to; day++) {
            // ONLY CAN SELECT THE DAY FROM TODAY LESS numYearBefore
            let date;
            if (!this.date || this.numYearsBefore === 0) {
                date = this.parseDate(new Date());
            }
            else {
                date = this.date;
            }
            if (new Date(year, month, day) < new Date(date.year - this.numYearsBefore, date.month, date.day)) {
                days.push({ year, month, day, disabled: true });
            }
            else {
                days.push({ year, month, day, disabled });
            }
        }
        return days;
    }
    get today() {
        const today = new Date();
        return { year: today.getFullYear(), month: today.getMonth(), day: today.getDate() };
    }
}
DatepickerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DatepickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DatepickerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: DatepickerComponent, selector: "uno-datepicker", inputs: { monthNames: "monthNames", dayNamesShort: "dayNamesShort", dayNamesLong: "dayNamesLong", numYearsBefore: "numYearsBefore", numYearsAfter: "numYearsAfter", _date: ["date", "_date"], todayButton: "todayButton", _firstDayOfWeek: ["firstDayOfWeek", "_firstDayOfWeek"] }, outputs: { dateChange: "dateChange" }, host: { listeners: { "keydown.Enter": "enterEvt($event)", "keydown.ArrowUp": "arrowUpEvt($event)", "keydown.ArrowLeft": "arrowLeftEvt($event)", "keydown.ArrowRight": "arrowRightEvt($event)", "keydown.ArrowDown": "arrowDownEvt($event)", "keydown.PageUp": "pageUpEvt($event)", "keydown.PageDown": "pageDownEvt($event)", "keydown.Home": "homeEvt($event)", "keydown.End": "endEvt($event)" }, properties: { "attr.aria-hidden": "this.areaHidden", "class.slds-datepicker": "this.datePicker", "attr.tabindex": "this.tabIndex" } }, ngImport: i0, template: "<div class=\"slds-datepicker__filter slds-grid slds-m-bottom--medium\">\r\n\r\n    <div class=\"slds-datepicker__filter--month slds-grid slds-grid--align-spread slds-grow slds-size-\">\r\n        <button (click)=\"keyboardHandler($event, 'MoveMonth', -1)\" class=\"slds-button slds-button--icon-container\">\r\n            <uno-icon icon=\"back_b\" size=\"x-small\"></uno-icon><span class=\"slds-assistive-text\">Previous Month</span>\r\n        </button>\r\n        <h2 [id]=\"uid + '_month'\" aria-live=\"assertive\" aria-atomic=\"true\" class=\"slds-align-middle\">\r\n            <uno-badge type=\"info\" class=\"month-label\">{{ monthLabel }}</uno-badge>\r\n        </h2>\r\n        <button (click)=\"keyboardHandler($event, 'MoveMonth', 1)\" class=\"slds-button slds-button--icon-container\">\r\n            <uno-icon icon=\"next_b\" size=\"x-small\"></uno-icon><span class=\"slds-assistive-text\">Next Month</span>\r\n        </button>\r\n    </div>\r\n\r\n    <button\r\n        *ngIf=\"todayButton\"\r\n        class=\"go-to-today\"\r\n        (click)=\"selectToday()\"\r\n        unoButton\r\n        unoType=\"secondary\"\r\n        unoSize=\"small\" translate>TODAY\r\n    </button>\r\n\r\n    <uno-date-year\r\n        class=\"slds-shrink-none slds-p-horizontal--x-small\"\r\n        [year]=\"current.year\"\r\n        [numYearsBefore]=\"numYearsBefore\"\r\n        [numYearsAfter]=\"numYearsAfter\"\r\n        (yearChange)=\"moveYear($event)\">\r\n    </uno-date-year>\r\n</div>\r\n\r\n<table role=\"grid\" [attr.aria-labelledby]=\"uid + '_month'\" class=\"datepicker__month\" style=\"table-layout: fixed;\">\r\n    <thead>\r\n        <tr uno-date-weekdays\r\n            [firstDayOfWeek]=\"firstDayOfWeek\"\r\n            [dayNamesShort]=\"dayNamesShort\"\r\n            [dayNamesLong]=\"dayNamesLong\">\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <tr *ngFor=\"let week of weeks; trackBy:indexTrackBy\">\r\n            <td *ngFor=\"let date of week;\"\r\n                [class.slds-is-today]=\"isActive(date)\"\r\n                (click)=\"select(date);\"\r\n                uno-date-day\r\n                [day]=\"date.day\"\r\n                [daySelected]=\"isSelected(date)\"\r\n                [dayDisabled]=\"date.disabled\">\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>", components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }, { type: BadgeComponent, selector: "uno-badge", inputs: ["type", "pointer", "maxContentSize", "bgColor", "txtColor"] }, { type: DateYearComponent, selector: "uno-date-year", inputs: ["numYearsBefore", "numYearsAfter", "year"], outputs: ["yearChange"] }, { type: DateWeekdaysComponent, selector: "tr[uno-date-weekdays]", inputs: ["firstDayOfWeek", "dayNamesShort", "dayNamesLong"] }, { type: DateDayComponent, selector: "td[uno-date-day]", inputs: ["day", "dayDisabled", "daySelected"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DatepickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-datepicker', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"slds-datepicker__filter slds-grid slds-m-bottom--medium\">\r\n\r\n    <div class=\"slds-datepicker__filter--month slds-grid slds-grid--align-spread slds-grow slds-size-\">\r\n        <button (click)=\"keyboardHandler($event, 'MoveMonth', -1)\" class=\"slds-button slds-button--icon-container\">\r\n            <uno-icon icon=\"back_b\" size=\"x-small\"></uno-icon><span class=\"slds-assistive-text\">Previous Month</span>\r\n        </button>\r\n        <h2 [id]=\"uid + '_month'\" aria-live=\"assertive\" aria-atomic=\"true\" class=\"slds-align-middle\">\r\n            <uno-badge type=\"info\" class=\"month-label\">{{ monthLabel }}</uno-badge>\r\n        </h2>\r\n        <button (click)=\"keyboardHandler($event, 'MoveMonth', 1)\" class=\"slds-button slds-button--icon-container\">\r\n            <uno-icon icon=\"next_b\" size=\"x-small\"></uno-icon><span class=\"slds-assistive-text\">Next Month</span>\r\n        </button>\r\n    </div>\r\n\r\n    <button\r\n        *ngIf=\"todayButton\"\r\n        class=\"go-to-today\"\r\n        (click)=\"selectToday()\"\r\n        unoButton\r\n        unoType=\"secondary\"\r\n        unoSize=\"small\" translate>TODAY\r\n    </button>\r\n\r\n    <uno-date-year\r\n        class=\"slds-shrink-none slds-p-horizontal--x-small\"\r\n        [year]=\"current.year\"\r\n        [numYearsBefore]=\"numYearsBefore\"\r\n        [numYearsAfter]=\"numYearsAfter\"\r\n        (yearChange)=\"moveYear($event)\">\r\n    </uno-date-year>\r\n</div>\r\n\r\n<table role=\"grid\" [attr.aria-labelledby]=\"uid + '_month'\" class=\"datepicker__month\" style=\"table-layout: fixed;\">\r\n    <thead>\r\n        <tr uno-date-weekdays\r\n            [firstDayOfWeek]=\"firstDayOfWeek\"\r\n            [dayNamesShort]=\"dayNamesShort\"\r\n            [dayNamesLong]=\"dayNamesLong\">\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <tr *ngFor=\"let week of weeks; trackBy:indexTrackBy\">\r\n            <td *ngFor=\"let date of week;\"\r\n                [class.slds-is-today]=\"isActive(date)\"\r\n                (click)=\"select(date);\"\r\n                uno-date-day\r\n                [day]=\"date.day\"\r\n                [daySelected]=\"isSelected(date)\"\r\n                [dayDisabled]=\"date.disabled\">\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>" }]
        }], propDecorators: { areaHidden: [{
                type: HostBinding,
                args: ['attr.aria-hidden']
            }], datePicker: [{
                type: HostBinding,
                args: ['class.slds-datepicker']
            }], tabIndex: [{
                type: HostBinding,
                args: ['attr.tabindex']
            }], monthNames: [{
                type: Input
            }], dayNamesShort: [{
                type: Input
            }], dayNamesLong: [{
                type: Input
            }], numYearsBefore: [{
                type: Input
            }], numYearsAfter: [{
                type: Input
            }], _date: [{
                type: Input,
                args: ['date']
            }], todayButton: [{
                type: Input
            }], _firstDayOfWeek: [{
                type: Input,
                args: ['firstDayOfWeek']
            }], dateChange: [{
                type: Output
            }], enterEvt: [{
                type: HostListener,
                args: ['keydown.Enter', ['$event']]
            }], arrowUpEvt: [{
                type: HostListener,
                args: ['keydown.ArrowUp', ['$event']]
            }], arrowLeftEvt: [{
                type: HostListener,
                args: ['keydown.ArrowLeft', ['$event']]
            }], arrowRightEvt: [{
                type: HostListener,
                args: ['keydown.ArrowRight', ['$event']]
            }], arrowDownEvt: [{
                type: HostListener,
                args: ['keydown.ArrowDown', ['$event']]
            }], pageUpEvt: [{
                type: HostListener,
                args: ['keydown.PageUp', ['$event']]
            }], pageDownEvt: [{
                type: HostListener,
                args: ['keydown.PageDown', ['$event']]
            }], homeEvt: [{
                type: HostListener,
                args: ['keydown.Home', ['$event']]
            }], endEvt: [{
                type: HostListener,
                args: ['keydown.End', ['$event']]
            }] } });

class PopoverComponent {
    constructor(element, renderer, changeDetector) {
        this.element = element;
        this.renderer = renderer;
        this.changeDetector = changeDetector;
        this.hasDelete = true;
        this.infoTitle = 'Info | Detail';
        this.infoCreatedBy = 'Created By';
        this.infoModifiedBy = 'Modified By';
        this.infoDate = 'Date';
        // Is it an "info" popover? A "download" type? With DATA to poulate the template?
        this.templateType = 'defaultContent';
        this.afterViewInit = new EventEmitter();
        // tslint:disable-next-line:no-output-on-prefix
        this.onInteraction = new EventEmitter();
        // Emit ANY EVENT happening on <uno-popover /> on a specific <ng-template /> TEMPLATE:
        this.templateEventEmiter = new EventEmitter();
        this.uid = uniqueId('popover');
        this._isTooltip = false;
        this.renderer.addClass(this.element.nativeElement, 'slds-popover');
        // Prevent position changes of "close by" elements
        this.renderer.setStyle(this.element.nativeElement, 'position', 'absolute');
        this.renderer.setAttribute(this.element.nativeElement, 'aria-describedby', this.uid);
    }
    set theme(theme) {
        replaceClass(this, `slds-theme--${this._theme}`, theme ? `slds-theme--${theme}` : '');
        this._theme = theme;
    }
    set tooltip(isTooltip) {
        this._isTooltip = toBoolean(isTooltip);
        this.renderer[this._isTooltip ? 'addClass' : 'removeClass'](this.element.nativeElement, 'slds-popover--tooltip');
        this.renderer[this._isTooltip ? 'addClass' : 'removeClass'](this.element.nativeElement, 'slds-text-color--inverse');
    }
    set nubbin(direction) {
        replaceClass(this, `slds-nubbin--${this._nubbin}`, direction ? `slds-nubbin--${direction}` : '');
        this._nubbin = direction;
    }
    set size(size) {
        replaceClass(this, `slds-popover--${this._size}`, size ? `slds-popover--${size}` : '');
        this._size = size;
    }
    get labelledby() {
        return this.header ? `${this.uid}-heading` : null;
    }
    ngAfterViewInit() {
        this.afterViewInit.emit();
    }
    interactiveHandler(evt, isEnter) {
        this.onInteraction.emit(isEnter);
    }
    /**
     * Events on specific "downloadContent" <ng-template /> Template:
     */
    downloadContentDownloadFile(objFile) {
        // First add some properties to identify (on the caller which has the <uno-popover /> trigger),
        // on which Template and on which element (icon, button, div, etc.) the event was triggered from:
        const objDownloadFile = Object.assign({}, objFile, {
            fromTemplate: 'downloadContent',
            fromIcon: 'down'
        });
        // OK. Now emit a GENERAL emiter, passing in data+reference from where it took place:
        this.templateEventEmiter.emit(objDownloadFile);
    }
    downloadContentDeleteFile(objFile) {
        // First add some properties to identify (on the caller which has the <uno-popover /> trigger),
        // on which Template and on which element (icon, button, div, etc.) the event was triggered from:
        const objDeleteFile = Object.assign({}, objFile, {
            fromTemplate: 'downloadContent',
            fromIcon: 'trash'
        });
        // OK. Now emit a GENERAL emiter, passing in data+reference from where it took place:
        this.templateEventEmiter.emit(objDeleteFile);
    }
    downloadContentEditFile(objFile) {
        // First add some properties to identify (on the caller which has the <uno-popover /> trigger),
        // on which Template and on which element (icon, button, div, etc.) the event was triggered from:
        const objEditFile = Object.assign({}, objFile, {
            fromTemplate: 'downloadContent',
            fromIcon: 'edit'
        });
        // OK. Now emit a GENERAL emiter, passing in data+reference from where it took place:
        this.templateEventEmiter.emit(objEditFile);
    }
    datePickerContentChange(selectedDate) {
        // Emit back for the instaltion TS/HTML:
        this.templateEventEmiter.emit(selectedDate);
    }
}
PopoverComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
PopoverComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: PopoverComponent, selector: "uno-popover", inputs: { header: "header", footer: "footer", hasEdit: "hasEdit", hasDelete: "hasDelete", infoTitle: "infoTitle", infoCreatedBy: "infoCreatedBy", infoModifiedBy: "infoModifiedBy", infoDate: "infoDate", templateType: "templateType", templateTypeData: "templateTypeData", isInteractive: "isInteractive", theme: "theme", tooltip: "tooltip" }, outputs: { afterViewInit: "afterViewInit", onInteraction: "onInteraction", templateEventEmiter: "templateEventEmiter" }, host: { listeners: { "mouseenter": "interactiveHandler($event,true)", "mouseleave": "interactiveHandler($event,false)" }, properties: { "attr.aria-labelledby": "this.labelledby" } }, ngImport: i0, template: "<div [ngSwitch]=\"templateType\" class=\"uno-popover-ng-template-container\">\r\n\r\n    <ng-template [ngSwitchCase]=\"'defaultContent'\">\r\n\r\n        <header *ngIf=\"header\" class=\"slds-popover__header\">\r\n            <h2 [id]=\"uid + '-heading'\" class=\"slds-text-heading--small\">{{ header }}</h2>\r\n        </header>\r\n\r\n        <div [id]=\"uid\" [ngClass]=\"_isTooltip ? 'slds-popover__body' : 'slds-popover__body-list'\">\r\n            <ng-content></ng-content>\r\n        </div>\r\n\r\n        <footer *ngIf=\"footer\" class=\"slds-popover__footer\">{{ footer }}</footer>\r\n\r\n    </ng-template>\r\n\r\n    <!-- // -->\r\n\r\n    <ng-template [ngSwitchCase]=\"'infoContent'\">\r\n        <div class=\"slds-grid slds-wrap slds-p-around--small slds-text-align--left\">\r\n            \r\n            <!-- CLOSE POPOVER ICON/BUTTON -->\r\n            <uno-icon *ngIf=\"!isInteractive\" icon=\"close\" size=\"x-small\" class=\"popover-close-icon\"></uno-icon>\r\n            <!-- POPOVER HEADING -->\r\n            <div class=\"slds-size--1-of-1 slds-text-heading--large slds-p-bottom--small\">\r\n                <uno-icon icon=\"info\" [withOpacity]=\"false\"></uno-icon>\r\n                <span class=\"slds-uno-icon-info--text-header\" translate>{{ infoTitle }}</span>\r\n            </div>\r\n            <!-- POPOVER CREATED BY DATA: -->\r\n            <div class=\"slds-size--1-of-1 slds-p-around--x-small slds-border--bottom\">\r\n                <div class=\"slds-grid slds-wrap slds-has-flexi-truncate\">\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoCreatedBy }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value slds-truncate\">{{ templateTypeData.createdBy }}</span>\r\n                    </div>\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoDate }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value smaller-font-size slds-truncate\">{{ templateTypeData.createdDate | date:'dd/MM/yyyy HH:mm' }}</span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <!-- POPOVER MODIFIED BY DATA: -->\r\n            <div class=\"slds-size--1-of-1 slds-p-around--x-small\">\r\n                <div class=\"slds-grid slds-wrap slds-has-flexi-truncate\">\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoModifiedBy }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value slds-truncate\">{{ templateTypeData.modifiedBy }}</span>\r\n                    </div>\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoDate }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value smaller-font-size slds-truncate\">{{ templateTypeData.modifiedDate | date:'dd/MM/yyyy HH:mm' }}</span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n\r\n        </div>\r\n    </ng-template>\r\n\r\n    <!-- // -->\r\n\r\n    <ng-template [ngSwitchCase]=\"'downloadContent'\">\r\n\r\n        <div class=\"slds-grid slds-wrap slds-p-around--small slds-text-align--left\">\r\n\r\n            <!-- CLOSE POPOVER ICON/BUTTON -->\r\n            <uno-icon *ngIf=\"!isInteractive\" icon=\"close\" size=\"x-small\" class=\"popover-close-icon\"></uno-icon>\r\n            <!-- POPOVER HEADING -->\r\n            <div class=\"slds-size--1-of-1 slds-p-bottom--small\">\r\n                <uno-badge bgColor=\"sapphire\" txtColor=\"white\">{{ templateTypeData.numberFiles }}</uno-badge>\r\n            </div>\r\n            <!-- POPOVER (data) FILES ARRAY: -->\r\n            <div class=\"slds-size--1-of-1 slds-uno-icon-download--files-list-container\">\r\n\r\n                <div *ngFor=\"let file of templateTypeData.files;\" class=\"slds-grid slds-wrap slds-p-around--x-small slds-border--bottom slds-uno-icon-download--file-container\">\r\n                    <span class=\"slds-truncate slds-uno-icon-info--text-parameter-value\">{{ file.fileName }}</span>\r\n                    <span class=\"slds-uno-icon-info--text-parameter-value\">{{ file.fileExtension }}</span>\r\n                    <uno-icon\r\n                        *ngIf=\"file.documentDescription\"\r\n                        icon=\"doc\"\r\n                        size=\"x-small\"\r\n                        [withOpacity]=\"false\"\r\n                        uno-popover-trigger\r\n                        [unoPopover]=\"file.documentDescription\"\r\n                        unoPopoverTooltip=\"true\"\r\n                        unoPopoverBehavior>\r\n                    </uno-icon>\r\n                    <uno-icon icon=\"down\" size=\"x-small\" (click)=\"downloadContentDownloadFile(file)\"></uno-icon>\r\n                    <uno-icon *ngIf=\"hasEdit\" icon=\"edit\" size=\"x-small\" (click)=\"downloadContentEditFile(file)\"></uno-icon>\r\n                    <uno-icon *ngIf=\"hasDelete\" icon=\"trash\" size=\"x-small\" (click)=\"downloadContentDeleteFile(file)\"></uno-icon>\r\n                    <span *ngIf=\"file.modifiedDate\" class=\"slds-uno-icon-info--text-parameter-value smaller-font-size\">{{ file.modifiedDate | date:'dd/MM/yyyy HH:mm' }}</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </ng-template>\r\n\r\n    <!-- // -->\r\n\r\n    <ng-template [ngSwitchCase]=\"'datePickerContent'\" style=\"width: auto;\">\r\n        <!-- CLOSE POPOVER ICON/BUTTON -->\r\n        <uno-icon *ngIf=\"!isInteractive\" icon=\"close\" size=\"x-small\" class=\"popover-close-icon from-datepicker\"></uno-icon>\r\n\r\n        <uno-datepicker class=\"slds-box slds-box--small slds-datepicker\"\r\n            [(date)]=\"templateTypeData.dateChosen\"\r\n            [numYearsBefore]=templateTypeData.numYearsBefore\r\n            [numYearsAfter]=templateTypeData.numYearsAfter\r\n            (dateChange)=\"datePickerContentChange($event)\">\r\n        </uno-datepicker>\r\n\r\n    </ng-template>\r\n\r\n</div>", styles: [".popover-close-icon{position:absolute;right:.75rem}.popover-close-icon.from-datepicker{right:unset;left:1.5rem;top:1.4rem}\n"], components: [{ type: i0.forwardRef(function () { return IconComponent; }), selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }, { type: i0.forwardRef(function () { return DatepickerComponent; }), selector: "uno-datepicker", inputs: ["monthNames", "dayNamesShort", "dayNamesLong", "numYearsBefore", "numYearsAfter", "date", "todayButton", "firstDayOfWeek"], outputs: ["dateChange"] }], directives: [{ type: i0.forwardRef(function () { return i3.NgSwitch; }), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i0.forwardRef(function () { return i3.NgSwitchCase; }), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i0.forwardRef(function () { return i3.NgIf; }), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i0.forwardRef(function () { return i3.NgClass; }), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i0.forwardRef(function () { return i3$1.TranslateDirective; }), selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: i0.forwardRef(function () { return i3.NgForOf; }), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i0.forwardRef(function () { return PopoverTriggerDirective; }), selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i0.forwardRef(function () { return PopoverBehaviorDirective; }), selector: "[unoPopoverBehavior]" }], pipes: { "date": i0.forwardRef(function () { return i3.DatePipe; }) }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-popover', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div [ngSwitch]=\"templateType\" class=\"uno-popover-ng-template-container\">\r\n\r\n    <ng-template [ngSwitchCase]=\"'defaultContent'\">\r\n\r\n        <header *ngIf=\"header\" class=\"slds-popover__header\">\r\n            <h2 [id]=\"uid + '-heading'\" class=\"slds-text-heading--small\">{{ header }}</h2>\r\n        </header>\r\n\r\n        <div [id]=\"uid\" [ngClass]=\"_isTooltip ? 'slds-popover__body' : 'slds-popover__body-list'\">\r\n            <ng-content></ng-content>\r\n        </div>\r\n\r\n        <footer *ngIf=\"footer\" class=\"slds-popover__footer\">{{ footer }}</footer>\r\n\r\n    </ng-template>\r\n\r\n    <!-- // -->\r\n\r\n    <ng-template [ngSwitchCase]=\"'infoContent'\">\r\n        <div class=\"slds-grid slds-wrap slds-p-around--small slds-text-align--left\">\r\n            \r\n            <!-- CLOSE POPOVER ICON/BUTTON -->\r\n            <uno-icon *ngIf=\"!isInteractive\" icon=\"close\" size=\"x-small\" class=\"popover-close-icon\"></uno-icon>\r\n            <!-- POPOVER HEADING -->\r\n            <div class=\"slds-size--1-of-1 slds-text-heading--large slds-p-bottom--small\">\r\n                <uno-icon icon=\"info\" [withOpacity]=\"false\"></uno-icon>\r\n                <span class=\"slds-uno-icon-info--text-header\" translate>{{ infoTitle }}</span>\r\n            </div>\r\n            <!-- POPOVER CREATED BY DATA: -->\r\n            <div class=\"slds-size--1-of-1 slds-p-around--x-small slds-border--bottom\">\r\n                <div class=\"slds-grid slds-wrap slds-has-flexi-truncate\">\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoCreatedBy }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value slds-truncate\">{{ templateTypeData.createdBy }}</span>\r\n                    </div>\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoDate }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value smaller-font-size slds-truncate\">{{ templateTypeData.createdDate | date:'dd/MM/yyyy HH:mm' }}</span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <!-- POPOVER MODIFIED BY DATA: -->\r\n            <div class=\"slds-size--1-of-1 slds-p-around--x-small\">\r\n                <div class=\"slds-grid slds-wrap slds-has-flexi-truncate\">\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoModifiedBy }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value slds-truncate\">{{ templateTypeData.modifiedBy }}</span>\r\n                    </div>\r\n                    <div class=\"slds-size--1-of-2 slds-truncate\">\r\n                        <span class=\"slds-uno-icon-info--text-parameter slds-truncate\" translate>{{ infoDate }}</span>\r\n                        <br/>\r\n                        <span class=\"slds-uno-icon-info--text-parameter-value smaller-font-size slds-truncate\">{{ templateTypeData.modifiedDate | date:'dd/MM/yyyy HH:mm' }}</span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n\r\n        </div>\r\n    </ng-template>\r\n\r\n    <!-- // -->\r\n\r\n    <ng-template [ngSwitchCase]=\"'downloadContent'\">\r\n\r\n        <div class=\"slds-grid slds-wrap slds-p-around--small slds-text-align--left\">\r\n\r\n            <!-- CLOSE POPOVER ICON/BUTTON -->\r\n            <uno-icon *ngIf=\"!isInteractive\" icon=\"close\" size=\"x-small\" class=\"popover-close-icon\"></uno-icon>\r\n            <!-- POPOVER HEADING -->\r\n            <div class=\"slds-size--1-of-1 slds-p-bottom--small\">\r\n                <uno-badge bgColor=\"sapphire\" txtColor=\"white\">{{ templateTypeData.numberFiles }}</uno-badge>\r\n            </div>\r\n            <!-- POPOVER (data) FILES ARRAY: -->\r\n            <div class=\"slds-size--1-of-1 slds-uno-icon-download--files-list-container\">\r\n\r\n                <div *ngFor=\"let file of templateTypeData.files;\" class=\"slds-grid slds-wrap slds-p-around--x-small slds-border--bottom slds-uno-icon-download--file-container\">\r\n                    <span class=\"slds-truncate slds-uno-icon-info--text-parameter-value\">{{ file.fileName }}</span>\r\n                    <span class=\"slds-uno-icon-info--text-parameter-value\">{{ file.fileExtension }}</span>\r\n                    <uno-icon\r\n                        *ngIf=\"file.documentDescription\"\r\n                        icon=\"doc\"\r\n                        size=\"x-small\"\r\n                        [withOpacity]=\"false\"\r\n                        uno-popover-trigger\r\n                        [unoPopover]=\"file.documentDescription\"\r\n                        unoPopoverTooltip=\"true\"\r\n                        unoPopoverBehavior>\r\n                    </uno-icon>\r\n                    <uno-icon icon=\"down\" size=\"x-small\" (click)=\"downloadContentDownloadFile(file)\"></uno-icon>\r\n                    <uno-icon *ngIf=\"hasEdit\" icon=\"edit\" size=\"x-small\" (click)=\"downloadContentEditFile(file)\"></uno-icon>\r\n                    <uno-icon *ngIf=\"hasDelete\" icon=\"trash\" size=\"x-small\" (click)=\"downloadContentDeleteFile(file)\"></uno-icon>\r\n                    <span *ngIf=\"file.modifiedDate\" class=\"slds-uno-icon-info--text-parameter-value smaller-font-size\">{{ file.modifiedDate | date:'dd/MM/yyyy HH:mm' }}</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </ng-template>\r\n\r\n    <!-- // -->\r\n\r\n    <ng-template [ngSwitchCase]=\"'datePickerContent'\" style=\"width: auto;\">\r\n        <!-- CLOSE POPOVER ICON/BUTTON -->\r\n        <uno-icon *ngIf=\"!isInteractive\" icon=\"close\" size=\"x-small\" class=\"popover-close-icon from-datepicker\"></uno-icon>\r\n\r\n        <uno-datepicker class=\"slds-box slds-box--small slds-datepicker\"\r\n            [(date)]=\"templateTypeData.dateChosen\"\r\n            [numYearsBefore]=templateTypeData.numYearsBefore\r\n            [numYearsAfter]=templateTypeData.numYearsAfter\r\n            (dateChange)=\"datePickerContentChange($event)\">\r\n        </uno-datepicker>\r\n\r\n    </ng-template>\r\n\r\n</div>", styles: [".popover-close-icon{position:absolute;right:.75rem}.popover-close-icon.from-datepicker{right:unset;left:1.5rem;top:1.4rem}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { header: [{
                type: Input
            }], footer: [{
                type: Input
            }], hasEdit: [{
                type: Input
            }], hasDelete: [{
                type: Input
            }], infoTitle: [{
                type: Input
            }], infoCreatedBy: [{
                type: Input
            }], infoModifiedBy: [{
                type: Input
            }], infoDate: [{
                type: Input
            }], templateType: [{
                type: Input
            }], templateTypeData: [{
                type: Input
            }], isInteractive: [{
                type: Input
            }], theme: [{
                type: Input
            }], tooltip: [{
                type: Input
            }], afterViewInit: [{
                type: Output
            }], onInteraction: [{
                type: Output
            }], templateEventEmiter: [{
                type: Output
            }], labelledby: [{
                type: HostBinding,
                args: ['attr.aria-labelledby']
            }], interactiveHandler: [{
                type: HostListener,
                args: ['mouseenter', ['$event', 'true']]
            }, {
                type: HostListener,
                args: ['mouseleave', ['$event', 'false']]
            }] } });
class PopoverTriggerDirective {
    constructor(element, viewContainer, injector, ngZone, renderer) {
        this.element = element;
        this.viewContainer = viewContainer;
        this.injector = injector;
        this.ngZone = ngZone;
        this.renderer = renderer;
        // Is it an "info" popover? A "download" type? With DATA to poulate the template?
        this.unoPopoverTemplate = 'defaultContent';
        this.hasDelete = true;
        this.infoTitle = 'Info | Detail';
        this.infoCreatedBy = 'Created By';
        this.infoModifiedBy = 'Modified By';
        this.infoDate = 'Date';
        // Emit an event when current popover is shown or hidden
        this.unoPopoverToggled = new EventEmitter();
        // Pass through the trigger ANY EVENT happening on <uno-popover /> on a specific <ng-template /> TEMPLATE:
        this.unoPopoverTemplateEvent = new EventEmitter();
        this.placement = 'top';
        this.openDelay = 0;
        this.closeDelay = 0;
        this.toggleTimeout = null;
        this.interactive = false;
    }
    set unoPopoverPlacement(_placement) {
        this.placement = _placement || 'top';
        this.setTether();
    }
    set unoPopoverTheme(theme) {
        this.theme = theme;
        this.setPopover();
    }
    set unoPopoverNubbin(_nubbin) {
        this.nubbin = _nubbin || 'top';
        this.setPopover();
    }
    set unoPopoverSize(_size) {
        this.size = _size;
        this.setPopover();
    }
    set unoPopoverDelay(delay) {
        delay = Array.isArray(delay) ? delay : [delay, delay];
        [this.openDelay, this.closeDelay] = delay.map(Number);
    }
    set unoPopoverInteractive(interactive) {
        this.interactive = toBoolean(interactive);
    }
    get unoPopoverInteractive() {
        return this.interactive;
    }
    set unoPopoverOpen(open) {
        this.toggle(open, open ? this.openDelay : this.closeDelay);
    }
    // Expose open method
    open(delay = this.openDelay) {
        this.toggle(true, delay);
    }
    // Expose close method
    close(delay = this.closeDelay) {
        this.toggle(false, delay);
    }
    position(async = true) {
        this.ngZone.runOutsideAngular(() => {
            if (async) {
                setTimeout(() => this.tether.position());
            }
            else {
                this.tether.position();
            }
        });
    }
    ngOnDestroy() {
        this.destroy();
    }
    toggle(open, delay) {
        if (this.toggleTimeout !== null) {
            clearTimeout(this.toggleTimeout);
            this.toggleTimeout = null;
        }
        const toggleFn = (open ? this.create : this.destroy).bind(this);
        if (delay > 0) {
            this.toggleTimeout = setTimeout(() => {
                this.toggleTimeout = null;
                toggleFn();
            }, delay);
        }
        else {
            toggleFn();
        }
    }
    setTether(create = false) {
        if (!this.tether && !create) {
            return;
        }
        const { attachment, targetAttachment, offset } = placement(this.placement);
        const options = {
            element: this.popover.element.nativeElement,
            target: this.element.nativeElement,
            attachment,
            targetAttachment,
            offset
        };
        if (create) {
            this.tether = new Tether(options);
        }
        else {
            this.tether.setOptions(options);
        }
        this.setPopover();
    }
    setPopover() {
        if (!this.popover) {
            return;
        }
        const { opposite } = placement(this.placement);
        this.popover.nubbin = this.nubbin || opposite;
        this.popover.theme = this.theme;
        this.popover.tooltip = this.unoPopoverTooltip;
        this.popover.size = this.size || 'medium';
    }
    create() {
        if (this.componentRef) {
            return;
        }
        const { nodes, viewRef } = this.getProjectableNodes();
        this.viewRef = viewRef;
        this.componentRef = this.viewContainer.createComponent(PopoverComponent, { index: 0, injector: this.injector, projectableNodes: [nodes] });
        this.popover = this.componentRef.instance;
        this.popover.header = this.unoPopoverHeader;
        this.popover.footer = this.unoPopoverFooter;
        // Is it an "info" popover? A "download" type? With DATA to poulate the template?
        this.popover.templateType = this.unoPopoverTemplate;
        this.popover.templateTypeData = this.unoPopoverTemplateData;
        this.popover.hasEdit = this.hasEdit;
        this.popover.hasDelete = this.hasDelete;
        this.popover.infoTitle = this.infoTitle;
        this.popover.infoCreatedBy = this.infoCreatedBy;
        this.popover.infoModifiedBy = this.infoModifiedBy;
        this.popover.infoDate = this.infoDate;
        // Do we need the "close" icon, inside popover? Just check if unoPopoverInteractive="true"
        this.popover.isInteractive = this.unoPopoverInteractive;
        this.popover.afterViewInit
            .pipe(take(1))
            .subscribe(() => this.position(false));
        if (this.interactive) {
            this.interactive$ = this.popover.onInteraction.subscribe((enter) => this.unoPopoverOpen = enter);
        }
        // Pass through the trigger ANY EVENT happening on <uno-popover /> on a specific <ng-template /> TEMPLATE:
        this.template$ = this.popover.templateEventEmiter.subscribe((objData) => this.unoPopoverTemplateEvent.emit(objData));
        this.setTether(true);
        // To avoid unexpected behavior when template "lives" inside an OnPush
        // component, explicitlly request change detection to run on creation.
        this.popover.changeDetector.markForCheck();
        this.unoPopoverToggled.emit(true);
    }
    getProjectableNodes() {
        if (this.unoPopover instanceof TemplateRef) {
            const viewRef = this.viewContainer.createEmbeddedView(this.unoPopover);
            return { nodes: viewRef.rootNodes, viewRef };
        }
        else {
            return { nodes: [this.renderer.createText(this.unoPopover)] };
        }
    }
    destroy() {
        if (!this.componentRef) {
            return;
        }
        this.tether.destroy();
        this.tether = null;
        // Cleanup template view
        if (this.viewRef) {
            this.viewContainer.remove(this.viewContainer.indexOf(this.viewRef));
            this.viewRef = null;
        }
        this.viewContainer.remove(this.viewContainer.indexOf(this.componentRef.hostView));
        this.componentRef.destroy();
        this.componentRef = null;
        this.popover = null;
        if (this.interactive$) {
            this.interactive$.unsubscribe();
        }
        if (this.template$) {
            this.template$.unsubscribe();
        }
        this.unoPopoverToggled.emit(false);
    }
}
PopoverTriggerDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverTriggerDirective, deps: [{ token: i0.ElementRef }, { token: i0.ViewContainerRef }, { token: i0.Injector }, { token: i0.NgZone }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Directive });
PopoverTriggerDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: { unoPopover: "unoPopover", unoPopoverHeader: "unoPopoverHeader", unoPopoverFooter: "unoPopoverFooter", unoPopoverTemplate: "unoPopoverTemplate", unoPopoverTemplateData: "unoPopoverTemplateData", hasEdit: "hasEdit", hasDelete: "hasDelete", infoTitle: "infoTitle", infoCreatedBy: "infoCreatedBy", infoModifiedBy: "infoModifiedBy", infoDate: "infoDate", unoPopoverPlacement: "unoPopoverPlacement", unoPopoverTheme: "unoPopoverTheme", unoPopoverNubbin: "unoPopoverNubbin", unoPopoverSize: "unoPopoverSize", unoPopoverTooltip: "unoPopoverTooltip", unoPopoverDelay: "unoPopoverDelay", unoPopoverInteractive: "unoPopoverInteractive", unoPopoverOpen: "unoPopoverOpen" }, outputs: { unoPopoverToggled: "unoPopoverToggled", unoPopoverTemplateEvent: "unoPopoverTemplateEvent" }, exportAs: ["unoPopoverTrigger"], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverTriggerDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[uno-popover-trigger]',
                    exportAs: 'unoPopoverTrigger'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.ViewContainerRef }, { type: i0.Injector }, { type: i0.NgZone }, { type: i0.Renderer2 }]; }, propDecorators: { unoPopover: [{
                type: Input
            }], unoPopoverHeader: [{
                type: Input
            }], unoPopoverFooter: [{
                type: Input
            }], unoPopoverTemplate: [{
                type: Input
            }], unoPopoverTemplateData: [{
                type: Input
            }], hasEdit: [{
                type: Input
            }], hasDelete: [{
                type: Input
            }], infoTitle: [{
                type: Input
            }], infoCreatedBy: [{
                type: Input
            }], infoModifiedBy: [{
                type: Input
            }], infoDate: [{
                type: Input
            }], unoPopoverPlacement: [{
                type: Input
            }], unoPopoverTheme: [{
                type: Input
            }], unoPopoverNubbin: [{
                type: Input
            }], unoPopoverSize: [{
                type: Input
            }], unoPopoverTooltip: [{
                type: Input
            }], unoPopoverDelay: [{
                type: Input
            }], unoPopoverInteractive: [{
                type: Input
            }], unoPopoverOpen: [{
                type: Input
            }], unoPopoverToggled: [{
                type: Output
            }], unoPopoverTemplateEvent: [{
                type: Output
            }] } });
class PopoverClickBehaviorDirective {
    constructor(
    // *********************************************************************************
    // On ClickToClose Directive, we also have access to all Trigger Directive's Methods:
    // (like "unoPopover", "unoPopoverHeader", "unoPopoverOpen()", etc.)
    // *********************************************************************************
    trigger) {
        this.trigger = trigger;
        this.isInfoPopoverOpened = false;
    }
    // Clicking specific on TRIGGER (icon, button, div, span, etc.):
    onClick(evt) {
        // Don't let any other coded click event grab this 'click':
        evt.preventDefault();
        evt.stopPropagation();
        // As TRIGGER can be any HTML tag, we grab it here:
        this.triggerElement = evt.target;
        if (!this.isInfoPopoverOpened) {
            // Trigger <uno-popover /> to open:
            this.trigger.unoPopoverOpen = true;
        }
        else {
            this.trigger.unoPopoverOpen = false;
        }
        // Update opened state:
        this.isInfoPopoverOpened = !this.isInfoPopoverOpened;
    }
    // Clicking... all over!
    closePopoverTrigger(evt) {
        // Must be opened, to close it! ;-)
        if (this.isInfoPopoverOpened === true) {
            const popoverElement = this.trigger.popover.element.nativeElement;
            const closeIconTrigger = popoverElement.querySelector('.popover-close-icon');
            if (
            // Icon "close" was clicked:
            closeIconTrigger.contains(evt.target)
                ||
                    // Anywere outside popoverElement (that's NOT the trigger itself!) was clicked:
                    (!popoverElement.contains(evt.target) && evt.target !== this.triggerElement)) {
                this.trigger.unoPopoverOpen = false;
                this.isInfoPopoverOpened = false;
            }
        }
    }
}
PopoverClickBehaviorDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverClickBehaviorDirective, deps: [{ token: PopoverTriggerDirective }], target: i0.ɵɵFactoryTarget.Directive });
PopoverClickBehaviorDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PopoverClickBehaviorDirective, selector: "[uno-popover-click-behavior]", host: { listeners: { "click": "onClick($event)", "document:click": "closePopoverTrigger($event)" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverClickBehaviorDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[uno-popover-click-behavior]' }]
        }], ctorParameters: function () { return [{ type: PopoverTriggerDirective }]; }, propDecorators: { onClick: [{
                type: HostListener,
                args: ['click', ['$event']]
            }], closePopoverTrigger: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });
class PopoverBehaviorDirective {
    constructor(
    // *********************************************************************************
    // On Behaviour Directive, we also have access to all Trigger Directive's Methods:
    // (like "unoPopover", "unoPopoverHeader", "unoPopoverOpen()", etc.)
    // *********************************************************************************
    trigger) {
        this.trigger = trigger;
        this.tabindex = 0;
    }
    onMouseOver() {
        // Trigger <uno-popover /> to open:
        this.trigger.unoPopoverOpen = true;
    }
    onMouseOut() {
        // Trigger <uno-popover /> closing:
        this.trigger.unoPopoverOpen = false;
    }
}
PopoverBehaviorDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverBehaviorDirective, deps: [{ token: PopoverTriggerDirective }], target: i0.ɵɵFactoryTarget.Directive });
PopoverBehaviorDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PopoverBehaviorDirective, selector: "[unoPopoverBehavior]", host: { listeners: { "mouseenter": "onMouseOver()", "focus": "onMouseOver()", "mouseleave": "onMouseOut()", "blur": "onMouseOut()" }, properties: { "attr.tabindex": "this.tabindex" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PopoverBehaviorDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[unoPopoverBehavior]' }]
        }], ctorParameters: function () { return [{ type: PopoverTriggerDirective }]; }, propDecorators: { tabindex: [{
                type: HostBinding,
                args: ['attr.tabindex']
            }], onMouseOver: [{
                type: HostListener,
                args: ['mouseenter']
            }, {
                type: HostListener,
                args: ['focus']
            }], onMouseOut: [{
                type: HostListener,
                args: ['mouseleave']
            }, {
                type: HostListener,
                args: ['blur']
            }] } });

class ColorPicklistComponent {
    constructor(pick, renderer) {
        this.pick = pick;
        this.renderer = renderer;
        this.isDisabled = false;
        this.isForInlineTableCSS = false;
        this.open = false;
        this.popOverPosition = 'bottomLeft';
        this.nubbinPosition = 'top-right';
        // ==============================================
        this.openChange = new EventEmitter();
        this.selectedElem = new EventEmitter();
        this.subscriptions = new Subscription();
    }
    ngOnChanges(changes) {
        if (changes.closeClickOutside && changes.closeClickOutside.currentValue) {
            this.subscriptions.add(this.renderer.listen('document', 'click', (evt) => {
                if (this.button && this.colorsPopover &&
                    evt.target !== this.button.nativeElement && evt.target !== this.colorsPopover.nativeElement) {
                    this.open = false;
                }
            }));
        }
    }
    ngAfterContentInit() {
        this.subscriptions.add(this.pick.unoPickChange.subscribe(() => this.openChange.emit(false)));
    }
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    isOptionActive(item) {
        return this.pick.selected.color === item.color;
    }
}
ColorPicklistComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ColorPicklistComponent, deps: [{ token: PickDirective }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
ColorPicklistComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ColorPicklistComponent, selector: "uno-color-picklist[unoPick]", inputs: { data: "data", isDisabled: "isDisabled", isForInlineTableCSS: "isForInlineTableCSS", open: "open", closeClickOutside: "closeClickOutside", popOverPosition: "popOverPosition", nubbinPosition: "nubbinPosition" }, outputs: { openChange: "openChange", selectedElem: "selectedElem" }, queries: [{ propertyName: "itemTemplate", first: true, predicate: ColorPickItemDirective, descendants: true }], viewQueries: [{ propertyName: "button", first: true, predicate: ["button"], descendants: true }, { propertyName: "colorsPopover", first: true, predicate: ["divColors"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<!-- picklist HTML is a <span unoDropdown /> markup, with specific TS behaviors - like multiple selection, items list online filtering, etc. -->\r\n<span\r\n    class=\"slds-picklist--fluid\"\r\n    (openChange)=\"openChange.emit($event)\"\r\n    uno-popover-trigger\r\n    [unoPopover]=\"colorsContent\"\r\n    [unoPopoverOpen]=\"open\"\r\n    unoPopoverSize=\"medium\"\r\n    [unoPopoverPlacement]=\"popOverPosition\"\r\n    [unoPopoverNubbin]=\"nubbinPosition\"\r\n    (click)=\"open = !open\">\r\n\r\n    <button\r\n        #button\r\n        type=\"button\"\r\n        class=\"slds-uno-picklist--label\"\r\n        style=\"padding: 0 10px\"\r\n        [class.slds-input]=\"!isForInlineTableCSS\"\r\n        [class.slds-button]=\"isForInlineTableCSS\"\r\n        [disabled]=\"isDisabled\">\r\n            <ng-content></ng-content>\r\n            <uno-icon icon=\"down_s\" size=\"xx-small\" class=\"slds-m-left_small slds-float--right\"></uno-icon>\r\n    </button>\r\n</span>\r\n\r\n<ng-template #colorsContent>\r\n    <div class=\"slds-grid slds-wrap slds-p-around--small\" #divColors>\r\n        <!-- Cycle of all [colors] elements: -->\r\n        <div class=\"slds-size--1-of-7 slds-p-around--x-small\" *ngFor=\"let item of data; let i = index;\"\r\n            uno-pick-option\r\n            [unoPickOption]=\"item\">\r\n            <span class=\"span-color-picker\" [class.slds-is-active]=\"isOptionActive(item)\" (click)=\"selectedElem.emit(item);\" [style.background-color]=\"item.color\"></span>\r\n        </div>\r\n    </div>\r\n</ng-template>", styles: [".slds-is-active{box-shadow:0 0 0 4px #e0e3ea}.slds-picklist--fluid button.slds-uno-picklist--label{text-align:left;display:flex}.span-color-picker{width:27px;height:27px;border-radius:50%;display:inline-block;cursor:pointer}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: PickOptionDirective, selector: "[uno-pick-option]", inputs: ["unoPickOption", "unoPickActiveClass"], exportAs: ["unoPickOption"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ColorPicklistComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-color-picklist[unoPick]', template: "<!-- picklist HTML is a <span unoDropdown /> markup, with specific TS behaviors - like multiple selection, items list online filtering, etc. -->\r\n<span\r\n    class=\"slds-picklist--fluid\"\r\n    (openChange)=\"openChange.emit($event)\"\r\n    uno-popover-trigger\r\n    [unoPopover]=\"colorsContent\"\r\n    [unoPopoverOpen]=\"open\"\r\n    unoPopoverSize=\"medium\"\r\n    [unoPopoverPlacement]=\"popOverPosition\"\r\n    [unoPopoverNubbin]=\"nubbinPosition\"\r\n    (click)=\"open = !open\">\r\n\r\n    <button\r\n        #button\r\n        type=\"button\"\r\n        class=\"slds-uno-picklist--label\"\r\n        style=\"padding: 0 10px\"\r\n        [class.slds-input]=\"!isForInlineTableCSS\"\r\n        [class.slds-button]=\"isForInlineTableCSS\"\r\n        [disabled]=\"isDisabled\">\r\n            <ng-content></ng-content>\r\n            <uno-icon icon=\"down_s\" size=\"xx-small\" class=\"slds-m-left_small slds-float--right\"></uno-icon>\r\n    </button>\r\n</span>\r\n\r\n<ng-template #colorsContent>\r\n    <div class=\"slds-grid slds-wrap slds-p-around--small\" #divColors>\r\n        <!-- Cycle of all [colors] elements: -->\r\n        <div class=\"slds-size--1-of-7 slds-p-around--x-small\" *ngFor=\"let item of data; let i = index;\"\r\n            uno-pick-option\r\n            [unoPickOption]=\"item\">\r\n            <span class=\"span-color-picker\" [class.slds-is-active]=\"isOptionActive(item)\" (click)=\"selectedElem.emit(item);\" [style.background-color]=\"item.color\"></span>\r\n        </div>\r\n    </div>\r\n</ng-template>", styles: [".slds-is-active{box-shadow:0 0 0 4px #e0e3ea}.slds-picklist--fluid button.slds-uno-picklist--label{text-align:left;display:flex}.span-color-picker{width:27px;height:27px;border-radius:50%;display:inline-block;cursor:pointer}\n"] }]
        }], ctorParameters: function () { return [{ type: PickDirective }, { type: i0.Renderer2 }]; }, propDecorators: { data: [{
                type: Input
            }], isDisabled: [{
                type: Input
            }], isForInlineTableCSS: [{
                type: Input
            }], open: [{
                type: Input
            }], closeClickOutside: [{
                type: Input
            }], popOverPosition: [{
                type: Input
            }], nubbinPosition: [{
                type: Input
            }], openChange: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }], itemTemplate: [{
                type: ContentChild,
                args: [ColorPickItemDirective]
            }], button: [{
                type: ViewChild,
                args: ['button']
            }], colorsPopover: [{
                type: ViewChild,
                args: ['divColors']
            }] } });

class UnoDateDayModule {
}
UnoDateDayModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateDayModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDateDayModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateDayModule, declarations: [DateDayComponent], imports: [CommonModule], exports: [DateDayComponent] });
UnoDateDayModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateDayModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateDayModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [DateDayComponent],
                    declarations: [DateDayComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoDateWeekdaysModule {
}
UnoDateWeekdaysModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateWeekdaysModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDateWeekdaysModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateWeekdaysModule, declarations: [DateWeekdaysComponent], imports: [CommonModule, TranslateModule, UnoBadgeModule], exports: [DateWeekdaysComponent] });
UnoDateWeekdaysModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateWeekdaysModule, providers: [], imports: [[CommonModule, TranslateModule, UnoBadgeModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateWeekdaysModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule, UnoBadgeModule],
                    exports: [DateWeekdaysComponent],
                    declarations: [DateWeekdaysComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoDateYearModule {
}
UnoDateYearModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateYearModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDateYearModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateYearModule, declarations: [DateYearComponent], imports: [CommonModule, UnoDropdownModule], exports: [DateYearComponent] });
UnoDateYearModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateYearModule, providers: [], imports: [[CommonModule, UnoDropdownModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDateYearModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, UnoDropdownModule],
                    exports: [DateYearComponent],
                    declarations: [DateYearComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoDatepickerModule {
}
UnoDatepickerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDatepickerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepickerModule, declarations: [DatepickerComponent], imports: [CommonModule,
        TranslateModule,
        UnoBadgeModule,
        UnoIconModule,
        UnoDateYearModule,
        UnoButtonModule,
        UnoDateWeekdaysModule,
        UnoDateDayModule], exports: [DatepickerComponent] });
UnoDatepickerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepickerModule, providers: [], imports: [[
            CommonModule,
            TranslateModule,
            UnoBadgeModule,
            UnoIconModule,
            UnoDateYearModule,
            UnoButtonModule,
            UnoDateWeekdaysModule,
            UnoDateDayModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDatepickerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        TranslateModule,
                        UnoBadgeModule,
                        UnoIconModule,
                        UnoDateYearModule,
                        UnoButtonModule,
                        UnoDateWeekdaysModule,
                        UnoDateDayModule
                    ],
                    exports: [DatepickerComponent],
                    declarations: [DatepickerComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoPopoverModule {
}
UnoPopoverModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPopoverModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoPopoverModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPopoverModule, declarations: [PopoverComponent, PopoverTriggerDirective, PopoverBehaviorDirective, PopoverClickBehaviorDirective], imports: [CommonModule, TranslateModule, UnoIconModule, UnoDatepickerModule], exports: [PopoverComponent, PopoverTriggerDirective, PopoverBehaviorDirective, PopoverClickBehaviorDirective] });
UnoPopoverModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPopoverModule, providers: [], imports: [[CommonModule, TranslateModule, UnoIconModule, UnoDatepickerModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPopoverModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule, UnoIconModule, UnoDatepickerModule],
                    exports: [PopoverComponent, PopoverTriggerDirective, PopoverBehaviorDirective, PopoverClickBehaviorDirective],
                    declarations: [PopoverComponent, PopoverTriggerDirective, PopoverBehaviorDirective, PopoverClickBehaviorDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class UnoColorPicklistModule {
}
UnoColorPicklistModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoColorPicklistModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoColorPicklistModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoColorPicklistModule, declarations: [ColorPicklistComponent, ColorPickItemDirective], imports: [CommonModule,
        UnoButtonModule,
        UnoPopoverModule,
        UnoPickModule,
        UnoIconModule], exports: [ColorPicklistComponent] });
UnoColorPicklistModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoColorPicklistModule, providers: [], imports: [[
            CommonModule,
            UnoButtonModule,
            UnoPopoverModule,
            UnoPickModule,
            UnoIconModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoColorPicklistModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        UnoButtonModule,
                        UnoPopoverModule,
                        UnoPickModule,
                        UnoIconModule
                    ],
                    exports: [ColorPicklistComponent],
                    declarations: [ColorPicklistComponent, ColorPickItemDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class PillComponent {
    constructor(detector) {
        this.detector = detector;
        this.closeIcon = 'close';
        this.unoPillRemoveElem = new EventEmitter();
        this.hasPill = true;
        this.unlinked = true;
    }
    remove() {
        this.unoPillRemoveElem.emit(null);
    }
}
PillComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
PillComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: PillComponent, selector: "uno-pill", inputs: { closeIcon: "closeIcon" }, outputs: { unoPillRemoveElem: "unoPillRemoveElem" }, host: { properties: { "class.slds-pill": "this.hasPill" } }, ngImport: i0, template: "<!-- The Pill image/icon - as long as Directive is there -->\r\n<ng-content select=\"[unoPillImage]\"></ng-content>\r\n<!-- The Pill link href - everytime an <a href=\"\" /> is drawn @ HTML intalation -->\r\n<ng-content select=\"a\"></ng-content>\r\n<!-- The Pill unlinked - as long as Directive is there -->\r\n<span *ngIf=\"unlinked\" class=\"slds-pill__label\">\r\n    <ng-content></ng-content>\r\n</span>\r\n\r\n<!-- Add a close button, if Pill is removable: -->\r\n<uno-icon *ngIf=\"removable\"\r\n          [icon]=\"closeIcon\"\r\n          class=\"slds-button__icon slds-button slds-button--icon slds-pill__remove\"\r\n          (click)=\"remove(); $event.stopPropagation()\">\r\n</uno-icon>", styles: [".slds-pill__remove svg{width:.5rem;height:.5rem}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-pill', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: "<!-- The Pill image/icon - as long as Directive is there -->\r\n<ng-content select=\"[unoPillImage]\"></ng-content>\r\n<!-- The Pill link href - everytime an <a href=\"\" /> is drawn @ HTML intalation -->\r\n<ng-content select=\"a\"></ng-content>\r\n<!-- The Pill unlinked - as long as Directive is there -->\r\n<span *ngIf=\"unlinked\" class=\"slds-pill__label\">\r\n    <ng-content></ng-content>\r\n</span>\r\n\r\n<!-- Add a close button, if Pill is removable: -->\r\n<uno-icon *ngIf=\"removable\"\r\n          [icon]=\"closeIcon\"\r\n          class=\"slds-button__icon slds-button slds-button--icon slds-pill__remove\"\r\n          (click)=\"remove(); $event.stopPropagation()\">\r\n</uno-icon>", styles: [".slds-pill__remove svg{width:.5rem;height:.5rem}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { closeIcon: [{
                type: Input
            }], unoPillRemoveElem: [{
                type: Output
            }], hasPill: [{
                type: HostBinding,
                args: ['class.slds-pill']
            }] } });

class PillRemoveDirective {
    constructor(pill) {
        this.pill = pill;
    }
    set unoPillRemovable(removable) {
        this.pill.removable = toBoolean(removable);
        this.pill.detector.markForCheck();
    }
    ngOnInit() {
        if (this.pill.removable === undefined) {
            this.pill.removable = true;
        }
    }
}
PillRemoveDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillRemoveDirective, deps: [{ token: PillComponent }], target: i0.ɵɵFactoryTarget.Directive });
PillRemoveDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PillRemoveDirective, selector: "[unoPillRemove]", inputs: { unoPillRemovable: "unoPillRemovable" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillRemoveDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoPillRemove]',
                }]
        }], ctorParameters: function () { return [{ type: PillComponent }]; }, propDecorators: { unoPillRemovable: [{
                type: Input
            }] } });

class PillLinkDirective {
    constructor(pill, element, renderer) {
        if (!pill) {
            return;
        }
        renderer.addClass(element.nativeElement, 'slds-pill__label');
        pill.unlinked = false;
    }
}
PillLinkDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillLinkDirective, deps: [{ token: PillComponent, optional: true }, { token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Directive });
PillLinkDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PillLinkDirective, selector: "a", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillLinkDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'a',
                }]
        }], ctorParameters: function () { return [{ type: PillComponent, decorators: [{
                    type: Optional
                }] }, { type: i0.ElementRef }, { type: i0.Renderer2 }]; } });

class PillImageDirective {
    constructor(element, renderer) {
        this.element = element;
        this.renderer = renderer;
    }
    ngAfterContentInit() {
        this.renderer.addClass(this.element.nativeElement, 'slds-pill__icon');
        this.renderer.removeClass(this.element.nativeElement, 'slds-avatar--medium');
    }
}
PillImageDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillImageDirective, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Directive });
PillImageDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: PillImageDirective, selector: "[unoPillImage]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PillImageDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoPillImage]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; } });

class UnoPillModule {
}
UnoPillModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPillModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoPillModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPillModule, declarations: [PillComponent, PillRemoveDirective, PillLinkDirective, PillImageDirective], imports: [CommonModule, UnoIconModule], exports: [PillComponent, PillRemoveDirective, PillLinkDirective, PillImageDirective] });
UnoPillModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPillModule, providers: [], imports: [[CommonModule, UnoIconModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPillModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, UnoIconModule],
                    exports: [PillComponent, PillRemoveDirective, PillLinkDirective, PillImageDirective],
                    declarations: [PillComponent, PillRemoveDirective, PillLinkDirective, PillImageDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class InputTagsComponent {
    constructor(eRef, render) {
        this.eRef = eRef;
        this.render = render;
        /**
         * Variable with all selected objects, from all objects array.
         */
        this.selectedObjects = [];
        /**
         * Variable to set the object key.
         */
        this.key = 'id';
        /**
         * Variable to set the object value.
         */
        this.value = 'name';
        /**
         * Variable to set the placeholder when don't have any tag selected.
         */
        this.inputPlaceholder = 'Select options...';
        /**
         * Variable to enable/disable the input tags.
         */
        this.isDisable = false;
        this.newTags = false;
        /**
         * Variable that emit the selectedObjects.
         */
        this.objectsSelected = new EventEmitter();
        /**
         * Variable to set the possible objects to show on dropdown.
         */
        this.filteredObjects = [];
        /**
         * Variable that control the open/close of the dropdown.
         */
        this.openDrop = false;
        /**
         * Variable to set the search term, for every time user remove/add a object the filter object update with search term.
         */
        this.searchTerm = '';
    }
    /**
     * This method listens for the event "window:click".
     *
     * @param evt - The DOM element that trigger the listener.
     */
    clickOut(evt) {
        // If click inside image, show dropdown.
        if (!this.eRef.nativeElement.contains(evt.target.parentElement)) {
            this.openDrop = false;
            this.searchObject('');
        }
    }
    ngOnChanges(changes) {
        if (changes.selectedObjects && changes.selectedObjects.currentValue) {
            this.filterArray();
        }
    }
    /**
     * This method open the dropdown and focus the input with cursor.
     */
    onDivClick() {
        this.openDrop = !this.openDrop;
        if (this.openDrop) {
            this.searchObject(this.searchTerm);
            setTimeout(() => this.search.nativeElement.focus(), 0);
        }
        else {
            this.searchObject('');
        }
    }
    /**
     * This method remove a objct to the selectedObjects.
     *
     * @param obj - The object to be removed from array of the selectedObjects.
     */
    removeObject(obj) {
        const index = this.selectedObjects.findIndex((aux) => obj[this.key] === aux[this.key]);
        if (index > -1) {
            this.selectedObjects.splice(index, 1);
            this.searchObject(this.searchTerm);
        }
        this.objectsSelected.emit(this.selectedObjects);
    }
    /**
     * This method add a objct to the selectedObjects.
     *
     * @param obj - The object to be added to array of the selectedObjects.
     */
    addObject(obj) {
        if (this.newTags && typeof obj === 'string') {
            obj = {
                // FIND THE MAX ID OF THE TAGS AND ADD 1
                id: (this.objects.reduce((a, b) => a.id > b.id ? a.id : b.id) + 1),
                name: obj
            };
            this.objects.push(obj);
        }
        this.selectedObjects.push(obj);
        this.searchObject(this.searchTerm);
        this.render.setProperty(this.search.nativeElement, 'value', '');
        this.objectsSelected.emit(this.selectedObjects);
    }
    /**
     * This method its called every time user remove/add a term for search.
     *
     * @param evt - The input element.
     */
    onSearchChange(evt) {
        if (evt.target.value.length > 0) {
            this.render.setStyle(this.search.nativeElement, 'width', `${evt.target.value.length * 12}px`);
        }
        this.openDrop = true;
        this.searchObject(evt.target.value);
    }
    /**
     * This method remove/add elements to dropdown every time user select a object from list.
     */
    filterArray() {
        // if (this.selectedObjects && this.selectedObjects.length > 0) {
        this.filteredObjects = this.objects?.filter((obj) => this.selectedObjects.findIndex((aux) => aux[this.key] === obj[this.key]) < 0);
        // }
    }
    /**
     * This method filter the dropdown objects where term match on objects value.
     *
     * @param search - The term for search on all objects value.
     */
    searchObject(search) {
        this.searchTerm = search;
        this.filterArray();
        if (search.length > 0) {
            this.filteredObjects = this.filteredObjects.filter((obj) => obj[this.value].toLowerCase().indexOf(search.toLowerCase()) > -1);
            if (this.filteredObjects.length === 0) {
                this.searchTerm = '';
            }
        }
    }
    /**
     * This method remove the object when user press the backspace key.
     */
    onBackspacePressed() {
        // Only remove tag if input value are empty.
        if (this.search.nativeElement.value.length === 0) {
            // Only remove tag if selectedObjects length are not empty.
            if (this.selectedObjects.length > 0) {
                // Remove the last element of the selectedObjects.
                this.selectedObjects.splice(this.selectedObjects.length - 1, 1);
                this.searchObject(this.searchTerm);
            }
        }
    }
}
InputTagsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: InputTagsComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
InputTagsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: InputTagsComponent, selector: "uno-input-tags", inputs: { objects: "objects", selectedObjects: "selectedObjects", key: "key", value: "value", inputPlaceholder: "inputPlaceholder", isDisable: "isDisable", newTags: "newTags" }, outputs: { objectsSelected: "objectsSelected" }, host: { listeners: { "window:click": "clickOut($event)" } }, viewQueries: [{ propertyName: "search", first: true, predicate: ["search"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: "<div [ngClass]=\"{ 'input-tags': true, 'open': openDrop, 'disable': isDisable }\"\r\n     (click)=\"onDivClick(); $event.stopPropagation()\">\r\n    <uno-icon *ngIf=\"!isDisable\" [icon]=\"openDrop ? 'up_s' : 'down_s'\" size=\"xx-small\" (click)=\"onDivClick(); $event.stopPropagation()\"></uno-icon>\r\n    <div class=\"slds-p-right--large tags-input\">\r\n        <uno-pill *ngFor=\"let obj of selectedObjects\"\r\n                  class=\"slds-m-around--xx-small slds-p-horizontal--x-small\"\r\n                  (click)=\"$event.stopPropagation()\"\r\n                  closeIcon=\"close_tag\"\r\n                  [unoPillRemovable]=\"!isDisable\"\r\n                  unoPillRemove\r\n                  (unoPillRemoveElem)=\"removeObject(obj)\">\r\n            {{ obj[value] }}\r\n        </uno-pill>\r\n        <input #search\r\n               class=\"slds-m-around--x-small\"\r\n               type=\"text\"\r\n               [style.display]=\"!isDisable && (openDrop || selectedObjects.length === 0) ? 'inline-block' : 'none'\"\r\n               [style.width]=\"selectedObjects.length === 0 && !openDrop ? '96%' : ''\"\r\n               (input)=\"onSearchChange($event)\"\r\n               [placeholder]=\"selectedObjects.length === 0 && !openDrop ? inputPlaceholder : ''\"\r\n               (keydown.backspace)=\"onBackspacePressed()\" />\r\n    </div>\r\n    <div [style.display]=\"openDrop ? 'block' : 'none'\" class=\"dropdown\">\r\n        <div class=\"slds-p-around--x-small item\" *ngFor=\"let obj of filteredObjects\" (click)=\"addObject(obj); $event.stopPropagation()\">{{ obj[value] }}</div>\r\n        <div *ngIf=\"newTags && search.value\" class=\"slds-p-around--x-small item\" (click)=\"addObject(search.value); $event.stopPropagation()\">{{\r\n            search.value }} ({{ ('newLabel' | translate) }})</div>\r\n    </div>\r\n</div>", styles: [".input-tags{position:relative;display:inline-block;border:1px solid var(--light-periwinkle-two);width:100%;border-radius:.25rem;cursor:text;background-color:var(--white);min-height:calc(1.875rem + 7px)}.input-tags.open{border:1px solid var(--sapphire)}.input-tags>uno-icon{position:absolute;top:10px;right:10px}.input-tags.tags-input{min-height:calc(1.875rem + 7px)}.input-tags uno-pill{cursor:pointer}.input-tags uno-pill.slds-pill{color:var(--dark-blue-grey);background-color:var(--very-light-blue);border:1px solid var(--light-blue-grey)}.input-tags uno-pill.slds-pill:hover{border:solid 1px var(--light-blue-grey);background-color:var(--light-periwinkle-two)}.input-tags>.slds-p-around--xxx-small.slds-p-right--large>input{width:10px;min-width:12px;max-width:100%;height:26px;vertical-align:top;white-space:normal;border:none;outline:none}.input-tags>.dropdown{position:absolute;width:inherit;max-height:150px;overflow-y:auto;cursor:pointer;border:1px solid var(--sapphire);background-color:var(--white);z-index:2}.input-tags>.dropdown>.item{font-family:OpenSans;font-size:12px;font-weight:400;font-style:normal;font-stretch:normal;line-height:1.42;letter-spacing:normal;color:var(--dark-blue-grey)}.input-tags>.dropdown>.item:hover{background-color:var(--very-light-blue)}.input-tags.disable{pointer-events:none;background-color:var(--grey);cursor:not-allowed}.input-tags input{outline:none;border:none}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }, { type: PillComponent, selector: "uno-pill", inputs: ["closeIcon"], outputs: ["unoPillRemoveElem"] }], directives: [{ type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: PillRemoveDirective, selector: "[unoPillRemove]", inputs: ["unoPillRemovable"] }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: InputTagsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-input-tags', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div [ngClass]=\"{ 'input-tags': true, 'open': openDrop, 'disable': isDisable }\"\r\n     (click)=\"onDivClick(); $event.stopPropagation()\">\r\n    <uno-icon *ngIf=\"!isDisable\" [icon]=\"openDrop ? 'up_s' : 'down_s'\" size=\"xx-small\" (click)=\"onDivClick(); $event.stopPropagation()\"></uno-icon>\r\n    <div class=\"slds-p-right--large tags-input\">\r\n        <uno-pill *ngFor=\"let obj of selectedObjects\"\r\n                  class=\"slds-m-around--xx-small slds-p-horizontal--x-small\"\r\n                  (click)=\"$event.stopPropagation()\"\r\n                  closeIcon=\"close_tag\"\r\n                  [unoPillRemovable]=\"!isDisable\"\r\n                  unoPillRemove\r\n                  (unoPillRemoveElem)=\"removeObject(obj)\">\r\n            {{ obj[value] }}\r\n        </uno-pill>\r\n        <input #search\r\n               class=\"slds-m-around--x-small\"\r\n               type=\"text\"\r\n               [style.display]=\"!isDisable && (openDrop || selectedObjects.length === 0) ? 'inline-block' : 'none'\"\r\n               [style.width]=\"selectedObjects.length === 0 && !openDrop ? '96%' : ''\"\r\n               (input)=\"onSearchChange($event)\"\r\n               [placeholder]=\"selectedObjects.length === 0 && !openDrop ? inputPlaceholder : ''\"\r\n               (keydown.backspace)=\"onBackspacePressed()\" />\r\n    </div>\r\n    <div [style.display]=\"openDrop ? 'block' : 'none'\" class=\"dropdown\">\r\n        <div class=\"slds-p-around--x-small item\" *ngFor=\"let obj of filteredObjects\" (click)=\"addObject(obj); $event.stopPropagation()\">{{ obj[value] }}</div>\r\n        <div *ngIf=\"newTags && search.value\" class=\"slds-p-around--x-small item\" (click)=\"addObject(search.value); $event.stopPropagation()\">{{\r\n            search.value }} ({{ ('newLabel' | translate) }})</div>\r\n    </div>\r\n</div>", styles: [".input-tags{position:relative;display:inline-block;border:1px solid var(--light-periwinkle-two);width:100%;border-radius:.25rem;cursor:text;background-color:var(--white);min-height:calc(1.875rem + 7px)}.input-tags.open{border:1px solid var(--sapphire)}.input-tags>uno-icon{position:absolute;top:10px;right:10px}.input-tags.tags-input{min-height:calc(1.875rem + 7px)}.input-tags uno-pill{cursor:pointer}.input-tags uno-pill.slds-pill{color:var(--dark-blue-grey);background-color:var(--very-light-blue);border:1px solid var(--light-blue-grey)}.input-tags uno-pill.slds-pill:hover{border:solid 1px var(--light-blue-grey);background-color:var(--light-periwinkle-two)}.input-tags>.slds-p-around--xxx-small.slds-p-right--large>input{width:10px;min-width:12px;max-width:100%;height:26px;vertical-align:top;white-space:normal;border:none;outline:none}.input-tags>.dropdown{position:absolute;width:inherit;max-height:150px;overflow-y:auto;cursor:pointer;border:1px solid var(--sapphire);background-color:var(--white);z-index:2}.input-tags>.dropdown>.item{font-family:OpenSans;font-size:12px;font-weight:400;font-style:normal;font-stretch:normal;line-height:1.42;letter-spacing:normal;color:var(--dark-blue-grey)}.input-tags>.dropdown>.item:hover{background-color:var(--very-light-blue)}.input-tags.disable{pointer-events:none;background-color:var(--grey);cursor:not-allowed}.input-tags input{outline:none;border:none}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; }, propDecorators: { objects: [{
                type: Input
            }], selectedObjects: [{
                type: Input
            }], key: [{
                type: Input
            }], value: [{
                type: Input
            }], inputPlaceholder: [{
                type: Input
            }], isDisable: [{
                type: Input
            }], newTags: [{
                type: Input
            }], objectsSelected: [{
                type: Output
            }], search: [{
                type: ViewChild,
                args: ['search', { static: true }]
            }], clickOut: [{
                type: HostListener,
                args: ['window:click', ['$event']]
            }] } });

class UnoInputTagsModule {
}
UnoInputTagsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoInputTagsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoInputTagsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoInputTagsModule, declarations: [InputTagsComponent], imports: [CommonModule, UnoIconModule, UnoPillModule, TranslateModule], exports: [InputTagsComponent] });
UnoInputTagsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoInputTagsModule, providers: [], imports: [[CommonModule, UnoIconModule, UnoPillModule, TranslateModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoInputTagsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, UnoIconModule, UnoPillModule, TranslateModule],
                    exports: [InputTagsComponent],
                    declarations: [InputTagsComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class StringTemplateRefTransformComponent {
    ngOnChanges() {
        [this.content, this.contentTemplate] = this.unoHelperStringTemplateRef instanceof TemplateRef
            ? ['', this.unoHelperStringTemplateRef]
            : [this.unoHelperStringTemplateRef, null];
    }
}
StringTemplateRefTransformComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: StringTemplateRefTransformComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
StringTemplateRefTransformComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: StringTemplateRefTransformComponent, selector: "[unoHelperStringTemplateRef]", inputs: { unoHelperStringTemplateRef: "unoHelperStringTemplateRef" }, usesOnChanges: true, ngImport: i0, template: `{{content}}<ng-template [ngTemplateOutlet]="contentTemplate"></ng-template>`, isInline: true, directives: [{ type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: StringTemplateRefTransformComponent, decorators: [{
            type: Component,
            args: [{
                    selector: '[unoHelperStringTemplateRef]',
                    template: `{{content}}<ng-template [ngTemplateOutlet]="contentTemplate"></ng-template>`,
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], propDecorators: { unoHelperStringTemplateRef: [{
                type: Input
            }] } });

// ======================
// Directives we'll use INSIDE <uno-lookup /> UNO ui-library component:
// ======================
class LookupItemDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
LookupItemDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupItemDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
LookupItemDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: LookupItemDirective, selector: "[unoLookupItem]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupItemDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[unoLookupItem]' }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });
class LookupLabelDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
LookupLabelDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupLabelDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
LookupLabelDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: LookupLabelDirective, selector: "[unoLookupLabel]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupLabelDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[unoLookupLabel]' }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });
class LookupHeaderDirective {
    constructor() {
        this.hasLabel = true;
    }
}
LookupHeaderDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupHeaderDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
LookupHeaderDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: LookupHeaderDirective, selector: "[unoLookupHeader]", host: { properties: { "class.slds-lookup__item--label": "this.hasLabel" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupHeaderDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoLookupHeader]',
                    // host: {
                    //     '[class.slds-lookup__item--label]': 'true',
                    // },
                }]
        }], propDecorators: { hasLabel: [{
                type: HostBinding,
                args: ['class.slds-lookup__item--label']
            }] } });
// ======================
// Our <uno-lookup /> component:
// ======================
class LookupComponent {
    constructor(element, renderer, detector) {
        this.element = element;
        this.renderer = renderer;
        this.detector = detector;
        this.noResultsText = 'Sorry! No results found...';
        this.searchIcon = true;
        // "debounce" waits '200' until it lets the next data through. Check "getInputBehaviorSubjectByChanges()"...
        this.debounce = 200;
        this.inputWasTouched = new EventEmitter();
        this.scrollEndReached = new EventEmitter();
        this.valueChange = new EventEmitter();
        this.pickChange = new EventEmitter();
        this.inputId = uniqueId('lookup_input');
        this._disabled = false;
        this.globalClickUnsubscriber = null;
        this._open = false;
        this.inputValue = '';
        this.inputSubject = new BehaviorSubject(undefined);
        this.noResults = false;
        this.activeIndex = -1;
        this.pendingFocus = false;
    }
    set isDisabled(disabled) {
        this._disabled = toBoolean(disabled);
    }
    get isDisabled() {
        return this._disabled;
    }
    // ==================================================
    set value(value) {
        if (value !== this.inputSubject.getValue()) {
            this.inputValue = value;
            this.inputSubject.next(value);
        }
    }
    set setPick(pick) {
        this.inputValue = this.resolveLabel(pick);
        this.pick = pick;
    }
    set open(_open) {
        if (this.open === _open) {
            return;
        }
        if (_open) {
            this.globalClickUnsubscriber = this.renderer.listen('document', 'click', ($event) => {
                this.globalClickHandler($event);
                this.detector.markForCheck();
            });
        }
        else {
            this.activeIndex = -1;
            this.unsubscribeGlobalClick();
        }
        this._open = _open;
    }
    get open() {
        return this._open;
    }
    // ======================
    // Component's Life cycle Methods:
    // ======================
    ngOnInit() {
        const valueStream = this.getInputBehaviorSubjectByChanges(true, true);
        const suggestions$ = this.triggerLookupByChangesOn(valueStream, true);
        // Subscribe to it:
        this.suggestionsSubscription = suggestions$.subscribe((suggestions) => {
            this.suggestions = suggestions;
            this.noResults = Array.isArray(suggestions) && !suggestions.length;
            this.open = !!suggestions;
            this.detector.markForCheck();
        });
    }
    ngOnChanges(changes) {
        this._label = this.labelTemplate ? this.labelTemplate.templateRef : (this.label || '');
    }
    ngAfterViewChecked() {
        if (this.pendingFocus && !this.pick) {
            this.focus();
        }
        this.pendingFocus = false;
    }
    ngOnDestroy() {
        this.unsubscribeGlobalClick();
        this.suggestionsSubscription.unsubscribe();
    }
    // ======================
    // Whether menu is expanded
    get expanded() {
        return this.open && !this.pick;
    }
    // Handle scroll event, emitted through <ul>'s "unoScrollTracker" Directive:
    handleScroll(scrollObj) {
        // The end....?
        if (scrollObj.endReached) {
            this.scrollEndReached.emit(scrollObj);
            // Trigger new [lookup] refreshment, as if Input was changed:
            // this.inputSubject.next(this.inputEl.nativeElement.value);
            // But it didn't! Input is the same; we want new data by scroll down reaching the end and NOT by Input changes...
            // So:
            // Trigger new Service call, with the SAME Input string:
            const suggestions$ = this.triggerLookupByChangesOn(this.inputSubject, false);
            // Remove "this.inputSubject" eventual previous Observers:
            // this.suggestionsSubscription.unsubscribe();
            // We should; but we can't... you''ll loose track, at instalation, of when trigger is by Input change or scrollDown end,
            // but preserving the correct (changed, in particular) Input string.
            // So... remember "observableOfSuggestions"'s observers property Array is growing infinitelly, by each scrollDown reach.
            // Subscribe to this one, so "this.suggestions" results (or not results) get displayed:
            this.suggestionsSubscription = suggestions$.subscribe((suggestions) => {
                this.suggestions = suggestions;
                this.noResults = Array.isArray(suggestions) && !suggestions.length;
                this.open = !!suggestions;
                this.detector.markForCheck();
            });
        }
    }
    pickActive(evt) {
        if (this.activeIndex < 0) {
            return;
        }
        this.handlePick(this.suggestions[this.activeIndex]);
    }
    handlePick(item) {
        this.pickChange.emit(item);
    }
    moveActive(evt, moves) {
        evt.preventDefault();
        if (!this.expanded) {
            return;
        }
        this.activeIndex = Math.max(-1, Math.min(this.activeIndex + moves, this.suggestions.length - 1));
        // Update input value based on active option
        const value = this.activeIndex === -1 ? this.lastUserInput : this.resolveLabel(this.suggestions[this.activeIndex]);
        this.inputValue = value;
    }
    optionId(index) {
        return index < 0 ? null : `${this.inputId}_active_${index}`;
    }
    onInputChange(value) {
        this.inputSubject.next(value);
    }
    removeUserSelection() {
        this.pickChange.emit(null);
        this.pendingFocus = true;
    }
    close(evt = null) {
        if (evt) {
            evt.preventDefault();
        }
        this.open = false;
    }
    // ======================
    // AUX functions:
    // ======================
    getInputBehaviorSubjectByChanges(isByChanges, isDelayed) {
        let behaviorSubjectOfInput = isByChanges ?
            this.inputSubject
                .pipe(skip(1), tap((value) => {
                this.lastUserInput = value;
                this.activeIndex = -1;
                this.valueChange.emit(value);
            }))
            :
                // Return "this.inputSubject", even if it's the same value - i.e. onScroll end:
                this.inputSubject;
        if (isDelayed) {
            // Could be overwritten by instalation @Input() !
            if (this.debounce > 0) {
                // behaviorSubjectOfInput = behaviorSubjectOfInput.pipe(debounceTime(this.debounce));
                behaviorSubjectOfInput = behaviorSubjectOfInput.pipe();
            }
        }
        // Give back the so wanted InputBehaviorSubject:
        return behaviorSubjectOfInput;
    }
    triggerLookupByChangesOn(behaviorSubject, isDistinct) {
        // const observableOfSuggestions = isDistinct ? behaviorSubject.pipe(distinctUntilChanged()) : behaviorSubject;
        const observableOfSuggestions = isDistinct ? behaviorSubject.pipe() : behaviorSubject;
        // Return an Observable that will trigger this.lookup(value) on any change (or, the same, but forced to trigger)
        return (observableOfSuggestions.pipe(switchMap((value) => {
            const suggestions = this.lookup(value);
            return suggestions instanceof Observable ? suggestions : of(suggestions);
        }))
        // .publish()
        // .refCount() // Single instance
        );
        return new Observable();
    }
    resolveLabel(item) {
        return this.field && isObject(item) ? item[this.field] : item;
    }
    globalClickHandler($event) {
        const { nativeElement } = this.element;
        if ($event.target === nativeElement || nativeElement.contains($event.target)) {
            return;
        }
        this.open = false;
    }
    focus() {
        this.inputEl.nativeElement.focus();
    }
    unsubscribeGlobalClick() {
        if (!this.globalClickUnsubscriber) {
            return;
        }
        this.globalClickUnsubscriber();
        this.globalClickUnsubscriber = null;
    }
}
LookupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
LookupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: LookupComponent, selector: "uno-lookup", inputs: { lookup: "lookup", field: "field", placeholder: "placeholder", noResultsText: "noResultsText", searchIcon: "searchIcon", debounce: "debounce", isDisabled: "isDisabled", value: "value", setPick: ["pick", "setPick"], label: "label", open: "open" }, outputs: { inputWasTouched: "inputWasTouched", scrollEndReached: "scrollEndReached", valueChange: "valueChange", pickChange: "pickChange" }, queries: [{ propertyName: "itemTemplate", first: true, predicate: LookupItemDirective, descendants: true }, { propertyName: "labelTemplate", first: true, predicate: LookupLabelDirective, descendants: true }], viewQueries: [{ propertyName: "inputEl", first: true, predicate: ["lookupInput"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"slds-lookup slds-form-element\"\r\n    data-select=\"single\"\r\n    [class.slds-is-open]=\"expanded\"\r\n>\r\n    <label *ngIf=\"_label\" class=\"slds-form-element__label\" [attr.for]=\"inputId\" [unoHelperStringTemplateRef]=\"_label\"></label>\r\n\r\n    <!-- If a selection was made: -->\r\n    <div *ngIf=\"pick\" class=\"slds-form-element__control\">\r\n        <uno-pill unoPillRemove (unoPillRemoveElem)=\"removeUserSelection()\" class=\"slds-pill_container slds-p-horizontal_small\">{{ resolveLabel(pick) }}</uno-pill>\r\n    </div>\r\n    <!-- Default, ready to go: -->\r\n    <div *ngIf=\"!pick\" class=\"slds-form-element__control slds-grid\">\r\n\r\n        <!-- Input search -->\r\n        <div class=\"slds-grow slds-input-has-icon slds-input-has-icon--right\">\r\n            <uno-icon *ngIf=\"searchIcon\" icon=\"search\" size=\"xx-small\" [withOpacity]=\"false\" class=\"slds-input__icon\"></uno-icon>\r\n            <input\r\n                class=\"slds-input slds-lookup__search-input slds-p-right_xx-large\"\r\n                #lookupInput\r\n                [id]=\"inputId\"\r\n                type=\"text\"\r\n                aria-autocomplete=\"list\"\r\n                role=\"combobox\"\r\n                autocomplete=\"off\"\r\n\r\n                [placeholder]=\"placeholder || ''\"\r\n                [disabled]=\"isDisabled\"\r\n                [attr.aria-expanded]=\"!!expanded\"\r\n                [attr.aria-activedescendant]=\"optionId(activeIndex)\"\r\n                \r\n                [ngModel]=\"inputValue\"\r\n                (ngModelChange)=\"onInputChange($event)\"\r\n                \r\n                (blur)=\"inputWasTouched.emit($event)\"\r\n\r\n                (keydown.Esc)=\"close($event)\"\r\n                (keydown.ArrowDown)=\"moveActive($event, 1)\"\r\n                (keydown.ArrowUp)=\"moveActive($event, -1)\"\r\n                (keydown.Enter)=\"pickActive($event)\" />\r\n        </div>\r\n\r\n    </div>\r\n\r\n    <!-- Dropdown -->\r\n    <div *ngIf=\"expanded\" class=\"slds-lookup__menu\" role=\"listbox\" [ngSwitch]=\"!!itemTemplate\">\r\n        \r\n        <ng-content select=\"[unoLookupHeader]\"></ng-content>\r\n\r\n        <div *ngSwitchCase=\"false\">\r\n            <ul class=\"slds-lookup__list\" role=\"presentation\"\r\n                unoScrollTracker\r\n                (scrollEndReached)=\"handleScroll($event)\">\r\n\r\n                <li *ngIf=\"noResults\" class=\"slds-lookup__item--label\">{{ noResultsText }}</li>\r\n                <li *ngFor=\"let item of suggestions; let i=index\"\r\n                    (click)=\"handlePick(item)\"\r\n                    [ngClass]=\"{'slds-dropdown__item--active': i === activeIndex }\">\r\n\r\n                    <a class=\"slds-lookup__item-action\" [id]=\"optionId(i)\" role=\"option\">\r\n                        {{ resolveLabel(item) }}\r\n                    </a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n        \r\n        <div *ngSwitchCase=\"true\">\r\n            <ul class=\"slds-lookup__list\" role=\"presentation\"\r\n                unoScrollTracker\r\n                (scrollEndReached)=\"handleScroll($event)\">\r\n\r\n                <li *ngIf=\"noResults\" class=\"slds-lookup__item--label\">{{ noResultsText }}</li>\r\n                <li *ngFor=\"let item of suggestions; let i=index\"\r\n                    (click)=\"handlePick(item)\"\r\n                    [ngClass]=\"{'slds-dropdown__item--active': i === activeIndex }\">\r\n\r\n                    <a class=\"slds-lookup__item-action\" [id]=\"optionId(i)\" role=\"option\">\r\n                        <ng-template [ngTemplateOutlet]=\"itemTemplate?.templateRef\" [ngTemplateOutletContext]=\"{$implicit: item}\"></ng-template>\r\n                    </a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n</div>\r\n", styles: [".slds-dropdown__item--active>a{outline:0;text-decoration:none;background-color:#f4f6f9}\n"], components: [{ type: StringTemplateRefTransformComponent, selector: "[unoHelperStringTemplateRef]", inputs: ["unoHelperStringTemplateRef"] }, { type: PillComponent, selector: "uno-pill", inputs: ["closeIcon"], outputs: ["unoPillRemoveElem"] }, { type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: PillRemoveDirective, selector: "[unoPillRemove]", inputs: ["unoPillRemovable"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: ScrollTrackerDirective, selector: "[unoScrollTracker]", outputs: ["scrollEndReached"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: PillLinkDirective, selector: "a" }, { type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-lookup', styles: [
                        `.slds-dropdown__item--active > a {
            outline: 0;
            text-decoration: none;
            background-color: #f4f6f9;
        }`
                    ], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"slds-lookup slds-form-element\"\r\n    data-select=\"single\"\r\n    [class.slds-is-open]=\"expanded\"\r\n>\r\n    <label *ngIf=\"_label\" class=\"slds-form-element__label\" [attr.for]=\"inputId\" [unoHelperStringTemplateRef]=\"_label\"></label>\r\n\r\n    <!-- If a selection was made: -->\r\n    <div *ngIf=\"pick\" class=\"slds-form-element__control\">\r\n        <uno-pill unoPillRemove (unoPillRemoveElem)=\"removeUserSelection()\" class=\"slds-pill_container slds-p-horizontal_small\">{{ resolveLabel(pick) }}</uno-pill>\r\n    </div>\r\n    <!-- Default, ready to go: -->\r\n    <div *ngIf=\"!pick\" class=\"slds-form-element__control slds-grid\">\r\n\r\n        <!-- Input search -->\r\n        <div class=\"slds-grow slds-input-has-icon slds-input-has-icon--right\">\r\n            <uno-icon *ngIf=\"searchIcon\" icon=\"search\" size=\"xx-small\" [withOpacity]=\"false\" class=\"slds-input__icon\"></uno-icon>\r\n            <input\r\n                class=\"slds-input slds-lookup__search-input slds-p-right_xx-large\"\r\n                #lookupInput\r\n                [id]=\"inputId\"\r\n                type=\"text\"\r\n                aria-autocomplete=\"list\"\r\n                role=\"combobox\"\r\n                autocomplete=\"off\"\r\n\r\n                [placeholder]=\"placeholder || ''\"\r\n                [disabled]=\"isDisabled\"\r\n                [attr.aria-expanded]=\"!!expanded\"\r\n                [attr.aria-activedescendant]=\"optionId(activeIndex)\"\r\n                \r\n                [ngModel]=\"inputValue\"\r\n                (ngModelChange)=\"onInputChange($event)\"\r\n                \r\n                (blur)=\"inputWasTouched.emit($event)\"\r\n\r\n                (keydown.Esc)=\"close($event)\"\r\n                (keydown.ArrowDown)=\"moveActive($event, 1)\"\r\n                (keydown.ArrowUp)=\"moveActive($event, -1)\"\r\n                (keydown.Enter)=\"pickActive($event)\" />\r\n        </div>\r\n\r\n    </div>\r\n\r\n    <!-- Dropdown -->\r\n    <div *ngIf=\"expanded\" class=\"slds-lookup__menu\" role=\"listbox\" [ngSwitch]=\"!!itemTemplate\">\r\n        \r\n        <ng-content select=\"[unoLookupHeader]\"></ng-content>\r\n\r\n        <div *ngSwitchCase=\"false\">\r\n            <ul class=\"slds-lookup__list\" role=\"presentation\"\r\n                unoScrollTracker\r\n                (scrollEndReached)=\"handleScroll($event)\">\r\n\r\n                <li *ngIf=\"noResults\" class=\"slds-lookup__item--label\">{{ noResultsText }}</li>\r\n                <li *ngFor=\"let item of suggestions; let i=index\"\r\n                    (click)=\"handlePick(item)\"\r\n                    [ngClass]=\"{'slds-dropdown__item--active': i === activeIndex }\">\r\n\r\n                    <a class=\"slds-lookup__item-action\" [id]=\"optionId(i)\" role=\"option\">\r\n                        {{ resolveLabel(item) }}\r\n                    </a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n        \r\n        <div *ngSwitchCase=\"true\">\r\n            <ul class=\"slds-lookup__list\" role=\"presentation\"\r\n                unoScrollTracker\r\n                (scrollEndReached)=\"handleScroll($event)\">\r\n\r\n                <li *ngIf=\"noResults\" class=\"slds-lookup__item--label\">{{ noResultsText }}</li>\r\n                <li *ngFor=\"let item of suggestions; let i=index\"\r\n                    (click)=\"handlePick(item)\"\r\n                    [ngClass]=\"{'slds-dropdown__item--active': i === activeIndex }\">\r\n\r\n                    <a class=\"slds-lookup__item-action\" [id]=\"optionId(i)\" role=\"option\">\r\n                        <ng-template [ngTemplateOutlet]=\"itemTemplate?.templateRef\" [ngTemplateOutletContext]=\"{$implicit: item}\"></ng-template>\r\n                    </a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n</div>\r\n" }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { itemTemplate: [{
                type: ContentChild,
                args: [LookupItemDirective]
            }], lookup: [{
                type: Input
            }], field: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], noResultsText: [{
                type: Input
            }], searchIcon: [{
                type: Input
            }], debounce: [{
                type: Input
            }], isDisabled: [{
                type: Input
            }], inputWasTouched: [{
                type: Output
            }], scrollEndReached: [{
                type: Output
            }], value: [{
                type: Input
            }], valueChange: [{
                type: Output
            }], setPick: [{
                type: Input,
                args: ['pick']
            }], pickChange: [{
                type: Output
            }], label: [{
                type: Input
            }], labelTemplate: [{
                type: ContentChild,
                args: [LookupLabelDirective]
            }], inputEl: [{
                type: ViewChild,
                args: ['lookupInput']
            }], open: [{
                type: Input
            }] } });

class UnoLookupModule {
}
UnoLookupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoLookupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoLookupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoLookupModule, declarations: [LookupComponent, LookupItemDirective, LookupLabelDirective, LookupHeaderDirective, StringTemplateRefTransformComponent], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        UnoPillModule,
        UnoIconModule,
        UnoScrollTrackerModule], exports: [LookupComponent, LookupItemDirective, LookupLabelDirective, LookupHeaderDirective] });
UnoLookupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoLookupModule, providers: [], imports: [[
            CommonModule,
            FormsModule,
            ReactiveFormsModule,
            UnoPillModule,
            UnoIconModule,
            UnoScrollTrackerModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoLookupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        UnoPillModule,
                        UnoIconModule,
                        UnoScrollTrackerModule
                    ],
                    exports: [LookupComponent, LookupItemDirective, LookupLabelDirective, LookupHeaderDirective],
                    declarations: [LookupComponent, LookupItemDirective, LookupLabelDirective, LookupHeaderDirective, StringTemplateRefTransformComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * The Pagination component
 *
 * @example
 * <uno-pagination></uno-pagination>
 */
class PageEvent {
}
class Page {
}
const DEFAULT_PAGE_SIZE = 10;
class PaginationComponent {
    constructor(cdr) {
        this.cdr = cdr;
        this._pageIndex = 0;
        /**
         * Event Emitter when the pagination changes the page size or page index.
         */
        this.page = new EventEmitter();
        /**
         * Variable to show or not the list to select the number of rows in table.
         */
        this.showList = false;
        /**
         * Variable to set pages for paginator.
         */
        this.pages = [];
        this.numberOfPages = 0;
        this.startRange = 0;
        this.endRange = 0;
        this._numItems = 0;
        this._pageSize = 0;
        this._pageIndex = 0;
        this._pageSizeOptions = [10, 25, 50];
    }
    /**
     * The length of the total number of items that are being paginated. Defaulted to 0.
     */
    get numItems() {
        return this._numItems;
    }
    set numItems(val) {
        this._numItems = Math.max(isNaN(val) ? 0 : Number(val), 0);
        this.updatePageSizeOptions();
        this.setNumberOfPages();
    }
    /**
     * The set of provided page size options to display to the user. Default to [10, 25, 50]
     */
    get pageSizeOptions() {
        return this._pageSizeOptions;
    }
    set pageSizeOptions(val) {
        this._pageSizeOptions = val || [];
        this.updatePageSizeOptions();
    }
    /**
     * The zero-based page index of the displayed list of items. Defaulted to 0.
     */
    get pageIndex() {
        return this._pageIndex;
    }
    set pageIndex(val) {
        this._pageIndex = Math.max(isNaN(val) ? 0 : Number(val), 0);
        this.calculateStartEndRange();
    }
    /**
     * Number of items to display on a page. By default set to 10.
     */
    get pageSize() {
        return this._pageSize;
    }
    set pageSize(val) {
        this._pageSize = Math.max(isNaN(val) ? 0 : Number(val), 0);
        this.setNumberOfPages();
        this.updatePageSizeOptions();
    }
    /**
     * Changes the page size.
     */
    changePageSize(pageSize) {
        const startIndex = this.pageIndex * this.pageSize;
        this.pageIndex = Math.floor(startIndex / pageSize) || 0;
        this.pageSize = pageSize;
        this.setNumberOfPages();
        this.page.emit({ currentIndex: this.pageIndex, howManyPerPage: this.pageSize });
    }
    /**
     * On clicked outside of "changePageSize" div.
     */
    onClickedOutside(outside) {
        if (this.showList && outside) {
            this.showList = false;
        }
    }
    /**
     * Go to the first page.
     */
    firstPage() {
        this.setCurrent(0);
    }
    /**
     * Go to the previous page.
     */
    previousPage() {
        this.setCurrent(this.pageIndex - 1);
    }
    /**
     * Set the current page number.
     */
    setNumberOfPages() {
        this.numberOfPages = Math.ceil(this.numItems / this.pageSize);
        this.calculateStartEndRange();
    }
    calculateStartEndRange() {
        if (this.numItems === 0 || this.pageSize === 0) {
            this.startRange = 0;
            this.endRange = 0;
        }
        else {
            this.startRange = this.pageIndex * this.pageSize + 1;
            this.endRange = this.startRange - 1 < this.numItems ?
                Math.min(this.startRange - 1 + this.pageSize, this.numItems) :
                this.startRange - 1 + this.pageSize;
        }
        this.updatePageLinks();
    }
    /**
     * Set the current page number.
     */
    setNumber($event, page) {
        $event.stopPropagation();
        this.setCurrent(page);
    }
    /**
     * Go to the next page.
     */
    nextPage() {
        this.setCurrent(this.pageIndex + 1);
    }
    /**
     * Go to the last page.
     */
    lastPage() {
        this.setCurrent(this.getLastPage());
    }
    /**
     * Returns the last page number.
     */
    getLastPage() {
        if (this.numItems < this.pageSize) {
            return 1;
        }
        return this.numberOfPages - 1;
    }
    /**
     * Set the current page number.
     */
    setCurrent(page) {
        this.pageIndex = page;
        this.calculateStartEndRange();
        this.page.emit({ currentIndex: this.pageIndex, howManyPerPage: this.pageSize });
    }
    /**
     * Updates the page links and checks that the current page is valid.
     */
    updatePageLinks() {
        this.pages = this.createPageArray(this.pageIndex, this.pageSize, this.numItems, 9);
    }
    /**
     * Returns an array of Page objects to use in the pagination controls.
     */
    createPageArray(currentPage, itemsPerPage, totalItems, paginationRange) {
        // paginationRange could be a string if passed from attribute, so cast to number.
        paginationRange = +paginationRange;
        const pages = [];
        const totalPages = Math.ceil(totalItems / itemsPerPage);
        const halfWay = Math.ceil(paginationRange / 2);
        const isStart = currentPage <= halfWay;
        const isEnd = totalPages - halfWay < currentPage;
        const isMiddle = !isStart && !isEnd;
        const ellipsesNeeded = paginationRange < totalPages;
        let i = 1;
        while (i <= totalPages && i <= paginationRange) {
            let _label;
            const pageNumber = this.calculatePageNumber(i, currentPage, paginationRange, totalPages);
            const openingEllipsesNeeded = (i === 2 && (isMiddle || isEnd));
            const closingEllipsesNeeded = (i === paginationRange - 1 && (isMiddle || isStart));
            if (ellipsesNeeded && (openingEllipsesNeeded || closingEllipsesNeeded)) {
                _label = '...';
            }
            else {
                _label = pageNumber;
            }
            pages.push({
                label: _label,
                value: pageNumber
            });
            i++;
        }
        return pages;
    }
    /**
     * Given the position in the sequence of pagination links [i],
     * ...figure out what page number corresponds to that position.
     */
    calculatePageNumber(i, currentPage, paginationRange, totalPages) {
        const halfWay = Math.ceil(paginationRange / 2);
        if (i === paginationRange) {
            return totalPages;
        }
        else if (i === 1) {
            return i;
        }
        else if (paginationRange < totalPages) {
            if (totalPages - halfWay < currentPage) {
                return totalPages - paginationRange + i;
            }
            else if (halfWay < currentPage) {
                return currentPage - halfWay + i;
            }
            else {
                return i;
            }
        }
        else {
            return i;
        }
    }
    updatePageSizeOptions() {
        if (!this.pageSize) {
            this._pageSize = this.pageSizeOptions.length !== 0 ?
                this.pageSizeOptions[0] :
                DEFAULT_PAGE_SIZE;
        }
        this.displayPageSizeOptions = this.pageSizeOptions.slice();
        if (this.displayPageSizeOptions.indexOf(this.pageSize) === -1) {
            this.displayPageSizeOptions.push(this.pageSize);
        }
        this.displayPageSizeOptions.sort((a, b) => a - b);
    }
}
PaginationComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PaginationComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
PaginationComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: PaginationComponent, selector: "uno-pagination", inputs: { numItems: "numItems", pageSizeOptions: "pageSizeOptions", pageIndex: "pageIndex", pageSize: "pageSize" }, outputs: { page: "page" }, ngImport: i0, template: "<div class=\"slds-grid slds-wrap\">\r\n    <div class=\"slds-size_5-of-12 slds-grid slds-wrap\">\r\n        <div class=\"slds-size_1-of-6\" style=\"position: relative\" *ngIf=\"pageSizeOptions.length > 1\">\r\n            <div class=\"slds-dropdown-trigger open-sans-semibold-12\" (clickOutside)=\"onClickedOutside($event)\">\r\n                <button class=\"drop-select-num-items button-style slds-button_icon slds-button__icon--right\" (click)=\"showList = !showList\">\r\n                    <span class=\"slds-p-horizontal--xx-small\">{{ pageSize }}</span>\r\n                    <uno-icon id=\"order_down\" icon=\"order_down\" size=\"xx-small\"></uno-icon>\r\n                </button>\r\n            </div>\r\n            <div class=\"slds-dropdown slds-dropdown--bottom\" *ngIf=\"showList\">\r\n                <ul class=\"slds-dropdown__list\" role=\"menu\">\r\n                    <li class=\"slds-dropdown__item\" role=\"presentation\" *ngFor=\"let item of displayPageSizeOptions; let index = index\">\r\n                        <a role=\"menuitem\" [attr.tabindex]=\"index\" (click)=\"changePageSize(item); showList = !showList\">\r\n                            <span class=\"slds-truncate\" [attr.title]=\"item\">{{ item }}</span>\r\n                        </a>\r\n                    </li>\r\n                </ul>\r\n            </div>\r\n        </div>\r\n        <div class=\"slds-size_5-of-6 open-sans-12 slds-p-left--small\">\r\n            <span translate>itemsPerPage</span> | {{ startRange }} - {{ endRange }} <span translate>of</span> {{ numItems }}\r\n        </div>\r\n    </div>\r\n    <div class=\"slds-size_7-of-12\">\r\n        <div class=\"slds-text-align_right\">\r\n            <div class=\"open-sans-12 slds-p-right_small\" style=\"display: inline-block;\">\r\n                {{ numberOfPages === 0 ? 0 : pageIndex + 1 }} <span translate>of</span> {{ numberOfPages }} <span translate>pages</span>\r\n            </div>\r\n            <div style=\"display: inline-block\" *ngIf=\"numItems > pageSize\">\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex > 0\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"First page\" (click)=\"firstPage()\" [disabled]=\"pageIndex === 0\">\r\n                        <uno-icon id=\"first_page\" icon=\"first_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex > 0\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"Previous page\" (click)=\"previousPage()\"\r\n                            [disabled]=\"pageIndex === 0\">\r\n                        <uno-icon id=\"back_page\" icon=\"back_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n                <div *ngFor=\"let page of pages\" style=\"display:inline-block\">\r\n                    <div *ngIf=\"page.label === '...'\">\r\n                        <label>{{ page.label }}</label>\r\n                    </div>\r\n                    <div class=\"open-sans-12 pagination-controls\" *ngIf=\"pageIndex + 1 !== page.value && page.label !== '...'\"\r\n                         (click)=\"setNumber($event, page.value - 1)\">\r\n                        {{ page.label }}\r\n                    </div>\r\n                    <div class=\"open-sans-semibold-12 pagination-controls\" [style.cursor]=\"'default'\" *ngIf=\"pageIndex + 1 === page.value\">\r\n                        {{ page.label }}\r\n                    </div>\r\n                </div>\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex + 1 < numberOfPages\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"Next page\" (click)=\"nextPage()\"\r\n                            [disabled]=\"(pageIndex + 1) === numberOfPages\">\r\n                        <uno-icon id=\"next_page\" icon=\"next_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex + 1 < numberOfPages\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"Last page\" (click)=\"lastPage()\"\r\n                            [disabled]=\"(pageIndex + 1) === numberOfPages\">\r\n                        <uno-icon id=\"last_page\" icon=\"last_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>", styles: [".pagination-controls{display:inline-block;margin:1px;min-width:20px;text-align:center;color:var(--dark-blue-grey);vertical-align:middle;cursor:pointer}.drop-select-num-items{width:50px;height:18px;border-radius:100px;color:#121212}.button-style{display:inline-flex;background:transparent;background-clip:border-box;border:1px solid transparent;font-size:.75rem;-webkit-appearance:none;appearance:none;white-space:normal;-webkit-user-select:none;user-select:none;transition:color .05s linear,background-color .05s linear}.button-style:focus{outline:0}.slds-dropdown--left{left:28px}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: PaginationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-pagination', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"slds-grid slds-wrap\">\r\n    <div class=\"slds-size_5-of-12 slds-grid slds-wrap\">\r\n        <div class=\"slds-size_1-of-6\" style=\"position: relative\" *ngIf=\"pageSizeOptions.length > 1\">\r\n            <div class=\"slds-dropdown-trigger open-sans-semibold-12\" (clickOutside)=\"onClickedOutside($event)\">\r\n                <button class=\"drop-select-num-items button-style slds-button_icon slds-button__icon--right\" (click)=\"showList = !showList\">\r\n                    <span class=\"slds-p-horizontal--xx-small\">{{ pageSize }}</span>\r\n                    <uno-icon id=\"order_down\" icon=\"order_down\" size=\"xx-small\"></uno-icon>\r\n                </button>\r\n            </div>\r\n            <div class=\"slds-dropdown slds-dropdown--bottom\" *ngIf=\"showList\">\r\n                <ul class=\"slds-dropdown__list\" role=\"menu\">\r\n                    <li class=\"slds-dropdown__item\" role=\"presentation\" *ngFor=\"let item of displayPageSizeOptions; let index = index\">\r\n                        <a role=\"menuitem\" [attr.tabindex]=\"index\" (click)=\"changePageSize(item); showList = !showList\">\r\n                            <span class=\"slds-truncate\" [attr.title]=\"item\">{{ item }}</span>\r\n                        </a>\r\n                    </li>\r\n                </ul>\r\n            </div>\r\n        </div>\r\n        <div class=\"slds-size_5-of-6 open-sans-12 slds-p-left--small\">\r\n            <span translate>itemsPerPage</span> | {{ startRange }} - {{ endRange }} <span translate>of</span> {{ numItems }}\r\n        </div>\r\n    </div>\r\n    <div class=\"slds-size_7-of-12\">\r\n        <div class=\"slds-text-align_right\">\r\n            <div class=\"open-sans-12 slds-p-right_small\" style=\"display: inline-block;\">\r\n                {{ numberOfPages === 0 ? 0 : pageIndex + 1 }} <span translate>of</span> {{ numberOfPages }} <span translate>pages</span>\r\n            </div>\r\n            <div style=\"display: inline-block\" *ngIf=\"numItems > pageSize\">\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex > 0\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"First page\" (click)=\"firstPage()\" [disabled]=\"pageIndex === 0\">\r\n                        <uno-icon id=\"first_page\" icon=\"first_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex > 0\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"Previous page\" (click)=\"previousPage()\"\r\n                            [disabled]=\"pageIndex === 0\">\r\n                        <uno-icon id=\"back_page\" icon=\"back_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n                <div *ngFor=\"let page of pages\" style=\"display:inline-block\">\r\n                    <div *ngIf=\"page.label === '...'\">\r\n                        <label>{{ page.label }}</label>\r\n                    </div>\r\n                    <div class=\"open-sans-12 pagination-controls\" *ngIf=\"pageIndex + 1 !== page.value && page.label !== '...'\"\r\n                         (click)=\"setNumber($event, page.value - 1)\">\r\n                        {{ page.label }}\r\n                    </div>\r\n                    <div class=\"open-sans-semibold-12 pagination-controls\" [style.cursor]=\"'default'\" *ngIf=\"pageIndex + 1 === page.value\">\r\n                        {{ page.label }}\r\n                    </div>\r\n                </div>\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex + 1 < numberOfPages\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"Next page\" (click)=\"nextPage()\"\r\n                            [disabled]=\"(pageIndex + 1) === numberOfPages\">\r\n                        <uno-icon id=\"next_page\" icon=\"next_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n                <div style=\"display: inline-block; vertical-align: top; height: 18px;\" *ngIf=\"pageIndex + 1 < numberOfPages\">\r\n                    <button class=\"slds-button slds-button_icon\" aria-haspopup=\"true\" title=\"Last page\" (click)=\"lastPage()\"\r\n                            [disabled]=\"(pageIndex + 1) === numberOfPages\">\r\n                        <uno-icon id=\"last_page\" icon=\"last_page\" size=\"xxx-small\"></uno-icon>\r\n                    </button>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>", styles: [".pagination-controls{display:inline-block;margin:1px;min-width:20px;text-align:center;color:var(--dark-blue-grey);vertical-align:middle;cursor:pointer}.drop-select-num-items{width:50px;height:18px;border-radius:100px;color:#121212}.button-style{display:inline-flex;background:transparent;background-clip:border-box;border:1px solid transparent;font-size:.75rem;-webkit-appearance:none;appearance:none;white-space:normal;-webkit-user-select:none;user-select:none;transition:color .05s linear,background-color .05s linear}.button-style:focus{outline:0}.slds-dropdown--left{left:28px}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { numItems: [{
                type: Input
            }], pageSizeOptions: [{
                type: Input
            }], pageIndex: [{
                type: Input
            }], pageSize: [{
                type: Input
            }], page: [{
                type: Output
            }] } });

class UnoPaginationModule {
}
UnoPaginationModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPaginationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoPaginationModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPaginationModule, declarations: [PaginationComponent], imports: [CommonModule, TranslateModule, UnoIconModule], exports: [PaginationComponent] });
UnoPaginationModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPaginationModule, providers: [], imports: [[CommonModule, TranslateModule, UnoIconModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoPaginationModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule, UnoIconModule],
                    exports: [PaginationComponent],
                    declarations: [PaginationComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class SearchComponent {
    constructor(renderer) {
        this.renderer = renderer;
        this.placeholder = 'searchBox';
        this.type = 'primary';
        this.searchTerm = new EventEmitter();
        this.inSearchMode = false;
    }
    onButtonClick(text) {
        if (text.length > 0) {
            this.inSearchMode = !this.inSearchMode;
            if (!this.inSearchMode) {
                this.renderer.setProperty(this.inputSearch.nativeElement, 'value', '');
                if (this.unoSearch) {
                    this.renderer.setStyle(this.unoSearch.nativeElement, 'border-bottom', '2px solid var(--grey)');
                }
                this.searchTerm.emit('');
            }
            else {
                if (this.unoSearch) {
                    this.renderer.setStyle(this.unoSearch.nativeElement, 'border-bottom', '2px solid var(--sapphire)');
                }
                this.searchTerm.emit(text);
            }
        }
        else {
            this.inSearchMode = false;
            if (this.unoSearch) {
                this.renderer.setStyle(this.unoSearch.nativeElement, 'border-bottom', '2px solid var(--grey)');
            }
            this.searchTerm.emit('');
        }
    }
    keyDownFunction(event, text) {
        event.stopPropagation();
        if (event.keyCode === 13) {
            this.searchTerm.emit(this.normalizeString(text));
            if (text.length > 0) {
                this.inSearchMode = true;
                if (this.unoSearch) {
                    this.renderer.setStyle(this.unoSearch.nativeElement, 'border-bottom', '2px solid var(--sapphire)');
                }
            }
            else {
                this.inSearchMode = false;
                if (this.unoSearch) {
                    this.renderer.setStyle(this.unoSearch.nativeElement, 'border-bottom', '2px solid var(--grey)');
                }
            }
        }
    }
    normalizeString(str) {
        return str.normalize('NFD').replace(/\p{Diacritic}/gu, "");
    }
}
SearchComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SearchComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SearchComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: SearchComponent, selector: "uno-search", inputs: { placeholder: "placeholder", type: "type" }, outputs: { searchTerm: "searchTerm" }, viewQueries: [{ propertyName: "inputSearch", first: true, predicate: ["searchText"], descendants: true }, { propertyName: "unoSearch", first: true, predicate: ["unoSearch"], descendants: true }], ngImport: i0, template: "<div *ngIf=\"type !== 'secondary'\" class=\"uno-search\" #unoSearch>\r\n    <input class=\"search-input\" #searchText [placeholder]=\"placeholder | translate\" (keydown)=\"keyDownFunction($event, searchText.value)\" />\r\n    <button (click)=\"onButtonClick(searchText.value)\" class=\"slds-button slds-button--icon-small\" style=\"float: right\">\r\n        <uno-icon id=\"search\" *ngIf=\"!inSearchMode\" icon=\"search\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n        <uno-icon id=\"close\" *ngIf=\"inSearchMode\" icon=\"close\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n    </button>\r\n</div>\r\n\r\n<div *ngIf=\"type === 'secondary'\" class=\"slds-input-has-icon slds-input-has-icon_right\">\r\n    <input #searchText [placeholder]=\"placeholder | translate\" class=\"slds-input\" (keydown)=\"keyDownFunction($event, searchText.value)\" />\r\n    <button (click)=\"onButtonClick(searchText.value)\" class=\"slds-button slds-button_icon slds-input__icon slds-input__icon_right slds-button--icon-small\">\r\n        <uno-icon id=\"search\" *ngIf=\"!inSearchMode\" icon=\"search\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n        <uno-icon id=\"close\" *ngIf=\"inSearchMode\" icon=\"close\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n    </button>\r\n</div>", styles: [".uno-search{width:337px;border-bottom:solid 2px var(--grey);display:inline-block}.uno-search::placeholder{width:300px;height:17px;font-family:OpenSans;font-size:12px;font-weight:300;font-style:italic;color:var(--slate-grey);border:none;opacity:.5;outline:none}.uno-search .search-input{width:300px;height:27px;font-family:OpenSans;font-size:12px;font-weight:300;font-style:italic;text-align:left;background-color:transparent;color:var(--slate-grey);border:none;outline:none;padding-left:10px}.uno-search button:focus{box-shadow:none}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SearchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-search', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div *ngIf=\"type !== 'secondary'\" class=\"uno-search\" #unoSearch>\r\n    <input class=\"search-input\" #searchText [placeholder]=\"placeholder | translate\" (keydown)=\"keyDownFunction($event, searchText.value)\" />\r\n    <button (click)=\"onButtonClick(searchText.value)\" class=\"slds-button slds-button--icon-small\" style=\"float: right\">\r\n        <uno-icon id=\"search\" *ngIf=\"!inSearchMode\" icon=\"search\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n        <uno-icon id=\"close\" *ngIf=\"inSearchMode\" icon=\"close\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n    </button>\r\n</div>\r\n\r\n<div *ngIf=\"type === 'secondary'\" class=\"slds-input-has-icon slds-input-has-icon_right\">\r\n    <input #searchText [placeholder]=\"placeholder | translate\" class=\"slds-input\" (keydown)=\"keyDownFunction($event, searchText.value)\" />\r\n    <button (click)=\"onButtonClick(searchText.value)\" class=\"slds-button slds-button_icon slds-input__icon slds-input__icon_right slds-button--icon-small\">\r\n        <uno-icon id=\"search\" *ngIf=\"!inSearchMode\" icon=\"search\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n        <uno-icon id=\"close\" *ngIf=\"inSearchMode\" icon=\"close\" size=\"x-small\" class=\"slds-align--absolute-center\"></uno-icon>\r\n    </button>\r\n</div>", styles: [".uno-search{width:337px;border-bottom:solid 2px var(--grey);display:inline-block}.uno-search::placeholder{width:300px;height:17px;font-family:OpenSans;font-size:12px;font-weight:300;font-style:italic;color:var(--slate-grey);border:none;opacity:.5;outline:none}.uno-search .search-input{width:300px;height:27px;font-family:OpenSans;font-size:12px;font-weight:300;font-style:italic;text-align:left;background-color:transparent;color:var(--slate-grey);border:none;outline:none;padding-left:10px}.uno-search button:focus{box-shadow:none}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { placeholder: [{
                type: Input
            }], type: [{
                type: Input
            }], searchTerm: [{
                type: Output
            }], inputSearch: [{
                type: ViewChild,
                args: ['searchText']
            }], unoSearch: [{
                type: ViewChild,
                args: ['unoSearch']
            }] } });

class UnoSearchModule {
}
UnoSearchModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSearchModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoSearchModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSearchModule, declarations: [SearchComponent], imports: [CommonModule, TranslateModule, UnoIconModule], exports: [SearchComponent] });
UnoSearchModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSearchModule, providers: [], imports: [[CommonModule, TranslateModule, UnoIconModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSearchModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule, UnoIconModule],
                    exports: [SearchComponent],
                    declarations: [SearchComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class SwitchComponent {
    constructor() {
        this.size = 'small';
        this.changed = new EventEmitter();
    }
    onToggle() {
        if (this.disable) {
            return;
        }
        this.checked = !this.checked;
        this.changed.emit(this.checked);
    }
}
SwitchComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SwitchComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SwitchComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: SwitchComponent, selector: "uno-switch", inputs: { checked: "checked", disable: "disable", minWidth: "minWidth", size: "size", enabledText: "enabledText", disabledText: "disabledText" }, outputs: { changed: "changed" }, host: { listeners: { "click": "onToggle()" } }, ngImport: i0, template: `
        <div class="switch-container" [style.minWidth]="minWidth">
            <span class="switch"
                [class.checked]="checked"
                [class.disabled]="disable"
                [class.switch-large]="size === 'large'"
                [class.switch-medium]="size === 'medium'"
                [class.switch-small]="size === 'small'">

                <mark></mark>
            </span>
            <span *ngIf="checked && enabledText" class="uno-switch-boolean enabled-text">{{ enabledText }}</span>
            <span *ngIf="!checked && disabledText" class="uno-switch-boolean disabled-text">{{ disabledText }}</span>
        </div>
    `, isInline: true, styles: [".switch-container{display:inline-flex}.switch{position:relative;box-sizing:content-box;margin:0 10px -4px 0;cursor:pointer;box-shadow:#dfdfdf 0 0 inset;transition:.3s ease-out all;-webkit-transition:.3s ease-out all;background-color:var(--light-blue-grey)}mark{background-color:inherit;border-radius:100%;background-color:var(--white);position:absolute;top:1px;left:1px;transition:.3s ease-out all;-webkit-transition:.3s ease-out all}.switch.checked mark{border:none;background:var(--white)}.disabled{opacity:.5;cursor:not-allowed}.switch-large{width:80px;height:30px;border-radius:38px}.switch-large mark{width:26px;height:26px;margin-top:1px;margin-left:1px}.switch-large.checked mark{left:51px}.switch-large.checked{background-color:var(--dark-lime-green)}.switch-medium{width:40px;height:24px;border-radius:20px}.switch-medium mark{width:20px;height:20px;margin-top:1px;margin-left:1px}.switch-medium.checked mark{left:17px}.switch-medium.checked{background-color:var(--dark-lime-green)}.switch-small{width:30px;height:18px;border-radius:20px}.switch-small mark{width:14px;height:14px;margin-top:1px;margin-left:1px}.switch-small.checked mark{left:13px}.switch-small.checked{background-color:var(--dark-lime-green)}\n"], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SwitchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-switch', template: `
        <div class="switch-container" [style.minWidth]="minWidth">
            <span class="switch"
                [class.checked]="checked"
                [class.disabled]="disable"
                [class.switch-large]="size === 'large'"
                [class.switch-medium]="size === 'medium'"
                [class.switch-small]="size === 'small'">

                <mark></mark>
            </span>
            <span *ngIf="checked && enabledText" class="uno-switch-boolean enabled-text">{{ enabledText }}</span>
            <span *ngIf="!checked && disabledText" class="uno-switch-boolean disabled-text">{{ disabledText }}</span>
        </div>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [".switch-container{display:inline-flex}.switch{position:relative;box-sizing:content-box;margin:0 10px -4px 0;cursor:pointer;box-shadow:#dfdfdf 0 0 inset;transition:.3s ease-out all;-webkit-transition:.3s ease-out all;background-color:var(--light-blue-grey)}mark{background-color:inherit;border-radius:100%;background-color:var(--white);position:absolute;top:1px;left:1px;transition:.3s ease-out all;-webkit-transition:.3s ease-out all}.switch.checked mark{border:none;background:var(--white)}.disabled{opacity:.5;cursor:not-allowed}.switch-large{width:80px;height:30px;border-radius:38px}.switch-large mark{width:26px;height:26px;margin-top:1px;margin-left:1px}.switch-large.checked mark{left:51px}.switch-large.checked{background-color:var(--dark-lime-green)}.switch-medium{width:40px;height:24px;border-radius:20px}.switch-medium mark{width:20px;height:20px;margin-top:1px;margin-left:1px}.switch-medium.checked mark{left:17px}.switch-medium.checked{background-color:var(--dark-lime-green)}.switch-small{width:30px;height:18px;border-radius:20px}.switch-small mark{width:14px;height:14px;margin-top:1px;margin-left:1px}.switch-small.checked mark{left:13px}.switch-small.checked{background-color:var(--dark-lime-green)}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { checked: [{
                type: Input
            }], disable: [{
                type: Input
            }], minWidth: [{
                type: Input
            }], size: [{
                type: Input
            }], enabledText: [{
                type: Input
            }], disabledText: [{
                type: Input
            }], changed: [{
                type: Output
            }], onToggle: [{
                type: HostListener,
                args: ['click']
            }] } });

class UnoSwitchModule {
}
UnoSwitchModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSwitchModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoSwitchModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSwitchModule, declarations: [SwitchComponent], imports: [CommonModule], exports: [SwitchComponent] });
UnoSwitchModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSwitchModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoSwitchModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [SwitchComponent],
                    declarations: [SwitchComponent],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Extending object that entered in first argument.
 *
 * Returns extended object or false if have no target object or incorrect type.
 *
 * If you wish to clone source object (without modify it), just use empty new
 * object as first argument, like this:
 *   deepExtend({}, yourObj_1, [yourObj_N]);
 */
const deepExtend = function (...objects) {
    if (arguments.length < 1 || typeof arguments[0] !== 'object') {
        return false;
    }
    if (arguments.length < 2) {
        return arguments[0];
    }
    const target = arguments[0];
    // convert arguments to array and cut off target object
    const args = Array.prototype.slice.call(arguments, 1);
    let val;
    let src;
    args.forEach((obj) => {
        // skip argument if it is array or isn't object
        if (typeof obj !== 'object' || Array.isArray(obj)) {
            return;
        }
        Object.keys(obj).forEach(function (key) {
            src = target[key]; // source value
            val = obj[key]; // new value
            // recursion prevention
            if (val === target) {
                return;
                /**
                 * if new value isn't object then just overwrite by new value
                 * instead of extending.
                 */
            }
            else if (typeof val !== 'object' || val === null) {
                target[key] = val;
                return;
                // just clone arrays (and recursive clone objects inside)
            }
            else if (Array.isArray(val)) {
                target[key] = cloneDeep(val);
                return;
                // overwrite by new value if source isn't object or array
            }
            else if (typeof src !== 'object' || src === null || Array.isArray(src)) {
                target[key] = deepExtend({}, val);
                return;
                // source value and new value is objects both, extending...
            }
            else {
                target[key] = deepExtend(src, val);
                return;
            }
        });
    });
    return target;
};
class Deferred {
    constructor() {
        this.promise = new Promise((resolve, reject) => {
            this.resolve = resolve;
            this.reject = reject;
        });
    }
}
// getDeepFromObject({result: {data: 1}}, 'result.data', 2); // returns 1
function getDeepFromObject(object = {}, name, defaultValue) {
    const keys = name.split('.');
    // clone the object
    let level = deepExtend({}, object);
    keys.forEach((k) => {
        if (level && typeof level[k] !== 'undefined') {
            level = level[k];
        }
    });
    return typeof level === 'undefined' ? defaultValue : level;
}

class Cell {
    constructor(value, row, column, dataSet) {
        this.value = value;
        this.row = row;
        this.column = column;
        this.dataSet = dataSet;
        this._newValue = '';
        this._newValue = value;
    }
    /* protected static PREPARE = (value: any) => value; // => will thrown an error on compiling library!
    Check @ https://github.com/ng-packagr/ng-packagr/issues/696 */
    static PREPARE(value) {
        return value;
    }
    get newValue() {
        return this._newValue;
    }
    set newValue(value) {
        this._newValue = value;
    }
    getValue() {
        const valid = this.column.getValuePrepareFunction() instanceof Function;
        const prepare = valid ? this.column.getValuePrepareFunction() : Cell.PREPARE;
        return prepare.call(null, this.value, this.row.data, this);
    }
}

class Row {
    constructor(index, data, _dataSet) {
        this.index = index;
        this._dataSet = _dataSet;
        this.isSelected = false;
        this.isInEditing = false;
        this._cells = [];
        this._data = data;
        this.process();
    }
    get data() {
        return this._data;
    }
    set data(data) {
        this._data = data;
        this.process();
    }
    get cells() {
        return this._cells;
    }
    set cells(val) {
        this._cells = val;
    }
    getCell(column) {
        return this.cells.find((el) => el.column === column);
    }
    getIsSelected() {
        return this.isSelected;
    }
    getNewData() {
        const values = Object.assign({}, this.data);
        this._cells.forEach((cell) => {
            if (values[cell.column.id] instanceof Array) {
                values[cell.column.id] = Object.assign([], cell.newValue);
            }
            else {
                values[cell.column.id] = cell.newValue;
            }
        });
        return values;
    }
    process() {
        this._cells = [];
        this._dataSet.columns.forEach((column) => {
            const cell = this.createCell(column);
            this._cells.push(cell);
        });
    }
    createCell(column) {
        const defValue = column.settings.defaultValue ? column.settings.defaultValue : '';
        const value = typeof this.data[column.id] === 'undefined' ? defValue : this.data[column.id];
        // It's necessary create a new Array reference for when update the cell value don't update initial value.
        if (Array.isArray(value)) {
            return new Cell(Object.assign([], value), this, column, this._dataSet);
        }
        return new Cell(value, this, column, this._dataSet);
    }
}

class Column {
    constructor(id, settings) {
        this.id = id;
        this.settings = settings;
        this.title = '';
        this.type = '';
        this.class = '';
        this.width = '';
        this.isSortable = false;
        this.isEditable = true;
        this.isVisibled = true;
        this.isRequired = false;
        this.sortDirection = '';
        this.defaultSortDirection = '';
        this.renderComponent = null;
        this.renderComponentExpanded = null;
        this.lineClamp = true;
        this._editor = {
            type: '',
            config: {},
            component: null,
            onComponentInitFunctionExpanded: null,
            popoverErrors: false,
            inputPopoverTheme: '',
            isEditableUntil: null,
            validators: {}
        };
        this._filters = [];
        this.process();
    }
    get editor() {
        return this._editor;
    }
    get filters() {
        return this._filters;
    }
    set filters(val) {
        this._filters = val.map((elem) => ({ name: elem, checked: true }));
        this._displayedFilters = this._filters.slice();
    }
    get displayedFilters() {
        return this._displayedFilters;
    }
    set displayedFilters(val) {
        this._displayedFilters = val;
    }
    searchDisplayedFilters(term) {
        this._displayedFilters = this._filters.filter((val) => {
            return val.name ? val.name.toLowerCase().includes(term.toLowerCase()) : false;
        });
    }
    selectAllFilters() {
        this._displayedFilters.map((val) => val.checked = true);
    }
    removeAllFilters() {
        this._displayedFilters.map((val) => val.checked = false);
    }
    getOnComponentInitFunction() {
        return this.onComponentInitFunction;
    }
    getOnComponentInitFunctionExpanded() {
        return this._editor.onComponentInitFunctionExpanded;
    }
    getCompareFunction() {
        return this.compareFunction;
    }
    getValuePrepareFunction() {
        return this.valuePrepareFunction;
    }
    getConfig() {
        return this._editor && this._editor.config;
    }
    getValidators() {
        return this._editor && this._editor.validators;
    }
    process() {
        this.title = this.settings['title'];
        this.class = this.settings['class'];
        this.width = this.settings['width'];
        this.type = this.prepareType();
        this._editor = this.settings['editor'];
        this.filter = this.settings['filter'];
        this.renderComponent = this.settings['renderComponent'];
        this.renderComponentExpanded = this.settings['renderComponentExpanded'];
        this.defaultSortDirection = ['asc', 'desc'].indexOf(this.settings['sortDirection']) !== -1 ? this.settings['sortDirection'] : '';
        this.isSortable = typeof this.settings['sort'] === 'undefined' ? true : !!this.settings['sort'];
        this.isEditable = typeof this.settings['editable'] === 'undefined' ? true : !!this.settings['editable'];
        this.isVisibled = typeof this.settings['isVisible'] === 'undefined' ? true : !!this.settings['isVisible'];
        this.isRequired = this.getValidators() ? (this.getValidators().required ? true : false) : false;
        this.sortDirection = this.prepareSortDirection();
        this.compareFunction = this.settings['compareFunction'];
        this.valuePrepareFunction = this.settings['valuePrepareFunction'];
        this.onComponentInitFunction = this.settings['onComponentInitFunction'];
        this.lineClamp = typeof this.settings['lineClamp'] === 'undefined' ? true : !!this.settings['lineClamp'];
    }
    prepareType() {
        return this.settings['type'] || this.determineType();
    }
    prepareSortDirection() {
        return this.settings['sort'] === 'desc' ? 'desc' : 'asc';
    }
    determineType() {
        return 'text';
    }
}

class DataSet {
    constructor(data = [], columnSettings = []) {
        this._willSelect = '';
        this._columns = columnSettings;
        this._data = data;
        this._rows = [];
    }
    get data() {
        return this._data;
    }
    set data(val) {
        this._data = val;
        if (val) {
            this.createRows();
        }
    }
    get columns() {
        return this._columns;
    }
    set columns(columns) {
        this._columns = [];
        for (const id in columns) {
            if (columns.hasOwnProperty(id)) {
                this._columns.push(new Column(id, columns[id]));
            }
        }
    }
    get rows() {
        return this._rows;
    }
    set rows(val) {
        this._rows = val;
    }
    get selectedRow() {
        return this._selectedRow;
    }
    set selectedRow(row) {
        this._selectedRow = row;
    }
    get willSelect() {
        return this._willSelect;
    }
    set willSelect(val) {
        this._willSelect = val;
    }
    get newRow() {
        return this._newRow;
    }
    set newRow(val) {
        this._newRow = val;
    }
    getFirstRow() {
        return this._rows[0];
    }
    getLastRow() {
        return this._rows[this.rows.length - 1];
    }
    getColumnById(id) {
        return this.columns.find((val) => val.id === id);
    }
    findRowByData(data) {
        return this._rows.find((row) => row.data === data);
    }
    deselectAll() {
        this._rows.forEach((row) => {
            row.isSelected = false;
        });
    }
    selectRow(row) {
        const previousIsSelected = row.isSelected;
        this.deselectAll();
        row.isSelected = !previousIsSelected;
        this._selectedRow = row;
        return this._selectedRow;
    }
    multipleSelectRow(row) {
        row.isSelected = !row.isSelected;
        this._selectedRow = row;
        return this._selectedRow;
    }
    selectPreviousRow() {
        if (this._rows.length > 0) {
            let index = this._selectedRow ? this._selectedRow.index : 0;
            if (index > this._rows.length - 1) {
                index = this._rows.length - 1;
            }
            this.selectRow(this._rows[index]);
            return this._selectedRow;
        }
    }
    selectFirstRow() {
        if (this._rows.length > 0) {
            this.selectRow(this._rows[0]);
            return this._selectedRow;
        }
    }
    selectLastRow() {
        if (this._rows.length > 0) {
            this.selectRow(this.rows[this._rows.length - 1]);
            return this._selectedRow;
        }
    }
    willSelectFirstRow() {
        this._willSelect = 'first';
    }
    willSelectLastRow() {
        this._willSelect = 'last';
    }
    select() {
        if (this._rows.length === 0) {
            return;
        }
        if (this._willSelect) {
            if (this._willSelect === 'first') {
                this.selectFirstRow();
            }
            if (this._willSelect === 'last') {
                this.selectLastRow();
            }
            this._willSelect = '';
        }
        // else {
        //     this.selectFirstRow();
        // }
        return this._selectedRow;
    }
    createNewRow() {
        this._newRow = new Row(-1, {}, this);
        this._newRow.isInEditing = true;
    }
    /**
     * Create rows based on current data prepared in data source
     */
    createRows() {
        let idx;
        if (this._rows.length > 0) {
            idx = this._rows.findIndex((row) => row.isInEditing === true);
        }
        this._rows = [];
        this._data.forEach((el, index) => {
            const row = new Row(index, el, this);
            if (idx === index) {
                row.isInEditing = true;
            }
            this._rows.push(row);
        });
    }
}

class LocalSorter {
    // protected static COMPARE = (direction: any, a: any, b: any) => { // => will thrown an error on compiling library!
    // Check @ https://github.com/ng-packagr/ng-packagr/issues/696
    static COMPARE(direction, a, b) {
        // if (a < b) {
        //     return -1 * direction;
        // }
        // if (a > b) {
        //     return direction;
        // }
        // return 0;
        // Shouldn't be case sensitive and push nulls/empties to the top/end of the ordered list!
        // Converting strings to lowercase
        const first = typeof a === 'string' ? a.toLowerCase() : a;
        const second = typeof b === 'string' ? b.toLowerCase() : b;
        // Empties and nulls:
        if (a === '' || a === null) {
            return direction;
        }
        if (b === '' || b === null) {
            return -1 * direction;
        }
        // Exactly the same? Even being nulls, empties or different case...? Doesn't matter:
        if (first === second) {
            return 0;
        }
        // Normal case:
        return first < second ? -1 * direction : direction;
    }
    static sort(data, field, direction, customCompare) {
        const dir = (direction === 'asc') ? 1 : -1;
        const compare = customCompare ? customCompare : this.COMPARE;
        return data.sort((a, b) => {
            return compare.call(null, dir, a[field], b[field]);
        });
    }
}

class LocalFilter {
    // protected static FILTER = (value: string, search: string) => { // => will thrown an error on compiling library!
    // Check @ https://github.com/ng-packagr/ng-packagr/issues/696
    static FILTER(value, search) {
        return value.toString().toLowerCase().includes(search.toString().toLowerCase());
    }
    static filter(data, field, search, customFilter) {
        const filter = customFilter ? customFilter : this.FILTER;
        return data.filter((el) => {
            const value = typeof el[field] === 'undefined' || el[field] === null ? '' : el[field];
            return filter.call(null, value, search);
        });
    }
}

class DataSource {
    constructor() {
        this.onChangedSource = new Subject();
        this.onAddedSource = new Subject();
        this.onUpdatedSource = new Subject();
        this.onRemovedSource = new Subject();
    }
    refresh() {
        this.emitOnChanged('refresh');
    }
    load(data) {
        this.emitOnChanged('load');
        return Promise.resolve();
    }
    onChanged() {
        return this.onChangedSource.asObservable();
    }
    onAdded() {
        return this.onAddedSource.asObservable();
    }
    onUpdated() {
        return this.onUpdatedSource.asObservable();
    }
    onRemoved() {
        return this.onRemovedSource.asObservable();
    }
    prepend(element) {
        this.emitOnAdded(element);
        this.emitOnChanged('prepend');
        return Promise.resolve();
    }
    append(element) {
        this.emitOnAdded(element);
        this.emitOnChanged('append');
        return Promise.resolve();
    }
    add(element) {
        this.emitOnAdded(element);
        this.emitOnChanged('add');
        return Promise.resolve();
    }
    remove(element) {
        this.emitOnRemoved(element);
        this.emitOnChanged('remove');
        return Promise.resolve();
    }
    update(element, values) {
        this.emitOnUpdated(element);
        this.emitOnChanged('update');
        return Promise.resolve();
    }
    empty() {
        this.emitOnChanged('empty');
        return Promise.resolve();
    }
    setSort(conf, doEmit) {
        if (doEmit) {
            this.emitOnChanged('sort');
        }
    }
    setFilter(conf, doEmit) {
        if (doEmit) {
            this.emitOnChanged('filter');
        }
    }
    addFilter(fieldConf, doEmit) {
        if (doEmit) {
            this.emitOnChanged('filter');
        }
    }
    emitOnRemoved(element) {
        this.onRemovedSource.next(element);
    }
    emitOnUpdated(element) {
        this.onUpdatedSource.next(element);
    }
    emitOnAdded(element) {
        this.onAddedSource.next(element);
    }
    emitOnChanged(action) {
        this.getElements()
            .then((elements) => {
            const changedPops = {
                action: action,
                elements: elements,
                filter: this.getFilter(),
                sort: this.getSort(),
            };
            this.onChangedSource.next(changedPops);
        });
    }
}

class LocalDataSource extends DataSource {
    constructor(data = []) {
        super();
        this._data = [];
        this._filteredAndSorted = [];
        this._sortConf = [];
        this._filterConf = new Array();
        this.load(data);
    }
    load(data) {
        this._data = data;
        return super.load(data);
    }
    /**
     * Add a element on first position of the array.
     *
     * @param element - The element to show on table.
     */
    prepend(element) {
        this.resetSortAndFilter(true);
        this._data.unshift(element);
        return super.prepend(element);
    }
    /**
     * Add a element on last position of the array.
     *
     * @param element - The element to show on table.
     */
    append(element) {
        this.resetSortAndFilter(true);
        this._data.push(element);
        return super.append(element);
    }
    add(element) {
        this._data.push(element);
        return super.add(element);
    }
    remove(element) {
        this._data = this._data.filter(el => el !== element);
        return super.remove(element);
    }
    update(element, values) {
        return new Promise((resolve, reject) => {
            this.find(element).then((found) => {
                found = deepExtend(found, values);
                super.update(found, values).then(resolve).catch(reject);
            }).catch(reject);
        });
    }
    find(element) {
        const found = this._data.find(el => el === element);
        if (found) {
            return Promise.resolve(found);
        }
        return Promise.reject(new Error('Element was not found in the dataset'));
    }
    getElements() {
        const data = this._data.slice(0);
        return Promise.resolve(this.prepareData(data));
    }
    getFilteredAndSorted() {
        const data = this._data.slice(0);
        this.prepareData(data);
        return Promise.resolve(this._filteredAndSorted);
    }
    getAll() {
        const data = this._data.slice(0);
        return Promise.resolve(data);
    }
    /**
    * This method set the sort and filters array on initial state.
    *
    * @param silent - If true dispatch a action of filter.
    */
    resetSortAndFilter(silent = false) {
        this.setFilter([], !silent);
        this.setSort([], !silent);
    }
    /**
     * This method set the sort array on initial state.
     *
     * @param silent - If true dispatch a action of filter.
     */
    resetSort(silent = false) {
        this.setSort([], !silent);
    }
    /**
     * This method set the filters array on initial state.
     *
     * @param silent - If true dispatch a action of filter.
     */
    resetFilter(silent = false) {
        this.setFilter([], !silent);
    }
    empty() {
        this._data = [];
        return super.empty();
    }
    count() {
        return this._filteredAndSorted.length;
    }
    /**
     *
     * Array of conf objects
     * [
     *  {field: string, direction: asc|desc|null, compare: Function|null},
     * ]
     * @param conf
     * @param doEmit
     */
    setSort(conf, doEmit = true) {
        if (conf !== null) {
            conf.forEach((fieldConf) => {
                if (!fieldConf['field'] || typeof fieldConf['direction'] === 'undefined') {
                    throw new Error('Sort configuration object is not valid');
                }
            });
            this._sortConf = conf;
        }
        super.setSort(conf, doEmit);
        return this;
    }
    /**
     *
     * Array of conf objects
     * [{ field: string, search: string, filter: Function|null },]
     *
     * @param conf
     * @param doEmit
     */
    setFilter(conf, doEmit = true) {
        if (conf && conf.length > 0) {
            conf.forEach((val) => this.addFilter(val, false));
        }
        else {
            this._filterConf = [];
        }
        super.setFilter(conf, doEmit);
        return this;
    }
    addFilter(fieldConf, doEmit = true) {
        if (!fieldConf.field || typeof fieldConf.search === 'undefined') {
            throw new Error('Filter configuration object is not valid');
        }
        let found = false;
        this._filterConf.forEach((currentFieldConf, index) => {
            if (currentFieldConf.field === fieldConf.field) {
                this._filterConf[index] = fieldConf;
                found = true;
            }
        });
        if (!found) {
            this._filterConf.push(fieldConf);
        }
        super.addFilter(fieldConf, doEmit);
        return this;
    }
    removeFilter(field, doEmit = true) {
        const idx = this._filterConf.findIndex((obj) => obj.field === field);
        if (idx > -1) {
            this._filterConf.splice(idx, 1);
        }
        super.addFilter(this._filterConf, doEmit);
    }
    getSort() {
        return this._sortConf;
    }
    getFilter() {
        return this._filterConf;
    }
    prepareData(data) {
        // data = this.filter(data);
        // data = this.sort(data);
        this._filteredAndSorted = data.slice(0);
        return data;
    }
    sort(data) {
        if (this._sortConf) {
            this._sortConf.forEach((fieldConf) => {
                data = LocalSorter
                    .sort(data, fieldConf['field'], fieldConf['direction'], fieldConf['compare']);
            });
        }
        return data;
    }
    // TODO: refactor?
    filter(data) {
        if (this._filterConf) {
            let mergedData = [];
            this._filterConf.forEach((fieldConf) => {
                if (fieldConf['search'].length > 0) {
                    mergedData = mergedData.concat(LocalFilter
                        .filter(data, fieldConf['field'], fieldConf['search'], fieldConf['filter']));
                }
            });
            // remove non unique items
            data = mergedData.filter((elem, pos, arr) => {
                return arr.indexOf(elem) === pos;
            });
        }
        return data;
    }
}

class Grid {
    constructor(source, settings, internalAction) {
        this.internalAction = internalAction;
        this.onSelectRowSource = new Subject();
        this.subscriptions$ = new Subscription();
        this._source = source;
        this._settings = settings;
        this._source = source;
        this._createFormShown = false;
        this._dataSet = new DataSet();
    }
    get createFormShown() {
        return this._createFormShown;
    }
    set createFormShown(val) {
        this._createFormShown = val;
    }
    get settings() {
        return this._settings;
    }
    set settings(settings) {
        this._settings = settings;
        this._dataSet.columns = this.getSetting('columns');
        if (this.createFormShown) {
            this._dataSet.newRow = null;
            this.dataSet.createNewRow();
        }
        this._source.refresh();
    }
    get dataSet() {
        return this._dataSet;
    }
    get source() {
        return this._source;
    }
    set source(source) {
        this._source = source;
        source.getAll().then((val) => {
            if (val.length > 0) {
                this._source.refresh();
            }
        });
        this.subscriptions$.add(this._source.onChanged().subscribe((changes) => {
            // Emit back, signaling some grid's internal affair action has been asked for.
            // Important when you have the API url to call services OUTSIDE the Table components - at its installation
            // if (['filter', 'sort', 'refresh'].indexOf(changes['action']) !== -1) {
            this.internalAction.emit(changes);
            // }    // <= 'if' went to instalation TS!
            // Meanwhile, keep updating rows internally...
            // When internalAction reachs instalation, a new set of data will arrive, and grid will be re-done one last time
            this.processDataChange(changes);
        }));
        this.subscriptions$.add(this._source.onUpdated().subscribe((val) => {
            const changedRow = this._dataSet.findRowByData(val);
            // console.warn('DataSource UPDATED!', data, changedRow);
            changedRow.data = val;
        }));
    }
    ngOnDestroy() {
        this.subscriptions$.unsubscribe();
    }
    showActionColumn(position) {
        return this.isCurrentActionsPosition(position) && this.isActionsVisible();
    }
    isCurrentActionsPosition(position) {
        return position === this.getSetting('actions.position');
    }
    isActionsVisible() {
        return (this.getSetting('actions.add')
            || this.getSetting('actions.edit')
            || this.getSetting('actions.delete')
            || this.getSetting('actions.custom').length);
    }
    isMultiSelectVisible() {
        return this.getSetting('selectMode') === 'multi';
    }
    hasColorRow() {
        return this.getSetting('colorRow');
    }
    getNewRow() {
        return this._dataSet.newRow;
    }
    updateSetting(obj) {
        const column = this._dataSet.columns.find((col) => col.id === Object.keys(obj)[0]);
        if (column) {
            column.editor.config['list'] = obj[Object.keys(obj)[0]];
        }
    }
    getSetting(name, defaultValue) {
        return getDeepFromObject(this._settings, name, defaultValue);
    }
    setColumnFilters(key, values) {
        this.dataSet.getColumnById(key).filters = values;
    }
    /**
     * This method set a row selected.
     *
     * @param row - The row to be selected.
     */
    selectRow(row) {
        this._dataSet.selectRow(row);
    }
    multipleSelectRow(row) {
        this._dataSet.multipleSelectRow(row);
    }
    onSelectRow() {
        return this.onSelectRowSource.asObservable();
    }
    /**
     * This method set the propertie isInEditing of class Row to true.
     *
     * @param row - The row to be editing.
     */
    edit(row) {
        row.isInEditing = true;
    }
    create(row, confirmEmitter) {
        const deferred = new Deferred();
        deferred.promise.then((newData) => {
            newData = newData ? newData : row.getNewData();
            this._source.prepend(newData).then(() => {
                this.createFormShown = false;
            });
        }, () => this.createFormShown = false)
            .catch((err) => {
            // doing nothing
        });
        if (this.getSetting('add.confirmCreate')) {
            confirmEmitter.emit({
                newData: row.getNewData(),
                source: this._source,
                confirm: deferred,
            });
        }
        else {
            deferred.resolve();
        }
    }
    save(row, confirmEmitter) {
        const deferred = new Deferred();
        deferred.promise.then((newData) => {
            newData = newData ? newData : row.getNewData();
            this._source.update(row.data, newData).then(() => {
                row.isInEditing = false;
            });
        }, () => row.isInEditing = false)
            .catch((err) => {
            // doing nothing
        });
        if (this.getSetting('edit.confirmSave')) {
            confirmEmitter.emit({
                data: row.data,
                newData: row.getNewData(),
                source: this._source,
                confirm: deferred,
            });
        }
        else {
            deferred.resolve();
        }
    }
    delete(row, confirmEmitter) {
        const deferred = new Deferred();
        deferred.promise.then(() => {
            this._source.remove(row.data);
        }).catch((err) => {
            // doing nothing
        });
        if (this.getSetting('delete.confirmDelete')) {
            confirmEmitter.emit({
                data: row.data,
                source: this._source,
                confirm: deferred,
            });
        }
        else {
            deferred.resolve();
        }
    }
    processDataChange(changes) {
        if (this.shouldProcessChangeInternally(changes)) {
            // Update the grid with the new elements:
            this._dataSet.data = changes['elements'];
            if (this.getSetting('selectMode') !== 'multi') {
                const row = this.determineRowToSelect(changes);
                if (row) {
                    this.onSelectRowSource.next(row);
                }
            }
        }
    }
    shouldProcessChangeInternally(changes) {
        if (['filter', 'sort', 'remove', 'refresh', 'load'].indexOf(changes['action']) !== -1) {
            return true;
        }
        else if (['prepend', 'append'].indexOf(changes['action']) !== -1) {
            return true;
        }
        return false;
    }
    determineRowToSelect(changes) {
        if (['load', 'filter', 'sort', 'refresh'].indexOf(changes['action']) !== -1) {
            return this._dataSet.select();
        }
        if (changes['action'] === 'remove') {
            if (changes['elements'].length === 0) {
                // we have to store which one to select as the data will be reloaded
                this._dataSet.willSelectLastRow();
            }
            // else {
            //     return this._dataSet.selectPreviousRow();
            // }
        }
        if (changes['action'] === 'append') {
            // we have to store which one to select as the data will be reloaded
            this._dataSet.willSelectLastRow();
        }
        if (changes['action'] === 'add') {
            return this._dataSet.selectFirstRow();
        }
        if (changes['action'] === 'update') {
            return this._dataSet.selectFirstRow();
        }
        if (changes['action'] === 'prepend') {
            // we have to store which one to select as the data will be reloaded
            // this._dataSet.willSelectFirstRow();
        }
        return null;
    }
    prepareSource(source) {
        const initialSource = this.getInitialSort();
        if (initialSource && initialSource['field'] && initialSource['direction']) {
            source.setSort([initialSource], false);
        }
        return source;
    }
    getInitialSort() {
        const sortConf = {};
        this._dataSet.columns.forEach((column) => {
            if (column.isSortable && column.defaultSortDirection) {
                sortConf['field'] = column.id;
                sortConf['direction'] = column.defaultSortDirection;
                sortConf['compare'] = column.getCompareFunction();
            }
        });
        return sortConf;
    }
    getSelectedRows() {
        return this._dataSet.rows.filter((r) => r.isSelected);
    }
    selectAllRows(status) {
        this._dataSet.rows.forEach((r) => r.isSelected = status);
    }
}
Grid.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Grid, deps: "invalid", target: i0.ɵɵFactoryTarget.Directive });
Grid.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: Grid, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Grid, decorators: [{
            type: Directive
        }], ctorParameters: function () { return [{ type: LocalDataSource }, { type: undefined }, { type: i0.EventEmitter }]; } });

class SetUpFormControllers {
    static doFormControllersOn(grid, myForm) {
        // When table settings changes it's need "reset" the form controls
        Object.keys(myForm.controls).forEach((key) => myForm.removeControl(key));
        grid.dataSet.columns.forEach((column) => {
            const colEditorSetings = column.editor;
            // Does it has inicial "value"...?
            const initColValue = colEditorSetings ?
                colEditorSetings.initValue ? colEditorSetings.initValue : '' : '';
            // Does it has defined any Form Validators for each column...?
            const colValidators = colEditorSetings ?
                colEditorSetings.validators ? colEditorSetings.validators : [] : [];
            // Inititate our Validators collector types array to push Validators each time a column has (1 or several!)
            const formValidators = new Array();
            // OK; we can start by initializing CONTROLS per column
            // myForm.addControl(column.id, new FormControl(
            //     {
            //         value: initColValue,
            //         disabled: !column.isEditable
            //     }
            // ));
            myForm.addControl(column.id, new FormControl(initColValue));
            if (column.editor && column.editor.validators) {
                if (colValidators.required) {
                    formValidators.push(Validators.required);
                }
                if (colValidators.hasOwnProperty('min')) {
                    formValidators.push(Validators.min(colValidators.min));
                }
                if (colValidators.hasOwnProperty('max')) {
                    formValidators.push(Validators.max(colValidators.max));
                }
                if (colValidators.hasOwnProperty('minLength')) {
                    formValidators.push(Validators.minLength(colValidators.minLength));
                }
                if (colValidators.hasOwnProperty('maxLength')) {
                    formValidators.push(Validators.maxLength(colValidators.maxLength));
                }
                if (colValidators.hasOwnProperty('minLength') || colValidators.hasOwnProperty('maxLength')) {
                    formValidators.push(noWhitespaceValidator);
                }
                if (colValidators.pattern) {
                    formValidators.push(Validators.pattern(new RegExp(colValidators.pattern)));
                }
                // OK! Push the aray into FormGroup CONTROLS:
                // =============================================================
                // INSPECT THE COLUMNS THAT ARE CURRENTLY CONFIG, at instalation, WITH VALIDATORS, AND WHICH ONES:
                // =============================================================
                myForm.controls[column.id].setValidators(formValidators);
                // ****************************************************************************
                // Update the FormGroup once you have run either setValidators() or clearValidators()!
                //      (last, clears them ALL from an Input)
                // ****************************************************************************
                myForm.controls[column.id].updateValueAndValidity();
            }
        });
    }
    static formErrorsCollection(grid, column, myForm) {
        const inputErrorsCollection = [];
        Object.keys(myForm.controls).forEach((inputName) => {
            const inputControl = myForm.get(inputName);
            // Each Control can have MORE than one error type!
            if (inputControl.errors && inputControl.dirty) {
                // Beacuse of CREATE, we only consider an error IF control is TOUCHED - see TableComponent's "checkValidators()"
                // On EDITING, ALL controls are immediately marked as TOUCHED, so user can be advised of the disabled submit button.
                // Translate Object DATA to human readeable strings:
                const thisInputColumn = grid ? grid.dataSet.columns.filter((eachColumn) => eachColumn.id === inputName)[0] : column;
                const translErrors = this.translateThisInputErrors(thisInputColumn, inputControl);
                // Collect this Input one, to send them all back, to whomever calls this Class Method:
                inputErrorsCollection.push({
                    input: inputName,
                    value: inputControl.value,
                    raw: inputControl.errors,
                    translated: translErrors
                });
            }
        });
        // Return them all, grouped, and already translated, for each Input controller:
        return inputErrorsCollection;
    }
    static enableControlWaitingValue(grid, form) {
        grid.dataSet.columns.forEach((col) => Object.keys(form.controls).forEach((key) => {
            if (col.editor && col.editor.isEditableUntil && col.editor.isEditableUntil === key && form.controls[key].value) {
                form.controls[col.id].enable({ emitEvent: false });
            }
        }));
    }
    static translateThisInputErrors(column, controller) {
        const value = controller.value;
        const errorTranslation = [];
        // About this column Input settings => get custom installation Validators messages:
        // "editor" they all must have, if this Validation code point was reached. Check for "validatorMsgs":
        const thisControllerMsgs = column.editor.validatorMsgs ? column.editor.validatorMsgs : {};
        Object.keys(controller.errors).forEach((validatorErrors) => {
            switch (validatorErrors) {
                case 'required':
                    if (thisControllerMsgs.hasOwnProperty('required')) {
                        errorTranslation.push(thisControllerMsgs.required);
                    }
                    else {
                        errorTranslation.push('It\'s a required Input.');
                    }
                    break;
                case 'email':
                    if (thisControllerMsgs.hasOwnProperty('email')) {
                        errorTranslation.push(thisControllerMsgs.email.replace('[value field]', value));
                    }
                    else {
                        errorTranslation.push(`${value} does not have a proper email format (a@b.c).`);
                    }
                    break;
                case 'minlength':
                    if (thisControllerMsgs.hasOwnProperty('minlength')) {
                        errorTranslation.push(thisControllerMsgs.minlength.replace('[minlength field]', controller.errors.minlength));
                    }
                    else {
                        errorTranslation.push(`Input must have at least ${controller.errors.minlength.requiredLength} chars.`);
                    }
                    break;
                case 'maxlength':
                    const maxL = controller.errors.maxlength.requiredLength;
                    const currentL = controller.errors.maxlength.actualLength;
                    if (thisControllerMsgs.hasOwnProperty('maxlength')) {
                        errorTranslation.push(thisControllerMsgs.maxLength
                            .replace('[maxlength field]', maxL)
                            .replace('[value field]', value)
                            .replace('[current length field]', currentL));
                    }
                    else {
                        errorTranslation.push(`Input can not exceed ${maxL} chars - ${value} has ${currentL}.`);
                    }
                    break;
                case 'min':
                    if (thisControllerMsgs.hasOwnProperty('min')) {
                        errorTranslation.push(thisControllerMsgs.min.replace('[min field]', controller.errors.min));
                    }
                    else {
                        errorTranslation.push(`The input value must be greater than or equal to ${controller.errors.min.min}`);
                    }
                    break;
                case 'max':
                    if (thisControllerMsgs.hasOwnProperty('max')) {
                        errorTranslation.push(thisControllerMsgs.max.replace('[max field]', controller.errors.max));
                    }
                    else {
                        errorTranslation.push(`The input value must be less than or equal to ${controller.errors.max.max}.`);
                    }
                    break;
                default:
                    errorTranslation.push(`ERROR! ${validatorErrors} Validator error was NOT expected!`);
                    break;
            }
        });
        return errorTranslation;
    }
}

class TbodyCollapseContentDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
TbodyCollapseContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodyCollapseContentDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
TbodyCollapseContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: TbodyCollapseContentDirective, selector: "[unoTbodyCollapseContent]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodyCollapseContentDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[unoTbodyCollapseContent]' }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });

class HeaderComponent {
    constructor() {
        this.create = new EventEmitter();
        this.searchTerm = new EventEmitter();
        this.customAction = new EventEmitter();
        this.clickIconOptions = new EventEmitter();
        this.saveOptions = new EventEmitter();
        /**
         * Variable to control the popover with sort and filter.
         */
        this.openPopover = false;
        /**
         * Variable to control the popover with options of the table.
         */
        this.openPopoverOptions = false;
        /**
         * Variable to control the show/hide button save on popover options.
         */
        this.showButtonSave = false;
    }
    ngOnChanges() {
        this.headerActions = this.grid.settings.headerActions;
        // ONLY SHOW 4 ICONS ON HEADER, THE OTHERS GO TO POPOVER.
        if (this.grid.settings.actions.add) { // CHECK IF ADD IS EDIT IN LINE
            this.mainActions = this.headerActions.slice(0, 2);
            this.otherActions = this.headerActions.slice(2, this.headerActions.length);
        }
        else {
            this.mainActions = this.headerActions.slice(0, 3);
            this.otherActions = this.headerActions.slice(3, this.headerActions.length);
        }
        this.columnsFirstState = cloneDeep(this.grid.dataSet.columns);
    }
    onAdd() {
        // Check user is not EDITING any row:
        // Disable CREATE possibility since they use the same "editingForm" form!
        // Side effects are obvious: validators coloring gets all mixed up
        // - SAME (component) element is being scaned in more than one place (row).
        if (this.grid.dataSet.rows.filter((row) => row.isInEditing).length > 0) {
            return false;
            // But inform the user @ hoverIn()!
        }
        this.create.emit();
    }
    hoverIn() {
        if (this.grid.dataSet.rows.filter((row) => row.isInEditing).length > 0) {
            this.openPopover = true;
        }
    }
    onCheckColumn(column) {
        if (!column.isRequired) {
            column.isVisibled = !column.isVisibled;
            let findDiferences = false;
            this.columnsFirstState.forEach((col) => {
                if (col.isVisibled !== column.isVisibled) {
                    findDiferences = true;
                }
            });
            if (findDiferences) {
                this.showButtonSave = true;
            }
            else {
                this.showButtonSave = false;
            }
        }
    }
    onClickOptions() {
        this.openPopoverOptions = !this.openPopoverOptions;
        this.clickIconOptions.emit(this.openPopoverOptions);
        this.columnsFirstState = cloneDeep(this.grid.dataSet.columns);
    }
    onSave() {
        const obj = [];
        this.grid.dataSet.columns.forEach((column) => {
            obj.push({
                parameterName: column.id,
                isVisible: column.isVisibled,
                isRequire: column.isRequired,
                isSorted: column.isSortable,
                isFilter: column.filter ? true : false,
                width: column.width
            });
        });
        this.saveOptions.emit(obj);
        this.openPopoverOptions = false;
        this.showButtonSave = false;
    }
}
HeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
HeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: HeaderComponent, selector: "header", inputs: { grid: "grid", headerSettings: "headerSettings" }, outputs: { create: "create", searchTerm: "searchTerm", customAction: "customAction", clickIconOptions: "clickIconOptions", saveOptions: "saveOptions" }, viewQueries: [{ propertyName: "search", first: true, predicate: SearchComponent, descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"slds-grid slds-wrap slds-p-bottom--medium\">\r\n    <div class=\"slds-size--1-of-2\">\r\n        <uno-search *ngIf=\"grid.settings.showSearch\" (searchTerm)=\"searchTerm.emit($event)\"></uno-search>\r\n    </div>\r\n    <div class=\"slds-size--1-of-2 slds-text-align--right\">\r\n        <ng-container *ngFor=\"let icon of mainActions\">\r\n            <uno-icon [id]=\"icon.icon\" *ngIf=\"icon.visible\" class=\"slds-m-right--x-small\" [icon]=\"icon.icon\" [title]=\"icon.title | translate\" (click)=\"customAction.emit(icon)\"></uno-icon>\r\n        </ng-container>\r\n        <uno-icon\r\n            id=\"plus\"\r\n            *ngIf=\"grid.settings.actions.add\"\r\n            icon=\"plus\"\r\n            [title]=\"grid.settings.add.addButtonContent | translate\"\r\n\r\n            (click)=\"onAdd()\"\r\n            (mouseenter)=\"hoverIn()\"\r\n            (mouseleave)=\"openPopover = false\"\r\n\r\n            uno-popover-trigger\r\n            [unoPopoverOpen]=\"openPopover\"\r\n\r\n            unoPopover=\"You are editing one row. Finish it, first, please...\"\r\n            unoPopoverPlacement=\"left\"\r\n            unoPopoverTooltip=\"true\">\r\n        </uno-icon>\r\n        <uno-icon\r\n            id=\"more_opt_v\"\r\n            icon=\"more_opt_v\"\r\n            [title]=\"'options' | translate\"\r\n\r\n            uno-popover-trigger\r\n            [unoPopoverOpen]=\"openPopoverOptions\"\r\n\r\n            [unoPopover]=\"moreOptions\"\r\n            unoPopoverPlacement=\"bottomLeft\"\r\n            unoPopoverNubbin=\"top-right\"\r\n            unoPopoverSize=\"small\"\r\n            (click)=\"onClickOptions()\">\r\n        </uno-icon>\r\n        <ng-template #moreOptions>\r\n            <div class=\"slds-grid slds-wrap\">\r\n                <ng-container *ngFor=\"let icon of otherActions\">\r\n                    <div\r\n                        *ngIf=\"icon.visible\"\r\n                        (click)=\"customAction.emit(icon); openPopoverOptions = false;\"\r\n                        class=\"slds-size--1-of-1 slds-p-around--small slds-truncate popover-actions\"\r\n                        [title]=\"icon.title\"\r\n                        translate>\r\n                            <uno-icon [id]=\"icon.icon\" class=\"slds-m-right--x-small\" [icon]=\"icon.icon\" [title]=\"icon.title | translate\" [withOpacity]=\"false\"></uno-icon>\r\n                            {{ icon.title }}\r\n                    </div>\r\n                </ng-container>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--small open-sans-bold-10 text-uppercase\" translate>\r\n                    viewColumns\r\n                </div>\r\n                <div\r\n                    *ngFor=\"let column of grid.dataSet.columns\"\r\n                    class=\"slds-size--1-of-1 slds-p-around--small slds-truncate open-sans-10\"\r\n                    (click)=\"onCheckColumn(column)\"\r\n                    [style.cursor]=\"column.isRequired ? 'normal' : 'pointer'\">\r\n                        <input type=\"checkbox\" class=\"slds-align-middle\" [checked]=\"column.isVisibled\" [disabled]=\"column.isRequired\">\r\n                        <span class=\"slds-p-left--x-small slds-align-middle\" translate>{{ column.title }}</span>\r\n                </div>\r\n                <div\r\n                    *ngIf=\"showButtonSave\"\r\n                    class=\"slds-size--1-of-1 slds-p-around--x-small nunito-semibold-14\">\r\n                    <!--button unoButton unoSize=\"x-small\" unoType=\"secondary\" (click)=\"openPopoverOptions = !openPopoverOptions\" translate>cancel\r\n                        </button-->\r\n                    <button *ngIf=\"grid.getSetting('showSaveColumns')\" unoButton unoSize=\"x-small\" unoType=\"green\" class=\"slds-float--right\" (click)=\"onSave()\" translate>save</button>\r\n                </div>\r\n            </div>\r\n        </ng-template>\r\n    </div>\r\n</div>", styles: [".popover-actions{cursor:pointer}\n"], components: [{ type: SearchComponent, selector: "uno-search", inputs: ["placeholder", "type"], outputs: ["searchTerm"] }, { type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }], pipes: { "translate": i3$1.TranslatePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'header', template: "<div class=\"slds-grid slds-wrap slds-p-bottom--medium\">\r\n    <div class=\"slds-size--1-of-2\">\r\n        <uno-search *ngIf=\"grid.settings.showSearch\" (searchTerm)=\"searchTerm.emit($event)\"></uno-search>\r\n    </div>\r\n    <div class=\"slds-size--1-of-2 slds-text-align--right\">\r\n        <ng-container *ngFor=\"let icon of mainActions\">\r\n            <uno-icon [id]=\"icon.icon\" *ngIf=\"icon.visible\" class=\"slds-m-right--x-small\" [icon]=\"icon.icon\" [title]=\"icon.title | translate\" (click)=\"customAction.emit(icon)\"></uno-icon>\r\n        </ng-container>\r\n        <uno-icon\r\n            id=\"plus\"\r\n            *ngIf=\"grid.settings.actions.add\"\r\n            icon=\"plus\"\r\n            [title]=\"grid.settings.add.addButtonContent | translate\"\r\n\r\n            (click)=\"onAdd()\"\r\n            (mouseenter)=\"hoverIn()\"\r\n            (mouseleave)=\"openPopover = false\"\r\n\r\n            uno-popover-trigger\r\n            [unoPopoverOpen]=\"openPopover\"\r\n\r\n            unoPopover=\"You are editing one row. Finish it, first, please...\"\r\n            unoPopoverPlacement=\"left\"\r\n            unoPopoverTooltip=\"true\">\r\n        </uno-icon>\r\n        <uno-icon\r\n            id=\"more_opt_v\"\r\n            icon=\"more_opt_v\"\r\n            [title]=\"'options' | translate\"\r\n\r\n            uno-popover-trigger\r\n            [unoPopoverOpen]=\"openPopoverOptions\"\r\n\r\n            [unoPopover]=\"moreOptions\"\r\n            unoPopoverPlacement=\"bottomLeft\"\r\n            unoPopoverNubbin=\"top-right\"\r\n            unoPopoverSize=\"small\"\r\n            (click)=\"onClickOptions()\">\r\n        </uno-icon>\r\n        <ng-template #moreOptions>\r\n            <div class=\"slds-grid slds-wrap\">\r\n                <ng-container *ngFor=\"let icon of otherActions\">\r\n                    <div\r\n                        *ngIf=\"icon.visible\"\r\n                        (click)=\"customAction.emit(icon); openPopoverOptions = false;\"\r\n                        class=\"slds-size--1-of-1 slds-p-around--small slds-truncate popover-actions\"\r\n                        [title]=\"icon.title\"\r\n                        translate>\r\n                            <uno-icon [id]=\"icon.icon\" class=\"slds-m-right--x-small\" [icon]=\"icon.icon\" [title]=\"icon.title | translate\" [withOpacity]=\"false\"></uno-icon>\r\n                            {{ icon.title }}\r\n                    </div>\r\n                </ng-container>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--small open-sans-bold-10 text-uppercase\" translate>\r\n                    viewColumns\r\n                </div>\r\n                <div\r\n                    *ngFor=\"let column of grid.dataSet.columns\"\r\n                    class=\"slds-size--1-of-1 slds-p-around--small slds-truncate open-sans-10\"\r\n                    (click)=\"onCheckColumn(column)\"\r\n                    [style.cursor]=\"column.isRequired ? 'normal' : 'pointer'\">\r\n                        <input type=\"checkbox\" class=\"slds-align-middle\" [checked]=\"column.isVisibled\" [disabled]=\"column.isRequired\">\r\n                        <span class=\"slds-p-left--x-small slds-align-middle\" translate>{{ column.title }}</span>\r\n                </div>\r\n                <div\r\n                    *ngIf=\"showButtonSave\"\r\n                    class=\"slds-size--1-of-1 slds-p-around--x-small nunito-semibold-14\">\r\n                    <!--button unoButton unoSize=\"x-small\" unoType=\"secondary\" (click)=\"openPopoverOptions = !openPopoverOptions\" translate>cancel\r\n                        </button-->\r\n                    <button *ngIf=\"grid.getSetting('showSaveColumns')\" unoButton unoSize=\"x-small\" unoType=\"green\" class=\"slds-float--right\" (click)=\"onSave()\" translate>save</button>\r\n                </div>\r\n            </div>\r\n        </ng-template>\r\n    </div>\r\n</div>", styles: [".popover-actions{cursor:pointer}\n"] }]
        }], propDecorators: { grid: [{
                type: Input
            }], headerSettings: [{
                type: Input
            }], create: [{
                type: Output
            }], searchTerm: [{
                type: Output
            }], customAction: [{
                type: Output
            }], clickIconOptions: [{
                type: Output
            }], saveOptions: [{
                type: Output
            }], search: [{
                type: ViewChild,
                args: [SearchComponent]
            }] } });

var SortDirectionEnum;
(function (SortDirectionEnum) {
    SortDirectionEnum["ASC"] = "asc";
    SortDirectionEnum["DESC"] = "desc";
})(SortDirectionEnum || (SortDirectionEnum = {}));
class ColumnTitleComponent {
    constructor() {
        this.sort = new EventEmitter();
        this.hidePopovers = new EventEmitter();
        this.getColumnFilters = new EventEmitter();
        this.currentDirection = '';
        this.openPopoverOptions = false;
        this.showIcon = false;
        this.sortDirectionEnum = SortDirectionEnum;
    }
    ngOnChanges(changes) {
        if (changes.grid && changes.grid.currentValue) {
            this.subscription$ = this.grid.source.onChanged().subscribe(() => {
                const sortConf = this.grid.source.getSort();
                if (sortConf.length > 0 && sortConf[0]['field'] === this.column.id) {
                    this.currentDirection = sortConf[0]['direction'];
                }
                else {
                    this.currentDirection = '';
                }
            });
        }
    }
    ngOnDestroy() {
        if (this.subscription$) {
            this.subscription$.unsubscribe();
        }
    }
    onClick() {
        const currentState = this.openPopoverOptions;
        this.hidePopovers.emit();
        this.openPopoverOptions = !currentState;
        this.showIcon = !currentState;
        if (this.grid.source.getSort()[0] && this.grid.source.getSort()[0].field === this.column.id ||
            this.grid.source.getFilter() && this.grid.source.getFilter().length > 0 && this.grid.source.getFilter()[0].field === this.column.id) {
            this.showIcon = true;
        }
        if (this.openPopoverOptions && this.column.filters.length === 0) {
            this.getColumnFilters.emit(this.column.id);
        }
    }
    onCheckFilter(obj) {
        obj.checked = !obj.checked;
    }
    onApplyFilter() {
        const filters = this.column.filters.filter((val) => val.checked === true).map((val) => val.name);
        /* If number of filters selected it's equals to the number of the column.filters array, it's necessary remove the field from array.
         * only apply the filter if number of filters selected it's different from 0 and different from the size of the column.filters array.
         */
        if (filters.length === this.column.filters.length && this.grid.source.getFilter().length > 0) {
            this.grid.source.removeFilter(this.column.id);
        }
        else if (filters.length > 0 && filters.length !== this.column.filters.length) {
            /* If 'filterType' is of type 'single', it is necessary to clear the saved filter
             * and reset the filters of the last filtered column.
             */
            if (this.grid.getSetting('filterType') === 'single' && this.grid.source.getFilter().length > 0) {
                // The array of saved filter only have one element on array.
                const column = this.grid.dataSet.columns.find((col) => col.id === this.grid.source.getFilter()[0].field);
                column.filters.forEach((obj) => obj.checked = true);
                this.grid.source.resetFilter(true);
            }
            this.grid.source.addFilter({
                field: this.column.id,
                search: filters
            });
        }
        this.openPopoverOptions = false;
    }
    _sort(event, direction) {
        event.preventDefault();
        this.grid.source.setSort([
            {
                field: this.column.id,
                direction: direction
            },
        ]);
        this.openPopoverOptions = false;
        this.sort.emit(null);
    }
    onSearchFilter(term) {
        this.column.searchDisplayedFilters(term);
    }
    onSelectAll() {
        this.column.selectAllFilters();
    }
    onClearAll() {
        this.column.removeAllFilters();
    }
}
ColumnTitleComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ColumnTitleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ColumnTitleComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ColumnTitleComponent, selector: "ng2-st-column-title", inputs: { grid: "grid", column: "column" }, outputs: { sort: "sort", hidePopovers: "hidePopovers", getColumnFilters: "getColumnFilters" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"ng2-smart-title slds-truncate\">\r\n    <span class=\"ng2-smart-sort\" translate>{{ column.title }}</span>\r\n    <uno-icon\r\n        class=\"slds-m-left--x-small\"\r\n        [style.visibility]=\"showIcon ? 'visible' : 'hidden'\"\r\n        icon=\"filters\"\r\n        size=\"xx-small\"\r\n        [withOpacity]=\"false\"\r\n        uno-popover-trigger\r\n        [unoPopoverOpen]=\"openPopoverOptions\"\r\n\r\n        [unoPopover]=\"sortFilter\"\r\n        unoPopoverPlacement=\"bottomLeft\"\r\n        unoPopoverNubbin=\"top-right\"\r\n        unoPopoverSize=\"small\"\r\n        (click)=\"onClick()\">\r\n    </uno-icon>\r\n    <ng-template #sortFilter>\r\n        <div class=\"slds-grid slds-wrap\">\r\n            <ng-container *ngIf=\"column.isSortable\">\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-12\"\r\n                    [style.cursor]=\"'pointer'\"\r\n                    (click)=\"_sort($event, sortDirectionEnum.ASC)\">\r\n                    <uno-icon icon=\"order_down\" size=\"xx-small\" [color]=\"currentDirection === 'asc' ? 'sapphire' : 'light-grey-blue'\" [withOpacity]=\"false\"></uno-icon>\r\n                    <span translate>sort</span> A - Z\r\n                </div>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-12\"\r\n                    [style.cursor]=\"'pointer'\"\r\n                    (click)=\"_sort($event, sortDirectionEnum.DESC)\">\r\n                    <uno-icon icon=\"order_up\" size=\"xx-small\" [color]=\"currentDirection === 'desc' ? 'sapphire' : 'light-grey-blue'\" [withOpacity]=\"false\"></uno-icon>\r\n                    <span translate>sort</span> Z - A\r\n                </div>\r\n            </ng-container>\r\n            <ng-container *ngIf=\"column.filter\">\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-bold-10 text-uppercase\" translate>\r\n                    viewItems\r\n                </div>\r\n                <div\r\n                    class=\"slds-size--1-of-1 slds-p-horizontal--x-small nunito-semibold-14\">\r\n                    <input class=\"slds-input\" (input)=\"onSearchFilter($event.target.value)\" [placeholder]=\"('search' | translate) + ' ' + (column.title | translate)\" />\r\n                </div>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-10 select-unselect\">\r\n                    <span (click)=\"onSelectAll()\" translate>selectAll</span> - <span (click)=\"onClearAll()\" translate>clearAll</span>\r\n                </div>\r\n                <div style=\"height: 287px; overflow: auto\">\r\n                    <div\r\n                        *ngFor=\"let filter of column.displayedFilters\"\r\n                        class=\"slds-size--1-of-1 slds-p-around--x-small slds-truncate open-sans-10\"\r\n                        (click)=\"onCheckFilter(filter)\"\r\n                        [style.cursor]=\"'pointer'\">\r\n                            <input type=\"checkbox\" class=\"slds-align-middle\" [checked]=\"filter.checked\">\r\n                            <span class=\"slds-p-left--x-small slds-align-middle\">{{ filter.name }}</span>\r\n                    </div>\r\n                </div>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small nunito-semibold-14\">\r\n                    <!-- button unoButton unoSize=\"x-small\" unoType=\"secondary\" translate>cancel</button -->\r\n                    <button unoButton unoSize=\"x-small\" unoType=\"blue\" class=\"slds-float--right\" (click)=\"onApplyFilter()\" translate>ok</button>\r\n                </div>\r\n            </ng-container>\r\n        </div>\r\n    </ng-template>\r\n</div>", styles: [".select-unselect{color:var(--sapphire);cursor:pointer}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }], pipes: { "translate": i3$1.TranslatePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ColumnTitleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ng2-st-column-title', template: "<div class=\"ng2-smart-title slds-truncate\">\r\n    <span class=\"ng2-smart-sort\" translate>{{ column.title }}</span>\r\n    <uno-icon\r\n        class=\"slds-m-left--x-small\"\r\n        [style.visibility]=\"showIcon ? 'visible' : 'hidden'\"\r\n        icon=\"filters\"\r\n        size=\"xx-small\"\r\n        [withOpacity]=\"false\"\r\n        uno-popover-trigger\r\n        [unoPopoverOpen]=\"openPopoverOptions\"\r\n\r\n        [unoPopover]=\"sortFilter\"\r\n        unoPopoverPlacement=\"bottomLeft\"\r\n        unoPopoverNubbin=\"top-right\"\r\n        unoPopoverSize=\"small\"\r\n        (click)=\"onClick()\">\r\n    </uno-icon>\r\n    <ng-template #sortFilter>\r\n        <div class=\"slds-grid slds-wrap\">\r\n            <ng-container *ngIf=\"column.isSortable\">\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-12\"\r\n                    [style.cursor]=\"'pointer'\"\r\n                    (click)=\"_sort($event, sortDirectionEnum.ASC)\">\r\n                    <uno-icon icon=\"order_down\" size=\"xx-small\" [color]=\"currentDirection === 'asc' ? 'sapphire' : 'light-grey-blue'\" [withOpacity]=\"false\"></uno-icon>\r\n                    <span translate>sort</span> A - Z\r\n                </div>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-12\"\r\n                    [style.cursor]=\"'pointer'\"\r\n                    (click)=\"_sort($event, sortDirectionEnum.DESC)\">\r\n                    <uno-icon icon=\"order_up\" size=\"xx-small\" [color]=\"currentDirection === 'desc' ? 'sapphire' : 'light-grey-blue'\" [withOpacity]=\"false\"></uno-icon>\r\n                    <span translate>sort</span> Z - A\r\n                </div>\r\n            </ng-container>\r\n            <ng-container *ngIf=\"column.filter\">\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-bold-10 text-uppercase\" translate>\r\n                    viewItems\r\n                </div>\r\n                <div\r\n                    class=\"slds-size--1-of-1 slds-p-horizontal--x-small nunito-semibold-14\">\r\n                    <input class=\"slds-input\" (input)=\"onSearchFilter($event.target.value)\" [placeholder]=\"('search' | translate) + ' ' + (column.title | translate)\" />\r\n                </div>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small open-sans-10 select-unselect\">\r\n                    <span (click)=\"onSelectAll()\" translate>selectAll</span> - <span (click)=\"onClearAll()\" translate>clearAll</span>\r\n                </div>\r\n                <div style=\"height: 287px; overflow: auto\">\r\n                    <div\r\n                        *ngFor=\"let filter of column.displayedFilters\"\r\n                        class=\"slds-size--1-of-1 slds-p-around--x-small slds-truncate open-sans-10\"\r\n                        (click)=\"onCheckFilter(filter)\"\r\n                        [style.cursor]=\"'pointer'\">\r\n                            <input type=\"checkbox\" class=\"slds-align-middle\" [checked]=\"filter.checked\">\r\n                            <span class=\"slds-p-left--x-small slds-align-middle\">{{ filter.name }}</span>\r\n                    </div>\r\n                </div>\r\n                <div class=\"slds-size--1-of-1 slds-p-around--x-small nunito-semibold-14\">\r\n                    <!-- button unoButton unoSize=\"x-small\" unoType=\"secondary\" translate>cancel</button -->\r\n                    <button unoButton unoSize=\"x-small\" unoType=\"blue\" class=\"slds-float--right\" (click)=\"onApplyFilter()\" translate>ok</button>\r\n                </div>\r\n            </ng-container>\r\n        </div>\r\n    </ng-template>\r\n</div>", styles: [".select-unselect{color:var(--sapphire);cursor:pointer}\n"] }]
        }], propDecorators: { grid: [{
                type: Input
            }], column: [{
                type: Input
            }], sort: [{
                type: Output
            }], hidePopovers: [{
                type: Output
            }], getColumnFilters: [{
                type: Output
            }] } });

class CheckboxSelectAllComponent {
}
CheckboxSelectAllComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CheckboxSelectAllComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CheckboxSelectAllComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: CheckboxSelectAllComponent, selector: "[ng2-st-checkbox-select-all]", inputs: { grid: "grid" }, ngImport: i0, template: `
        <input type="checkbox" [checked]="grid.getSelectedRows().length === this.grid.dataSet.rows.length" [indeterminate]="grid.getSelectedRows().length > 0 && grid.getSelectedRows().length !== grid.dataSet.rows.length">
    `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CheckboxSelectAllComponent, decorators: [{
            type: Component,
            args: [{
                    selector: '[ng2-st-checkbox-select-all]',
                    template: `
        <input type="checkbox" [checked]="grid.getSelectedRows().length === this.grid.dataSet.rows.length" [indeterminate]="grid.getSelectedRows().length > 0 && grid.getSelectedRows().length !== grid.dataSet.rows.length">
    `,
                }]
        }], propDecorators: { grid: [{
                type: Input
            }] } });

class ActionsTitleComponent {
    constructor(ref) {
        this.ref = ref;
    }
    ngAfterViewInit() {
        this.ref.nativeElement.classList.add('ng2-smart-actions');
    }
    ngOnChanges() {
        this.actionsColumnTitle = this.grid.getSetting('actions.columnTitle');
    }
}
ActionsTitleComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ActionsTitleComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
ActionsTitleComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ActionsTitleComponent, selector: "[ng2-st-actions-title]", inputs: { grid: "grid" }, usesOnChanges: true, ngImport: i0, template: `
        <div class="ng2-smart-title">{{ actionsColumnTitle }}</div>
    `, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ActionsTitleComponent, decorators: [{
            type: Component,
            args: [{
                    selector: '[ng2-st-actions-title]',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `
        <div class="ng2-smart-title">{{ actionsColumnTitle }}</div>
    `,
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { grid: [{
                type: Input
            }] } });

class TheadTitlesRowComponent {
    constructor() {
        this.sort = new EventEmitter();
        this.selectAllRows = new EventEmitter();
        this.getColumnFilters = new EventEmitter();
        this.customAction = new EventEmitter();
    }
    ngOnChanges(changes) {
        this.colorRow = this.grid.hasColorRow();
        this.isMultiSelectVisible = this.grid.isMultiSelectVisible();
        this.showActionColumnRight = this.grid.showActionColumn('right');
        this.tableCollapsible = this.grid.getSetting('tableCollapsible');
        if (changes.grid && changes.grid.currentValue) {
            this.subscription$ = this.grid.source.onChanged().subscribe(() => {
                if (this.grid.source.getSort().length > 0) {
                    const column = this.columnsTitle.find((val) => val.column.id === this.grid.source.getSort()[0].field);
                    if (column) {
                        this.currentFieldSort = column.column.id;
                        this.columnsTitle.forEach((val) => val.showIcon = false);
                        column.showIcon = true;
                    }
                }
            });
        }
    }
    ngOnDestroy() {
        this.subscription$.unsubscribe();
    }
    onMouseEnter(column) {
        const columnTitle = this.columnsTitle.toArray().find((col) => col.column === column);
        if (this.columnHaveSortFilter(column) && !columnTitle.openPopoverOptions) {
            columnTitle.showIcon = true;
        }
    }
    onMouseLeave(column) {
        const columnTitle = this.columnsTitle.toArray().find((col) => col.column === column);
        // THE ICON OF SORT/FILTER ONLY DESAPEAR IF POPOVER IS HIDDEN OR FIELD SORT DIFFERENT FROM THIS COLUMN
        if (!columnTitle.openPopoverOptions && column.id !== this.currentFieldSort) {
            columnTitle.showIcon = false;
        }
    }
    hidePopovers() {
        this.columnsTitle.forEach((val) => {
            if (val.column.id !== this.currentFieldSort) {
                val.openPopoverOptions = false;
                val.showIcon = false;
            }
        });
    }
    columnHaveSortFilter(column) {
        return column.isSortable || column.filter;
    }
}
TheadTitlesRowComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TheadTitlesRowComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TheadTitlesRowComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TheadTitlesRowComponent, selector: "[ng2-st-thead-titles-row]", inputs: { grid: "grid" }, outputs: { sort: "sort", selectAllRows: "selectAllRows", getColumnFilters: "getColumnFilters", customAction: "customAction" }, viewQueries: [{ propertyName: "columnsTitle", predicate: ColumnTitleComponent, descendants: true }], usesOnChanges: true, ngImport: i0, template: `
        <th *ngIf="colorRow" [style.padding]="0"></th>
        <th ng2-st-checkbox-select-all
            *ngIf="isMultiSelectVisible"
            class="ng2-smart-th ng2-smart-action-multiple-select"
            [ngClass]="{ 'ng2-smart-th': grid.getSelectedRows().length === 0 }"
            [grid]="grid"
            (click)="selectAllRows.emit($event.target.checked)">
        </th>

        <!-- Empty th for the collapsed icon -->
        <th *ngIf="tableCollapsible.isCollapsible" class="ng2-smart-th"></th>

        <!-- COLUMNS TITLE -->
        <ng-container *ngIf="grid.getSelectedRows().length === 0; else selectedTemplate">
            <ng-container *ngFor="let column of grid.dataSet.columns">
                <th *ngIf="column.isVisibled"
                    [id]="column.id"
                    class="ng2-smart-th slds-p-bottom--xx-small"
                    [class.columns]="column.title"
                    [style.width]="column.width"
                    [style.cursor]="column.isSortable || column.filter ? 'pointer' : 'default'"
                    (mouseenter)="onMouseEnter(column)"
                    (mouseleave)="onMouseLeave(column)">
                        <ng2-st-column-title
                            [grid]="grid"
                            [column]="column"
                            (sort)="sort.emit($event)"
                            (hidePopovers)="hidePopovers()"
                            (getColumnFilters)="getColumnFilters.emit($event)">
                        </ng2-st-column-title>
                </th>
            </ng-container>
        </ng-container>

        <!-- ACTIONS -->
        <th ng2-st-actions-title *ngIf="showActionColumnRight && grid.getSelectedRows().length === 0" [grid]="grid" class="slds-p-bottom--xx-small"></th>

        <ng-template #selectedTemplate>
            <th [attr.colspan]="grid.dataSet.columns.length" class="open-sans-14">
                {{ grid.getSelectedRows().length }} <span class="slds-p-horizontal--medium" translate>itemsSelected</span>
                <ng-container *ngFor="let action of grid.settings.selectActions">
                    <uno-icon
                        [id]="action.icon"
                        class="slds-p-horizontal--x-small"
                        *ngIf="action.visible"
                        [icon]="action.icon"
                        [title]="action.title"
                        size="xx-small"
                        (click)="customAction.emit(action)">
                    </uno-icon>
                </ng-container>
                <uno-icon class="slds-float--right" icon="close" size="xx-small" (click)="selectAllRows.emit(false)"></uno-icon>
            </th>
        </ng-template>
  `, isInline: true, components: [{ type: CheckboxSelectAllComponent, selector: "[ng2-st-checkbox-select-all]", inputs: ["grid"] }, { type: ColumnTitleComponent, selector: "ng2-st-column-title", inputs: ["grid", "column"], outputs: ["sort", "hidePopovers", "getColumnFilters"] }, { type: ActionsTitleComponent, selector: "[ng2-st-actions-title]", inputs: ["grid"] }, { type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TheadTitlesRowComponent, decorators: [{
            type: Component,
            args: [{
                    selector: '[ng2-st-thead-titles-row]',
                    template: `
        <th *ngIf="colorRow" [style.padding]="0"></th>
        <th ng2-st-checkbox-select-all
            *ngIf="isMultiSelectVisible"
            class="ng2-smart-th ng2-smart-action-multiple-select"
            [ngClass]="{ 'ng2-smart-th': grid.getSelectedRows().length === 0 }"
            [grid]="grid"
            (click)="selectAllRows.emit($event.target.checked)">
        </th>

        <!-- Empty th for the collapsed icon -->
        <th *ngIf="tableCollapsible.isCollapsible" class="ng2-smart-th"></th>

        <!-- COLUMNS TITLE -->
        <ng-container *ngIf="grid.getSelectedRows().length === 0; else selectedTemplate">
            <ng-container *ngFor="let column of grid.dataSet.columns">
                <th *ngIf="column.isVisibled"
                    [id]="column.id"
                    class="ng2-smart-th slds-p-bottom--xx-small"
                    [class.columns]="column.title"
                    [style.width]="column.width"
                    [style.cursor]="column.isSortable || column.filter ? 'pointer' : 'default'"
                    (mouseenter)="onMouseEnter(column)"
                    (mouseleave)="onMouseLeave(column)">
                        <ng2-st-column-title
                            [grid]="grid"
                            [column]="column"
                            (sort)="sort.emit($event)"
                            (hidePopovers)="hidePopovers()"
                            (getColumnFilters)="getColumnFilters.emit($event)">
                        </ng2-st-column-title>
                </th>
            </ng-container>
        </ng-container>

        <!-- ACTIONS -->
        <th ng2-st-actions-title *ngIf="showActionColumnRight && grid.getSelectedRows().length === 0" [grid]="grid" class="slds-p-bottom--xx-small"></th>

        <ng-template #selectedTemplate>
            <th [attr.colspan]="grid.dataSet.columns.length" class="open-sans-14">
                {{ grid.getSelectedRows().length }} <span class="slds-p-horizontal--medium" translate>itemsSelected</span>
                <ng-container *ngFor="let action of grid.settings.selectActions">
                    <uno-icon
                        [id]="action.icon"
                        class="slds-p-horizontal--x-small"
                        *ngIf="action.visible"
                        [icon]="action.icon"
                        [title]="action.title"
                        size="xx-small"
                        (click)="customAction.emit(action)">
                    </uno-icon>
                </ng-container>
                <uno-icon class="slds-float--right" icon="close" size="xx-small" (click)="selectAllRows.emit(false)"></uno-icon>
            </th>
        </ng-template>
  `
                }]
        }], propDecorators: { grid: [{
                type: Input
            }], sort: [{
                type: Output
            }], selectAllRows: [{
                type: Output
            }], getColumnFilters: [{
                type: Output
            }], customAction: [{
                type: Output
            }], columnsTitle: [{
                type: ViewChildren,
                args: [ColumnTitleComponent]
            }] } });

class CustomViewComponent {
    constructor() { }
    ngOnInit() {
        if (this.cell && !this.customComponent) {
            this.createCustomComponent();
            this.callOnComponentInit();
            this.patchInstance();
        }
    }
    ngOnDestroy() {
        if (this.customComponent) {
            this.customComponent.destroy();
        }
    }
    /**
     * This method render de template defined on table settings for custom template.
     */
    createCustomComponent() {
        if (this.isExpanded) {
            this.customComponent = this.dynamicTarget.createComponent(this.cell.column.renderComponentExpanded);
        }
        else {
            this.customComponent = this.dynamicTarget.createComponent(this.cell.column.renderComponent);
        }
    }
    /**
     * This method call the function defined on table settings for custom templates.
     */
    callOnComponentInit() {
        // Get Function from UITableSettings.
        const onComponentInitFunction = this.cell.column.getOnComponentInitFunction();
        // If have Function execute the function.
        if (onComponentInitFunction) {
            onComponentInitFunction(this.customComponent.instance);
        }
    }
    patchInstance() {
        Object.assign(this.customComponent.instance, this.getPatch());
    }
    getPatch() {
        return {
            value: this.cell.getValue(),
            rowData: this.cell.row.data
        };
    }
}
CustomViewComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CustomViewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CustomViewComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: CustomViewComponent, selector: "custom-view-component", inputs: { cell: "cell", isExpanded: "isExpanded" }, viewQueries: [{ propertyName: "dynamicTarget", first: true, predicate: ["dynamicTarget"], descendants: true, read: ViewContainerRef, static: true }], ngImport: i0, template: `
        <div [ngClass]="{ 'line-clamp': cell.column.lineClamp }">
            <ng-template #dynamicTarget></ng-template>
        </div>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], directives: [{ type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CustomViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'custom-view-component', template: `
        <div [ngClass]="{ 'line-clamp': cell.column.lineClamp }">
            <ng-template #dynamicTarget></ng-template>
        </div>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { cell: [{
                type: Input
            }], isExpanded: [{
                type: Input
            }], dynamicTarget: [{
                type: ViewChild,
                args: ['dynamicTarget', { read: ViewContainerRef, static: true }]
            }] } });

class ViewCellComponent {
}
ViewCellComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ViewCellComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ViewCellComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ViewCellComponent, selector: "table-cell-view-mode", inputs: { cell: "cell", isExpanded: "isExpanded" }, ngImport: i0, template: `
        <ng-container [ngSwitch]="cell.column.type">
            <custom-view-component *ngSwitchCase="'custom'" [cell]="cell" [isExpanded]="isExpanded"></custom-view-component>

            <div *ngSwitchCase="'html'" [innerHTML]="cell.getValue() || '-'" class="uno-smart-table-cell-view view-html line-clamp"></div>

            <uno-switch *ngSwitchCase="'switch'" [checked]="cell.getValue()" [disable]="true"></uno-switch>

            <div
                *ngSwitchDefault
                [title]="cell.getValue() || '-'"
                class="uno-smart-table-cell-view line-clamp"
                [ngClass]="{ 'view-default-expanded': isExpanded }"
                [style.max-width]="cell.column.width || '100%'">
                {{ cell.getValue() || '-' }}
            </div>
        </ng-container>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], components: [{ type: CustomViewComponent, selector: "custom-view-component", inputs: ["cell", "isExpanded"] }, { type: SwitchComponent, selector: "uno-switch", inputs: ["checked", "disable", "minWidth", "size", "enabledText", "disabledText"], outputs: ["changed"] }], directives: [{ type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i3.NgSwitchDefault, selector: "[ngSwitchDefault]" }, { type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ViewCellComponent, decorators: [{
            type: Component,
            args: [{ selector: 'table-cell-view-mode', changeDetection: ChangeDetectionStrategy.OnPush, template: `
        <ng-container [ngSwitch]="cell.column.type">
            <custom-view-component *ngSwitchCase="'custom'" [cell]="cell" [isExpanded]="isExpanded"></custom-view-component>

            <div *ngSwitchCase="'html'" [innerHTML]="cell.getValue() || '-'" class="uno-smart-table-cell-view view-html line-clamp"></div>

            <uno-switch *ngSwitchCase="'switch'" [checked]="cell.getValue()" [disable]="true"></uno-switch>

            <div
                *ngSwitchDefault
                [title]="cell.getValue() || '-'"
                class="uno-smart-table-cell-view line-clamp"
                [ngClass]="{ 'view-default-expanded': isExpanded }"
                [style.max-width]="cell.column.width || '100%'">
                {{ cell.getValue() || '-' }}
            </div>
        </ng-container>
    `, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], propDecorators: { cell: [{
                type: Input
            }], isExpanded: [{
                type: Input
            }] } });

class EditCellDefault {
    constructor() {
        this.inputClass = '';
        this.edited = new EventEmitter();
        this.selectedElem = new EventEmitter();
    }
    onEdited(event) {
        this.edited.next(event);
        return false;
    }
    onStopEditing() {
        this.cell.row.isInEditing = false;
        return false;
    }
    onClick(event) {
        event.stopPropagation();
    }
    getEditorType() {
        return this.cell.column.editor && this.cell.column.editor.type;
    }
}
EditCellDefault.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: EditCellDefault, deps: [], target: i0.ɵɵFactoryTarget.Directive });
EditCellDefault.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: EditCellDefault, inputs: { cell: "cell", inputClass: "inputClass", updateColumnList: "updateColumnList" }, outputs: { edited: "edited", selectedElem: "selectedElem" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: EditCellDefault, decorators: [{
            type: Directive
        }], propDecorators: { cell: [{
                type: Input
            }], inputClass: [{
                type: Input
            }], updateColumnList: [{
                type: Input
            }], edited: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }] } });

class CustomEditComponent extends EditCellDefault {
    constructor() {
        super();
        /**
         * Variable to set the instance of Subscription.
         */
        this.subscriptions$ = new Subscription();
    }
    ngOnInit() {
        this.callOnComponentInit();
        this.patchInstance();
    }
    ngOnChanges(changes) {
        if (this.cell && !this.customComponent) {
            // Create component and set the instance of the Component.
            this.customComponent = this.dynamicTarget.createComponent(this.cell.column.editor.component);
            // set @Inputs and @Outputs of custom component
            this.customComponent.instance.cell = this.cell;
            this.customComponent.instance.editingFormGroup = this.editingFormGroup;
            this.customComponent.instance.inputClass = this.inputClass;
            if (this.customComponent.instance.onStopEditing) {
                this.customComponent.instance.onStopEditing.subscribe(() => this.onStopEditing());
            }
            if (this.customComponent.instance.onEdited) {
                this.customComponent.instance.onEdited.subscribe((event) => this.onEdited(event));
            }
            if (this.customComponent.instance.onClick) {
                this.customComponent.instance.onClick.subscribe((event) => this.onClick(event));
            }
        }
        if (changes.editingFormGroup && changes.editingFormGroup.currentValue) {
            this.subscriptions$.add(this.editingFormGroup.controls[this.cell.column.id].valueChanges.subscribe((value) => this.cell.newValue = value));
        }
    }
    ngOnDestroy() {
        if (this.customComponent) {
            this.customComponent.destroy();
        }
        this.subscriptions$.unsubscribe();
    }
    /**
     * This method is called on constructor to get the function setted on UnoTableSettings,
     * and pass the instance of the Component to set the variables with values.
     */
    callOnComponentInit() {
        const onComponentInitFunction = this.cell.column.getOnComponentInitFunctionExpanded();
        if (onComponentInitFunction) {
            onComponentInitFunction(this.customComponent.instance);
        }
    }
    /**
     * This method assign to the instance of component the object returned to getPatch() method.
     */
    patchInstance() {
        Object.assign(this.customComponent.instance, this.getPatch());
    }
    /**
     * This method return a ViewCell object.
     *
     * @returns The ViewCell object with values of the cell.
     */
    getPatch() {
        return {
            value: this.cell.getValue(),
            rowData: this.cell.row.data
        };
    }
}
CustomEditComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CustomEditComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CustomEditComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: CustomEditComponent, selector: "table-cell-custom-editor", inputs: { editingFormGroup: "editingFormGroup" }, viewQueries: [{ propertyName: "dynamicTarget", first: true, predicate: ["dynamicTarget"], descendants: true, read: ViewContainerRef, static: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0, template: `<ng-template #dynamicTarget></ng-template>`, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CustomEditComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'table-cell-custom-editor',
                    template: `<ng-template #dynamicTarget></ng-template>`,
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { editingFormGroup: [{
                type: Input
            }], dynamicTarget: [{
                type: ViewChild,
                args: ['dynamicTarget', { read: ViewContainerRef, static: true }]
            }] } });

class ClickOutsideDefault {
    constructor() {
        this.openValidatorPopover = false;
        // Detect if user is clicking INside or OUTside of THE Component that EXTENDS this Class:
        this.clickWasInside = false;
    }
    clickInside() {
        this.clickWasInside = true;
    }
    clickOutside(evt) {
        // <uno-lookup /> internal structure is unknown, for the browser - i.e. the Input box.
        // If click was somewhere inside it (Input box, icon, container, etc.), consider it as "Inside".
        // Rememebr @HostListener() only supports "window", "document", and "body" as global event targets.
        // Otherwise, the "click()" is considered inside the component's host element - not any other than the above
        const path = event['path']
            // beacause of browser compatibilities:
            || (event['composedPath'] && event['composedPath()']), toFind = document.querySelectorAll('uno-lookup.form-control')[0];
        if (path) {
            path.forEach(elem => {
                if (elem === toFind) {
                    this.clickWasInside = true;
                }
            });
        }
        if (!this.clickWasInside) {
            this.openValidatorPopover = false;
        }
        this.clickWasInside = false;
    }
}
ClickOutsideDefault.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ClickOutsideDefault, deps: [], target: i0.ɵɵFactoryTarget.Directive });
ClickOutsideDefault.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: ClickOutsideDefault, host: { listeners: { "click": "clickInside()", "document:click": "clickOutside($event)" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ClickOutsideDefault, decorators: [{
            type: Directive
        }], propDecorators: { clickInside: [{
                type: HostListener,
                args: ['click']
            }], clickOutside: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

// Allthough this is a simple Class definition,
// in order to import it @ "uno-ui-lib-module.ts" needs to be a @Pipe, @Directive or @Component
class DefaultEditorDirective extends ClickOutsideDefault {
    constructor() {
        super(...arguments);
        this.onStopEditing = new EventEmitter();
        this.onEdited = new EventEmitter();
        this.onClick = new EventEmitter();
        this.openValidatorPopover = false;
        this.subscription$ = new Subscription();
    }
    ngOnChanges() {
        if (this.cell.column.editor) {
            // Has popover showing errors?
            // if (this.cell.column.editor.popoverErrors) {
            const inputController = this.editingFormGroup.get(this.cell.column.id);
            if (inputController) {
                // Subscribe to any Input Controllers Validator status changes:
                this.subscription$.add(inputController.statusChanges.subscribe((inputStatus) => {
                    // Translate the errors.
                    // Next Class (SetUpFormControllers) Method (formErrorsCollection()) will return a JSON of type:
                    /**
                        {
                            input: string,
                            raw: OBJ of errors type,
                            translated: ARRAY of string (each for each error type found in "raw"),
                            value: string
                        }
                     */
                    this.errorsData = SetUpFormControllers.formErrorsCollection(null, this.cell.column, this.editingFormGroup);
                    // Open/Close Popover if Controller errors are detected:
                    this.openValidatorPopover = (inputStatus === 'INVALID' && this.errorsData.length > 0) ? true : false;
                }));
            }
            // }
        }
    }
    ngOnDestroy() {
        this.subscription$.unsubscribe();
    }
}
DefaultEditorDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DefaultEditorDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive });
DefaultEditorDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: DefaultEditorDirective, selector: "default-editor", inputs: { editingFormGroup: "editingFormGroup", cell: "cell", inputClass: "inputClass", updateColumnList: "updateColumnList" }, outputs: { onStopEditing: "onStopEditing", onEdited: "onEdited", onClick: "onClick" }, usesInheritance: true, usesOnChanges: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DefaultEditorDirective, decorators: [{
            type: Directive,
            args: [{ selector: 'default-editor' }]
        }], propDecorators: { editingFormGroup: [{
                type: Input
            }], cell: [{
                type: Input
            }], inputClass: [{
                type: Input
            }], updateColumnList: [{
                type: Input
            }], onStopEditing: [{
                type: Output
            }], onEdited: [{
                type: Output
            }], onClick: [{
                type: Output
            }] } });

class InputNumberEditorComponent extends DefaultEditorDirective {
    constructor(formInput) {
        super();
        this.formInput = formInput;
    }
    ngOnInit() {
        // Get Input number's HTML to, later, grab input box, for form validation to work with:
        this.formEditorInputNumber = this.formInput.nativeElement;
        // Complete the HTML5 Input number parameters:
        // Bring in the configuration declared @ "table-demo-nano.component.ts":
        const configProp = this.cell.column.getConfig();
        const validatorsProp = this.cell.column.getValidators();
        this.numberPattern = validatorsProp.pattern ? validatorsProp.pattern : '';
        // THE VALUE 0 IT'S SEEN LIKE A FALSE, SO IT'S NEED CHECK IF validatorProp HAVE THE PROPERTIES
        this.numberMin = validatorsProp.hasOwnProperty('min') ? validatorsProp.min : null;
        this.numberMax = validatorsProp.hasOwnProperty('max') ? validatorsProp.max : null;
        this.numberStep = configProp.numberStep ? configProp.numberStep : null;
    }
}
InputNumberEditorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: InputNumberEditorComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
InputNumberEditorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: InputNumberEditorComponent, selector: "input-number-editor", usesInheritance: true, ngImport: i0, template: `
        <div class="form-cell form-editor-number-input" [formGroup]="editingFormGroup">
            <input
                type="number"
                [pattern]="numberPattern"
                [min]="numberMin"
                [max]="numberMax"
                [step]="numberStep"

                class="form-control slds-input"
                [placeholder]="cell.column.title | translate"

                [formControlName]="cell.column.id"
                (input)="cell.newValue = $event.target.value;"
                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i1.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { type: i1.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i1.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: InputNumberEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'input-number-editor', template: `
        <div class="form-cell form-editor-number-input" [formGroup]="editingFormGroup">
            <input
                type="number"
                [pattern]="numberPattern"
                [min]="numberMin"
                [max]="numberMax"
                [step]="numberStep"

                class="form-control slds-input"
                [placeholder]="cell.column.title | translate"

                [formControlName]="cell.column.id"
                (input)="cell.newValue = $event.target.value;"
                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; } });

class SelectEditorComponent extends DefaultEditorDirective {
    constructor(element, renderer, cdr) {
        super();
        this.element = element;
        this.renderer = renderer;
        this.cdr = cdr;
        this.open = false;
        this.pick = [];
        this.items = [];
        this.disabled = false;
        // Once an element is picked by the user, emit back:
        this.selectedElem = new EventEmitter();
    }
    ngOnInit() {
        // Get Picklist's HTML to, later, grab input box, for form validation to work with:
        this.formEditorPicklist = this.element.nativeElement;
        // Start with the original listed value (even if it is ''):
        this.pick.value = this.cell.getValue();
        this.cell.newValue = this.cell.getValue();
        if (this.cell.column.editor.isEditableUntil) {
            this.disabled = this.editingFormGroup.getRawValue()[this.cell.column.editor.isEditableUntil] ? false : true;
        }
        else {
            this.disabled = false;
        }
        this.subscription$.add(this.editingFormGroup.valueChanges.subscribe((val) => Object.keys(val).forEach((key) => {
            if (this.cell.column.editor && this.cell.column.editor.isEditableUntil &&
                this.cell.column.editor.isEditableUntil === key && this.editingFormGroup.controls[key].value) {
                this.disabled = false;
            }
            else if (this.cell.column.editor && this.cell.column.editor.isEditableUntil &&
                this.cell.column.editor.isEditableUntil === key) {
                this.disabled = true;
                this.editingFormGroup.controls[this.cell.column.id].setValue(null, { emitEvent: false });
                this.pick.value = null;
            }
            this.cdr.detectChanges();
        })));
    }
    ngAfterViewInit() {
        // As Picklist will get the Table's value (onInit: "this.cell.newValue = this.cell.getValue();"),
        // we have to check form's validity, @ this life cycle.
        // Give a sec for "editingFormGroup" to update 'invalid'/'valid'
        // - remember you called "this.updateReactiveFormInputValue();" @ ngOnInit()
        // Check if THIS row, where the component is showing, is on Editing or on Creating mode
        // - being on last one, don't need any init validation (all fields are empty - everybody knows what to do!)
        if (Object.keys(this.cell.row.data).length > 0) { // <= EDITING !
            setTimeout(() => this.checkValidityAndShow());
        }
    }
    ngOnChanges() {
        // Do our list of items:
        this.items = this.cell.column.editor.config.list;
    }
    get pickLabel() {
        // Return new Picklist label:
        return this.pick.value || 'Select an option';
    }
    onClickDropdownButton(evt) {
        // Please see "lookup-editor.component.ts"'s inputIsTouched()
        // - same logic (only instead of "blur", we are interested on FIRST user "click" without Picking nothing)
        setTimeout(() => this.checkValidityAndShow());
        // Emit back (for DefaultEditor component)
        this.onClick.emit(evt);
    }
    // Finally the user picked up an option:
    optionPicked(row, name) {
        // Update ngModel:
        this.cell.newValue = this.pick.value;
        // Update our editingForm:
        // this.updateReactiveFormInputValue(); //<= CAN not have (and, here, we don't need it) the setTimeout() waiting!
        // Only for "regular-browser-known" Inputs, for Angular not to throw error...
        // This "waiting" will make "this.cell.newValue = PREVIOUS this.pick.value"!!!!!
        this.editingFormGroup.get(this.cell.column.id).setValue(this.cell.newValue);
        // Sign this Input's controller validation:
        this.checkValidityAndShow();
        // Emit back, for DefaultEditor component: might be needed to trigger something extra, once user has picked an item:
        const argueObj = Object.assign({}, row, {
            selector: name,
            selectorData: this.pick
        });
        this.selectedElem.emit(argueObj);
    }
    // Check Input controller validation:
    checkValidityAndShow() {
        const formInput = this.formEditorPicklist.getElementsByTagName('button');
        // Tell the world:
        if (this.editingFormGroup.controls[this.cell.column.id].errors) {
            this.renderer.setStyle(formInput[0], 'border', `1px solid var(--vermillion)`);
            // For Validators messaging, also mark COMPONENT (NOT the Input - where user types! - of the UNO component) as touched!
            this.editingFormGroup.controls[this.cell.column.id].markAsTouched();
        }
        else {
            this.renderer.setStyle(formInput[0], 'border', `1px solid var(--light-periwinkle-two)`);
            // For Validators messaging, also mark COMPONENT (NOT the Input - where user types! - of the UNO component) as touched!
            this.editingFormGroup.controls[this.cell.column.id].markAsTouched();
        }
    }
}
SelectEditorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SelectEditorComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
SelectEditorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: SelectEditorComponent, selector: "select-editor", outputs: { selectedElem: "selectedElem" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: `
        <div class="form-cell form-editor-selector" [formGroup]="editingFormGroup" style="max-width: 20rem">
            <uno-picklist
                class="form-control"

                [data]="items"
                [(open)]="open"
                (selectedElem)="optionPicked(cell.row, cell.column.id)"
                [insertBlankElement]="!cell.column.isRequired"
                [isDisabled]="disabled"

                uno-pick
                [(unoPick)]="pick"

                [formControlName]="cell.column.id"
                ngDefaultControl

                filterDataField="value"

                fluid

                (click)="onClickDropdownButton($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
                    <span class="slds-truncate" [title]="pickLabel">{{ pickLabel }}</span>
                    <ng-template uno-picklist-item let-item>
                        <span [title]="item.value">{{ item.value }}</span>
                        <span *ngIf="item.title" [title]="item.title"> ({{ item.title }})</span>
                    </ng-template>

            </uno-picklist>
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, isInline: true, components: [{ type: PicklistComponent, selector: "uno-picklist[unoPick]", inputs: ["data", "fluid", "isDisabled", "isForInlineTableCSS", "dropdownListClass", "insertBlankElement", "insertCreateButton", "filterDataField", "filterPlaceholder", "listSizeForFilter", "open", "closeClickOutside", "isToOpenUp", "addButton", "showCheckBox", "position"], outputs: ["openChange", "userChangedFilter", "selectedElem", "scrollEndReached"] }], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: PickDirective, selector: "[unoPick]", inputs: ["unoPick", "unoPickActiveClass", "unoPickMultiple"], outputs: ["unoPickChange", "unoOptionDestroyed"] }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: PickItemDirective, selector: "[uno-picklist-item]" }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SelectEditorComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'select-editor',
                    template: `
        <div class="form-cell form-editor-selector" [formGroup]="editingFormGroup" style="max-width: 20rem">
            <uno-picklist
                class="form-control"

                [data]="items"
                [(open)]="open"
                (selectedElem)="optionPicked(cell.row, cell.column.id)"
                [insertBlankElement]="!cell.column.isRequired"
                [isDisabled]="disabled"

                uno-pick
                [(unoPick)]="pick"

                [formControlName]="cell.column.id"
                ngDefaultControl

                filterDataField="value"

                fluid

                (click)="onClickDropdownButton($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
                    <span class="slds-truncate" [title]="pickLabel">{{ pickLabel }}</span>
                    <ng-template uno-picklist-item let-item>
                        <span [title]="item.value">{{ item.value }}</span>
                        <span *ngIf="item.title" [title]="item.title"> ({{ item.title }})</span>
                    </ng-template>

            </uno-picklist>
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { selectedElem: [{
                type: Output
            }] } });

class TextareaEditorComponent extends DefaultEditorDirective {
    constructor() {
        super();
    }
}
TextareaEditorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TextareaEditorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TextareaEditorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TextareaEditorComponent, selector: "textarea-editor", usesInheritance: true, ngImport: i0, template: `
        <div class="form-cell form-editor-textarea" [formGroup]="editingFormGroup">
            <textarea
                class="form-control slds-input"
                [placeholder]="cell.column.title | translate"

                [formControlName]="cell.column.id"
                (input)="cell.newValue = $event.target.value;"
                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
            </textarea>
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "translate": i3$1.TranslatePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TextareaEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'textarea-editor', template: `
        <div class="form-cell form-editor-textarea" [formGroup]="editingFormGroup">
            <textarea
                class="form-control slds-input"
                [placeholder]="cell.column.title | translate"

                [formControlName]="cell.column.id"
                (input)="cell.newValue = $event.target.value;"
                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
            </textarea>
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return []; } });

class CheckboxEditorComponent extends DefaultEditorDirective {
    constructor(element) {
        super();
        this.element = element;
    }
    // ============================
    // Life cycle Methods:
    // ============================
    ngOnInit() {
        const cBox = this.element.nativeElement.getElementsByTagName('input');
        /* At Init, check, or not, the checkbox, regarding View/DB value.
        Remember that property "checked", once written @ HTML (acka upper "template:"),
        independent of the passed value, ALWAYS checks a checkbox!
        You can't go by that road... remember "checkbox" value is only assumed for the Input IF the Input is checked!
        So, every time the Init Editing row is called, with a "click()" we check it, if it's the case:*/
        // Give it time to full complete Editing row DOM:
        setTimeout(() => {
            if (this.cell.column.getConfig()) {
                if (this.cell.getValue() === this.cell.column.getConfig().true) {
                    if (!cBox[0].checked) {
                        cBox[0].click();
                    } // It's now checked!
                    /* Remember editing form (only one, independently of the open editing row!)
                    might be currently checked from previous row editing... */
                }
                else if (this.cell.getValue() === this.cell.column.getConfig().false) {
                    if (cBox[0].checked) {
                        cBox[0].click();
                    } // It's now UN-checked!
                }
                else { // It had no DBase defined value:
                    if (cBox[0].checked) {
                        cBox[0].click();
                    } // It's now UN-checked!
                }
                // Plain boolean value:
            }
            else {
                if (this.cell.getValue() === true) {
                    if (!cBox[0].checked) {
                        cBox[0].click();
                    } // It's now checked!
                }
                else if (this.cell.getValue() === false) {
                    if (cBox[0].checked) {
                        cBox[0].click();
                    } // It's now UN-checked!
                }
                else { // It had no DBase defined value:
                    if (cBox[0].checked) {
                        cBox[0].click();
                    } // It's now UN-checked!
                }
            }
        });
    }
    // ============================
    // Events:
    // ============================
    onChange(event) {
        // The smart-table needs to know the translated string when user presses "Update", triggering this event:
        this.cell.newValue = event.target.checked ? this.booleanToString().customTrue : this.booleanToString().customFalse;
        // Our Form, @ any checkbox, only deals with boolean! It's up to us to do the translations:
        this.editingFormGroup.get(this.cell.column.id).setValue(event.target.checked);
    }
    // ============================
    // AUX functions:
    // ============================
    /**
     * Make sure "this.cell.newValue" gets correct (Table instalation) translated value:
     */
    booleanToString() {
        // Might need translation or not ( simple true/false can be directly used by Form):
        const trueVal = (this.cell.column.getConfig() && this.cell.column.getConfig().true) || true;
        const falseVal = (this.cell.column.getConfig() && this.cell.column.getConfig().false) || false;
        return { customTrue: trueVal, customFalse: falseVal };
    }
    /**
     * On the other hand, our Form, @ checkbox Input, only works with boolean. So... we translate back:
     */
    strToBoolean(str) {
        console.error('str:', str, this.cell.column.getConfig());
        if (str === '') {
            return false;
        }
        // In fact, 'str' is a boolean - no (necessary) translation was declared at Table config!
        return ((this.cell.column.getConfig()) ? (str === this.cell.column.getConfig().true) ? true : false : str);
    }
}
CheckboxEditorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CheckboxEditorComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
CheckboxEditorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: CheckboxEditorComponent, selector: "checkbox-editor", usesInheritance: true, ngImport: i0, template: `
        <div class="form-cell form-editor-checkbox" [formGroup]="editingFormGroup">
            <input
                type="checkbox"
                class="form-control"

                [formControlName]="cell.column.id"
                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (change)="onChange($event)"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'" >
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i1.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CheckboxEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'checkbox-editor', template: `
        <div class="form-cell form-editor-checkbox" [formGroup]="editingFormGroup">
            <input
                type="checkbox"
                class="form-control"

                [formControlName]="cell.column.id"
                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (change)="onChange($event)"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'" >
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; } });

class LookupEditorComponent extends DefaultEditorDirective {
    constructor(element, renderer, http) {
        super();
        this.element = element;
        this.renderer = renderer;
        this.http = http;
        this.urlAPI = '';
        this.searchField = '';
        this.githubUser = '';
        this.lookUpAsyncScrollerStr = '';
        this.asyncScrollerPageNumber = 1;
        this.arrayCumulatedItems = [];
        // ============================
        // Events vs Lookup DATA:
        // ============================
        // Look inside an Observable's PAGINATED http GET request Service, cumulating onScrollDown bottom limit reached:
        this.lookupAsyncScroller = (query) => {
            // While there's no Pick, update NgModel with searched term, in case user wants to use it even without a Picked lookup fetch:
            const formInput = this.checkCurrentInputTag();
            // See if it's an empty value (i.e. delete previous value, by clickng "x" current <uno-pill /> with previous Picked element)
            if (formInput[0].tagName === 'INPUT') { // Might have changed to a <uno-pill /> if user picked an element...
                // => HERE, 'query' and 'this.lookUpAsyncScrollerStr' would be null!
                // It's na INPUT for sure => only now we can update!
                this.cell.newValue = this.lookUpAsyncScrollerStr;
                // As so, we have to check form's validity, here - i.e. if Validators.required, NULL/EMPTY values can NOT be submited:
                this.checkValidityAndShow();
            }
            // Github Users API will throw an error and stop working if an EMPTY query is passed in!
            if (!query) {
                return null;
            }
            // Allow for returning just first page, again:
            if (!this.asyncCumulateItems) {
                this.asyncScrollerPageNumber = 1;
                this.arrayCumulatedItems = [];
                this.asyncScrollerCurrentResults = 0;
            }
            // TODO <Check this code here>
            const observable = this.http.get(this.urlAPI + `?q=${query}&page=${this.asyncScrollerPageNumber}`);
            return observable.pipe(map((response) => {
                // Instead, we return, with the received called (PAGINATED) service items or with the cumulated array of pages:
                this.arrayCumulatedItems = this.asyncCumulateItems === true ?
                    this.arrayCumulatedItems.concat(response.items) : response.items;
                const dataToReturn = this.asyncCumulateItems ? this.arrayCumulatedItems : response.items;
                // All conditions done? Restart!
                this.asyncCumulateItems = false;
                // Update TotalResults and return the choosen Data - 1st page or cumulated one:
                this.asyncScrollerTotalResults = response.total_count;
                this.asyncScrollerCurrentResults = dataToReturn.length;
                return dataToReturn;
            }));
        };
        // trigger_lookupAsyncScroller(searchStr) {
        // console.warn('Input has CHANGED => HTTP Service triggered by "' + searchStr + '"!');
        // }
        // Check if the end of the list has been reached, by mouse/finger scrollDown:
        this.trigger_cumulatedLookupAsyncScroller = (evt) => {
            if (evt.endReached) {
                // Trigger another Service call, but, this time, to cumulate NEXT page with currently pulled items - current search user:
                this.asyncCumulateItems = true;
                this.asyncScrollerPageNumber = this.asyncScrollerPageNumber + 1;
            }
        };
    }
    // ============================
    // Life cycle Methods:
    // ============================
    ngOnInit() {
        // Get Lookup's HTML to, later, grab input box, for form validation to work with:
        this.formEditorLookup = this.element.nativeElement;
        // Get config values and fill <uno-lookup /> input with the BD/Grid value:
        if (this.cell.column.editor && this.cell.column.editor.type === 'lookup') {
            // Bring in the configuration declared @ "table-demo.component.ts":
            const config = this.cell.column.getConfig().lookupConfig;
            // Use the passed in parameters:
            this.urlAPI = config.urlAPI;
            this.searchField = config.searchField;
            // Start with the original (listed View) value (even if it is ''):
            this.githubUser = this.cell.newValue;
        }
    }
    ngAfterViewInit() {
        // As Input/Pill will get the Table's value (onInit: "this.githubUser = this.cell.newValue;"),
        // we have to check form's validity, @ this life cycle.
        // Give a sec for "editingFormGroup" to update 'invalid'/'valid'
        // - remember you called "this.updateReactiveFormInputValue();" @ ngOnInit()
        // Check if THIS row, where the component is showing, is on Editing or on Creating mode
        // - being on last one, don't need any init validation (all fields are empty - everybody knows what to do!)
        if (Object.keys(this.cell.row.data).length > 0) { // <= EDITING !
            setTimeout(() => this.checkValidityAndShow());
        }
    }
    // Someone was at <uno-lookup /> Input box and just left it (either Look[ing]up for something or without typing):
    inputIsTouched(evt) {
        /* We reaaly only need it while user goes there and types nothing;
        after 1st typing ('ng-dirty'), method "this.checkValidityAndShow()" is already called
        (@ "lookupAsyncScroller()"'s Input typing and @ "onEditedCompleter()"'s Dropdown picked object) */
        setTimeout(() => this.checkValidityAndShow());
    }
    // Finally the user picked up a Github User (or eliminated - pickedObj=null - the picked one)
    onEditedCompleter(pickedObj) {
        // Update ngModel value with the Picked Obj
        this.cell.newValue = (pickedObj) ? pickedObj[this.searchField] : '';
        // Update our Reactive Form with either '' OR "pickedObj"
        // this.updateReactiveFormInputValue(); //<= CAN not have (and, here, we don't need it) the setTimeout() waiting!
        // Only for "regular-browser-known" Inputs, for Angular not to throw error...
        // This "waiting" will make "this.cell.newValue = this.lookUpAsyncScrollerStr" (previous - to search for - value)!!!!!
        this.editingFormGroup.get(this.cell.column.id).setValue(this.cell.newValue);
        // Check Validity (i.e., code might come here for an eliminated previous Pick... this.cell.newValue = ''
        // => We have an Input box and NOT a Pill (remember "lookupAsyncScroller()" is NOT triggered, while user doesn't type)
        this.checkValidityAndShow();
        // Re-init:
        this.lookUpAsyncScrollerStr = '';
        this.asyncCumulateItems = false;
        this.asyncScrollerPageNumber = 1;
        this.arrayCumulatedItems = [];
        return false;
    }
    // ============================
    // AUX functions:
    // ============================
    // Check if at THIS MOMENT, <uno-lookup /> has, at it's Input place
    // , an Input text (trigger a fetch) or a <uno-pill /> component (Picked element from Dropdown)
    checkCurrentInputTag() {
        const inputContainer = this.formEditorLookup.getElementsByClassName('slds-form-element__control')[0];
        // We can have 2 possible HTML tags: on "Start typing..." an Input, and, when element is Picked, a <uno-pill /> tag:
        const formInputText = inputContainer.getElementsByTagName('input');
        const formInputPill = inputContainer.getElementsByTagName('uno-pill');
        return (inputContainer.contains(formInputText[0])) ? formInputText : formInputPill;
    }
    // Check Input controller validation:
    checkValidityAndShow() {
        setTimeout(// Give a sec for the switch between tags occurs inside <uno-lookup />
        () => {
            const formInput = this.checkCurrentInputTag();
            const statusColor = this.editingFormGroup.controls[this.cell.column.id].errors ? 'var(--vermillion)' : '';
            // Tell the world:
            if (statusColor) {
                this.renderer.setStyle(formInput[0], 'border', `1px solid ${statusColor};`);
                // For Validators messaging, also mark COMPONENT (NOT the Input - where user types! - of the UNO component) as touched!
                this.editingFormGroup.controls[this.cell.column.id].markAsTouched();
            }
        });
    }
}
LookupEditorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupEditorComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i1$2.HttpClient }], target: i0.ɵɵFactoryTarget.Component });
LookupEditorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: LookupEditorComponent, selector: "lookup-editor", usesInheritance: true, ngImport: i0, template: `
        <div class="form-cell form-editor-lookup" [formGroup]="editingFormGroup">
            <uno-lookup
                class="form-control"

                [(value)]="lookUpAsyncScrollerStr"
                [lookup]="lookupAsyncScroller"
                [field]="searchField"
                placeholder="Start typing GitHub's {{ searchField }} Name:"
                [isDisabled]="!cell.column.isEditable"

                [(pick)]="githubUser"

                [formControlName]="cell.column.id"
                ngDefaultControl

                (inputWasTouched)="inputIsTouched($event)"

                (scrollEndReached)="trigger_cumulatedLookupAsyncScroller($event)"
                (pickChange)="onEditedCompleter($event)"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
                    <div uno-lookup-header class="slds-text-body--small">
                        Github users with "{{ lookUpAsyncScrollerStr }}" @ login name:
                        <b>{{ asyncScrollerCurrentResults }}</b> / <b style="color: red;">{{ asyncScrollerTotalResults }}</b>
                    </div>
                    <ng-template uno-lookup-item let-itemAsync>
                        <img src="{{ itemAsync.avatar_url }}" class="slds-avatar slds-m-right--xx-small">
                        {{ itemAsync[searchField] }}
                    </ng-template>
            </uno-lookup>
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], components: [{ type: LookupComponent, selector: "uno-lookup", inputs: ["lookup", "field", "placeholder", "noResultsText", "searchIcon", "debounce", "isDisabled", "value", "pick", "label", "open"], outputs: ["inputWasTouched", "scrollEndReached", "valueChange", "pickChange"] }], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: LookupEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lookup-editor', template: `
        <div class="form-cell form-editor-lookup" [formGroup]="editingFormGroup">
            <uno-lookup
                class="form-control"

                [(value)]="lookUpAsyncScrollerStr"
                [lookup]="lookupAsyncScroller"
                [field]="searchField"
                placeholder="Start typing GitHub's {{ searchField }} Name:"
                [isDisabled]="!cell.column.isEditable"

                [(pick)]="githubUser"

                [formControlName]="cell.column.id"
                ngDefaultControl

                (inputWasTouched)="inputIsTouched($event)"

                (scrollEndReached)="trigger_cumulatedLookupAsyncScroller($event)"
                (pickChange)="onEditedCompleter($event)"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
                    <div uno-lookup-header class="slds-text-body--small">
                        Github users with "{{ lookUpAsyncScrollerStr }}" @ login name:
                        <b>{{ asyncScrollerCurrentResults }}</b> / <b style="color: red;">{{ asyncScrollerTotalResults }}</b>
                    </div>
                    <ng-template uno-lookup-item let-itemAsync>
                        <img src="{{ itemAsync.avatar_url }}" class="slds-avatar slds-m-right--xx-small">
                        {{ itemAsync[searchField] }}
                    </ng-template>
            </uno-lookup>
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i1$2.HttpClient }]; } });

class SwitchEditorComponent extends DefaultEditorDirective {
    constructor() {
        super();
    }
    onToggle() {
        if (this.disable) {
            return;
        }
        this.checked = !this.checked;
        this.cell.newValue = this.checked;
        this.editingFormGroup.controls[this.cell.column.id].setValue(this.checked);
    }
    ngOnInit() {
        // If user click on create the cell.getValue() is a instance of string.
        this.checked = (typeof this.cell.getValue() === 'string') ? false : this.cell.getValue();
        this.disable = !this.cell.column.isEditable;
        this.editingFormGroup.controls[this.cell.column.id].setValue(this.checked);
    }
}
SwitchEditorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SwitchEditorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SwitchEditorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: SwitchEditorComponent, selector: "switch-editor", host: { listeners: { "click": "onToggle()" } }, usesInheritance: true, ngImport: i0, template: `
        <div class="form-cell form-editor-switch">
            <uno-switch [checked]="checked" [disable]="disable"></uno-switch>
        </div>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], components: [{ type: SwitchComponent, selector: "uno-switch", inputs: ["checked", "disable", "minWidth", "size", "enabledText", "disabledText"], outputs: ["changed"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: SwitchEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'switch-editor', template: `
        <div class="form-cell form-editor-switch">
            <uno-switch [checked]="checked" [disable]="disable"></uno-switch>
        </div>
    `, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { onToggle: [{
                type: HostListener,
                args: ['click']
            }] } });

class InputEditorComponent extends DefaultEditorDirective {
    constructor() {
        super();
    }
}
InputEditorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: InputEditorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
InputEditorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: InputEditorComponent, selector: "input-editor", usesInheritance: true, ngImport: i0, template: `
        <div class="form-cell form-editor-input" [formGroup]="editingFormGroup">
            <input
                class="form-control slds-input"
                [placeholder]="!cell.column.isEditable ? '-' : cell.column.title | translate"

                [formControlName]="cell.column.id"
                [readonly]="!cell.column.isEditable"
                (input)="cell.newValue = $event.target.value;"

                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, isInline: true, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: InputEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'input-editor', template: `
        <div class="form-cell form-editor-input" [formGroup]="editingFormGroup">
            <input
                class="form-control slds-input"
                [placeholder]="!cell.column.isEditable ? '-' : cell.column.title | translate"

                [formControlName]="cell.column.id"
                [readonly]="!cell.column.isEditable"
                (input)="cell.newValue = $event.target.value;"

                [name]="cell.column.id"

                (click)="onClick.emit($event)"
                (keydown.enter)="onEdited.emit($event)"
                (keydown.esc)="onStopEditing.emit()"

                uno-popover-trigger
                [unoPopover]="formErrorsContent"
                [unoPopoverOpen]="openValidatorPopover"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="cell.column.editor?.inputPopoverTheme || 'info'">
        </div>

        <!-- This Controller's Input Validator errors: -->
        <ng-template #formErrorsContent>
            <ng-container *ngFor="let errors of errorsData">
                <ng-container *ngIf="errors.input === cell.column.id">
                    <div *ngFor="let strError of errors.translated">
                        {{ strError }}
                    </div>
                </ng-container>
            </ng-container>
        </ng-template>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [":host input,:host textarea{width:100%;line-height:normal;padding:.375em .75em}:host input.form-control.ng-invalid.ng-touched,:host textarea.form-control.ng-invalid.ng-touched{border:1px solid var(--vermillion)}:host input.form-control.ng-valid.ng-touched:not(.no-validator),:host textarea.form-control.ng-valid.ng-touched:not(.no-validator){border:none}.line-clamp{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:normal;overflow:hidden}.view-default-expanded{text-align:justify;word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return []; } });

class DefaultEditComponent extends EditCellDefault {
    constructor() {
        super();
    }
}
DefaultEditComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DefaultEditComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DefaultEditComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: DefaultEditComponent, selector: "table-cell-default-editor", inputs: { editingFormGroup: "editingFormGroup" }, usesInheritance: true, ngImport: i0, template: `
        <ng-container [ngSwitch]="getEditorType()">
            <input-number-editor
                *ngSwitchCase="'inputNumber'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </input-number-editor>

            <select-editor
                *ngSwitchCase="'selector'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                [updateColumnList]="updateColumnList"
                (selectedElem)="selectedElem.emit($event)"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </select-editor>

            <textarea-editor
                *ngSwitchCase="'textarea'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </textarea-editor>

            <checkbox-editor
                *ngSwitchCase="'checkbox'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)">
            </checkbox-editor>

            <lookup-editor
                *ngSwitchCase="'lookup'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell">
            </lookup-editor>

            <switch-editor
                *ngSwitchCase="'switch'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell">
            </switch-editor>

            <!-- If none match, at least a simple Input box is offered: -->
            <input-editor
                *ngSwitchDefault
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </input-editor>
        </ng-container>
    `, isInline: true, components: [{ type: InputNumberEditorComponent, selector: "input-number-editor" }, { type: SelectEditorComponent, selector: "select-editor", outputs: ["selectedElem"] }, { type: TextareaEditorComponent, selector: "textarea-editor" }, { type: CheckboxEditorComponent, selector: "checkbox-editor" }, { type: LookupEditorComponent, selector: "lookup-editor" }, { type: SwitchEditorComponent, selector: "switch-editor" }, { type: InputEditorComponent, selector: "input-editor" }], directives: [{ type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i3.NgSwitchDefault, selector: "[ngSwitchDefault]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DefaultEditComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'table-cell-default-editor',
                    template: `
        <ng-container [ngSwitch]="getEditorType()">
            <input-number-editor
                *ngSwitchCase="'inputNumber'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </input-number-editor>

            <select-editor
                *ngSwitchCase="'selector'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                [updateColumnList]="updateColumnList"
                (selectedElem)="selectedElem.emit($event)"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </select-editor>

            <textarea-editor
                *ngSwitchCase="'textarea'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </textarea-editor>

            <checkbox-editor
                *ngSwitchCase="'checkbox'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)">
            </checkbox-editor>

            <lookup-editor
                *ngSwitchCase="'lookup'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell">
            </lookup-editor>

            <switch-editor
                *ngSwitchCase="'switch'"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell">
            </switch-editor>

            <!-- If none match, at least a simple Input box is offered: -->
            <input-editor
                *ngSwitchDefault
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                (onClick)="onClick($event)"
                (onEdited)="onEdited($event)"
                (onStopEditing)="onStopEditing()">
            </input-editor>
        </ng-container>
    `,
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { editingFormGroup: [{
                type: Input
            }] } });

class EditCellComponent extends EditCellDefault {
    constructor() {
        super();
    }
}
EditCellComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: EditCellComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
EditCellComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: EditCellComponent, selector: "table-cell-edit-mode", inputs: { editingFormGroup: "editingFormGroup" }, usesInheritance: true, ngImport: i0, template: `
        <ng-container [ngSwitch]="getEditorType()">
            <table-cell-custom-editor
                *ngSwitchCase="'custom'"
                [cell]="cell"
                [inputClass]="inputClass"
                [editingFormGroup]="editingFormGroup"
                (edited)="onEdited($event)"
                (selectedElem)="selectedElem.emit($event)">
            </table-cell-custom-editor>

            <table-cell-default-editor
                *ngSwitchDefault
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                [inputClass]="inputClass"
                [updateColumnList]="updateColumnList"
                (edited)="onEdited($event)"
                (selectedElem)="selectedElem.emit($event)">
            </table-cell-default-editor>
        </ng-container>
    `, isInline: true, components: [{ type: CustomEditComponent, selector: "table-cell-custom-editor", inputs: ["editingFormGroup"] }, { type: DefaultEditComponent, selector: "table-cell-default-editor", inputs: ["editingFormGroup"] }], directives: [{ type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i3.NgSwitchDefault, selector: "[ngSwitchDefault]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: EditCellComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'table-cell-edit-mode',
                    template: `
        <ng-container [ngSwitch]="getEditorType()">
            <table-cell-custom-editor
                *ngSwitchCase="'custom'"
                [cell]="cell"
                [inputClass]="inputClass"
                [editingFormGroup]="editingFormGroup"
                (edited)="onEdited($event)"
                (selectedElem)="selectedElem.emit($event)">
            </table-cell-custom-editor>

            <table-cell-default-editor
                *ngSwitchDefault
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                [inputClass]="inputClass"
                [updateColumnList]="updateColumnList"
                (edited)="onEdited($event)"
                (selectedElem)="selectedElem.emit($event)">
            </table-cell-default-editor>
        </ng-container>
    `,
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { editingFormGroup: [{
                type: Input
            }] } });

class CellComponent {
    constructor() {
        this.inputClass = '';
        this.mode = 'inline';
        this.isInEditing = false;
        this.isExpanded = false;
        this.edited = new EventEmitter();
        this.selectedElem = new EventEmitter();
    }
    onEdited() {
        if (this.isNew) {
            this.grid.create(this.grid.getNewRow(), this.createConfirm);
        }
    }
}
CellComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CellComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CellComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: CellComponent, selector: "ng2-smart-table-cell", inputs: { editingFormGroup: "editingFormGroup", grid: "grid", row: "row", createConfirm: "createConfirm", isNew: "isNew", cell: "cell", inputClass: "inputClass", mode: "mode", isInEditing: "isInEditing", isExpanded: "isExpanded", updateColumnList: "updateColumnList" }, outputs: { edited: "edited", selectedElem: "selectedElem" }, ngImport: i0, template: `
        <ng-container [ngSwitch]="isInEditing">
            <table-cell-view-mode
                *ngSwitchCase="false"
                [cell]="cell"
                [isExpanded]="isExpanded">
            </table-cell-view-mode>

            <table-cell-edit-mode
                *ngSwitchCase="true"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                [inputClass]="inputClass"
                [updateColumnList]="updateColumnList"
                (edited)="onEdited()"
                (selectedElem)="selectedElem.emit($event)">
            </table-cell-edit-mode>
        </ng-container>
    `, isInline: true, components: [{ type: ViewCellComponent, selector: "table-cell-view-mode", inputs: ["cell", "isExpanded"] }, { type: EditCellComponent, selector: "table-cell-edit-mode", inputs: ["editingFormGroup"] }], directives: [{ type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CellComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ng2-smart-table-cell',
                    template: `
        <ng-container [ngSwitch]="isInEditing">
            <table-cell-view-mode
                *ngSwitchCase="false"
                [cell]="cell"
                [isExpanded]="isExpanded">
            </table-cell-view-mode>

            <table-cell-edit-mode
                *ngSwitchCase="true"
                [editingFormGroup]="editingFormGroup"
                [cell]="cell"
                [inputClass]="inputClass"
                [updateColumnList]="updateColumnList"
                (edited)="onEdited()"
                (selectedElem)="selectedElem.emit($event)">
            </table-cell-edit-mode>
        </ng-container>
    `
                }]
        }], propDecorators: { editingFormGroup: [{
                type: Input
            }], grid: [{
                type: Input
            }], row: [{
                type: Input
            }], createConfirm: [{
                type: Input
            }], isNew: [{
                type: Input
            }], cell: [{
                type: Input
            }], inputClass: [{
                type: Input
            }], mode: [{
                type: Input
            }], isInEditing: [{
                type: Input
            }], isExpanded: [{
                type: Input
            }], updateColumnList: [{
                type: Input
            }], edited: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }] } });

class DefaultCreateSaveCancel extends ClickOutsideDefault {
    constructor() {
        super(...arguments);
        this.openValidatorPopover = false;
    }
    // ==================================================
    ngOnChanges() {
        // Subscribe to any Input Controllers Validator status changes:
        if (this.grid.getSetting('rowPopoverErrors')) {
            this.subscription$ = this.editingFormGroup.statusChanges.subscribe((inputStatus) => {
                // Translate the errors.
                // Next Class (SetUpFormControllers) Method (formErrorsCollection()) will return a JSON of type:
                /**
                    {
                        input: string
                        , raw: OBJ of errors type
                        , translated: ARRAY of string (each for each error type found in "raw")
                        , value: string
                    }
                 */
                this.errorsData = SetUpFormControllers.formErrorsCollection(this.grid, null, this.editingFormGroup);
                // Open/Close Popover if Controller errors are detected:
                this.openValidatorPopover = (inputStatus === 'INVALID' && this.errorsData.length > 0) ? true : false;
            });
        }
    }
    ngOnDestroy() {
        if (this.subscription$) {
            this.subscription$.unsubscribe();
        }
    }
}
DefaultCreateSaveCancel.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DefaultCreateSaveCancel, deps: null, target: i0.ɵɵFactoryTarget.Directive });
DefaultCreateSaveCancel.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: DefaultCreateSaveCancel, inputs: { editingFormGroup: "editingFormGroup", grid: "grid" }, usesInheritance: true, usesOnChanges: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DefaultCreateSaveCancel, decorators: [{
            type: Directive
        }], propDecorators: { editingFormGroup: [{
                type: Input
            }], grid: [{
                type: Input
            }] } });

class THeadCreateCancelComponent extends DefaultCreateSaveCancel {
    constructor() {
        super();
        this.create = new EventEmitter();
    }
    ngOnChanges() {
        // ===========================================
        // Call DefaultCreateSaveCancel "ngOnChanges()" life cycle hook.
        // ===========================================
        super.ngOnChanges();
        this.createButtonContent = this.grid.getSetting('add.createButtonContent');
        this.cancelButtonContent = this.grid.getSetting('add.cancelButtonContent');
    }
    onCancel(evt) {
        evt.preventDefault();
        this.grid.createFormShown = false;
        this.cancelCreate.emit();
    }
}
THeadCreateCancelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: THeadCreateCancelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
THeadCreateCancelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: THeadCreateCancelComponent, selector: "ng2-st-actions", inputs: { grid: "grid", cancelCreate: "cancelCreate" }, outputs: { create: "create" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: `
        <div class="form-creator-submit" [formGroup]="editingFormGroup">
            <button type="submit"
                class="slds-m-right--x-small uno-smart-table-action uno-smart-table-action-add-create text-uppercase"
                unoButton
                unoType="green"
                unoSize="x-small"
                (click)="$event.preventDefault(); create.emit($event)"
                [disabled]="!editingFormGroup.valid"
                [title]="createButtonContent | translate"

                uno-popover-trigger
                [unoPopover]="formErrorsTemplate"
                [unoPopoverOpen]="openValidatorPopover"

                unoPopoverPlacement="leftBottom"
                unoPopoverNubbin="right-top"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="grid.getSetting('popoverTheme') || 'info'">
                    {{ createButtonContent | translate }}
            </button>

            <uno-icon
                icon="close"
                size="xx-small"
                class="uno-smart-table-action uno-smart-table-action-add-cancel"
                [title]="cancelButtonContent | translate"
                (click)="onCancel($event)">
            </uno-icon>
        </div>

        <!-- The "editingFormGroup" ALL Controller's Input Validator errors: -->
        <ng-template #formErrorsTemplate>
            <div class="form-errors-content-container">
                <!--Following errors where found on editing:-->
                <div *ngFor="let cell of grid.dataSet.columns" class="slds-m-top--x-small">
                    <div *ngIf="editingFormGroup.get(cell.id)?.errors">
                        <b style="color:red;">{{ cell.id }}</b> is invalid!
                        <div *ngFor="let errors of errorsData">
                            <div *ngIf="errors.input === cell.id">
                                <div *ngFor="let strError of errors.translated">
                                    {{ strError }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
    `, isInline: true, components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "translate": i3$1.TranslatePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: THeadCreateCancelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ng2-st-actions',
                    template: `
        <div class="form-creator-submit" [formGroup]="editingFormGroup">
            <button type="submit"
                class="slds-m-right--x-small uno-smart-table-action uno-smart-table-action-add-create text-uppercase"
                unoButton
                unoType="green"
                unoSize="x-small"
                (click)="$event.preventDefault(); create.emit($event)"
                [disabled]="!editingFormGroup.valid"
                [title]="createButtonContent | translate"

                uno-popover-trigger
                [unoPopover]="formErrorsTemplate"
                [unoPopoverOpen]="openValidatorPopover"

                unoPopoverPlacement="leftBottom"
                unoPopoverNubbin="right-top"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="grid.getSetting('popoverTheme') || 'info'">
                    {{ createButtonContent | translate }}
            </button>

            <uno-icon
                icon="close"
                size="xx-small"
                class="uno-smart-table-action uno-smart-table-action-add-cancel"
                [title]="cancelButtonContent | translate"
                (click)="onCancel($event)">
            </uno-icon>
        </div>

        <!-- The "editingFormGroup" ALL Controller's Input Validator errors: -->
        <ng-template #formErrorsTemplate>
            <div class="form-errors-content-container">
                <!--Following errors where found on editing:-->
                <div *ngFor="let cell of grid.dataSet.columns" class="slds-m-top--x-small">
                    <div *ngIf="editingFormGroup.get(cell.id)?.errors">
                        <b style="color:red;">{{ cell.id }}</b> is invalid!
                        <div *ngFor="let errors of errorsData">
                            <div *ngIf="errors.input === cell.id">
                                <div *ngFor="let strError of errors.translated">
                                    {{ strError }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
    `
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { grid: [{
                type: Input
            }], cancelCreate: [{
                type: Input
            }], create: [{
                type: Output
            }] } });

class TheadFormRowComponent {
    constructor() {
        this.create = new EventEmitter();
        this.selectedElem = new EventEmitter();
        this.createSave = new EventEmitter();
    }
    onCreate(event) {
        event.stopPropagation();
        if (!this.grid.getSetting('add.confirmCreate')) {
            // As it will be saved immediately, send to the instalation the Created Data to be, i.e., API call saved @ BD:
            this.createSave.emit({
                newRow: this.grid.getNewRow().cells.map((cell) => cell.newValue)
            });
        }
        // Save data @ grid, checking if it needs an "createConfirm" or not:
        this.grid.create(this.grid.getNewRow(), this.createConfirm);
    }
    ngOnChanges() {
        this.colorRow = this.grid.hasColorRow();
        this.isMultiSelectVisible = this.grid.isMultiSelectVisible();
        this.showActionColumnRight = this.grid.showActionColumn('right');
        this.addInputClass = this.grid.getSetting('add.inputClass');
        this.tableCollapsible = this.grid.getSetting('tableCollapsible');
    }
}
TheadFormRowComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TheadFormRowComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TheadFormRowComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TheadFormRowComponent, selector: "[ng2-st-thead-form-row]", inputs: { editingFormGroup: "editingFormGroup", grid: "grid", row: "row", createConfirm: "createConfirm", updateColumnList: "updateColumnList", cancelCreate: "cancelCreate" }, outputs: { create: "create", selectedElem: "selectedElem", createSave: "createSave" }, usesOnChanges: true, ngImport: i0, template: `
        <th *ngIf="colorRow" class="ng2-smart-actions"></th>
        <th *ngIf="isMultiSelectVisible" class="ng2-smart-th ng2-smart-action-multiple-select">
        </th>
        <!-- Empty th for the collapsed icon -->
        <th ng2-st-actions-title
            *ngIf="tableCollapsible.isCollapsible"
            [grid]="grid"
            class="slds-p-top--small slds-p-bottom--xx-small">
        </th>

        <ng-container *ngFor="let cell of grid.getNewRow().cells">
            <th *ngIf="cell.column.isVisibled">
                <ng2-smart-table-cell
                    [editingFormGroup]="editingFormGroup"
                    [cell]="cell"
                    [grid]="grid"
                    [isNew]="true"
                    [updateColumnList]="updateColumnList"
                    [createConfirm]="createConfirm"
                    [inputClass]="addInputClass"
                    [isInEditing]="grid.getNewRow().isInEditing"
                    (selectedElem)="selectedElem.emit($event)"
                    (edited)="onCreate($event)">
                </ng2-smart-table-cell>
            </th>
        </ng-container>

        <!-- ACTIONS -->
        <th *ngIf="showActionColumnRight" class="ng2-smart-actions slds-text-align--right">
            <ng2-st-actions
                [editingFormGroup]="editingFormGroup"
                [grid]="grid"
                [cancelCreate]="cancelCreate"
                (create)="onCreate($event)">
            </ng2-st-actions>
        </th>
  `, isInline: true, components: [{ type: ActionsTitleComponent, selector: "[ng2-st-actions-title]", inputs: ["grid"] }, { type: CellComponent, selector: "ng2-smart-table-cell", inputs: ["editingFormGroup", "grid", "row", "createConfirm", "isNew", "cell", "inputClass", "mode", "isInEditing", "isExpanded", "updateColumnList"], outputs: ["edited", "selectedElem"] }, { type: THeadCreateCancelComponent, selector: "ng2-st-actions", inputs: ["grid", "cancelCreate"], outputs: ["create"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TheadFormRowComponent, decorators: [{
            type: Component,
            args: [{
                    selector: '[ng2-st-thead-form-row]',
                    template: `
        <th *ngIf="colorRow" class="ng2-smart-actions"></th>
        <th *ngIf="isMultiSelectVisible" class="ng2-smart-th ng2-smart-action-multiple-select">
        </th>
        <!-- Empty th for the collapsed icon -->
        <th ng2-st-actions-title
            *ngIf="tableCollapsible.isCollapsible"
            [grid]="grid"
            class="slds-p-top--small slds-p-bottom--xx-small">
        </th>

        <ng-container *ngFor="let cell of grid.getNewRow().cells">
            <th *ngIf="cell.column.isVisibled">
                <ng2-smart-table-cell
                    [editingFormGroup]="editingFormGroup"
                    [cell]="cell"
                    [grid]="grid"
                    [isNew]="true"
                    [updateColumnList]="updateColumnList"
                    [createConfirm]="createConfirm"
                    [inputClass]="addInputClass"
                    [isInEditing]="grid.getNewRow().isInEditing"
                    (selectedElem)="selectedElem.emit($event)"
                    (edited)="onCreate($event)">
                </ng2-smart-table-cell>
            </th>
        </ng-container>

        <!-- ACTIONS -->
        <th *ngIf="showActionColumnRight" class="ng2-smart-actions slds-text-align--right">
            <ng2-st-actions
                [editingFormGroup]="editingFormGroup"
                [grid]="grid"
                [cancelCreate]="cancelCreate"
                (create)="onCreate($event)">
            </ng2-st-actions>
        </th>
  `,
                }]
        }], propDecorators: { editingFormGroup: [{
                type: Input
            }], grid: [{
                type: Input
            }], row: [{
                type: Input
            }], createConfirm: [{
                type: Input
            }], updateColumnList: [{
                type: Input
            }], cancelCreate: [{
                type: Input
            }], create: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }], createSave: [{
                type: Output
            }] } });

class Ng2SmartTableTheadComponent {
    constructor(elemRef, renderer) {
        this.elemRef = elemRef;
        this.renderer = renderer;
        this.sort = new EventEmitter();
        this.selectAllRows = new EventEmitter();
        this.create = new EventEmitter();
        this.selectedElem = new EventEmitter();
        this.createSave = new EventEmitter();
        this.filter = new EventEmitter();
        this.getColumnFilters = new EventEmitter();
        this.customAction = new EventEmitter();
    }
    ngAfterViewInit() {
        this.tableHead = this.elemRef.nativeElement;
        if (!this.grid.hasColorRow()) {
            const rows = this.tableHead.getElementsByTagName('tr');
            for (let i = 0; i < rows.length; i++) {
                const col = rows.item(i).getElementsByTagName('th')[0];
                this.renderer.setStyle(col, 'padding-left', '1.25rem');
            }
        }
    }
    ngOnChanges() {
        this.isHideHeader = this.grid.getSetting('hideHeader');
    }
}
Ng2SmartTableTheadComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Ng2SmartTableTheadComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
Ng2SmartTableTheadComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: Ng2SmartTableTheadComponent, selector: "[ng2-st-thead]", inputs: { editingFormGroup: "editingFormGroup", grid: "grid", createConfirm: "createConfirm", updateColumnList: "updateColumnList", cancelCreate: "cancelCreate" }, outputs: { sort: "sort", selectAllRows: "selectAllRows", create: "create", selectedElem: "selectedElem", createSave: "createSave", filter: "filter", getColumnFilters: "getColumnFilters", customAction: "customAction" }, usesOnChanges: true, ngImport: i0, template: "<tr ng2-st-thead-titles-row\r\n    *ngIf=\"!isHideHeader\"\r\n    class=\"ng2-smart-titles\"\r\n    [style.background-color]=\"grid.getSelectedRows().length > 0 ? 'var(--light-blue-grey)' : null\"\r\n    [grid]=\"grid\"\r\n    (sort)=\"sort.emit($event)\"\r\n    (selectAllRows)=\"selectAllRows.emit($event)\"\r\n    (getColumnFilters)=\"getColumnFilters.emit($event)\"\r\n    (customAction)=\"customAction.emit($event)\">\r\n</tr>\r\n\r\n<tr ng2-st-thead-form-row\r\n    *ngIf=\"grid.createFormShown\"\r\n    [editingFormGroup]=\"editingFormGroup\"\r\n    [grid]=\"grid\"\r\n    [updateColumnList]=\"updateColumnList\"\r\n    [createConfirm]=\"createConfirm\"\r\n    [cancelCreate]=\"cancelCreate\"\r\n    (selectedElem)=\"selectedElem.emit($event)\"\r\n    (createSave)=\"createSave.emit($event)\">\r\n</tr>", components: [{ type: TheadTitlesRowComponent, selector: "[ng2-st-thead-titles-row]", inputs: ["grid"], outputs: ["sort", "selectAllRows", "getColumnFilters", "customAction"] }, { type: TheadFormRowComponent, selector: "[ng2-st-thead-form-row]", inputs: ["editingFormGroup", "grid", "row", "createConfirm", "updateColumnList", "cancelCreate"], outputs: ["create", "selectedElem", "createSave"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.Default });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Ng2SmartTableTheadComponent, decorators: [{
            type: Component,
            args: [{ selector: '[ng2-st-thead]', changeDetection: ChangeDetectionStrategy.Default, template: "<tr ng2-st-thead-titles-row\r\n    *ngIf=\"!isHideHeader\"\r\n    class=\"ng2-smart-titles\"\r\n    [style.background-color]=\"grid.getSelectedRows().length > 0 ? 'var(--light-blue-grey)' : null\"\r\n    [grid]=\"grid\"\r\n    (sort)=\"sort.emit($event)\"\r\n    (selectAllRows)=\"selectAllRows.emit($event)\"\r\n    (getColumnFilters)=\"getColumnFilters.emit($event)\"\r\n    (customAction)=\"customAction.emit($event)\">\r\n</tr>\r\n\r\n<tr ng2-st-thead-form-row\r\n    *ngIf=\"grid.createFormShown\"\r\n    [editingFormGroup]=\"editingFormGroup\"\r\n    [grid]=\"grid\"\r\n    [updateColumnList]=\"updateColumnList\"\r\n    [createConfirm]=\"createConfirm\"\r\n    [cancelCreate]=\"cancelCreate\"\r\n    (selectedElem)=\"selectedElem.emit($event)\"\r\n    (createSave)=\"createSave.emit($event)\">\r\n</tr>" }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; }, propDecorators: { editingFormGroup: [{
                type: Input
            }], grid: [{
                type: Input
            }], createConfirm: [{
                type: Input
            }], updateColumnList: [{
                type: Input
            }], cancelCreate: [{
                type: Input
            }], sort: [{
                type: Output
            }], selectAllRows: [{
                type: Output
            }], create: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }], createSave: [{
                type: Output
            }], filter: [{
                type: Output
            }], getColumnFilters: [{
                type: Output
            }], customAction: [{
                type: Output
            }] } });

class TbodySaveCancelComponent extends DefaultCreateSaveCancel {
    constructor() {
        super();
        this.editSave = new EventEmitter();
        this.editCancel = new EventEmitter();
    }
    ngOnChanges() {
        // ===========================================
        // Call DefaultCreateSaveCancel "ngOnChanges()" life cycle hook
        // ===========================================
        super.ngOnChanges();
        this.saveButtonContent = this.grid.getSetting('edit.saveButtonContent');
        this.cancelButtonContent = this.grid.getSetting('edit.cancelButtonContent');
    }
    onSave(event) {
        event.preventDefault();
        event.stopPropagation();
        if (!this.grid.getSetting('edit.confirmSave')) {
            // As it will be saved immediately, send to the instalation the Edited Data to be, i.e., API call saved @ BD:
            this.editSave.emit({
                data: Object.assign({}, this.row.data),
                newData: this.row.getNewData(),
            });
            this.editingFormGroup.reset();
        }
        // Save data @ grid, checking if it needs an "editConfirm" or not:
        this.grid.save(this.row, this.editConfirm);
    }
    onCancelEdit(event) {
        event.preventDefault();
        event.stopPropagation();
        this.row.isInEditing = false;
        this.editingFormGroup.reset();
        this.editCancel.emit();
    }
}
TbodySaveCancelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodySaveCancelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TbodySaveCancelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TbodySaveCancelComponent, selector: "ng2-st-tbody-save-cancel", inputs: { grid: "grid", row: "row", editConfirm: "editConfirm" }, outputs: { editSave: "editSave", editCancel: "editCancel" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: `
        <div class="form-editor-submit" [formGroup]="editingFormGroup">
            <button
                type="submit"
                class="slds-m-right--x-small uno-smart-table-action uno-smart-table-action-edit-save text-uppercase"
                unoButton
                unoType="green"
                unoSize="x-small"
                (click)="onSave($event)"
                [disabled]="!editingFormGroup.valid"
                [title]="saveButtonContent | translate"

                uno-popover-trigger
                [unoPopover]="formErrorsTemplate"
                [unoPopoverOpen]="openValidatorPopover"

                unoPopoverPlacement="leftBottom"
                unoPopoverNubbin="right-top"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="grid.getSetting('popoverTheme') || 'info'">
                    {{ saveButtonContent | translate }}
            </button>

            <uno-icon
                id="close"
                icon="close"
                size="x-small"
                class="uno-smart-table-action uno-smart-table-action-edit-cancel"
                [title]="cancelButtonContent | translate"
                (click)="onCancelEdit($event)">
            </uno-icon>

        </div>

        <!-- The "editingFormGroup" ALL Controller's Input Validator errors: -->
        <ng-template #formErrorsTemplate>
            <div class="form-errors-content-container">
                <!--Following errors where found on editing:-->
                <div *ngFor="let cell of grid.dataSet.columns" class="slds-m-top--x-small">
                    <div *ngIf="editingFormGroup.get(cell.id)?.errors">

                        <b style="color:red;">{{ cell.id }}</b> is invalid!
                        <!-- Has error {{ editingFormGroup.get(cell.id).errors | json}}! -->

                        <div *ngFor="let errors of errorsData">
                            <div *ngIf="errors.input === cell.id">
                                <div *ngFor="let strError of errors.translated" translate>
                                    {{ strError }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
    `, isInline: true, components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }], pipes: { "translate": i3$1.TranslatePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodySaveCancelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ng2-st-tbody-save-cancel',
                    template: `
        <div class="form-editor-submit" [formGroup]="editingFormGroup">
            <button
                type="submit"
                class="slds-m-right--x-small uno-smart-table-action uno-smart-table-action-edit-save text-uppercase"
                unoButton
                unoType="green"
                unoSize="x-small"
                (click)="onSave($event)"
                [disabled]="!editingFormGroup.valid"
                [title]="saveButtonContent | translate"

                uno-popover-trigger
                [unoPopover]="formErrorsTemplate"
                [unoPopoverOpen]="openValidatorPopover"

                unoPopoverPlacement="leftBottom"
                unoPopoverNubbin="right-top"
                unoPopoverSize="small"
                unoPopoverTooltip="true"
                [unoPopoverTheme]="grid.getSetting('popoverTheme') || 'info'">
                    {{ saveButtonContent | translate }}
            </button>

            <uno-icon
                id="close"
                icon="close"
                size="x-small"
                class="uno-smart-table-action uno-smart-table-action-edit-cancel"
                [title]="cancelButtonContent | translate"
                (click)="onCancelEdit($event)">
            </uno-icon>

        </div>

        <!-- The "editingFormGroup" ALL Controller's Input Validator errors: -->
        <ng-template #formErrorsTemplate>
            <div class="form-errors-content-container">
                <!--Following errors where found on editing:-->
                <div *ngFor="let cell of grid.dataSet.columns" class="slds-m-top--x-small">
                    <div *ngIf="editingFormGroup.get(cell.id)?.errors">

                        <b style="color:red;">{{ cell.id }}</b> is invalid!
                        <!-- Has error {{ editingFormGroup.get(cell.id).errors | json}}! -->

                        <div *ngFor="let errors of errorsData">
                            <div *ngIf="errors.input === cell.id">
                                <div *ngFor="let strError of errors.translated" translate>
                                    {{ strError }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
    `
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { grid: [{
                type: Input
            }], row: [{
                type: Input
            }], editConfirm: [{
                type: Input
            }], editSave: [{
                type: Output
            }], editCancel: [{
                type: Output
            }] } });

class TbodyEditDeleteComponent {
    constructor() {
        this.edit = new EventEmitter();
        this.delete = new EventEmitter();
        this.editRowSelect = new EventEmitter();
    }
    ngOnChanges() {
        this.isActionEdit = this.grid.getSetting('actions.edit');
        this.isActionDelete = this.grid.getSetting('actions.delete');
        this.editRowProperty = this.grid.getSetting('actions.editRowProperty');
        this.deleteRowProperty = this.grid.getSetting('actions.deleteRowProperty');
        this.editRowButtonContent = this.grid.getSetting('edit.editButtonContent');
        this.deleteRowButtonContent = this.grid.getSetting('delete.deleteButtonContent');
    }
    onEdit(event) {
        event.preventDefault();
        event.stopPropagation();
        this.editRowSelect.emit(this.row);
        this.edit.emit({
            data: this.row.data,
            source: this.grid.source,
        });
        this.grid.edit(this.row);
    }
    onDelete(event) {
        event.preventDefault();
        event.stopPropagation();
        if (this.grid.getSetting('mode') === 'external') {
            this.delete.emit({
                data: this.row.data,
                source: this.grid.source,
            });
        }
        else {
            this.grid.delete(this.row, this.deleteConfirm);
        }
    }
}
TbodyEditDeleteComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodyEditDeleteComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TbodyEditDeleteComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TbodyEditDeleteComponent, selector: "ng2-st-tbody-edit-delete", inputs: { grid: "grid", row: "row", deleteConfirm: "deleteConfirm" }, outputs: { edit: "edit", delete: "delete", editRowSelect: "editRowSelect" }, usesOnChanges: true, ngImport: i0, template: `
        <uno-icon
            [id]="edit"
            *ngIf="!editRowProperty && isActionEdit"
            size="xx-small"
            icon="edit"
            class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-edit-edit"
            [title]="editRowButtonContent | translate"
            (click)="onEdit($event)">
        </uno-icon>

        <uno-icon
            [id]="edit"
            *ngIf="row.data[editRowProperty] && isActionEdit"
            size="xx-small"
            icon="edit"
            class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-edit-edit"
            [title]="editRowButtonContent | translate"
            (click)="onEdit($event)">
        </uno-icon>

        <uno-icon
            id="trash"
            *ngIf="!deleteRowProperty && isActionDelete"
            size="xx-small"
            icon="trash"
            class="uno-smart-table-action uno-smart-table-action-delete-delete"
            [title]="deleteRowButtonContent | translate"
            (click)="onDelete($event)">
        </uno-icon>

        <uno-icon
            id="trash"
            *ngIf="row.data[deleteRowProperty] && isActionDelete"
            size="x-small"
            icon="trash"
            class="uno-smart-table-action uno-smart-table-action-delete-delete"
            [title]="deleteRowButtonContent | translate"
            (click)="onDelete($event)">
        </uno-icon>
  `, isInline: true, components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodyEditDeleteComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ng2-st-tbody-edit-delete',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `
        <uno-icon
            [id]="edit"
            *ngIf="!editRowProperty && isActionEdit"
            size="xx-small"
            icon="edit"
            class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-edit-edit"
            [title]="editRowButtonContent | translate"
            (click)="onEdit($event)">
        </uno-icon>

        <uno-icon
            [id]="edit"
            *ngIf="row.data[editRowProperty] && isActionEdit"
            size="xx-small"
            icon="edit"
            class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-edit-edit"
            [title]="editRowButtonContent | translate"
            (click)="onEdit($event)">
        </uno-icon>

        <uno-icon
            id="trash"
            *ngIf="!deleteRowProperty && isActionDelete"
            size="xx-small"
            icon="trash"
            class="uno-smart-table-action uno-smart-table-action-delete-delete"
            [title]="deleteRowButtonContent | translate"
            (click)="onDelete($event)">
        </uno-icon>

        <uno-icon
            id="trash"
            *ngIf="row.data[deleteRowProperty] && isActionDelete"
            size="x-small"
            icon="trash"
            class="uno-smart-table-action uno-smart-table-action-delete-delete"
            [title]="deleteRowButtonContent | translate"
            (click)="onDelete($event)">
        </uno-icon>
  `,
                }]
        }], propDecorators: { grid: [{
                type: Input
            }], row: [{
                type: Input
            }], deleteConfirm: [{
                type: Input
            }], edit: [{
                type: Output
            }], delete: [{
                type: Output
            }], editRowSelect: [{
                type: Output
            }] } });

class Ng2SmartTableTbodyComponent {
    constructor(element, renderer, cdr) {
        this.element = element;
        this.renderer = renderer;
        this.cdr = cdr;
        this.save = new EventEmitter();
        this.cancel = new EventEmitter();
        this.edit = new EventEmitter();
        this.editSave = new EventEmitter();
        this.delete = new EventEmitter();
        this.rowActionCustomEvent = new EventEmitter();
        this.rowActionDownloadCustomEvent = new EventEmitter();
        this.edited = new EventEmitter();
        this.userSelectRow = new EventEmitter();
        this.editRowSelect = new EventEmitter();
        this.multipleSelectRow = new EventEmitter();
        this.rowHover = new EventEmitter();
        this.selectedElem = new EventEmitter();
        this.actionIcons = [];
        this.rowsCollapsible = [];
        this.subscription$ = new Subscription();
    }
    // ----------------------------
    // Component's life cycle methods used:
    // ----------------------------
    ngAfterContentInit() {
        this.tableBody = this.element.nativeElement;
        // LISTNING THE DataSource FOR ADD PADDING ON THE FIRST COLUMN
        this.subscription$.add(this.grid.source.onChanged().subscribe((val) => {
            if (val.elements.length > 0 && !this.grid.hasColorRow()) {
                this.cdr.detectChanges();
                const rows = this.tableBody.getElementsByTagName('tr');
                for (let i = 0; i < rows.length; i++) {
                    const col = rows.item(i).getElementsByTagName('td')[0];
                    this.renderer.setStyle(col, 'padding-left', '1.25rem');
                }
            }
        }));
    }
    ngOnChanges() {
        this.colorRow = this.grid.hasColorRow();
        this.isMultiSelectVisible = this.grid.isMultiSelectVisible();
        this.mode = this.grid.getSetting('mode');
        this.editInputClass = this.grid.getSetting('edit.inputClass');
        this.showActionColumnRight = this.grid.showActionColumn('right');
        this.isActionAdd = this.grid.getSetting('actions.add');
        this.isActionEdit = this.grid.getSetting('actions.edit');
        this.isActionDelete = this.grid.getSetting('actions.delete');
        this.tableCollapsible = this.grid.getSetting('tableCollapsible');
        this.noDataMessage = this.grid.getSetting('noDataMessage');
        this.getExtraColumn = (this.isActionAdd || this.isActionEdit || this.isActionDelete) ? 1 : 0;
    }
    ngOnDestroy() {
        this.subscription$.unsubscribe();
    }
    // ----------------------------
    // Bindings:
    // ----------------------------
    onRowHover(row) {
        // Emit it back in case someone needs at TS/HTML <uno-smart-table />'s instalation:
        this.rowHover.emit(row);
    }
    onRowHoverEnter(rowObj) {
        // Hovering only happens if NO row is being edited or created:
        if (this.rowEditing() || this.grid.createFormShown) {
            return false;
        }
        const hoveredTR = this.tableBody.children[rowObj.index + this.howManyItemsAreOpenBeforeMe(rowObj.index)];
        const actionIcons = this.getThisRowActionIcons(hoveredTR);
        const configBorderType = this.grid.getSetting('hoveringRow');
        const cssProperty = configBorderType ? configBorderType.css : null;
        // BORDER hovered <tr> ?:
        if (configBorderType && cssProperty) {
            this.renderer.setStyle(hoveredTR, cssProperty.split(':')[0], cssProperty.split(':')[1]);
        }
        // SHOW '.ng2-smart-actions' Actions <td> ICONS for this hovered <tr>:
        for (let i = 0; i < actionIcons.length; i++) {
            this.renderer.setStyle(actionIcons[i], 'visibility', 'visible');
        }
    }
    onRowHoverLeave(rowObj) {
        // Hovering only happens if NO row is being edited or created:
        if (this.rowEditing() || this.grid.createFormShown) {
            return false;
        }
        const hoveredTR = this.tableBody.children[rowObj.index + this.howManyItemsAreOpenBeforeMe(rowObj.index)];
        const actionIcons = this.getThisRowActionIcons(hoveredTR);
        const configBorderType = this.grid.getSetting('hoveringRow');
        const cssProperty = configBorderType ? configBorderType.css : null;
        // UNBORDER hovered <tr>:
        if (cssProperty) {
            this.renderer.removeStyle(hoveredTR, cssProperty.split(':')[0]);
        }
        // HIDE '.ng2-smart-actions' Actions <td> ICONS for this hovered <tr>:
        for (let i = 0; i < actionIcons.length; i++) {
            this.renderer.setStyle(actionIcons[i], 'visibility', 'hidden');
        }
    }
    // ----------------------------
    // AUX functions
    // ----------------------------
    // Must check if any Action icon exists and, if so, if they are placed at the LEFT or at the RIGHT side:
    getThisRowActionIcons(row) {
        const actionIconsRight = this.showActionColumnRight ?
            row.lastElementChild.getElementsByClassName('ng2-smart-action-icon') : null;
        const haveActionIcons = actionIconsRight ? true : false;
        const actionIcons = haveActionIcons ? actionIconsRight : [];
        return actionIcons;
    }
    /**
     * Check if ANY row is being edited.
     */
    rowEditing() {
        const rowsInEditing = this.grid.dataSet.rows.filter((row) => row.isInEditing === true);
        return rowsInEditing.length > 0 ? true : false;
    }
    rowCollapsed(evt, row) {
        evt.stopPropagation();
        if (!row.isInEditing) {
            this.collapseRow(row);
        }
    }
    collapseRow(row) {
        this.rowsCollapsible[row.index] = !this.rowsCollapsible[row.index];
    }
    /**
     * This method emit the row to instalation and expand the row.
     *
     * @param row - The row to be edited.
     */
    onEditRowCollappsed(row) {
        this.edit.emit(row);
        if (this.tableCollapsible.isCollapsible) {
            this.rowsCollapsible[row.index] = true;
        }
    }
    /**
     * This method close the expanded row.
     *
     * @param row - The row where cancel accours.
     */
    onEditCancel(row) {
        this.rowsCollapsible[row.index] = false;
        this.cancelEdit.emit();
    }
    /**
     * This method count how many rows are collapsed before row index.
     * It's necessary to hovering the correct row.
     *
     * @param rowIdx - The index of the row.
     */
    howManyItemsAreOpenBeforeMe(rowIdx) {
        let count = 0;
        if (this.rowsCollapsible.length > 0) {
            for (let i = 0; i < rowIdx; i++) {
                if (this.rowsCollapsible[i]) {
                    count++;
                }
            }
        }
        return count;
    }
    onSelectRow(row, evt) {
        evt.stopPropagation();
        this.multipleSelectRow.emit(row);
    }
}
Ng2SmartTableTbodyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Ng2SmartTableTbodyComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
Ng2SmartTableTbodyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: Ng2SmartTableTbodyComponent, selector: "[ng2-st-tbody]", inputs: { editingFormGroup: "editingFormGroup", grid: "grid", deleteConfirm: "deleteConfirm", editConfirm: "editConfirm", rowClassFunction: "rowClassFunction", collapseTableContent: "collapseTableContent", updateColumnList: "updateColumnList", cancelEdit: "cancelEdit", userRowSelect: "userRowSelect" }, outputs: { save: "save", cancel: "cancel", edit: "edit", editSave: "editSave", delete: "delete", rowActionCustomEvent: "rowActionCustomEvent", rowActionDownloadCustomEvent: "rowActionDownloadCustomEvent", edited: "edited", userSelectRow: "userSelectRow", editRowSelect: "editRowSelect", multipleSelectRow: "multipleSelectRow", rowHover: "rowHover", selectedElem: "selectedElem" }, usesOnChanges: true, ngImport: i0, template: "<ng-container *ngFor=\"let row of grid.dataSet.rows\">\r\n    <tr class=\"ng2-smart-row\"\r\n        [className]=\"rowClassFunction(row)\"\r\n        [ngClass]=\"{ 'selected': row.isSelected, 'pointer': userRowSelect.observers.length > 0 }\"\r\n\r\n        (click)=\"userSelectRow.emit(row)\"\r\n        (mouseover)=\"onRowHover(row)\"\r\n        (mouseenter)=\"onRowHoverEnter(row)\"\r\n        (mouseleave)=\"onRowHoverLeave(row)\">\r\n\r\n        <!-- Row Color -->\r\n        <td *ngIf=\"colorRow\" [ngStyle]=\"{'border-left': '5px solid ' + row.data?.color, 'padding': '0' }\">\r\n        </td>\r\n\r\n        <!-- All Rows selector -->\r\n        <td *ngIf=\"isMultiSelectVisible\" class=\"ng2-smart-action-multiple-select\" (click)=\"onSelectRow(row, $event)\">\r\n            <input type=\"checkbox\" class=\"form-control\" [ngModel]=\"row.isSelected\">\r\n        </td>\r\n\r\n        <!-- The collapsed column -->\r\n        <td *ngIf=\"tableCollapsible.isCollapsible\">\r\n            <uno-icon\r\n                      [id]=\"rowsCollapsible[row.index] ? tableCollapsible.iconOpen : tableCollapsible.iconClose\"\r\n                      [icon]=\"rowsCollapsible[row.index] ? tableCollapsible.iconOpen : tableCollapsible.iconClose\"\r\n                      [withOpacity]=\"!row.isInEditing\"\r\n                      size=\"x-small\"\r\n                      (click)=\"rowCollapsed($event, row)\">\r\n            </uno-icon>\r\n        </td>\r\n\r\n        <!-- ////////////////////// Each smart-table CELL: ////////////////////// -->\r\n        <ng-container *ngFor=\"let cell of row.cells\">\r\n            <td *ngIf=\"cell.column.isVisibled\"\r\n                [ngClass]=\"cell.column.class\"\r\n                [class.columns]=\"cell.column.title\">\r\n                <ng2-smart-table-cell\r\n                                      [isInEditing]=\"row.isInEditing && !tableCollapsible.isCollapsible\"\r\n                                      [editingFormGroup]=\"editingFormGroup\"\r\n                                      [cell]=\"cell\"\r\n                                      [grid]=\"grid\"\r\n                                      [updateColumnList]=\"updateColumnList\"\r\n                                      [row]=\"row\"\r\n                                      [isNew]=\"false\"\r\n                                      [mode]=\"mode\"\r\n                                      [inputClass]=\"editInputClass\"\r\n                                      (selectedElem)=\"selectedElem.emit($event)\">\r\n                </ng2-smart-table-cell>\r\n            </td>\r\n        </ng-container>\r\n        <!-- ////////////////////// END Each smart-table CELL: ////////////////////// -->\r\n\r\n        <!-- ////////////////////// editing @ RIGHT  ////////////////////// -->\r\n        <!-- @ RIGHT !editing Custom/Edit/Delete + editing Create/Cancel buttons (!row.isInEditing)-->\r\n        <td *ngIf=\"row.isInEditing\" class=\"ng2-smart-actions slds-text-align--right\">\r\n            <ng2-st-tbody-save-cancel\r\n                                      [editingFormGroup]=\"editingFormGroup\"\r\n                                      [grid]=\"grid\"\r\n                                      [row]=\"row\"\r\n                                      [editConfirm]=\"editConfirm\"\r\n                                      (editSave)=\"editSave.emit($event)\"\r\n                                      (editCancel)=\"onEditCancel(row)\">\r\n            </ng2-st-tbody-save-cancel>\r\n        </td>\r\n        <td *ngIf=\"!row.isInEditing && grid.getSelectedRows().length === 0\" class=\"ng2-smart-actions slds-text-align--right\">\r\n            <ng2-st-tbody-custom\r\n                                 class=\"ng2-smart-action-icon\"\r\n                                 [grid]=\"grid\"\r\n                                 [row]=\"row\"\r\n                                 (rowActionCustomEvent)=\"rowActionCustomEvent.emit($event)\"\r\n                                 (rowActionDownloadCustomEvent)=\"rowActionDownloadCustomEvent.emit($event)\">\r\n            </ng2-st-tbody-custom>\r\n\r\n            <ng2-st-tbody-edit-delete\r\n                                      class=\"ng2-smart-action-icon\"\r\n                                      [grid]=\"grid\"\r\n                                      [deleteConfirm]=\"deleteConfirm\"\r\n                                      [row]=\"row\"\r\n                                      (edit)=\"onEditRowCollappsed(row)\"\r\n                                      (delete)=\"delete.emit(row)\"\r\n                                      (editRowSelect)=\"editRowSelect.emit($event)\">\r\n            </ng2-st-tbody-edit-delete>\r\n        </td>\r\n    </tr>\r\n    <ng-container *ngIf=\"tableCollapsible.isCollapsible && rowsCollapsible[row.index]\">\r\n        <ng-template *ngTemplateOutlet=\"collapseTableContent.templateRef; context: { $implicit: row, grid: grid, form: editingFormGroup, mode: mode }\">\r\n        </ng-template>\r\n    </ng-container>\r\n</ng-container>\r\n\r\n<tr *ngIf=\"grid.dataSet.rows.length === 0\">\r\n    <td [attr.colspan]=\"grid.dataSet.columns.length + 4\" translate>{{ noDataMessage }}</td>\r\n</tr>", styles: [":host .ng2-smart-row .ng2-smart-actions.ng2-smart-action-multiple-select{text-align:left}.ng2-smart-actions>.ng2-smart-action-icon{visibility:hidden}.pointer{cursor:pointer}\n"], components: [{ type: i0.forwardRef(function () { return IconComponent; }), selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }, { type: i0.forwardRef(function () { return CellComponent; }), selector: "ng2-smart-table-cell", inputs: ["editingFormGroup", "grid", "row", "createConfirm", "isNew", "cell", "inputClass", "mode", "isInEditing", "isExpanded", "updateColumnList"], outputs: ["edited", "selectedElem"] }, { type: i0.forwardRef(function () { return TbodySaveCancelComponent; }), selector: "ng2-st-tbody-save-cancel", inputs: ["grid", "row", "editConfirm"], outputs: ["editSave", "editCancel"] }, { type: i0.forwardRef(function () { return TbodyCustomComponent; }), selector: "ng2-st-tbody-custom", inputs: ["grid", "row"], outputs: ["rowActionCustomEvent", "rowActionDownloadCustomEvent"] }, { type: i0.forwardRef(function () { return TbodyEditDeleteComponent; }), selector: "ng2-st-tbody-edit-delete", inputs: ["grid", "row", "deleteConfirm"], outputs: ["edit", "delete", "editRowSelect"] }], directives: [{ type: i0.forwardRef(function () { return i3.NgForOf; }), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i0.forwardRef(function () { return i3.NgClass; }), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i0.forwardRef(function () { return i3.NgIf; }), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i0.forwardRef(function () { return i3.NgStyle; }), selector: "[ngStyle]", inputs: ["ngStyle"] }, { type: i0.forwardRef(function () { return i1.CheckboxControlValueAccessor; }), selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { type: i0.forwardRef(function () { return i1.NgControlStatus; }), selector: "[formControlName],[ngModel],[formControl]" }, { type: i0.forwardRef(function () { return i1.NgModel; }), selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i0.forwardRef(function () { return i3.NgTemplateOutlet; }), selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }, { type: i0.forwardRef(function () { return i3$1.TranslateDirective; }), selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: Ng2SmartTableTbodyComponent, decorators: [{
            type: Component,
            args: [{ selector: '[ng2-st-tbody]', template: "<ng-container *ngFor=\"let row of grid.dataSet.rows\">\r\n    <tr class=\"ng2-smart-row\"\r\n        [className]=\"rowClassFunction(row)\"\r\n        [ngClass]=\"{ 'selected': row.isSelected, 'pointer': userRowSelect.observers.length > 0 }\"\r\n\r\n        (click)=\"userSelectRow.emit(row)\"\r\n        (mouseover)=\"onRowHover(row)\"\r\n        (mouseenter)=\"onRowHoverEnter(row)\"\r\n        (mouseleave)=\"onRowHoverLeave(row)\">\r\n\r\n        <!-- Row Color -->\r\n        <td *ngIf=\"colorRow\" [ngStyle]=\"{'border-left': '5px solid ' + row.data?.color, 'padding': '0' }\">\r\n        </td>\r\n\r\n        <!-- All Rows selector -->\r\n        <td *ngIf=\"isMultiSelectVisible\" class=\"ng2-smart-action-multiple-select\" (click)=\"onSelectRow(row, $event)\">\r\n            <input type=\"checkbox\" class=\"form-control\" [ngModel]=\"row.isSelected\">\r\n        </td>\r\n\r\n        <!-- The collapsed column -->\r\n        <td *ngIf=\"tableCollapsible.isCollapsible\">\r\n            <uno-icon\r\n                      [id]=\"rowsCollapsible[row.index] ? tableCollapsible.iconOpen : tableCollapsible.iconClose\"\r\n                      [icon]=\"rowsCollapsible[row.index] ? tableCollapsible.iconOpen : tableCollapsible.iconClose\"\r\n                      [withOpacity]=\"!row.isInEditing\"\r\n                      size=\"x-small\"\r\n                      (click)=\"rowCollapsed($event, row)\">\r\n            </uno-icon>\r\n        </td>\r\n\r\n        <!-- ////////////////////// Each smart-table CELL: ////////////////////// -->\r\n        <ng-container *ngFor=\"let cell of row.cells\">\r\n            <td *ngIf=\"cell.column.isVisibled\"\r\n                [ngClass]=\"cell.column.class\"\r\n                [class.columns]=\"cell.column.title\">\r\n                <ng2-smart-table-cell\r\n                                      [isInEditing]=\"row.isInEditing && !tableCollapsible.isCollapsible\"\r\n                                      [editingFormGroup]=\"editingFormGroup\"\r\n                                      [cell]=\"cell\"\r\n                                      [grid]=\"grid\"\r\n                                      [updateColumnList]=\"updateColumnList\"\r\n                                      [row]=\"row\"\r\n                                      [isNew]=\"false\"\r\n                                      [mode]=\"mode\"\r\n                                      [inputClass]=\"editInputClass\"\r\n                                      (selectedElem)=\"selectedElem.emit($event)\">\r\n                </ng2-smart-table-cell>\r\n            </td>\r\n        </ng-container>\r\n        <!-- ////////////////////// END Each smart-table CELL: ////////////////////// -->\r\n\r\n        <!-- ////////////////////// editing @ RIGHT  ////////////////////// -->\r\n        <!-- @ RIGHT !editing Custom/Edit/Delete + editing Create/Cancel buttons (!row.isInEditing)-->\r\n        <td *ngIf=\"row.isInEditing\" class=\"ng2-smart-actions slds-text-align--right\">\r\n            <ng2-st-tbody-save-cancel\r\n                                      [editingFormGroup]=\"editingFormGroup\"\r\n                                      [grid]=\"grid\"\r\n                                      [row]=\"row\"\r\n                                      [editConfirm]=\"editConfirm\"\r\n                                      (editSave)=\"editSave.emit($event)\"\r\n                                      (editCancel)=\"onEditCancel(row)\">\r\n            </ng2-st-tbody-save-cancel>\r\n        </td>\r\n        <td *ngIf=\"!row.isInEditing && grid.getSelectedRows().length === 0\" class=\"ng2-smart-actions slds-text-align--right\">\r\n            <ng2-st-tbody-custom\r\n                                 class=\"ng2-smart-action-icon\"\r\n                                 [grid]=\"grid\"\r\n                                 [row]=\"row\"\r\n                                 (rowActionCustomEvent)=\"rowActionCustomEvent.emit($event)\"\r\n                                 (rowActionDownloadCustomEvent)=\"rowActionDownloadCustomEvent.emit($event)\">\r\n            </ng2-st-tbody-custom>\r\n\r\n            <ng2-st-tbody-edit-delete\r\n                                      class=\"ng2-smart-action-icon\"\r\n                                      [grid]=\"grid\"\r\n                                      [deleteConfirm]=\"deleteConfirm\"\r\n                                      [row]=\"row\"\r\n                                      (edit)=\"onEditRowCollappsed(row)\"\r\n                                      (delete)=\"delete.emit(row)\"\r\n                                      (editRowSelect)=\"editRowSelect.emit($event)\">\r\n            </ng2-st-tbody-edit-delete>\r\n        </td>\r\n    </tr>\r\n    <ng-container *ngIf=\"tableCollapsible.isCollapsible && rowsCollapsible[row.index]\">\r\n        <ng-template *ngTemplateOutlet=\"collapseTableContent.templateRef; context: { $implicit: row, grid: grid, form: editingFormGroup, mode: mode }\">\r\n        </ng-template>\r\n    </ng-container>\r\n</ng-container>\r\n\r\n<tr *ngIf=\"grid.dataSet.rows.length === 0\">\r\n    <td [attr.colspan]=\"grid.dataSet.columns.length + 4\" translate>{{ noDataMessage }}</td>\r\n</tr>", styles: [":host .ng2-smart-row .ng2-smart-actions.ng2-smart-action-multiple-select{text-align:left}.ng2-smart-actions>.ng2-smart-action-icon{visibility:hidden}.pointer{cursor:pointer}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { editingFormGroup: [{
                type: Input
            }], grid: [{
                type: Input
            }], deleteConfirm: [{
                type: Input
            }], editConfirm: [{
                type: Input
            }], rowClassFunction: [{
                type: Input
            }], collapseTableContent: [{
                type: Input
            }], updateColumnList: [{
                type: Input
            }], cancelEdit: [{
                type: Input
            }], userRowSelect: [{
                type: Input
            }], save: [{
                type: Output
            }], cancel: [{
                type: Output
            }], edit: [{
                type: Output
            }], editSave: [{
                type: Output
            }], delete: [{
                type: Output
            }], rowActionCustomEvent: [{
                type: Output
            }], rowActionDownloadCustomEvent: [{
                type: Output
            }], edited: [{
                type: Output
            }], userSelectRow: [{
                type: Output
            }], editRowSelect: [{
                type: Output
            }], multipleSelectRow: [{
                type: Output
            }], rowHover: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }] } });
class TbodyCustomComponent {
    constructor(parentComponent) {
        this.parentComponent = parentComponent;
        this.rowActionCustomEvent = new EventEmitter();
        this.rowActionDownloadCustomEvent = new EventEmitter();
    }
    onCustom(action, event) {
        event.preventDefault();
        event.stopPropagation();
        this.rowActionCustomEvent.emit({
            action: action.name,
            title: action.title,
            data: this.row.data,
            source: this.grid.source,
            row: this.row
        });
        this.parentComponent.onRowHoverLeave(this.row);
    }
    downloadInnerEventEmited(objData) {
        Object.assign(objData, { row: this.row.data, source: this.grid.source });
        // Pass it back:
        this.rowActionDownloadCustomEvent.emit(objData);
    }
}
TbodyCustomComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodyCustomComponent, deps: [{ token: Ng2SmartTableTbodyComponent, host: true }], target: i0.ɵɵFactoryTarget.Component });
TbodyCustomComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TbodyCustomComponent, selector: "ng2-st-tbody-custom", inputs: { grid: "grid", row: "row" }, outputs: { rowActionCustomEvent: "rowActionCustomEvent", rowActionDownloadCustomEvent: "rowActionDownloadCustomEvent" }, ngImport: i0, template: `
        <ng-container *ngFor="let action of grid.getSetting('actions.custom')">

            <!-- This container will be repeated for ALL rows: -->
            <uno-icon
                [id]="action.icon"
                *ngIf="!action.rowProperty && action.visible"
                size="xx-small"
                [icon]="action.icon"
                class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-custom-custom"
                [title]="action.title | translate"
                (click)="onCustom(action, $event)">
            </uno-icon>

            <!-- This container will be repeated ONLY on config property "rowProperty" passed in @ TableDemoComponent app: -->
            <uno-icon
                [id]="action.icon"
                *ngIf="row.data[action.rowProperty] && action.visible"
                size="xx-small"
                [icon]="action.icon"
                [color]="action.color || 'default'"
                class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-custom-custom"
                [title]="action.title | translate"
                (click)="onCustom(action, $event)">
            </uno-icon>
        </ng-container>

        <uno-icon
            id="down"
            *ngIf="row.data?.downloadContentData"
            icon="down"
            size="x-small"
            uno-popover-trigger

            unoPopoverPlacement="leftBottom"
            unoPopoverNubbin="right-top"
            unoPopoverSize="large"

            unoPopoverTemplate="downloadContent"
            [unoPopoverTemplateData]="row.data?.downloadContentData"

            uno-popover-click-behavior
            (unoPopoverTemplateEvent)="downloadInnerEventEmited($event)"

            class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-custom-custom"
            title="Files to download">
        </uno-icon>
    `, isInline: true, components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }], directives: [{ type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: PopoverTriggerDirective, selector: "[uno-popover-trigger]", inputs: ["unoPopover", "unoPopoverHeader", "unoPopoverFooter", "unoPopoverTemplate", "unoPopoverTemplateData", "hasEdit", "hasDelete", "infoTitle", "infoCreatedBy", "infoModifiedBy", "infoDate", "unoPopoverPlacement", "unoPopoverTheme", "unoPopoverNubbin", "unoPopoverSize", "unoPopoverTooltip", "unoPopoverDelay", "unoPopoverInteractive", "unoPopoverOpen"], outputs: ["unoPopoverToggled", "unoPopoverTemplateEvent"], exportAs: ["unoPopoverTrigger"] }, { type: PopoverClickBehaviorDirective, selector: "[uno-popover-click-behavior]" }], pipes: { "translate": i3$1.TranslatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TbodyCustomComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ng2-st-tbody-custom',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `
        <ng-container *ngFor="let action of grid.getSetting('actions.custom')">

            <!-- This container will be repeated for ALL rows: -->
            <uno-icon
                [id]="action.icon"
                *ngIf="!action.rowProperty && action.visible"
                size="xx-small"
                [icon]="action.icon"
                class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-custom-custom"
                [title]="action.title | translate"
                (click)="onCustom(action, $event)">
            </uno-icon>

            <!-- This container will be repeated ONLY on config property "rowProperty" passed in @ TableDemoComponent app: -->
            <uno-icon
                [id]="action.icon"
                *ngIf="row.data[action.rowProperty] && action.visible"
                size="xx-small"
                [icon]="action.icon"
                [color]="action.color || 'default'"
                class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-custom-custom"
                [title]="action.title | translate"
                (click)="onCustom(action, $event)">
            </uno-icon>
        </ng-container>

        <uno-icon
            id="down"
            *ngIf="row.data?.downloadContentData"
            icon="down"
            size="x-small"
            uno-popover-trigger

            unoPopoverPlacement="leftBottom"
            unoPopoverNubbin="right-top"
            unoPopoverSize="large"

            unoPopoverTemplate="downloadContent"
            [unoPopoverTemplateData]="row.data?.downloadContentData"

            uno-popover-click-behavior
            (unoPopoverTemplateEvent)="downloadInnerEventEmited($event)"

            class="slds-button__icon--left uno-smart-table-action uno-smart-table-action-custom-custom"
            title="Files to download">
        </uno-icon>
    `
                }]
        }], ctorParameters: function () { return [{ type: Ng2SmartTableTbodyComponent, decorators: [{
                    type: Host
                }] }]; }, propDecorators: { grid: [{
                type: Input
            }], row: [{
                type: Input
            }], rowActionCustomEvent: [{
                type: Output
            }], rowActionDownloadCustomEvent: [{
                type: Output
            }] } });

class TableComponent {
    constructor(render, cdRef) {
        this.render = render;
        this.cdRef = cdRef;
        /**
         * The table settings.
         */
        this.settings = {};
        /**
         * Triggered once a row is selected.
         */
        this.rowSelect = new EventEmitter();
        /**
         * Trigger only on a user click a event.
         */
        this.userRowSelect = new EventEmitter();
        /**
         * Trigger when user hover mouse.
         */
        this.rowHover = new EventEmitter();
        // Actions events:
        this.create = new EventEmitter();
        this.createSave = new EventEmitter();
        this.cancelCreate = new EventEmitter();
        this.edit = new EventEmitter();
        this.delete = new EventEmitter();
        this.editSave = new EventEmitter();
        this.cancelEdit = new EventEmitter();
        this.rowActionCustomEvent = new EventEmitter();
        this.rowActionDownloadCustomEvent = new EventEmitter();
        this.rowHeaderActionCustomEvent = new EventEmitter();
        this.rowSelectActionCustomEvent = new EventEmitter();
        this.selectedElem = new EventEmitter();
        // Actions confirmation events:
        this.deleteConfirm = new EventEmitter();
        this.editConfirm = new EventEmitter();
        this.createConfirm = new EventEmitter();
        // Several Grid's internal affairs - like pagination, sort, filter, etc - that need to be passed to EXTERIOR API:
        // Important when you have the API url to call services OUTSIDE the Table components - at its installation
        this.internalAction = new EventEmitter();
        this.searchTerm = new EventEmitter();
        this.formChanges = new EventEmitter();
        this.saveOptions = new EventEmitter();
        this.getColumnFilters = new EventEmitter();
        // THE editing Form:
        this.form = new FormGroup({});
        this.submitted = false;
        this.subscriptions$ = new Subscription();
        this.defaultSettings = {
            mode: 'inline',
            selectMode: 'single',
            colorRow: false,
            hideHeader: false,
            noDataMessage: 'No data found',
            // hoveringRow: { css: ''}, => just don't exist, if no bordering row on hovering is pretended (coded inside component this way)
            tableCollapsible: {
                isCollapsible: false,
                iconClose: '',
                iconOpen: ''
            },
            attr: {
                id: '',
                class: '',
            },
            filter: {
                inputClass: '',
            },
            rowPopoverErrors: false,
            popoverTheme: 'info',
            headerActions: [],
            selectActions: [],
            actions: {
                position: 'right',
                columnTitle: '',
                add: false,
                edit: false,
                editRowProperty: null,
                delete: false,
                deleteRowProperty: null,
                custom: [{}],
            },
            add: {
                inputClass: '',
                addButtonContent: 'Add New',
                createButtonContent: 'Create',
                cancelButtonContent: 'Cancel',
                confirmCreate: false,
            },
            edit: {
                inputClass: '',
                editButtonContent: 'Edit',
                saveButtonContent: 'Save',
                cancelButtonContent: 'Cancel',
                confirmSave: false,
            },
            delete: {
                deleteButtonContent: 'Delete',
                confirmDelete: false,
            },
            showSearch: false,
            showSaveColumns: false,
            columns: {},
            rowClassFunction: () => '',
            filterType: 'single'
        };
        /*
         * First, it's necessary initiate the grid whit the basic elements.
         * A empty instance of DataSource and default settings.
         */
        this.initGrid();
        // Initalize our (Angular reactive Form) FormGroup:
        this.subscriptions$.add(this.form.valueChanges.subscribe((val) => {
            this.formChanges.emit(val);
            SetUpFormControllers.enableControlWaitingValue(this.grid, this.form);
        }));
        this.tableId = this.grid.getSetting('attr.id');
        this.tableClass = this.grid.getSetting('attr.class');
        this.isHideHeader = this.grid.getSetting('hideHeader');
        this.rowClassFunction = this.grid.getSetting('rowClassFunction');
    }
    ngOnChanges(changes) {
        if (changes.settings && changes.settings.currentValue) {
            this.grid.settings = this.prepareSettings();
            // Only set form if table is add or edit in line
            if (this.grid.settings.actions.add || this.grid.settings.actions.edit) {
                SetUpFormControllers.doFormControllersOn(this.grid, this.form);
            }
        }
        if (changes.source && changes.source.currentValue) {
            this.grid.source = this.source;
        }
        if (changes.updateColumnList && changes.updateColumnList.currentValue) {
            this.grid.updateSetting(this.updateColumnList);
        }
        if (changes.userSettings && changes.userSettings.currentValue) {
            this.grid.settings = this.prepareUserSettings();
        }
        if (changes.columnFilters && changes.columnFilters.currentValue) {
            Object.keys(this.columnFilters).forEach((column) => {
                this.grid.setColumnFilters(column, this.columnFilters[column]);
            });
        }
    }
    ngOnDestroy() {
        this.subscriptions$.unsubscribe();
    }
    onSubmit() {
        this.submitted = true;
        // stop here if form is invalid
        if (this.form.invalid) {
            // Just in case "someone" is able to un--disable submit button! ;-)
            console.error('this.editingForm, @ TableComponent, has been SUBMITED but it\'s INVALID... no submission was made!');
            return;
        }
    }
    // ===========================
    // Grid manipulation Events:
    // ===========================
    // Open to EDIT:
    editRowSelect(row) {
        // Open it/them:
        // if (this.grid.getSetting('selectMode') === 'multi') {
        //     this.onMultipleSelectRow(row);
        // } else {
        //     this.onSelectRow(row);
        // }
        // UNBORDER hovered <tr>:
        const hoveredTR = this.table.nativeElement.querySelectorAll('table > tbody')[0].children;
        const configBorderType = this.grid.getSetting('hoveringRow');
        // Deal with hovering row border
        if (this.grid.getSetting('hoveringRow')) {
            hoveredTR[row.index].setAttribute('style', configBorderType.css.split(':')[0] + ': none;');
        }
        row.cells.forEach((cell) => this.form.controls[cell.column.id].setValue(cell.value));
    }
    // Open to CREATE:
    createRowNew() {
        this.form.reset();
        this.grid.dataSet.createNewRow();
        this.grid.createFormShown = true;
        this.cdRef.detectChanges();
        // Send back the browser event, in case someone needs it:
        this.create.emit(this.source);
    }
    onUserSelectRow(row) {
        // if (this.grid.getSetting('selectMode') !== 'multi') {
        this.emitUserSelectRow(row);
        //     this.emitSelectRow(row);
        // }
    }
    onRowHover(row) {
        this.rowHover.emit(row);
    }
    multipleSelectRow(row) {
        this.grid.multipleSelectRow(row);
        // this.emitUserSelectRow(row);
        this.emitSelectRow(row);
    }
    onSelectAllRows(value) {
        this.grid.selectAllRows(value);
        // this.emitUserSelectRow(null);
        this.emitSelectRow(null);
    }
    onSelectRow(row) {
        this.grid.selectRow(row);
        this.emitSelectRow(row);
    }
    onMultipleSelectRow(row) {
        this.emitSelectRow(row);
    }
    // ===========================
    // AUX Methods/Functions:
    // ===========================
    /**
     * This method set the first data and settings of the table.
     */
    initGrid() {
        this.source = this.prepareSource();
        this.grid = new Grid(this.source, this.prepareSettings(), this.internalAction);
        this.subscriptions$.add(this.grid.onSelectRow().subscribe((row) => this.emitSelectRow(row)));
    }
    /**
     * This method return a instance of DataSource.
     */
    prepareSource() {
        if (this.source instanceof DataSource) {
            return this.source;
        }
        return new LocalDataSource();
    }
    /**
     * This method return a object of UnoSmartTableSettings.
     */
    prepareSettings() {
        return deepExtend({}, this.defaultSettings, this.settings);
    }
    prepareUserSettings() {
        this.grid.settings.columns = deepExtend(this.grid.settings.columns, this.userSettings);
        return this.grid.settings;
    }
    sort($event) {
        this.resetAllSelector();
    }
    filter($event) {
        this.resetAllSelector();
    }
    onClickIconOptions(status) {
        // status ? this.resizableGrid() : this.removeResizableGrid();
    }
    onSaveOptions(obj) {
        this.saveOptions.emit(obj);
    }
    setSearchTerm(term) {
        this.render.setProperty(this.header.search.inputSearch.nativeElement, 'value', term);
    }
    resetAllSelector() {
        // this.isAllSelected = false;
    }
    emitUserSelectRow(row) {
        const selectedRows = this.grid.getSelectedRows();
        this.userRowSelect.emit({
            data: row ? row.data : null,
            isSelected: row ? row.getIsSelected() : null,
            source: this.source,
            selected: selectedRows && selectedRows.length ? selectedRows.map((r) => r.data) : []
        });
    }
    emitSelectRow(row) {
        if (row) {
            this.rowSelect.emit({
                data: row.data,
                isSelected: row.getIsSelected(),
                source: this.source
            });
        }
        else {
            this.rowSelect.emit({
                data: this.grid.getSelectedRows(),
                isSelected: this.grid.getSelectedRows().length > 0,
                source: this.source
            });
        }
    }
    removeResizableGrid() {
        const row = this.table.nativeElement.getElementsByTagName('tr')[0];
        // const cols: HTMLCollection = row ? row.children : undefined;
        const cols = row ? row.getElementsByClassName('columns') : undefined;
        if (!cols) {
            return;
        }
        for (let i = 0; i < cols.length; i++) {
            cols.item(i).children[1].remove();
        }
    }
    resizableGrid() {
        const row = this.table.nativeElement.getElementsByTagName('tr')[0];
        // const cols: HTMLCollection = row ? row.children : undefined;
        const cols = row ? row.getElementsByClassName('columns') : undefined;
        if (!cols) {
            return;
        }
        this.render.setStyle(this.table.nativeElement, 'overflow', 'hidden');
        const tableHeight = this.table.nativeElement.offsetHeight;
        for (let i = 0; i < cols.length; i++) {
            const div = this.createDiv(tableHeight);
            this.render.appendChild(cols.item(i), div);
            this.render.setStyle(cols.item(i), 'position', 'relative');
            this.setListners(div);
        }
    }
    setListners(div) {
        let pageX;
        let curCol;
        let nxtCol;
        let curColWidth;
        let nxtColWidth;
        this.subscriptions$.add(this.render.listen(div, 'mousedown', (e) => {
            curCol = e.target.parentElement;
            nxtCol = curCol.nextElementSibling;
            pageX = e.pageX;
            const padding = this.paddingDiff(curCol);
            curColWidth = curCol.offsetWidth - padding;
            if (nxtCol) {
                nxtColWidth = nxtCol.offsetWidth - padding;
            }
        }));
        // this.subscriptions$.add(
        //     this.render.listen(div, 'mouseover', (e: Event) => {
        //         this.render.setStyle(e.target, 'border-right', '1px solid var(--light-blue-grey)');
        //     })
        // );
        // this.subscriptions$.add(
        //     this.render.listen(div, 'mouseout', (e: Event) => {
        //         this.render.setStyle(e.target, 'border-right', '');
        //     })
        // );
        this.subscriptions$.add(this.render.listen(document, 'mousemove', (e) => {
            if (curCol) {
                const diffX = e.pageX - pageX;
                if (nxtCol) {
                    this.render.setStyle(nxtCol, 'width', `${nxtColWidth - (diffX)}px`);
                }
                this.render.setStyle(curCol, 'width', `${curColWidth + diffX}px`);
            }
        }));
        this.subscriptions$.add(this.render.listen(document, 'mouseup', () => {
            curCol = undefined;
            nxtCol = undefined;
            pageX = undefined;
            nxtColWidth = undefined;
            curColWidth = undefined;
        }));
    }
    createDiv(height) {
        const div = this.render.createElement('div');
        this.render.setStyle(div, 'top', '0');
        this.render.setStyle(div, 'right', '0');
        this.render.setStyle(div, 'width', '5px');
        this.render.setStyle(div, 'position', 'absolute');
        this.render.setStyle(div, 'cursor', 'col-resize');
        this.render.setStyle(div, 'userSelect', 'none');
        this.render.setStyle(div, 'border-right', '1px solid var(--light-blue-grey)');
        this.render.setStyle(div, 'height', `${height}px`);
        return div;
    }
    paddingDiff(col) {
        if (this.getStyleVal(col, 'box-sizing') === 'border-box') {
            return 0;
        }
        const padLeft = this.getStyleVal(col, 'padding-left');
        const padRight = this.getStyleVal(col, 'padding-right');
        return (Number(padLeft) + Number(padRight));
    }
    getStyleVal(elm, css) {
        return (window.getComputedStyle(elm, null).getPropertyValue(css));
    }
}
TableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TableComponent, deps: [{ token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
TableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TableComponent, selector: "uno-smart-table", inputs: { source: "source", settings: "settings", userSettings: "userSettings", updateColumnList: "updateColumnList", columnFilters: "columnFilters" }, outputs: { rowSelect: "rowSelect", userRowSelect: "userRowSelect", rowHover: "rowHover", create: "create", createSave: "createSave", cancelCreate: "cancelCreate", edit: "edit", delete: "delete", editSave: "editSave", cancelEdit: "cancelEdit", rowActionCustomEvent: "rowActionCustomEvent", rowActionDownloadCustomEvent: "rowActionDownloadCustomEvent", rowHeaderActionCustomEvent: "rowHeaderActionCustomEvent", rowSelectActionCustomEvent: "rowSelectActionCustomEvent", selectedElem: "selectedElem", deleteConfirm: "deleteConfirm", editConfirm: "editConfirm", createConfirm: "createConfirm", internalAction: "internalAction", searchTerm: "searchTerm", formChanges: "formChanges", saveOptions: "saveOptions", getColumnFilters: "getColumnFilters" }, queries: [{ propertyName: "collapseTableContent", first: true, predicate: TbodyCollapseContentDirective, descendants: true }], viewQueries: [{ propertyName: "header", first: true, predicate: HeaderComponent, descendants: true }, { propertyName: "table", first: true, predicate: ["unoSmartTable"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<header\r\n        [grid]=\"grid\"\r\n        [headerSettings]=\"grid.settings\"\r\n        (create)=\"createRowNew()\"\r\n        (searchTerm)=\"searchTerm.emit($event)\"\r\n        (customAction)=\"rowHeaderActionCustomEvent.emit($event)\"\r\n        (clickIconOptions)=\"onClickIconOptions($event)\"\r\n        (saveOptions)=\"onSaveOptions($event)\">\r\n</header>\r\n\r\n<form [formGroup]=\"form\" autocomplete=\"off\">\r\n\r\n    <table [id]=\"tableId\" [ngClass]=\"tableClass\" #unoSmartTable>\r\n\r\n        <thead\r\n               ng2-st-thead\r\n               *ngIf=\"!isHideHeader\"\r\n               [editingFormGroup]=\"form\"\r\n               [grid]=\"grid\"\r\n               [updateColumnList]=\"updateColumnList\"\r\n               [createConfirm]=\"createConfirm\"\r\n               [cancelCreate]=\"cancelCreate\"\r\n               (createSave)=\"createSave.emit($event)\"\r\n               (selectedElem)=\"selectedElem.emit($event)\"\r\n               (selectAllRows)=\"onSelectAllRows($event)\"\r\n               (sort)=\"sort($event)\"\r\n               (filter)=\"filter($event)\"\r\n               (getColumnFilters)=\"getColumnFilters.emit($event)\"\r\n               (customAction)=\"rowSelectActionCustomEvent.emit($event)\">\r\n        </thead>\r\n\r\n        <tbody\r\n               ng2-st-tbody\r\n               [editingFormGroup]=\"form\"\r\n               [grid]=\"grid\"\r\n               [deleteConfirm]=\"deleteConfirm\"\r\n               [editConfirm]=\"editConfirm\"\r\n               [collapseTableContent]=\"collapseTableContent\"\r\n               [updateColumnList]=\"updateColumnList\"\r\n               [rowClassFunction]=\"rowClassFunction\"\r\n               [cancelEdit]=\"cancelEdit\"\r\n               [userRowSelect]=\"userRowSelect\"\r\n\r\n               (editSave)=\"editSave.emit($event); onSubmit();\"\r\n               (selectedElem)=\"selectedElem.emit($event)\"\r\n               (edit)=\"edit.emit($event)\"\r\n               (delete)=\"delete.emit($event)\"\r\n               (rowActionCustomEvent)=\"rowActionCustomEvent.emit($event)\"\r\n               (rowActionDownloadCustomEvent)=\"rowActionDownloadCustomEvent.emit($event)\"\r\n               (userSelectRow)=\"onUserSelectRow($event)\"\r\n               (editRowSelect)=\"editRowSelect($event)\"\r\n               (multipleSelectRow)=\"multipleSelectRow($event)\"\r\n\r\n               (rowHover)=\"onRowHover($event)\"\r\n\r\n               (internalAction)=\"internalAction.emit($event)\">\r\n        </tbody>\r\n    </table>\r\n</form>", components: [{ type: HeaderComponent, selector: "header", inputs: ["grid", "headerSettings"], outputs: ["create", "searchTerm", "customAction", "clickIconOptions", "saveOptions"] }, { type: Ng2SmartTableTheadComponent, selector: "[ng2-st-thead]", inputs: ["editingFormGroup", "grid", "createConfirm", "updateColumnList", "cancelCreate"], outputs: ["sort", "selectAllRows", "create", "selectedElem", "createSave", "filter", "getColumnFilters", "customAction"] }, { type: Ng2SmartTableTbodyComponent, selector: "[ng2-st-tbody]", inputs: ["editingFormGroup", "grid", "deleteConfirm", "editConfirm", "rowClassFunction", "collapseTableContent", "updateColumnList", "cancelEdit", "userRowSelect"], outputs: ["save", "cancel", "edit", "editSave", "delete", "rowActionCustomEvent", "rowActionDownloadCustomEvent", "edited", "userSelectRow", "editRowSelect", "multipleSelectRow", "rowHover", "selectedElem"] }], directives: [{ type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-smart-table', changeDetection: ChangeDetectionStrategy.OnPush, template: "<header\r\n        [grid]=\"grid\"\r\n        [headerSettings]=\"grid.settings\"\r\n        (create)=\"createRowNew()\"\r\n        (searchTerm)=\"searchTerm.emit($event)\"\r\n        (customAction)=\"rowHeaderActionCustomEvent.emit($event)\"\r\n        (clickIconOptions)=\"onClickIconOptions($event)\"\r\n        (saveOptions)=\"onSaveOptions($event)\">\r\n</header>\r\n\r\n<form [formGroup]=\"form\" autocomplete=\"off\">\r\n\r\n    <table [id]=\"tableId\" [ngClass]=\"tableClass\" #unoSmartTable>\r\n\r\n        <thead\r\n               ng2-st-thead\r\n               *ngIf=\"!isHideHeader\"\r\n               [editingFormGroup]=\"form\"\r\n               [grid]=\"grid\"\r\n               [updateColumnList]=\"updateColumnList\"\r\n               [createConfirm]=\"createConfirm\"\r\n               [cancelCreate]=\"cancelCreate\"\r\n               (createSave)=\"createSave.emit($event)\"\r\n               (selectedElem)=\"selectedElem.emit($event)\"\r\n               (selectAllRows)=\"onSelectAllRows($event)\"\r\n               (sort)=\"sort($event)\"\r\n               (filter)=\"filter($event)\"\r\n               (getColumnFilters)=\"getColumnFilters.emit($event)\"\r\n               (customAction)=\"rowSelectActionCustomEvent.emit($event)\">\r\n        </thead>\r\n\r\n        <tbody\r\n               ng2-st-tbody\r\n               [editingFormGroup]=\"form\"\r\n               [grid]=\"grid\"\r\n               [deleteConfirm]=\"deleteConfirm\"\r\n               [editConfirm]=\"editConfirm\"\r\n               [collapseTableContent]=\"collapseTableContent\"\r\n               [updateColumnList]=\"updateColumnList\"\r\n               [rowClassFunction]=\"rowClassFunction\"\r\n               [cancelEdit]=\"cancelEdit\"\r\n               [userRowSelect]=\"userRowSelect\"\r\n\r\n               (editSave)=\"editSave.emit($event); onSubmit();\"\r\n               (selectedElem)=\"selectedElem.emit($event)\"\r\n               (edit)=\"edit.emit($event)\"\r\n               (delete)=\"delete.emit($event)\"\r\n               (rowActionCustomEvent)=\"rowActionCustomEvent.emit($event)\"\r\n               (rowActionDownloadCustomEvent)=\"rowActionDownloadCustomEvent.emit($event)\"\r\n               (userSelectRow)=\"onUserSelectRow($event)\"\r\n               (editRowSelect)=\"editRowSelect($event)\"\r\n               (multipleSelectRow)=\"multipleSelectRow($event)\"\r\n\r\n               (rowHover)=\"onRowHover($event)\"\r\n\r\n               (internalAction)=\"internalAction.emit($event)\">\r\n        </tbody>\r\n    </table>\r\n</form>" }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { source: [{
                type: Input
            }], settings: [{
                type: Input
            }], userSettings: [{
                type: Input
            }], updateColumnList: [{
                type: Input
            }], columnFilters: [{
                type: Input
            }], rowSelect: [{
                type: Output
            }], userRowSelect: [{
                type: Output
            }], rowHover: [{
                type: Output
            }], create: [{
                type: Output
            }], createSave: [{
                type: Output
            }], cancelCreate: [{
                type: Output
            }], edit: [{
                type: Output
            }], delete: [{
                type: Output
            }], editSave: [{
                type: Output
            }], cancelEdit: [{
                type: Output
            }], rowActionCustomEvent: [{
                type: Output
            }], rowActionDownloadCustomEvent: [{
                type: Output
            }], rowHeaderActionCustomEvent: [{
                type: Output
            }], rowSelectActionCustomEvent: [{
                type: Output
            }], selectedElem: [{
                type: Output
            }], deleteConfirm: [{
                type: Output
            }], editConfirm: [{
                type: Output
            }], createConfirm: [{
                type: Output
            }], internalAction: [{
                type: Output
            }], searchTerm: [{
                type: Output
            }], formChanges: [{
                type: Output
            }], saveOptions: [{
                type: Output
            }], getColumnFilters: [{
                type: Output
            }], collapseTableContent: [{
                type: ContentChild,
                args: [TbodyCollapseContentDirective]
            }], header: [{
                type: ViewChild,
                args: [HeaderComponent]
            }], table: [{
                type: ViewChild,
                args: ['unoSmartTable']
            }] } });

const CELL_COMPONENTS = [
    CellComponent,
    CustomEditComponent,
    DefaultEditComponent,
    EditCellComponent,
    CheckboxEditorComponent,
    LookupEditorComponent,
    InputEditorComponent,
    InputNumberEditorComponent,
    SelectEditorComponent,
    TextareaEditorComponent,
    CustomViewComponent,
    ViewCellComponent,
    SwitchEditorComponent
];
class CellModule {
}
CellModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CellModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CellModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CellModule, declarations: [CellComponent,
        CustomEditComponent,
        DefaultEditComponent,
        EditCellComponent,
        CheckboxEditorComponent,
        LookupEditorComponent,
        InputEditorComponent,
        InputNumberEditorComponent,
        SelectEditorComponent,
        TextareaEditorComponent,
        CustomViewComponent,
        ViewCellComponent,
        SwitchEditorComponent], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        TranslateModule,
        UnoLookupModule,
        UnoPopoverModule,
        UnoPicklistModule,
        UnoPickModule,
        UnoSwitchModule], exports: [CellComponent,
        CustomEditComponent,
        DefaultEditComponent,
        EditCellComponent,
        CheckboxEditorComponent,
        LookupEditorComponent,
        InputEditorComponent,
        InputNumberEditorComponent,
        SelectEditorComponent,
        TextareaEditorComponent,
        CustomViewComponent,
        ViewCellComponent,
        SwitchEditorComponent] });
CellModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CellModule, imports: [[
            CommonModule,
            FormsModule,
            ReactiveFormsModule,
            TranslateModule,
            UnoLookupModule,
            UnoPopoverModule,
            UnoPicklistModule,
            UnoPickModule,
            UnoSwitchModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CellModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        TranslateModule,
                        UnoLookupModule,
                        UnoPopoverModule,
                        UnoPicklistModule,
                        UnoPickModule,
                        UnoSwitchModule
                    ],
                    declarations: [
                        ...CELL_COMPONENTS,
                    ],
                    exports: [
                        ...CELL_COMPONENTS,
                    ],
                }]
        }] });

const TBODY_COMPONENTS = [
    TbodySaveCancelComponent,
    TbodyEditDeleteComponent,
    TbodyCustomComponent,
    Ng2SmartTableTbodyComponent,
    TbodyCollapseContentDirective
];
class TBodyModule {
}
TBodyModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TBodyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
TBodyModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TBodyModule, declarations: [TbodySaveCancelComponent,
        TbodyEditDeleteComponent,
        TbodyCustomComponent,
        Ng2SmartTableTbodyComponent,
        TbodyCollapseContentDirective], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        CellModule,
        TranslateModule,
        UnoIconModule,
        UnoButtonModule,
        UnoPopoverModule], exports: [TbodySaveCancelComponent,
        TbodyEditDeleteComponent,
        TbodyCustomComponent,
        Ng2SmartTableTbodyComponent,
        TbodyCollapseContentDirective] });
TBodyModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TBodyModule, imports: [[
            CommonModule,
            FormsModule,
            ReactiveFormsModule,
            CellModule,
            TranslateModule,
            UnoIconModule,
            UnoButtonModule,
            UnoPopoverModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TBodyModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        CellModule,
                        TranslateModule,
                        UnoIconModule,
                        UnoButtonModule,
                        UnoPopoverModule
                    ],
                    declarations: [
                        ...TBODY_COMPONENTS,
                    ],
                    exports: [
                        ...TBODY_COMPONENTS,
                    ],
                }]
        }] });

const THEAD_COMPONENTS = [
    THeadCreateCancelComponent,
    ActionsTitleComponent,
    CheckboxSelectAllComponent,
    ColumnTitleComponent,
    TheadFormRowComponent,
    TheadTitlesRowComponent,
    Ng2SmartTableTheadComponent,
    DefaultEditorDirective
];
class THeadModule {
}
THeadModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: THeadModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
THeadModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: THeadModule, declarations: [THeadCreateCancelComponent,
        ActionsTitleComponent,
        CheckboxSelectAllComponent,
        ColumnTitleComponent,
        TheadFormRowComponent,
        TheadTitlesRowComponent,
        Ng2SmartTableTheadComponent,
        DefaultEditorDirective], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        CellModule,
        TranslateModule,
        UnoIconModule,
        UnoButtonModule,
        UnoPopoverModule], exports: [THeadCreateCancelComponent,
        ActionsTitleComponent,
        CheckboxSelectAllComponent,
        ColumnTitleComponent,
        TheadFormRowComponent,
        TheadTitlesRowComponent,
        Ng2SmartTableTheadComponent,
        DefaultEditorDirective] });
THeadModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: THeadModule, imports: [[
            CommonModule,
            FormsModule,
            ReactiveFormsModule,
            CellModule,
            TranslateModule,
            UnoIconModule,
            UnoButtonModule,
            UnoPopoverModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: THeadModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        CellModule,
                        TranslateModule,
                        UnoIconModule,
                        UnoButtonModule,
                        UnoPopoverModule
                    ],
                    declarations: [
                        ...THEAD_COMPONENTS,
                    ],
                    exports: [
                        ...THEAD_COMPONENTS,
                    ],
                }]
        }] });

class HeaderModule {
}
HeaderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
HeaderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderModule, declarations: [HeaderComponent], imports: [CommonModule,
        TranslateModule,
        UnoIconModule,
        UnoSearchModule,
        UnoButtonModule,
        UnoPopoverModule], exports: [HeaderComponent] });
HeaderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderModule, imports: [[
            CommonModule,
            TranslateModule,
            UnoIconModule,
            UnoSearchModule,
            UnoButtonModule,
            UnoPopoverModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        TranslateModule,
                        UnoIconModule,
                        UnoSearchModule,
                        UnoButtonModule,
                        UnoPopoverModule
                    ],
                    declarations: [
                        HeaderComponent
                    ],
                    exports: [
                        HeaderComponent
                    ],
                }]
        }] });

class UnoTableModule {
}
UnoTableModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoTableModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTableModule, declarations: [TableComponent], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        CellModule,
        TBodyModule,
        THeadModule,
        TranslateModule,
        HeaderModule], exports: [TableComponent,
        CellModule] });
UnoTableModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTableModule, providers: [], imports: [[
            CommonModule,
            FormsModule,
            ReactiveFormsModule,
            CellModule,
            TBodyModule,
            THeadModule,
            TranslateModule,
            HeaderModule
        ], CellModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTableModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        CellModule,
                        TBodyModule,
                        THeadModule,
                        TranslateModule,
                        HeaderModule
                    ],
                    exports: [
                        TableComponent,
                        CellModule
                    ],
                    declarations: [
                        TableComponent
                    ],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * TabDirective ([unoTab]), is a structural Directive, to be used by <uno-tabs /> library component.
 * It's specifically tailored to create and destroy DOM elements, changing the HTML structure
 * Will be the minimum unit of <uno-tabs /> component library
 *
 * @example
 *
    <ng-template unoTab unoTabId="tab1" heading="Tab 1">
        Tab 1
    </ng-template>
    <ng-template unoTab unoTabId="tab2" heading="Tab 2">
        Tab 2
    </ng-template>
    <ng-template unoTab unoTabId="tab3" heading="Tab 3">
    ...
 *
 */
class TabDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
        /**
         * Specifies the if tab is disable or not
         */
        this.disableTab = false;
        /**
         * ... into our component's "customStyle" object, to be HTML applied:
         */
        this.customHeadingStyle = {};
        this.customContentStyle = {};
        /**
         * This Tab component is currently active (mounted) @ embedded view linked to this TemplateRef:
         */
        this.isTabActive = false;
    }
    // About color/backgorund-color CSS independent costumization: before DOM ready (being injected through HTML's NG "customStyle" var)
    ngOnChanges() {
        // customStyling:
        //  - for the title/heading
        if (this.bgColorHeading) {
            this.customHeadingStyle['background-color'] = `var(--${this.bgColorHeading})`;
        }
        if (this.txtColorHeading) {
            this.customHeadingStyle['color'] = `var(--${this.txtColorHeading})`;
        }
        //  - for the content/activeTab
        if (this.bgColorContent) {
            this.customContentStyle['background-color'] = `var(--${this.bgColorContent})`;
        }
        if (this.txtColorContent) {
            this.customContentStyle['color'] = `var(--${this.txtColorContent})`;
        }
        if (this.bgHeightContent) {
            // 40px is the size of the tab.
            this.customContentStyle['height'] = `calc(${this.bgHeightContent} - 40px)`;
        }
    }
    // Upon a tab click, set the active Tab component to be mounted by Angular (and unmount the previously active one):
    set active(active) {
        if (active === this.isTabActive) {
            return;
        }
        this.isTabActive = active;
    }
    get active() {
        return this.isTabActive;
    }
}
TabDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabDirective, deps: [{ token: i0.TemplateRef, optional: true }], target: i0.ɵɵFactoryTarget.Directive });
TabDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: TabDirective, selector: "[unoTab]", inputs: { unoTabId: "unoTabId", heading: "heading", headingSub: "headingSub", headingNaturalCase: "headingNaturalCase", disableTab: "disableTab", bgColorHeading: "bgColorHeading", txtColorHeading: "txtColorHeading", bgColorContent: "bgColorContent", txtColorContent: "txtColorContent", bgHeightContent: "bgHeightContent" }, usesOnChanges: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoTab]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { unoTabId: [{
                type: Input
            }], heading: [{
                type: Input
            }], headingSub: [{
                type: Input
            }], headingNaturalCase: [{
                type: Input
            }], disableTab: [{
                type: Input
            }], bgColorHeading: [{
                type: Input
            }], txtColorHeading: [{
                type: Input
            }], bgColorContent: [{
                type: Input
            }], txtColorContent: [{
                type: Input
            }], bgHeightContent: [{
                type: Input
            }] } });

/**
 * The Tabs component contains <unoTab />, TabDirective template
 *
 * @example
 *
    <uno-tabs [(selected)]="selectedTab">
        <ng-template unoTab unoTabId="tab1" heading="Tab 1">
            Tab 1
        </ng-template>
        <ng-template unoTab unoTabId="tab2" heading="Tab 2">
            Tab 2
        </ng-template>
        <ng-template unoTab unoTabId="tab2" heading="Tab 3">
        ...
    </uno-tabs>
 */
class TabsComponent {
    constructor(element, renderer) {
        this.element = element;
        this.renderer = renderer;
        // Specifies the type
        this.type = 'default';
        // Specifies the aligment of the tabs heading and tabPanel text
        this.alignment = 'left';
        // Allows custom active tab's dash color (actually background-color of ::after pseudo-element):
        this.activeTabDashColor = '#1589ee'; // = '#1825aa'; Can't be a CSS var (it's a var already) - so '--sapphire'; NOT ALLOWED!
        // Specifies if Tab directive is bringing custom style (bgColor, txtColor, etc.), to apply when active
        this.activeTabCustomStyle = {};
        // Emits active Tab is going to change
        this.selectedChange = new EventEmitter();
    }
    set setSelected(selectedTab) {
        if (selectedTab === this.selected) {
            return;
        }
        // Grab the value, even if it's a plain string (on loading)
        this.selected = selectedTab;
        // To proceed, wait for content to initialize - can't "this.activate()"" with no HTML tabs...
        if (!this.tabs) {
            return;
        }
        // If we reach this ponit, mark Tab Directive as (the one) active:
        this.activate();
    }
    ngAfterContentInit() {
        // Initial selection after all tabs are created
        this.activate();
        // Was not define @ HTML's "[(selected)]...? So we still don't have any "this.activeTab" => activate, by default, the 1st Tab:
        if (!this.activeTab) {
            setTimeout(() => {
                const forcedActiveTab = this.tabs.first;
                // Select it:
                this.select(forcedActiveTab);
                // Mark it as "active"
                this.activeTab = forcedActiveTab;
                // Tab Directive selected is now as "active" => pass in the eventual (tagged at any Tab Directive HTML) custom style:
                this.applyCustomStyleActiveTab();
            });
        }
        // Style possible active tab's underscore dash color:
        this.renderer.setAttribute(this.element.nativeElement, 'style', '--active-tab-dash-bg-color: ' + this.activeTabDashColor);
        // Check if ANY tab has  "@Input() headingSub".
        // If so, add ".has-heading-sub" to ALL Tabs (ul li a.slds-tabs--default__link)
        // => main Heading goes up, creating some room for (one or any) "headingSub" sub-titles:
        const tabs = this.tabs.toArray();
        const arrayTabsHeadingSub = tabs.filter((eachTab) => eachTab.headingSub);
        if (arrayTabsHeadingSub.length > 0) {
            this.renderer.addClass(this.element.nativeElement, 'has-heading-sub');
        }
    }
    // HTML <li> click() event, if NOT "disableTab"=true:
    select(tab) {
        if (tab && !tab.disableTab) {
            this.selectedChange.emit(tab);
        }
    }
    // Activate Tabs through keyboard left/right arrows:
    move(evt, moves) {
        evt.preventDefault();
        const tabs = this.tabs.toArray();
        const selectedIndex = tabs.indexOf(this.activeTab);
        this.select(tabs[(tabs.length + selectedIndex + moves) % tabs.length]);
    }
    /**
     * AUX functions:
     */
    applyCustomStyleActiveTab() {
        if (this.activeTab && this.activeTab.hasOwnProperty('customContentStyle')) {
            this.activeTabCustomStyle = this.activeTab.customContentStyle;
        }
    }
    activate() {
        // Deactivate it eventualy older one:
        if (this.activeTab) {
            this.activeTab.active = false;
        }
        // Try to activate the one declared as "this.selected":
        this.activeTab = this.findTab();
        // Found it? Great:
        if (this.activeTab) {
            this.activeTab.active = true;
            // Once we have our Tab Directive as "active", pass in the eventual custom style tagged at any Tab Directive HTML
            this.applyCustomStyleActiveTab();
        }
    }
    findTab(value = this.selected) {
        if (value instanceof TabDirective) {
            return value;
        }
        if (isInt(value)) {
            return this.tabs.toArray()[+value];
        }
        return this.tabs.toArray().find((t) => {
            return t.unoTabId && t.unoTabId === value;
        });
    }
}
TabsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabsComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
TabsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: TabsComponent, selector: "uno-tabs", inputs: { type: "type", alignment: "alignment", activeTabDashColor: "activeTabDashColor", setSelected: ["selected", "setSelected"] }, outputs: { selectedChange: "selectedChange" }, queries: [{ propertyName: "tabs", predicate: TabDirective }], ngImport: i0, template: "<ul\r\n    [ngClass]=\"'slds-tabs--' + type + '__nav'+' slds-tabs--'+ alignment\"\r\n    role=\"tablist\"\r\n    (keydown.ArrowLeft)=\"move($event, -1)\"\r\n    (keydown.ArrowRight)=\"move($event, 1)\">\r\n\r\n    <li *ngFor=\"let tab of tabs\"\r\n        class=\"slds-m-right--large\"\r\n        [ngClass]=\"'slds-tabs--' + type + '__item' + ' slds-tabs--' + alignment\"\r\n        [class.slds-active]=\"tab.isTabActive\"\r\n        [class.slds-text-title--natural-caps]=\"tab.headingNaturalCase\"\r\n        [class.slds-tabs--is-disabled]=\"tab.disableTab\"\r\n        (click)=\"select(tab)\"\r\n        role=\"presentation\" >\r\n\r\n        <a\r\n            [ngClass]=\"'slds-tabs--' + type + '__link'\"\r\n            [ngStyle]=\"tab.customHeadingStyle\"\r\n            [attr.aria-selected]=\"tab.isTabActive\"\r\n            [attr.tabindex]=\"tab.isTabActive ? 0 : -1\"\r\n            role=\"tab\">\r\n\r\n            <div class=\"tab-header-text-container\">\r\n                <div translate>{{ tab.heading }}</div>\r\n                <div translate>{{ tab.headingSub }}</div>\r\n            </div>\r\n        </a>\r\n    </li>\r\n</ul>\r\n\r\n<div\r\n    [ngClass]=\"'slds-tabs--' + type + '__content'\"\r\n    [ngStyle]=\"activeTabCustomStyle\"\r\n    role=\"tabpanel\">\r\n\r\n    <ng-template [ngTemplateOutlet]=\"activeTab?.templateRef\"></ng-template>\r\n</div>", styles: [".slds-text-title_natural-caps,.slds-text-title--natural-caps{text-transform:unset!important}.slds-tabs_scoped__item,.slds-tabs--scoped__item{text-transform:uppercase}.slds-tabs--is-disabled{opacity:.4}.slds-tabs--is-disabled>a{cursor:not-allowed}.slds-tabs--right{justify-content:flex-end}.tab-header-text-container{text-align:center}.tab-header-text-container>div:nth-child(2){font-size:smaller;font-weight:300}.slds-tabs--default__item.slds-active:after,.slds-tabs--default__item:hover:after{background-color:var(--active-tab-dash-bg-color)}\n"], directives: [{ type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-tabs', template: "<ul\r\n    [ngClass]=\"'slds-tabs--' + type + '__nav'+' slds-tabs--'+ alignment\"\r\n    role=\"tablist\"\r\n    (keydown.ArrowLeft)=\"move($event, -1)\"\r\n    (keydown.ArrowRight)=\"move($event, 1)\">\r\n\r\n    <li *ngFor=\"let tab of tabs\"\r\n        class=\"slds-m-right--large\"\r\n        [ngClass]=\"'slds-tabs--' + type + '__item' + ' slds-tabs--' + alignment\"\r\n        [class.slds-active]=\"tab.isTabActive\"\r\n        [class.slds-text-title--natural-caps]=\"tab.headingNaturalCase\"\r\n        [class.slds-tabs--is-disabled]=\"tab.disableTab\"\r\n        (click)=\"select(tab)\"\r\n        role=\"presentation\" >\r\n\r\n        <a\r\n            [ngClass]=\"'slds-tabs--' + type + '__link'\"\r\n            [ngStyle]=\"tab.customHeadingStyle\"\r\n            [attr.aria-selected]=\"tab.isTabActive\"\r\n            [attr.tabindex]=\"tab.isTabActive ? 0 : -1\"\r\n            role=\"tab\">\r\n\r\n            <div class=\"tab-header-text-container\">\r\n                <div translate>{{ tab.heading }}</div>\r\n                <div translate>{{ tab.headingSub }}</div>\r\n            </div>\r\n        </a>\r\n    </li>\r\n</ul>\r\n\r\n<div\r\n    [ngClass]=\"'slds-tabs--' + type + '__content'\"\r\n    [ngStyle]=\"activeTabCustomStyle\"\r\n    role=\"tabpanel\">\r\n\r\n    <ng-template [ngTemplateOutlet]=\"activeTab?.templateRef\"></ng-template>\r\n</div>", styles: [".slds-text-title_natural-caps,.slds-text-title--natural-caps{text-transform:unset!important}.slds-tabs_scoped__item,.slds-tabs--scoped__item{text-transform:uppercase}.slds-tabs--is-disabled{opacity:.4}.slds-tabs--is-disabled>a{cursor:not-allowed}.slds-tabs--right{justify-content:flex-end}.tab-header-text-container{text-align:center}.tab-header-text-container>div:nth-child(2){font-size:smaller;font-weight:300}.slds-tabs--default__item.slds-active:after,.slds-tabs--default__item:hover:after{background-color:var(--active-tab-dash-bg-color)}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; }, propDecorators: { type: [{
                type: Input
            }], alignment: [{
                type: Input
            }], activeTabDashColor: [{
                type: Input
            }], tabs: [{
                type: ContentChildren,
                args: [TabDirective]
            }], setSelected: [{
                type: Input,
                args: ['selected']
            }], selectedChange: [{
                type: Output
            }] } });

/*
 * <uno-tab [heading="..."]>
 *    <ng-template unoTabHeading>...</ng-template>
 *    <ng-template unoTabContent>
 *       Content goes here...
 *    </ng-template>
 * </uno-tab>
 */
class TabHeadingDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
TabHeadingDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabHeadingDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
TabHeadingDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: TabHeadingDirective, selector: "[unoTabHeading]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabHeadingDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[unoTabHeading]' }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });
class TabContentDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
}
TabContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabContentDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
TabContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: TabContentDirective, selector: "[unoTabContent]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabContentDirective, decorators: [{
            type: Directive,
            args: [{ selector: '[unoTabContent]' }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });
class TabHeadingDetailDirective extends TabDirective {
    ngAfterContentInit() {
        if (this.headingTemplate) {
            this.heading = this.headingTemplate.templateRef;
        }
        this.templateRef = this.contentTemplate.templateRef;
    }
}
TabHeadingDetailDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabHeadingDetailDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive });
TabHeadingDetailDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: TabHeadingDetailDirective, selector: "uno-tab", providers: [{
            provide: TabDirective,
            useExisting: TabHeadingDetailDirective
        }], queries: [{ propertyName: "headingTemplate", first: true, predicate: TabHeadingDirective, descendants: true }, { propertyName: "contentTemplate", first: true, predicate: TabContentDirective, descendants: true }], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: TabHeadingDetailDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'uno-tab',
                    providers: [{
                            provide: TabDirective,
                            useExisting: TabHeadingDetailDirective
                        }],
                }]
        }], propDecorators: { headingTemplate: [{
                type: ContentChild,
                args: [TabHeadingDirective]
            }], contentTemplate: [{
                type: ContentChild,
                args: [TabContentDirective]
            }] } });

class UnoTabsModule {
}
UnoTabsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTabsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoTabsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTabsModule, declarations: [TabsComponent, TabDirective, TabHeadingDirective, TabHeadingDetailDirective, TabContentDirective], imports: [CommonModule, TranslateModule], exports: [TabsComponent, TabDirective, TabHeadingDirective, TabHeadingDetailDirective, TabContentDirective] });
UnoTabsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTabsModule, providers: [], imports: [[CommonModule, TranslateModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoTabsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule],
                    exports: [TabsComponent, TabDirective, TabHeadingDirective, TabHeadingDetailDirective, TabContentDirective],
                    declarations: [TabsComponent, TabDirective, TabHeadingDirective, TabHeadingDetailDirective, TabContentDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class DragAndDropImageDirective {
    constructor() {
        this.multiple = false;
        this.disabled = false;
        this.fileDropped = new EventEmitter();
    }
    onDragEvent(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = this.disabled ? false : true;
    }
    onDragLeave(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = false;
    }
    onDrop(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = false;
        const files = evt.dataTransfer.files;
        if (files.length > 0 && !this.disabled) {
            if (this.multiple) {
                this.fileDropped.emit(files);
            }
            else {
                this.fileDropped.emit(files[0]);
            }
        }
    }
}
DragAndDropImageDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragAndDropImageDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
DragAndDropImageDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.11", type: DragAndDropImageDirective, selector: "[unoDragDropImage]", inputs: { multiple: "multiple", disabled: "disabled" }, outputs: { fileDropped: "fileDropped" }, host: { listeners: { "dragover": "onDragEvent($event)", "dragleave": "onDragLeave($event)", "drop": "onDrop($event)" }, properties: { "class.fileover": "this.fileOver" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragAndDropImageDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[unoDragDropImage]'
                }]
        }], propDecorators: { fileOver: [{
                type: HostBinding,
                args: ['class.fileover']
            }], multiple: [{
                type: Input
            }], disabled: [{
                type: Input
            }], fileDropped: [{
                type: Output
            }], onDragEvent: [{
                type: HostListener,
                args: ['dragover', ['$event']]
            }], onDragLeave: [{
                type: HostListener,
                args: ['dragleave', ['$event']]
            }], onDrop: [{
                type: HostListener,
                args: ['drop', ['$event']]
            }] } });

class DragDropImageComponent {
    constructor() {
        this.disabled = false;
        this.disabledDownload = true;
        this.disabledDelete = false;
        this.deleteFile = new EventEmitter();
        this.downloadFile = new EventEmitter();
        /**
         * Emitte the image uploaded.
         */
        this.uploadedImage = new EventEmitter();
        this.fileUploadIsToBig = false;
        this.label = "chooseImageLabel";
        /**
         * Variable to control modal image cropper.
         */
        this.openImgCropper = false;
        /**
         * Variable to control modal image viewer.
         */
        this.openImgViewer = false;
    }
    onFileDropped(file) {
        if (!this.disabled) {
            this.originalFileNameType = {
                name: file.name,
                type: file.type
            };
            this.imageChangedEvent = {
                target: {
                    files: [file]
                }
            };
            this.openImgCropper = true;
        }
    }
    onDeleteFile(evt) {
        evt.stopPropagation();
        this.image = null;
        this.deleteFile.emit(this.image);
    }
    onDownloadFile(evt) {
        evt.stopPropagation();
        this.downloadFile.emit(this.image);
        console.log(this.image);
    }
    /**
     * User is satisfied with the cropped result of the image he/she uploaded from local machine
     * and is saying he/she wants this final croppped result to be saved (@ installation) as the pretended image
     */
    saveImgCropper() {
        this.openImgCropper = false;
        if (this.savedImageCropped && this.savedImageCropped.target) {
            const reader = new FileReader;
            reader.onload = () => {
                this.image = reader.result;
            };
            reader.readAsDataURL(this.savedImageCropped.target.files[0]);
            this.uploadedImage.emit(this.savedImageCropped.target.files[0]);
        }
    }
    /**
     * This method open the system file to choose a image.
     */
    onUploadImage() {
        if ((this.image == null || this.image == undefined) && !this.disabled) {
            // Create the input type file, because it's need dropdown when user click on upload image.
            const inputFile = document.createElement('input');
            inputFile.setAttribute('type', 'file');
            inputFile.setAttribute('accept', 'image/*');
            inputFile.click();
            // When user choose a image.
            inputFile.onchange = ((evt) => {
                this.originalFileNameType = {
                    name: evt.target.files[0].name,
                    type: evt.target.files[0].type
                };
                this.imageChangedEvent = {
                    target: {
                        files: evt.target.files
                    }
                };
            });
        }
        else {
            this.openImgViewer = true;
        }
    }
    onUploadImageIcon() {
        // Create the input type file, because it's need dropdown when user click on upload image.
        const inputFile = document.createElement('input');
        inputFile.setAttribute('type', 'file');
        inputFile.setAttribute('accept', 'image/*');
        inputFile.click();
        // When user choose a image.
        inputFile.onchange = ((evt) => {
            this.originalFileNameType = {
                name: evt.target.files[0].name,
                type: evt.target.files[0].type
            };
            this.imageChangedEvent = {
                target: {
                    files: evt.target.files
                }
            };
        });
    }
    /**
     * The resulted cropped image is coming on "event" on different properties:
     * @ event.base64 if <uno-image-cropper />'s @Input() outputType is "base64"
     * @ event.file if <uno-image-cropper />'s @Input() outputType is "file"
     *
     * @param event
     */
    imageCropped(event) {
        // Made a object like a <input type="file"> for when user click on edit show the cropped image.
        Object.assign(event.file, {
            lastModifiedDate: new Date(),
            name: `${this.originalFileNameType.name}`
        });
        this.savedImageCropped = {
            target: {
                // files: [new File([event.file], this.originalFileNameType.name, { type: 'png' })]
                files: [event.file]
            }
        };
    }
}
DragDropImageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragDropImageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DragDropImageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: DragDropImageComponent, selector: "uno-drag-drop-image", inputs: { maxFileSize: "maxFileSize", file: "file", disabled: "disabled", disabledDownload: "disabledDownload", disabledDelete: "disabledDelete", image: "image" }, outputs: { deleteFile: "deleteFile", downloadFile: "downloadFile", uploadedImage: "uploadedImage" }, ngImport: i0, template: "<div\r\n    class=\"slds-grid slds-grid--vertical-align-center border\"\r\n    [class.border--cursor]=\"disabled ? false : true\"\r\n    unoDragDropImage\r\n    [multiple]=\"false\"\r\n    [disabled]=\"disabled\"\r\n    (fileDropped)=\"onFileDropped($event)\"\r\n    (click)=\"onUploadImage()\">\r\n    <ng-container *ngIf=\"!image; else showFile\">\r\n        <div class=\"slds-align--absolute-center border-dots\">\r\n            <uno-icon icon=\"upload\" color=\"black\" class=\"slds-button__icon--left\"></uno-icon>\r\n            <span class=\"slds-m-right--small\" style=\"font-size: 17px; color: var(--light-grey-blue);\" translate>{{label}}</span>\r\n        </div>\r\n    </ng-container>\r\n    <ng-template #showFile>\r\n        <img src=\"{{image}}\"  style=\"height: 52px; justify-content: left;\"/>\r\n    </ng-template>\r\n    <input #fileInput id=\"file-input\" type=\"file\" [multiple]=\"false\">\r\n</div>\r\n<div *ngIf=\"image;\" class=\"slds-size--1-of-1 slds-p-top--x-small\">\r\n    <span [ngSwitch]=\"originalFileNameType?.type\">\r\n        <uno-icon class=\"slds-button__icon--left\" *ngSwitchCase=\"'image/jpg'\" icon=\"file_jpg\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n        <uno-icon class=\"slds-button__icon--left\" *ngSwitchCase=\"'image/jpeg'\" icon=\"file_jpg\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n        <uno-icon class=\"slds-button__icon--left\" *ngSwitchCase=\"'image/png'\" icon=\"file_png\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    </span>\r\n    <span class=\"slds-m-right--small\" class=\"open-sans-semibold-14\">{{ originalFileNameType?.name }}</span>\r\n    <uno-icon *ngIf=\"!disabledDelete\" icon=\"trash\" size=\"x-small\" class=\"slds-button__icon--right\" (click)=\"onDeleteFile($event)\" style=\"float: right\"></uno-icon>\r\n    <uno-icon *ngIf=\"!disabledDownload\" icon=\"download_l\" size=\"x-small\" class=\"slds-button__icon--right\" (click)=\"onDownloadFile($event)\" style=\"float: right\"></uno-icon>\r\n    <uno-icon  *ngIf=\"!disabled\"icon=\"upload\" size=\"x-small\" class=\"slds-button__icon--right\" (click)=\"onUploadImageIcon()\" style=\"float: right\"></uno-icon>\r\n</div>\r\n<div *ngIf=\"fileUploadIsToBig\" class=\"slds-col\" style=\"color: var(--vermillion)\">\r\n    <span translate>fileSizeExceed</span> {{ file?.size / 1000000 }}mb\r\n</div>\r\n\r\n\r\n<uno-modal\r\n    headerStr='Crop image'\r\n    [(open)]=\"openImgCropper\"\r\n    modalIsDeaf=\"true\">\r\n\r\n    <div>\r\n        <p class=\"slds-m-vertical--medium\" [style.pointer-events]=\"openImgCropper ? 'all' : 'none'\">\r\n            <uno-image-cropper\r\n                [imageChangedEvent]=\"imageChangedEvent\"\r\n                [maintainAspectRatio]=\"false\"\r\n                [roundCropper]=\"false\"\r\n                (imageCropped)=\"imageCropped($event)\"\r\n                (imageLoaded)=\"openImgCropper = true\">\r\n            </uno-image-cropper>\r\n        </p>\r\n    </div>\r\n\r\n    <ng-template unoModalFooter>\r\n        <button unoButton (click)=\"openImgCropper = false\">Cancel</button>\r\n        <button unoButton unoType=\"green\" (click)=\"saveImgCropper();\">Save</button>\r\n    </ng-template>\r\n\r\n</uno-modal>\r\n\r\n<uno-modal [(open)]=\"openImgViewer\" *ngIf=\"image\">\r\n    <div style=\"text-align: center\">\r\n        <img [src]=\"image\">\r\n    </div>\r\n</uno-modal>", styles: [".fileover{background-color:var(--grey)!important}.border,.border--cursor{position:relative;border-radius:3px;height:36px;background-color:var(--grey);height:52px}.border--cursor{cursor:pointer}.border-dots{height:100%;width:100%;background-color:var(--white);background-image:url(\"data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='2' ry='2' stroke='%23AABAC3FF' stroke-width='2' stroke-dasharray='5%2c 6' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e\")}#file-input{display:none}\n"], components: [{ type: IconComponent, selector: "uno-icon", inputs: ["svgType", "icon", "withOpacity", "color", "size", "customColor"] }, { type: ModalComponent, selector: "uno-modal", inputs: ["templateType", "templateCustomMsg", "docTypeSelector", "docStatusSelector", "docResultSelector", "sscStatusSelector", "templateIconPath", "size", "smallerModal", "headerStr", "subHeaderStr", "headerAlign", "modalIsDeaf", "editData", "showDate", "showExpiredDate", "showTag", "showComment", "showType", "showSSCType", "showName", "disableSSCType", "disableInputFile", "disableInputName", "disableSSCDate", "disableSSCStatus", "disableDescription", "disableComments", "fileSize", "acceptedTypes", "documentMinDate", "documentMaxDate", "expireMinDate", "expireMaxDate", "sscStatusLabel", "separateButtons", "open", "resetForm", "submitForm"], outputs: ["openChange", "clickedButton", "selected3DScene", "selectedTypeEmitter", "formValidation", "formSubmitionData", "closeOutside", "formIsDirty", "deleteFile", "downloadTemplate"] }, { type: ImageCropperComponent, selector: "uno-image-cropper", inputs: ["imageFileChanged", "imageChangedEvent", "imageBase64", "format", "outputType", "maintainAspectRatio", "aspectRatio", "resizeToWidth", "cropperMinWidth", "roundCropper", "onlyScaleDown", "imageQuality", "autoCrop", "cropper", "alignImage"], outputs: ["startCropImage", "imageCropped", "imageCroppedBase64", "imageCroppedFile", "imageLoaded", "cropperReady", "loadImageFailed"] }], directives: [{ type: DragAndDropImageDirective, selector: "[unoDragDropImage]", inputs: ["multiple", "disabled"], outputs: ["fileDropped"] }, { type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3$1.TranslateDirective, selector: "[translate],[ngx-translate]", inputs: ["translate", "translateParams"] }, { type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: ModalFooterDirective, selector: "[unoModalFooter]" }, { type: ButtonDirective, selector: "[unoButton]", inputs: ["unoType", "unoSize"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: DragDropImageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uno-drag-drop-image', template: "<div\r\n    class=\"slds-grid slds-grid--vertical-align-center border\"\r\n    [class.border--cursor]=\"disabled ? false : true\"\r\n    unoDragDropImage\r\n    [multiple]=\"false\"\r\n    [disabled]=\"disabled\"\r\n    (fileDropped)=\"onFileDropped($event)\"\r\n    (click)=\"onUploadImage()\">\r\n    <ng-container *ngIf=\"!image; else showFile\">\r\n        <div class=\"slds-align--absolute-center border-dots\">\r\n            <uno-icon icon=\"upload\" color=\"black\" class=\"slds-button__icon--left\"></uno-icon>\r\n            <span class=\"slds-m-right--small\" style=\"font-size: 17px; color: var(--light-grey-blue);\" translate>{{label}}</span>\r\n        </div>\r\n    </ng-container>\r\n    <ng-template #showFile>\r\n        <img src=\"{{image}}\"  style=\"height: 52px; justify-content: left;\"/>\r\n    </ng-template>\r\n    <input #fileInput id=\"file-input\" type=\"file\" [multiple]=\"false\">\r\n</div>\r\n<div *ngIf=\"image;\" class=\"slds-size--1-of-1 slds-p-top--x-small\">\r\n    <span [ngSwitch]=\"originalFileNameType?.type\">\r\n        <uno-icon class=\"slds-button__icon--left\" *ngSwitchCase=\"'image/jpg'\" icon=\"file_jpg\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n        <uno-icon class=\"slds-button__icon--left\" *ngSwitchCase=\"'image/jpeg'\" icon=\"file_jpg\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n        <uno-icon class=\"slds-button__icon--left\" *ngSwitchCase=\"'image/png'\" icon=\"file_png\" svgType=\"sprite-color\" [withOpacity]=\"false\"></uno-icon>\r\n    </span>\r\n    <span class=\"slds-m-right--small\" class=\"open-sans-semibold-14\">{{ originalFileNameType?.name }}</span>\r\n    <uno-icon *ngIf=\"!disabledDelete\" icon=\"trash\" size=\"x-small\" class=\"slds-button__icon--right\" (click)=\"onDeleteFile($event)\" style=\"float: right\"></uno-icon>\r\n    <uno-icon *ngIf=\"!disabledDownload\" icon=\"download_l\" size=\"x-small\" class=\"slds-button__icon--right\" (click)=\"onDownloadFile($event)\" style=\"float: right\"></uno-icon>\r\n    <uno-icon  *ngIf=\"!disabled\"icon=\"upload\" size=\"x-small\" class=\"slds-button__icon--right\" (click)=\"onUploadImageIcon()\" style=\"float: right\"></uno-icon>\r\n</div>\r\n<div *ngIf=\"fileUploadIsToBig\" class=\"slds-col\" style=\"color: var(--vermillion)\">\r\n    <span translate>fileSizeExceed</span> {{ file?.size / 1000000 }}mb\r\n</div>\r\n\r\n\r\n<uno-modal\r\n    headerStr='Crop image'\r\n    [(open)]=\"openImgCropper\"\r\n    modalIsDeaf=\"true\">\r\n\r\n    <div>\r\n        <p class=\"slds-m-vertical--medium\" [style.pointer-events]=\"openImgCropper ? 'all' : 'none'\">\r\n            <uno-image-cropper\r\n                [imageChangedEvent]=\"imageChangedEvent\"\r\n                [maintainAspectRatio]=\"false\"\r\n                [roundCropper]=\"false\"\r\n                (imageCropped)=\"imageCropped($event)\"\r\n                (imageLoaded)=\"openImgCropper = true\">\r\n            </uno-image-cropper>\r\n        </p>\r\n    </div>\r\n\r\n    <ng-template unoModalFooter>\r\n        <button unoButton (click)=\"openImgCropper = false\">Cancel</button>\r\n        <button unoButton unoType=\"green\" (click)=\"saveImgCropper();\">Save</button>\r\n    </ng-template>\r\n\r\n</uno-modal>\r\n\r\n<uno-modal [(open)]=\"openImgViewer\" *ngIf=\"image\">\r\n    <div style=\"text-align: center\">\r\n        <img [src]=\"image\">\r\n    </div>\r\n</uno-modal>", styles: [".fileover{background-color:var(--grey)!important}.border,.border--cursor{position:relative;border-radius:3px;height:36px;background-color:var(--grey);height:52px}.border--cursor{cursor:pointer}.border-dots{height:100%;width:100%;background-color:var(--white);background-image:url(\"data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='2' ry='2' stroke='%23AABAC3FF' stroke-width='2' stroke-dasharray='5%2c 6' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e\")}#file-input{display:none}\n"] }]
        }], propDecorators: { maxFileSize: [{
                type: Input
            }], file: [{
                type: Input
            }], disabled: [{
                type: Input
            }], disabledDownload: [{
                type: Input
            }], disabledDelete: [{
                type: Input
            }], image: [{
                type: Input
            }], deleteFile: [{
                type: Output
            }], downloadFile: [{
                type: Output
            }], uploadedImage: [{
                type: Output
            }] } });

class UnoDragDropImageModule {
}
UnoDragDropImageModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropImageModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoDragDropImageModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropImageModule, declarations: [DragDropImageComponent, DragAndDropImageDirective], imports: [CommonModule,
        TranslateModule,
        UnoIconModule,
        UnoImageCropperModule,
        UnoModalModule,
        UnoButtonModule], exports: [DragDropImageComponent, DragAndDropImageDirective] });
UnoDragDropImageModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropImageModule, providers: [], imports: [[
            CommonModule,
            TranslateModule,
            UnoIconModule,
            UnoImageCropperModule,
            UnoModalModule,
            UnoButtonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoDragDropImageModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        TranslateModule,
                        UnoIconModule,
                        UnoImageCropperModule,
                        UnoModalModule,
                        UnoButtonModule
                    ],
                    exports: [DragDropImageComponent, DragAndDropImageDirective],
                    declarations: [DragDropImageComponent, DragAndDropImageDirective],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

const MODULES = [
    UnoAssetVisualizerModule,
    UnoBadgeModule,
    UnoButtonModule,
    UnoCircleGraphModule,
    UnoColorPicklistModule,
    UnoControlErrorModule,
    UnoDateDayModule,
    UnoDateWeekdaysModule,
    UnoDateYearModule,
    UnoDatepickerModule,
    UnoDatepicker2Module,
    UnoDragDropFileModule,
    UnoDropdownModule,
    UnoIconModule,
    UnoImageCropperModule,
    UnoInputTagsModule,
    UnoLookupModule,
    UnoModalModule,
    UnoPaginationModule,
    UnoPickModule,
    UnoPicklistModule,
    UnoPictureModule,
    UnoPillModule,
    UnoPopoverModule,
    UnoScrollTrackerModule,
    UnoSearchModule,
    UnoSwitchModule,
    UnoTableModule,
    UnoTabsModule,
    UnoDragDropImageModule,
];
class UnoUiLibModule {
}
UnoUiLibModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoUiLibModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UnoUiLibModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoUiLibModule, exports: [UnoAssetVisualizerModule,
        UnoBadgeModule,
        UnoButtonModule,
        UnoCircleGraphModule,
        UnoColorPicklistModule,
        UnoControlErrorModule,
        UnoDateDayModule,
        UnoDateWeekdaysModule,
        UnoDateYearModule,
        UnoDatepickerModule,
        UnoDatepicker2Module,
        UnoDragDropFileModule,
        UnoDropdownModule,
        UnoIconModule,
        UnoImageCropperModule,
        UnoInputTagsModule,
        UnoLookupModule,
        UnoModalModule,
        UnoPaginationModule,
        UnoPickModule,
        UnoPicklistModule,
        UnoPictureModule,
        UnoPillModule,
        UnoPopoverModule,
        UnoScrollTrackerModule,
        UnoSearchModule,
        UnoSwitchModule,
        UnoTableModule,
        UnoTabsModule,
        UnoDragDropImageModule] });
UnoUiLibModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoUiLibModule, imports: [UnoAssetVisualizerModule,
        UnoBadgeModule,
        UnoButtonModule,
        UnoCircleGraphModule,
        UnoColorPicklistModule,
        UnoControlErrorModule,
        UnoDateDayModule,
        UnoDateWeekdaysModule,
        UnoDateYearModule,
        UnoDatepickerModule,
        UnoDatepicker2Module,
        UnoDragDropFileModule,
        UnoDropdownModule,
        UnoIconModule,
        UnoImageCropperModule,
        UnoInputTagsModule,
        UnoLookupModule,
        UnoModalModule,
        UnoPaginationModule,
        UnoPickModule,
        UnoPicklistModule,
        UnoPictureModule,
        UnoPillModule,
        UnoPopoverModule,
        UnoScrollTrackerModule,
        UnoSearchModule,
        UnoSwitchModule,
        UnoTableModule,
        UnoTabsModule,
        UnoDragDropImageModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: UnoUiLibModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [
                        MODULES
                    ]
                }]
        }] });

/*
 * Public API Surface of uno-ui-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AssetVisualizerComponent, BadgeComponent, ButtonDirective, Cell, CellComponent, CellModule, CheckboxEditorComponent, CircleGraphComponent, ColorPickItemDirective, ColorPicklistComponent, ControlErrorComponent, ControlErrorContainerDirective, ControlErrorDirective, CustomEditComponent, CustomViewComponent, DateDayComponent, DateWeekdaysComponent, DateYearComponent, Datepicker2Component, DatepickerComponent, DefaultEditComponent, DefaultEditorDirective, DragAndDropFileDirective, DragAndDropImageDirective, DragDropFileComponent, DragDropImageComponent, DropdownDirective, DropdownItemDirective, DropdownTriggerDirective, EditCellComponent, IconComponent, ImageCropperComponent, InputEditorComponent, InputNumberEditorComponent, InputTagsComponent, LocalDataSource, LocalSorter, LookupComponent, LookupEditorComponent, LookupHeaderDirective, LookupItemDirective, LookupLabelDirective, MY_FORMATS, ModalComponent, ModalFooterDirective, ModalHeaderDirective, PageEvent, PaginationComponent, PickDirective, PickItemDirective, PickOptionDirective, PicklistComponent, PictureComponent, PillComponent, PillImageDirective, PillLinkDirective, PillRemoveDirective, PopoverBehaviorDirective, PopoverClickBehaviorDirective, PopoverComponent, PopoverTriggerDirective, ScrollTrackerDirective, SearchComponent, SelectEditorComponent, SwitchComponent, SwitchEditorComponent, TabContentDirective, TabDirective, TabHeadingDetailDirective, TabHeadingDirective, TableComponent, TabsComponent, TbodyCollapseContentDirective, TextareaEditorComponent, UnoAssetVisualizerModule, UnoBadgeModule, UnoButtonModule, UnoCircleGraphModule, UnoColorPicklistModule, UnoControlErrorModule, UnoDateDayModule, UnoDateWeekdaysModule, UnoDateYearModule, UnoDatepicker2Module, UnoDatepickerModule, UnoDragDropFileModule, UnoDragDropImageModule, UnoDropdownModule, UnoIconModule, UnoImageCropperModule, UnoInputTagsModule, UnoLookupModule, UnoModalModule, UnoPaginationModule, UnoPickModule, UnoPicklistModule, UnoPictureModule, UnoPillModule, UnoPopoverModule, UnoScrollTrackerModule, UnoSearchModule, UnoSwitchModule, UnoTableModule, UnoTabsModule, UnoUiLibModule, ViewCellComponent };
//# sourceMappingURL=uno-ui-lib.mjs.map
